#include "oneway-client.h"

oskit_s16_t onewaytest_shortlong(mom_ref_t _obj, oskit_s32_t *x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort1);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_onewaytest_shortlong, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *x, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort1);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort7);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed16(0, _return, oskit_s16_t );
            flick_fluke_decode_signed32(4, *x, oskit_s32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(12);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort8);
            break;
            {
            _flick_abort8:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort9:
              goto _flick_abort1;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1);
  return _return;
  {
  _flick_abort1:
    flick_mom_client_error(fluke, fluke, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

void onewaytest_voidlong(mom_ref_t _obj, oskit_s32_t x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort11);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_onewaytest_voidlong, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, x, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort11);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort11);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort18);
            break;
            {
            _flick_abort18:
              goto _flick_abort11;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort19:
              goto _flick_abort11;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
  return;
  {
  _flick_abort11:
    flick_mom_client_error(fluke, fluke, _flick_abort10);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

void onewaytest_onewaylong(mom_ref_t _obj, oskit_s32_t x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort21);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_onewaytest_onewaylong, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, x, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21);
  return;
  {
  _flick_abort21:
    flick_mom_client_error(fluke, fluke, _flick_abort20);
  _flick_abort20:
    goto _flick_reaper;
  }
}

void onewaytest_onewaystring(mom_ref_t _obj, const char *x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t1_temp_string_len;

      flick_fluke_stringlen(const char *, x, flick_unsigned32_t , _t1_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort32);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_onewaytest_onewaystring, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t1_temp_string_len, _flick_abort32);
      flick_fluke_encode_new_chunk(1 * _t1_temp_string_len);
      flick_fluke_encode_bcopy(0, x, 1 * _t1_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t1_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t1_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort32);
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort32);
  return;
  {
  _flick_abort32:
    flick_mom_client_error(fluke, fluke, _flick_abort31);
  _flick_abort31:
    goto _flick_reaper;
  }
}

char *onewaytest_stringreturn(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort47);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_onewaytest_stringreturn, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort47);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort47);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t3_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort56);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t3_temp_string_len);
            flick_fluke_check_span(1 * _t3_temp_string_len, _flick_abort56);
            flick_fluke_decode_new_chunk(1 * _t3_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t3_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort56);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t3_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t3_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t3_temp_string_len);
            break;
            {
            _flick_abort56:
              goto _flick_abort47;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort60);
            break;
            {
            _flick_abort60:
              goto _flick_abort47;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort61:
              goto _flick_abort47;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort47);
  return _return;
  {
  _flick_abort47:
    flick_mom_client_error(fluke, fluke, _flick_abort46);
  _flick_abort46:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t onewaytest_longstring(mom_ref_t _obj, char **x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t5_temp_string_len;

      flick_fluke_stringlen(char *, *x, flick_unsigned32_t , _t5_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort63);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_onewaytest_longstring, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t5_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t5_temp_string_len, _flick_abort63);
      flick_fluke_encode_new_chunk(1 * _t5_temp_string_len);
      flick_fluke_encode_bcopy(0, *x, 1 * _t5_temp_string_len);
      mom_flick_free(*x);
      *x = (char *)0;
      flick_fluke_encode_end_chunk(1 * _t5_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t5_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort63);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t7_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort76);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_unsigned32(4, _t7_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_decode_new_glob(1 * _t7_temp_string_len);
            flick_fluke_check_span(1 * _t7_temp_string_len, _flick_abort76);
            flick_fluke_decode_new_chunk(1 * _t7_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t7_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort76);
              *x = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *x, 1 * _t7_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t7_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t7_temp_string_len);
            break;
            {
            _flick_abort76:
              goto _flick_abort63;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(12);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort80);
            break;
            {
            _flick_abort80:
              goto _flick_abort63;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort81);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort81:
              goto _flick_abort63;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort63);
  return _return;
  {
  _flick_abort63:
    flick_mom_client_error(fluke, fluke, _flick_abort62);
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

char *onewaytest_stringlong(mom_ref_t _obj, oskit_s32_t *x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort83);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_onewaytest_stringlong, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort83);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort83);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t9_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort92);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t9_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _t9_temp_string_len);
            flick_fluke_check_span(1 * _t9_temp_string_len, _flick_abort92);
            flick_fluke_decode_new_chunk(1 * _t9_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t9_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort92);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t9_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t9_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t9_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort95);
            flick_fluke_decode_signed32(0, *x, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            break;
            {
            _flick_abort95:
              mom_flick_free(_return);
            _flick_abort92:
              goto _flick_abort83;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort96);
            break;
            {
            _flick_abort96:
              goto _flick_abort83;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort97:
              goto _flick_abort83;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort83);
  return _return;
  {
  _flick_abort83:
    flick_mom_client_error(fluke, fluke, _flick_abort82);
  _flick_abort82:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

