#include "simple-server.h"

/* This is the runtime type information */
char *flick_interface_parents_simple[] = {
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple2[] = {
	"IDL:simple2:1.0",
	"IDL:simple:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t simple_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t36_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t36_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t36_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t37_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t37_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t37_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t38_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t38_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t38_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        unsigned int _t39_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t40_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t41_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t42_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort66);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t39_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t39_principal_len, _flick_abort66);
                        flick_iiop_decode_new_glob(_t39_principal_len);
                        flick_iiop_decode_new_chunk(_t39_principal_len);
                        flick_iiop_decode_end_chunk(_t39_principal_len);
                        flick_iiop_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort66);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t40_storage);
                        _local_c = (CORBA_long *)(&_t41_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t42_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort66);
                          flick_iiop_encode_new_glob(8, _flick_abort66);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort71);
                                CORBA_object_flick_free(*_local_b);
                                *_local_b = (void *)0;
                                flick_iiop_encode_new_glob(7, _flick_abort71);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort71:
                                  goto _flick_abort66;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort72);
                                break;
                                {
                                _flick_abort72:
                                  goto _flick_abort66;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort73);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort73:
                                  goto _flick_abort66;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort66:
                          goto _flick_abort65;
                        }
                      }
                      break;
                      {
                      _flick_abort65:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t43_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort75);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t45_principal_len, _flick_abort75);
                        flick_iiop_decode_new_glob(_t45_principal_len);
                        flick_iiop_decode_new_chunk(_t45_principal_len);
                        flick_iiop_decode_end_chunk(_t45_principal_len);
                        flick_iiop_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort75);
                        flick_cdr_swap_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t46_temp_string_len);
                        flick_iiop_check_span(1 * _t46_temp_string_len, _flick_abort75);
                        flick_iiop_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_simple;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort75);
                          flick_iiop_encode_new_glob(5, _flick_abort75);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort83);
                                break;
                                {
                                _flick_abort83:
                                  goto _flick_abort75;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort84:
                                  goto _flick_abort75;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort75:
                          goto _flick_abort74;
                        }
                      }
                      break;
                      {
                      _flick_abort74:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t12_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t12_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t13_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t13_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t13_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t14_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t14_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t14_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        unsigned int _t15_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t16_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t17_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t18_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort25);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t15_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t15_principal_len, _flick_abort25);
                        flick_iiop_decode_new_glob(_t15_principal_len);
                        flick_iiop_decode_new_chunk(_t15_principal_len);
                        flick_iiop_decode_end_chunk(_t15_principal_len);
                        flick_iiop_decode_end_glob(_t15_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort25);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t16_storage);
                        _local_c = (CORBA_long *)(&_t17_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t18_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort25);
                          flick_iiop_encode_new_glob(8, _flick_abort25);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort30);
                                CORBA_object_flick_free(*_local_b);
                                *_local_b = (void *)0;
                                flick_iiop_encode_new_glob(7, _flick_abort30);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort30:
                                  goto _flick_abort25;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort31);
                                break;
                                {
                                _flick_abort31:
                                  goto _flick_abort25;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort32);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort32:
                                  goto _flick_abort25;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort25:
                          goto _flick_abort24;
                        }
                      }
                      break;
                      {
                      _flick_abort24:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_check_span(12, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t20_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t20_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t21_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t22_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t23_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort34);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t21_principal_len, _flick_abort34);
                        flick_iiop_decode_new_glob(_t21_principal_len);
                        flick_iiop_decode_new_chunk(_t21_principal_len);
                        flick_iiop_decode_end_chunk(_t21_principal_len);
                        flick_iiop_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort34);
                        flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t22_temp_string_len);
                        flick_iiop_check_span(1 * _t22_temp_string_len, _flick_abort34);
                        flick_iiop_decode_new_chunk(1 * _t22_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t22_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t22_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t23_storage);
                        _par = flick_interface_parents_simple;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort34);
                          flick_iiop_encode_new_glob(5, _flick_abort34);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort42);
                                break;
                                {
                                _flick_abort42:
                                  goto _flick_abort34;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort43);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort43:
                                  goto _flick_abort34;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort34:
                          goto _flick_abort33;
                        }
                      }
                      break;
                      {
                      _flick_abort33:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t simple2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t96_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort87);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t96_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t96_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t97_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t97_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t97_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  unsigned int _t98_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t99_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t100_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort178);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t98_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t98_principal_len, _flick_abort178);
                  flick_iiop_decode_new_glob(_t98_principal_len);
                  flick_iiop_decode_new_chunk(_t98_principal_len);
                  flick_iiop_decode_end_chunk(_t98_principal_len);
                  flick_iiop_decode_end_glob(_t98_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort178);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_swap_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t99_storage);
                  _ev = (CORBA_Environment *)(&_t100_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort178);
                    flick_iiop_encode_new_glob(8, _flick_abort178);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(8);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort183);
                          CORBA_object_flick_free(*_local_c);
                          *_local_c = (void *)0;
                          break;
                          {
                          _flick_abort183:
                            goto _flick_abort178;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort184);
                          break;
                          {
                          _flick_abort184:
                            goto _flick_abort178;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort185);
                          flick_iiop_encode_end_glob(8);
                          break;
                          {
                          _flick_abort185:
                            goto _flick_abort178;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort178:
                    goto _flick_abort177;
                  }
                }
                break;
                {
                _flick_abort177:
                  goto _flick_abort87;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t101_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t101_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t101_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t102_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t102_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t102_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        unsigned int _t103_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t104_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t105_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t106_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort187);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t103_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t103_principal_len, _flick_abort187);
                        flick_iiop_decode_new_glob(_t103_principal_len);
                        flick_iiop_decode_new_chunk(_t103_principal_len);
                        flick_iiop_decode_end_chunk(_t103_principal_len);
                        flick_iiop_decode_end_glob(_t103_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort187);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t104_storage);
                        _local_c = (CORBA_long *)(&_t105_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t106_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort187);
                          flick_iiop_encode_new_glob(8, _flick_abort187);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort192);
                                CORBA_object_flick_free(*_local_b);
                                *_local_b = (void *)0;
                                flick_iiop_encode_new_glob(7, _flick_abort192);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort192:
                                  goto _flick_abort187;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort193);
                                break;
                                {
                                _flick_abort193:
                                  goto _flick_abort187;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort194);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort187;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort187:
                          goto _flick_abort186;
                        }
                      }
                      break;
                      {
                      _flick_abort186:
                        goto _flick_abort87;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t107_switch_tag;

          flick_iiop_check_span(12, _flick_abort87);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t107_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t107_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t108_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t108_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t108_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t109_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t110_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t111_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort196);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t109_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t109_principal_len, _flick_abort196);
                        flick_iiop_decode_new_glob(_t109_principal_len);
                        flick_iiop_decode_new_chunk(_t109_principal_len);
                        flick_iiop_decode_end_chunk(_t109_principal_len);
                        flick_iiop_decode_end_glob(_t109_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort196);
                        flick_cdr_swap_decode_unsigned32(0, _t110_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t110_temp_string_len);
                        flick_iiop_check_span(1 * _t110_temp_string_len, _flick_abort196);
                        flick_iiop_decode_new_chunk(1 * _t110_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t110_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t110_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t111_storage);
                        _par = flick_interface_parents_simple2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort196);
                          flick_iiop_encode_new_glob(5, _flick_abort196);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort204);
                                break;
                                {
                                _flick_abort204:
                                  goto _flick_abort196;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort205:
                                  goto _flick_abort196;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort196:
                          goto _flick_abort195;
                        }
                      }
                      break;
                      {
                      _flick_abort195:
                        goto _flick_abort87;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t64_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort87);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t64_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t65_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t65_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  unsigned int _t66_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t67_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t68_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort119);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t66_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t66_principal_len, _flick_abort119);
                  flick_iiop_decode_new_glob(_t66_principal_len);
                  flick_iiop_decode_new_chunk(_t66_principal_len);
                  flick_iiop_decode_end_chunk(_t66_principal_len);
                  flick_iiop_decode_end_glob(_t66_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(4, _flick_abort119);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t67_storage);
                  _ev = (CORBA_Environment *)(&_t68_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort119);
                    flick_iiop_encode_new_glob(8, _flick_abort119);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(8);
                          flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort124);
                          CORBA_object_flick_free(*_local_c);
                          *_local_c = (void *)0;
                          break;
                          {
                          _flick_abort124:
                            goto _flick_abort119;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort125);
                          break;
                          {
                          _flick_abort125:
                            goto _flick_abort119;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                          flick_iiop_encode_end_glob(8);
                          break;
                          {
                          _flick_abort126:
                            goto _flick_abort119;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort119:
                    goto _flick_abort118;
                  }
                }
                break;
                {
                _flick_abort118:
                  goto _flick_abort87;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t69_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t69_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t69_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t70_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t70_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t70_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        unsigned int _t71_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t72_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t73_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t74_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort128);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t71_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t71_principal_len, _flick_abort128);
                        flick_iiop_decode_new_glob(_t71_principal_len);
                        flick_iiop_decode_new_chunk(_t71_principal_len);
                        flick_iiop_decode_end_chunk(_t71_principal_len);
                        flick_iiop_decode_end_glob(_t71_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort128);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t72_storage);
                        _local_c = (CORBA_long *)(&_t73_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t74_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort128);
                          flick_iiop_encode_new_glob(8, _flick_abort128);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort133);
                                CORBA_object_flick_free(*_local_b);
                                *_local_b = (void *)0;
                                flick_iiop_encode_new_glob(7, _flick_abort133);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort133:
                                  goto _flick_abort128;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort134);
                                break;
                                {
                                _flick_abort134:
                                  goto _flick_abort128;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort135:
                                  goto _flick_abort128;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort128:
                          goto _flick_abort127;
                        }
                      }
                      break;
                      {
                      _flick_abort127:
                        goto _flick_abort87;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t75_switch_tag;

          flick_iiop_check_span(12, _flick_abort87);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t75_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t76_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t76_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t76_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t77_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t78_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t79_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort137);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t77_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t77_principal_len, _flick_abort137);
                        flick_iiop_decode_new_glob(_t77_principal_len);
                        flick_iiop_decode_new_chunk(_t77_principal_len);
                        flick_iiop_decode_end_chunk(_t77_principal_len);
                        flick_iiop_decode_end_glob(_t77_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort137);
                        flick_cdr_decode_unsigned32(0, _t78_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t78_temp_string_len);
                        flick_iiop_check_span(1 * _t78_temp_string_len, _flick_abort137);
                        flick_iiop_decode_new_chunk(1 * _t78_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t78_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t78_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t79_storage);
                        _par = flick_interface_parents_simple2;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort137);
                          flick_iiop_encode_new_glob(5, _flick_abort137);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort145);
                                break;
                                {
                                _flick_abort145:
                                  goto _flick_abort137;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort146);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort146:
                                  goto _flick_abort137;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort137:
                          goto _flick_abort136;
                        }
                      }
                      break;
                      {
                      _flick_abort136:
                        goto _flick_abort87;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort87:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort86);
  _flick_abort86:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

