#include "turtle-client-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Client[] = {
	"IDL:Client:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t Client_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t72_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t72_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t72_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t73_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
              {
                unsigned int _t74_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t74_switch_tag)
                  {
                  case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                    {
                      {
                        Client _obj;
                        unsigned int _t75_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_speed;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t76_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort147);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t75_principal_len, _flick_abort147);
                        flick_iiop_decode_new_glob(_t75_principal_len);
                        flick_iiop_decode_new_chunk(_t75_principal_len);
                        flick_iiop_decode_end_chunk(_t75_principal_len);
                        flick_iiop_decode_end_glob(_t75_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort147);
                        flick_cdr_swap_decode_signed32(0, _local_speed, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t76_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Client_SetLeft(_obj, _local_speed, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort147);
                          flick_iiop_encode_new_glob(8, _flick_abort147);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort147;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort147;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort147:
                          goto _flick_abort146;
                        }
                      }
                      break;
                      {
                      _flick_abort146:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t77_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t77_switch_tag)
            {
            case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
              {
                unsigned int _t78_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t78_switch_tag)
                  {
                  case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                    {
                      char _t79_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t79_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t79_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              unsigned int _t80_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_speed;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t81_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort156);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t80_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t80_principal_len, _flick_abort156);
                              flick_iiop_decode_new_glob(_t80_principal_len);
                              flick_iiop_decode_new_chunk(_t80_principal_len);
                              flick_iiop_decode_end_chunk(_t80_principal_len);
                              flick_iiop_decode_end_glob(_t80_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort156);
                              flick_cdr_swap_decode_signed32(0, _local_speed, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t81_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_SetRight(_obj, _local_speed, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort156);
                                flick_iiop_encode_new_glob(8, _flick_abort156);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort162);
                                      break;
                                      {
                                      _flick_abort162:
                                        goto _flick_abort156;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort163:
                                        goto _flick_abort156;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort156:
                                goto _flick_abort155;
                              }
                            }
                            break;
                            {
                            _flick_abort155:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
              {
                unsigned int _t82_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t82_switch_tag)
                  {
                  case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                    {
                      char _t83_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t83_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t83_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              unsigned int _t84_principal_len;
                              CORBA_long _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t85_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort165);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t84_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t84_principal_len, _flick_abort165);
                              flick_iiop_decode_new_glob(_t84_principal_len);
                              flick_iiop_decode_new_chunk(_t84_principal_len);
                              flick_iiop_decode_end_chunk(_t84_principal_len);
                              flick_iiop_decode_end_glob(_t84_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t85_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_GetPhoto(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort165);
                                flick_iiop_encode_new_glob(8, _flick_abort165);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort171);
                                      break;
                                      {
                                      _flick_abort171:
                                        goto _flick_abort165;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort172:
                                        goto _flick_abort165;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort165:
                                goto _flick_abort164;
                              }
                            }
                            break;
                            {
                            _flick_abort164:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t86_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t86_switch_tag)
            {
            case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
              {
                unsigned int _t87_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t87_switch_tag)
                  {
                  case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                    {
                      unsigned short int _t88_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t88_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t88_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              Client _obj;
                              unsigned int _t89_principal_len;
                              CORBA_long _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t90_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort174);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t89_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t89_principal_len, _flick_abort174);
                              flick_iiop_decode_new_glob(_t89_principal_len);
                              flick_iiop_decode_new_chunk(_t89_principal_len);
                              flick_iiop_decode_end_chunk(_t89_principal_len);
                              flick_iiop_decode_end_glob(_t89_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t90_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_GetButton(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort174);
                                flick_iiop_encode_new_glob(8, _flick_abort174);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort180);
                                      break;
                                      {
                                      _flick_abort180:
                                        goto _flick_abort174;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort181:
                                        goto _flick_abort174;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort174:
                                goto _flick_abort173;
                              }
                            }
                            break;
                            {
                            _flick_abort173:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t91_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t91_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t92_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t92_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t92_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t93_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t94_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t95_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort183);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t93_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t93_principal_len, _flick_abort183);
                        flick_iiop_decode_new_glob(_t93_principal_len);
                        flick_iiop_decode_new_chunk(_t93_principal_len);
                        flick_iiop_decode_end_chunk(_t93_principal_len);
                        flick_iiop_decode_end_glob(_t93_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort183);
                        flick_cdr_swap_decode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t94_temp_string_len);
                        flick_iiop_check_span(1 * _t94_temp_string_len, _flick_abort183);
                        flick_iiop_decode_new_chunk(1 * _t94_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t94_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t94_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t95_storage);
                        _par = flick_interface_parents_Client;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort183);
                          flick_iiop_encode_new_glob(5, _flick_abort183);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort191);
                                break;
                                {
                                _flick_abort191:
                                  goto _flick_abort183;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort192);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort192:
                                  goto _flick_abort183;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort183:
                          goto _flick_abort182;
                        }
                      }
                      break;
                      {
                      _flick_abort182:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t24_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t24_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t25_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t25_switch_tag)
            {
            case /* SetL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157836):
              {
                unsigned int _t26_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t26_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t26_switch_tag)
                  {
                  case /* eft */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701213184):
                    {
                      {
                        Client _obj;
                        unsigned int _t27_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_speed;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t28_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort52);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t27_principal_len, _flick_abort52);
                        flick_iiop_decode_new_glob(_t27_principal_len);
                        flick_iiop_decode_new_chunk(_t27_principal_len);
                        flick_iiop_decode_end_chunk(_t27_principal_len);
                        flick_iiop_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort52);
                        flick_cdr_decode_signed32(0, _local_speed, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t28_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Client_SetLeft(_obj, _local_speed, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort52);
                          flick_iiop_encode_new_glob(8, _flick_abort52);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort58);
                                break;
                                {
                                _flick_abort58:
                                  goto _flick_abort52;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort59);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort59:
                                  goto _flick_abort52;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort52:
                          goto _flick_abort51;
                        }
                      }
                      break;
                      {
                      _flick_abort51:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t29_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t29_switch_tag)
            {
            case /* SetR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157842):
              {
                unsigned int _t30_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t30_switch_tag)
                  {
                  case /* ight */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768384628):
                    {
                      char _t31_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t31_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t31_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              unsigned int _t32_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_speed;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t33_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort61);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t32_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t32_principal_len, _flick_abort61);
                              flick_iiop_decode_new_glob(_t32_principal_len);
                              flick_iiop_decode_new_chunk(_t32_principal_len);
                              flick_iiop_decode_end_chunk(_t32_principal_len);
                              flick_iiop_decode_end_glob(_t32_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort61);
                              flick_cdr_decode_signed32(0, _local_speed, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t33_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_SetRight(_obj, _local_speed, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort61);
                                flick_iiop_encode_new_glob(8, _flick_abort61);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort67);
                                      break;
                                      {
                                      _flick_abort67:
                                        goto _flick_abort61;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort68);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort68:
                                        goto _flick_abort61;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort61:
                                goto _flick_abort60;
                              }
                            }
                            break;
                            {
                            _flick_abort60:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetP */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831248):
              {
                unsigned int _t34_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t34_switch_tag)
                  {
                  case /* hoto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134767):
                    {
                      char _t35_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t35_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t35_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Client _obj;
                              unsigned int _t36_principal_len;
                              CORBA_long _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t37_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort70);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t36_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t36_principal_len, _flick_abort70);
                              flick_iiop_decode_new_glob(_t36_principal_len);
                              flick_iiop_decode_new_chunk(_t36_principal_len);
                              flick_iiop_decode_end_chunk(_t36_principal_len);
                              flick_iiop_decode_end_glob(_t36_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t37_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_GetPhoto(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort70);
                                flick_iiop_encode_new_glob(8, _flick_abort70);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort76);
                                      break;
                                      {
                                      _flick_abort76:
                                        goto _flick_abort70;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort77:
                                        goto _flick_abort70;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort70:
                                goto _flick_abort69;
                              }
                            }
                            break;
                            {
                            _flick_abort69:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t38_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t38_switch_tag)
            {
            case /* GetB */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831234):
              {
                unsigned int _t39_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t39_switch_tag)
                  {
                  case /* utto */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970566255):
                    {
                      unsigned short int _t40_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t40_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              Client _obj;
                              unsigned int _t41_principal_len;
                              CORBA_long _return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t42_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort79);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t41_principal_len, _flick_abort79);
                              flick_iiop_decode_new_glob(_t41_principal_len);
                              flick_iiop_decode_new_chunk(_t41_principal_len);
                              flick_iiop_decode_end_chunk(_t41_principal_len);
                              flick_iiop_decode_end_glob(_t41_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t42_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Client_GetButton(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort79);
                                flick_iiop_encode_new_glob(8, _flick_abort79);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort85);
                                      break;
                                      {
                                      _flick_abort85:
                                        goto _flick_abort79;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort86:
                                        goto _flick_abort79;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort79:
                                goto _flick_abort78;
                              }
                            }
                            break;
                            {
                            _flick_abort78:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t43_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort88);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t45_principal_len, _flick_abort88);
                        flick_iiop_decode_new_glob(_t45_principal_len);
                        flick_iiop_decode_new_chunk(_t45_principal_len);
                        flick_iiop_decode_end_chunk(_t45_principal_len);
                        flick_iiop_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort88);
                        flick_cdr_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t46_temp_string_len);
                        flick_iiop_check_span(1 * _t46_temp_string_len, _flick_abort88);
                        flick_iiop_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_Client;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort88);
                          flick_iiop_encode_new_glob(5, _flick_abort88);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort96);
                                break;
                                {
                                _flick_abort96:
                                  goto _flick_abort88;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort97:
                                  goto _flick_abort88;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort88:
                          goto _flick_abort87;
                        }
                      }
                      break;
                      {
                      _flick_abort87:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

