#include "union-5-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t31_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t31_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t31_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t32_principal_len;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t33_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort192);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t32_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t32_principal_len, _flick_abort192);
            flick_iiop_decode_new_glob(_t32_principal_len);
            flick_iiop_decode_new_chunk(_t32_principal_len);
            flick_iiop_decode_end_chunk(_t32_principal_len);
            flick_iiop_decode_end_glob(_t32_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t33_storage);
            flick_iiop_decode_new_glob(411);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort192);
            flick_cdr_swap_decode_signed32(0, _local_arg->discriminator, int );
            flick_iiop_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  int _t37_storage[100];
                  unsigned int _t38_array_iter;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _local_arg->foo_u.one.one_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  if (_local_arg->foo_u.one.one_len > 100)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort205);
                  _local_arg->foo_u.one.one_val = (int *)_t37_storage;
                  flick_iiop_check_span(_local_arg->foo_u.one.one_len * 4, _flick_abort205);
                  for (_t38_array_iter = 0; _t38_array_iter < _local_arg->foo_u.one.one_len; _t38_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.one.one_val[_t38_array_iter], int );
                      flick_iiop_decode_end_chunk(4);
                      continue;
                    }
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort205:
                    goto _flick_abort192;
                  }
                }
              case 2:
                {
                  flick_unsigned32_t _t39_temp_string_len;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t39_temp_string_len, flick_unsigned32_t );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(411);
                  flick_iiop_decode_new_glob(1 * _t39_temp_string_len);
                  flick_iiop_check_span(1 * _t39_temp_string_len, _flick_abort211);
                  flick_iiop_decode_new_chunk(1 * _t39_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_arg->foo_u.two, char *);
                  flick_iiop_decode_end_chunk(1 * _t39_temp_string_len);
                  flick_iiop_decode_end_glob(1 * _t39_temp_string_len);
                  break;
                  {
                  _flick_abort211:
                    goto _flick_abort192;
                  }
                }
              case 3:
                {
                  flick_iiop_check_span(12, _flick_abort214);
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.three.slot_1, int );
                  flick_cdr_swap_decode_signed32(4, _local_arg->foo_u.three.slot_2, int );
                  flick_cdr_swap_decode_signed32(8, _local_arg->foo_u.three.slot_3, int );
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort214:
                    goto _flick_abort192;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort215);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort215:
                    goto _flick_abort192;
                  }
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort192);
              flick_iiop_encode_new_glob(412, _flick_abort192);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->discriminator, int );
                    flick_iiop_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_iiop_encode_new_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_cdr_encode_unsigned32(0, _return->foo_u.one.one_len, unsigned int );
                          if (_return->foo_u.one.one_len > 100)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort247);
                          flick_cdr_encode_bcopy(4, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                          flick_iiop_encode_end_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_iiop_encode_end_glob(412);
                          break;
                          {
                          _flick_abort247:
                            goto _flick_abort237;
                          }
                        }
                      case 2:
                        {
                          flick_unsigned32_t _t43_temp_string_len;

                          flick_cdr_stringlen(char *, _return->foo_u.two, flick_unsigned32_t , _t43_temp_string_len);

                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t43_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(412);
                          flick_iiop_encode_new_glob(1 * _t43_temp_string_len, _flick_abort250);
                          flick_iiop_encode_new_chunk(1 * _t43_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return->foo_u.two, 1 * _t43_temp_string_len);
                          flick_iiop_encode_end_chunk(1 * _t43_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t43_temp_string_len);
                          break;
                          {
                          _flick_abort250:
                            goto _flick_abort237;
                          }
                        }
                      case 3:
                        {
                          flick_iiop_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return->foo_u.three.slot_1, int );
                          flick_cdr_encode_signed32(4, _return->foo_u.three.slot_2, int );
                          flick_cdr_encode_signed32(8, _return->foo_u.three.slot_3, int );
                          flick_iiop_encode_end_chunk(12);
                          flick_iiop_encode_end_glob(412);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort254);
                          flick_iiop_encode_end_glob(412);
                          break;
                          {
                          _flick_abort254:
                            goto _flick_abort237;
                          }
                        }
                      }
                    break;
                    {
                    _flick_abort237:
                      goto _flick_abort192;
                    }
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(412);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort255);
                    break;
                    {
                    _flick_abort255:
                      goto _flick_abort192;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                    flick_iiop_encode_end_glob(412);
                    break;
                    {
                    _flick_abort256:
                      goto _flick_abort192;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort192:
              goto _flick_abort191;
            }
          }
          break;
          {
          _flick_abort191:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t9_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t9_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t10_principal_len;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t11_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort65);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t10_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t10_principal_len, _flick_abort65);
            flick_iiop_decode_new_glob(_t10_principal_len);
            flick_iiop_decode_new_chunk(_t10_principal_len);
            flick_iiop_decode_end_chunk(_t10_principal_len);
            flick_iiop_decode_end_glob(_t10_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t11_storage);
            flick_iiop_decode_new_glob(411);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort65);
            flick_cdr_decode_signed32(0, _local_arg->discriminator, int );
            flick_iiop_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _local_arg->foo_u.one.one_len, unsigned int );
                  if (_local_arg->foo_u.one.one_len > 100)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort75);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_check_span(4 * _local_arg->foo_u.one.one_len, _flick_abort75);
                  flick_iiop_decode_new_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_cdr_decode_msgptr(0, _local_arg->foo_u.one.one_val, int *);
                  flick_iiop_decode_end_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort75:
                    goto _flick_abort65;
                  }
                }
              case 2:
                {
                  flick_unsigned32_t _t13_temp_string_len;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t13_temp_string_len, flick_unsigned32_t );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(411);
                  flick_iiop_decode_new_glob(1 * _t13_temp_string_len);
                  flick_iiop_check_span(1 * _t13_temp_string_len, _flick_abort78);
                  flick_iiop_decode_new_chunk(1 * _t13_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_arg->foo_u.two, char *);
                  flick_iiop_decode_end_chunk(1 * _t13_temp_string_len);
                  flick_iiop_decode_end_glob(1 * _t13_temp_string_len);
                  break;
                  {
                  _flick_abort78:
                    goto _flick_abort65;
                  }
                }
              case 3:
                {
                  flick_iiop_check_span(12, _flick_abort81);
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.three.slot_1, int );
                  flick_cdr_decode_signed32(4, _local_arg->foo_u.three.slot_2, int );
                  flick_cdr_decode_signed32(8, _local_arg->foo_u.three.slot_3, int );
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort81:
                    goto _flick_abort65;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort82);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort82:
                    goto _flick_abort65;
                  }
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort65);
              flick_iiop_encode_new_glob(412, _flick_abort65);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->discriminator, int );
                    flick_iiop_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_iiop_encode_new_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_cdr_encode_unsigned32(0, _return->foo_u.one.one_len, unsigned int );
                          if (_return->foo_u.one.one_len > 100)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort114);
                          flick_cdr_encode_bcopy(4, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                          flick_iiop_encode_end_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_iiop_encode_end_glob(412);
                          break;
                          {
                          _flick_abort114:
                            goto _flick_abort104;
                          }
                        }
                      case 2:
                        {
                          flick_unsigned32_t _t17_temp_string_len;

                          flick_cdr_stringlen(char *, _return->foo_u.two, flick_unsigned32_t , _t17_temp_string_len);

                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t17_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(412);
                          flick_iiop_encode_new_glob(1 * _t17_temp_string_len, _flick_abort117);
                          flick_iiop_encode_new_chunk(1 * _t17_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return->foo_u.two, 1 * _t17_temp_string_len);
                          flick_iiop_encode_end_chunk(1 * _t17_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t17_temp_string_len);
                          break;
                          {
                          _flick_abort117:
                            goto _flick_abort104;
                          }
                        }
                      case 3:
                        {
                          flick_iiop_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return->foo_u.three.slot_1, int );
                          flick_cdr_encode_signed32(4, _return->foo_u.three.slot_2, int );
                          flick_cdr_encode_signed32(8, _return->foo_u.three.slot_3, int );
                          flick_iiop_encode_end_chunk(12);
                          flick_iiop_encode_end_glob(412);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort121);
                          flick_iiop_encode_end_glob(412);
                          break;
                          {
                          _flick_abort121:
                            goto _flick_abort104;
                          }
                        }
                      }
                    break;
                    {
                    _flick_abort104:
                      goto _flick_abort65;
                    }
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(412);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort122);
                    break;
                    {
                    _flick_abort122:
                      goto _flick_abort65;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort123);
                    flick_iiop_encode_end_glob(412);
                    break;
                    {
                    _flick_abort123:
                      goto _flick_abort65;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort65:
              goto _flick_abort64;
            }
          }
          break;
          {
          _flick_abort64:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

