#include "any-server.h"


static int _TAO_collocation_POA_I_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_I_Stub_Factory_Initializer(0);


POA_I::POA_I()
{}

POA_I::POA_I(const POA_I &rhs)
  : TAO_ServantBase(rhs)
{}

POA_I::~POA_I()
{}

I *POA_I::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_I (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return I::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_I::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:I:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_I::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:I:1.0") == 0)
    return ACE_static_cast(POA_I_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_I::_interface_repository_id() const
{
  return "IDL:I:1.0";
}

I_ptr _TAO_collocation_POA_I_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_I(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_I_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_I_Stub_Factory_function_pointer =
    _TAO_collocation_POA_I_Stub_Factory;

  return 0;
}

template <class T>
  POA_I_tie<T>::POA_I_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_I_tie<T>::POA_I_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_I_tie<T>::POA_I_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_I_tie<T>::POA_I_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_I_tie<T>::~POA_I_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_I_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_I_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_I_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_I_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_I_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_I_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_I_tie<T>::POA_I_tie(const POA_I_tie &c)
{}

template <class T>
  void POA_I_tie<T>::operator=(const POA_I_tie &c)
{}

template <class T>
  CORBA::Any *POA_I_tie<T>::op_any(/* POA_I *this, */ const CORBA::Any &a, CORBA::Any &b, CORBA::Any_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op_any (a, b, c, _ev);
}

template <class T>
  any_seq *POA_I_tie<T>::op_any_seq(/* POA_I *this, */ const any_seq &a, any_seq &b, any_seq_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op_any_seq (a, b, c, _ev);
}

template <class T>
  struct any_struct *POA_I_tie<T>::op_any_struct(/* POA_I *this, */ const struct any_struct &a, struct any_struct &b, any_struct_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op_any_struct (a, b, c, _ev);
}

_tao_thru_poa_collocated_I::_tao_thru_poa_collocated_I(TAO_Stub *stub)
  : I(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Any *_tao_thru_poa_collocated_I::op_any(const CORBA::Any &a, CORBA::Any &b, CORBA::Any_out c, CORBA::Environment &_ev)
{
  CORBA::Any * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op_any",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_I_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:I:1.0"
        )
    )->op_any (a, b, c, _ev);
}

any_seq *_tao_thru_poa_collocated_I::op_any_seq(const any_seq &a, any_seq &b, any_seq_out c, CORBA::Environment &_ev)
{
  any_seq * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op_any_seq",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_I_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:I:1.0"
        )
    )->op_any_seq (a, b, c, _ev);
}

struct any_struct *_tao_thru_poa_collocated_I::op_any_struct(const struct any_struct &a, struct any_struct &b, any_struct_out c, CORBA::Environment &_ev)
{
  struct any_struct * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op_any_struct",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_I_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:I:1.0"
        )
    )->op_any_struct (a, b, c, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_I::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_I_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:I:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_I::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_I_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:I:1.0"
        )
    )->_non_existent (_ev);
}
void POA_I::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t93_switch_tag;

      flick_iiopxx_decode_new_glob(24);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t93_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t93_switch_tag)
        {
        case (unsigned int) 7:
          {
            unsigned int _t94_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t94_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t94_switch_tag)
              {
              case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
                {
                  unsigned short int _t95_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t95_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t95_switch_tag)
                    {
                    case /* ny */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28281):
                      {
                        char _t96_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t96_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t96_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_I *_local_this;
                                unsigned int _t97_principal_len;
                                CORBA::Any *_return;
                                CORBA::Any _local_a;
                                CORBA::Any _local_b;
                                CORBA::Any *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort240);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_swap_decode_unsigned32(1, _t97_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t97_principal_len, _flick_abort240);
                                flick_iiopxx_decode_new_glob(_t97_principal_len);
                                flick_iiopxx_decode_new_chunk(_t97_principal_len);
                                flick_iiopxx_decode_end_chunk(_t97_principal_len);
                                flick_iiopxx_decode_end_glob(_t97_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_a, _flick_label168, _flick_abort240);
                                flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_b, _flick_label169, _flick_abort240);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->op_any(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t98_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t98_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort240);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort240);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t98_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t98_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdr_encode_type_tag_and_value(iiopxx, *_return, _flick_label173, _flick_abort245);
                                        delete _return;
                                        _return = (CORBA::Any *)0;
                                        flick_cdr_encode_type_tag_and_value(iiopxx, _local_b, _flick_label174, _flick_abort245);
                                        flick_cdr_encode_type_tag_and_value(iiopxx, *_local_c, _flick_label175, _flick_abort245);
                                        delete _local_c;
                                        _local_c = (CORBA::Any *)0;
                                        break;
                                        {
                                        _flick_abort245:
                                          goto _flick_abort240;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort246);
                                        break;
                                        {
                                        _flick_abort246:
                                          goto _flick_abort240;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort247:
                                          goto _flick_abort240;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort240:
                                  goto _flick_abort239;
                                }
                              }
                              break;
                              {
                              _flick_abort239:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 11:
          {
            unsigned int _t99_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t99_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t99_switch_tag)
              {
              case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
                {
                  unsigned int _t100_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t100_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t100_switch_tag)
                    {
                    case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                      {
                        unsigned short int _t101_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t101_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t101_switch_tag)
                          {
                          case /* eq */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25969):
                            {
                              char _t102_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t102_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t102_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_I *_local_this;
                                      unsigned int _t103_principal_len;
                                      any_seq *_return;
                                      any_seq _local_a;
                                      CORBA::ULong _t104_array_iter;
                                      any_seq _local_b;
                                      CORBA::ULong _t105_array_iter;
                                      any_seq *_local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort249);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_swap_decode_unsigned32(1, _t103_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t103_principal_len, _flick_abort249);
                                      flick_iiopxx_decode_new_glob(_t103_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t103_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t103_principal_len);
                                      flick_iiopxx_decode_end_glob(_t103_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort249);
                                      flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      {
                                        CORBA::Any *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Any *)new (CORBA::Any [_local_a._length]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                                        _local_a._buffer = _t_alloc_ptr;
                                        _local_a._maximum = _local_a._length;
                                        _local_a._release = 1;
                                      }
                                      for (_t104_array_iter = 0; _t104_array_iter < _local_a._length; _t104_array_iter++)
                                        {
                                          flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_a._buffer[_t104_array_iter], _flick_label180, _flick_abort253);
                                          continue;
                                          {
                                          _flick_abort253:
                                            goto _flick_abort249;
                                          }
                                        }
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort249);
                                      flick_cdr_swap_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      {
                                        CORBA::Any *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Any *)new (CORBA::Any [_local_b._length]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                                        _local_b._buffer = _t_alloc_ptr;
                                        _local_b._maximum = _local_b._length;
                                        _local_b._release = 1;
                                      }
                                      for (_t105_array_iter = 0; _t105_array_iter < _local_b._length; _t105_array_iter++)
                                        {
                                          flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_b._buffer[_t105_array_iter], _flick_label185, _flick_abort258);
                                          continue;
                                          {
                                          _flick_abort258:
                                            goto _flick_abort249;
                                          }
                                        }

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->op_any_seq(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t106_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t106_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort249);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort249);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t106_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t106_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              CORBA::ULong _t110_array_iter;
                                              CORBA::ULong _t111_array_iter;
                                              CORBA::ULong _t112_array_iter;

                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              for (_t110_array_iter = 0; _t110_array_iter < _return->_length; _t110_array_iter++)
                                                {
                                                  flick_cdr_encode_type_tag_and_value(iiopxx, _return->_buffer[_t110_array_iter], _flick_label205, _flick_abort283);
                                                  continue;
                                                  {
                                                  _flick_abort283:
                                                    goto _flick_abort279;
                                                  }
                                                }
                                              delete _return;
                                              _return = (any_seq *)0;
                                              flick_iiopxx_encode_new_glob(7, _flick_abort279);
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(7);
                                              for (_t111_array_iter = 0; _t111_array_iter < _local_b._length; _t111_array_iter++)
                                                {
                                                  flick_cdr_encode_type_tag_and_value(iiopxx, _local_b._buffer[_t111_array_iter], _flick_label210, _flick_abort288);
                                                  continue;
                                                  {
                                                  _flick_abort288:
                                                    goto _flick_abort279;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_glob(7, _flick_abort279);
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(7);
                                              for (_t112_array_iter = 0; _t112_array_iter < _local_c->_length; _t112_array_iter++)
                                                {
                                                  flick_cdr_encode_type_tag_and_value(iiopxx, _local_c->_buffer[_t112_array_iter], _flick_label215, _flick_abort293);
                                                  continue;
                                                  {
                                                  _flick_abort293:
                                                    goto _flick_abort279;
                                                  }
                                                }
                                              delete _local_c;
                                              _local_c = (any_seq *)0;
                                              break;
                                              {
                                              _flick_abort279:
                                                goto _flick_abort249;
                                              }
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort295);
                                              break;
                                              {
                                              _flick_abort295:
                                                goto _flick_abort249;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort296);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort296:
                                                goto _flick_abort249;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort249:
                                        goto _flick_abort248;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort248:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 14:
          {
            unsigned int _t113_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t113_switch_tag)
              {
              case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
                {
                  unsigned int _t114_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t114_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t114_switch_tag)
                    {
                    case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                      {
                        unsigned int _t115_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t115_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t115_switch_tag)
                          {
                          case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                            {
                              unsigned short int _t116_switch_tag;

                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t116_switch_tag, unsigned short int );
                              flick_iiopxx_decode_end_chunk(2);
                              switch ((unsigned short int )_t116_switch_tag)
                                {
                                case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                                  {
                                    {
                                      POA_I *_local_this;
                                      unsigned int _t117_principal_len;
                                      struct any_struct *_return;
                                      struct any_struct _local_a;
                                      struct any_struct _local_b;
                                      struct any_struct *_local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort298);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(6);
                                      flick_cdr_swap_decode_unsigned32(2, _t117_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(6);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t117_principal_len, _flick_abort298);
                                      flick_iiopxx_decode_new_glob(_t117_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t117_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t117_principal_len);
                                      flick_iiopxx_decode_end_glob(_t117_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort298);
                                      flick_cdr_swap_decode_signed32(0, _local_a.slot_1, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_a.slot_2, _flick_label216, _flick_abort298);
                                      flick_iiopxx_decode_new_glob(11);
                                      flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                      flick_iiopxx_check_span(8, _flick_abort298);
                                      flick_cdr_swap_decode_signed32(0, _local_a.slot_3, CORBA::Long );
                                      flick_cdr_swap_decode_signed32(4, _local_b.slot_1, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(8);
                                      flick_iiopxx_decode_end_glob(11);
                                      flick_cdr_swap_decode_type_tag_and_value(iiopxx, _local_b.slot_2, _flick_label217, _flick_abort298);
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort298);
                                      flick_cdr_swap_decode_signed32(0, _local_b.slot_3, CORBA::Long );

                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->op_any_struct(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t118_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t118_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort298);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort298);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t118_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t118_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return->slot_1, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_cdr_encode_type_tag_and_value(iiopxx, _return->slot_2, _flick_label221, _flick_abort303);
                                              flick_iiopxx_encode_new_glob(11, _flick_abort303);
                                              flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _return->slot_3, CORBA::Long );
                                              delete _return;
                                              _return = (struct any_struct *)0;
                                              flick_cdr_encode_signed32(4, _local_b.slot_1, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(8);
                                              flick_iiopxx_encode_end_glob(11);
                                              flick_cdr_encode_type_tag_and_value(iiopxx, _local_b.slot_2, _flick_label222, _flick_abort303);
                                              flick_iiopxx_encode_new_glob(11, _flick_abort303);
                                              flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _local_b.slot_3, CORBA::Long );
                                              flick_cdr_encode_signed32(4, _local_c->slot_1, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(8);
                                              flick_iiopxx_encode_end_glob(11);
                                              flick_cdr_encode_type_tag_and_value(iiopxx, _local_c->slot_2, _flick_label223, _flick_abort303);
                                              flick_iiopxx_encode_new_glob(7, _flick_abort303);
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _local_c->slot_3, CORBA::Long );
                                              delete _local_c;
                                              _local_c = (struct any_struct *)0;
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(7);
                                              break;
                                              {
                                              _flick_abort303:
                                                goto _flick_abort298;
                                              }
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort304);
                                              break;
                                              {
                                              _flick_abort304:
                                                goto _flick_abort298;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort305);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort305:
                                                goto _flick_abort298;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort298:
                                        goto _flick_abort297;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort297:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t119_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t119_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t119_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t120_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t120_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t120_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_I *_local_this;
                          unsigned int _t121_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t122_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort307);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t121_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t121_principal_len, _flick_abort307);
                          flick_iiopxx_decode_new_glob(_t121_principal_len);
                          flick_iiopxx_decode_new_chunk(_t121_principal_len);
                          flick_iiopxx_decode_end_chunk(_t121_principal_len);
                          flick_iiopxx_decode_end_glob(_t121_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort307);
                          flick_cdr_swap_decode_unsigned32(0, _t122_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t122_temp_string_len);
                          flick_iiopxx_check_span(1 * _t122_temp_string_len, _flick_abort307);
                          flick_iiopxx_decode_new_chunk(1 * _t122_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t122_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t122_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t123_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t123_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort307);
                            flick_iiopxx_encode_new_glob(5, _flick_abort307);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t123_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t123_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort315);
                                  break;
                                  {
                                  _flick_abort315:
                                    goto _flick_abort307;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort316);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort316:
                                    goto _flick_abort307;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort307:
                            goto _flick_abort306;
                          }
                        }
                        break;
                        {
                        _flick_abort306:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(24);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t31_switch_tag;

      flick_iiopxx_decode_new_glob(24);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t31_switch_tag)
        {
        case (unsigned int) 7:
          {
            unsigned int _t32_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t32_switch_tag)
              {
              case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
                {
                  unsigned short int _t33_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t33_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t33_switch_tag)
                    {
                    case /* ny */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28281):
                      {
                        char _t34_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t34_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t34_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_I *_local_this;
                                unsigned int _t35_principal_len;
                                CORBA::Any *_return;
                                CORBA::Any _local_a;
                                CORBA::Any _local_b;
                                CORBA::Any *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort83);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_decode_unsigned32(1, _t35_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t35_principal_len, _flick_abort83);
                                flick_iiopxx_decode_new_glob(_t35_principal_len);
                                flick_iiopxx_decode_new_chunk(_t35_principal_len);
                                flick_iiopxx_decode_end_chunk(_t35_principal_len);
                                flick_iiopxx_decode_end_glob(_t35_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_cdr_decode_type_tag_and_value(iiopxx, _local_a, _flick_label56, _flick_abort83);
                                flick_cdr_decode_type_tag_and_value(iiopxx, _local_b, _flick_label57, _flick_abort83);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->op_any(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t36_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t36_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort83);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort83);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t36_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t36_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdr_encode_type_tag_and_value(iiopxx, *_return, _flick_label61, _flick_abort88);
                                        delete _return;
                                        _return = (CORBA::Any *)0;
                                        flick_cdr_encode_type_tag_and_value(iiopxx, _local_b, _flick_label62, _flick_abort88);
                                        flick_cdr_encode_type_tag_and_value(iiopxx, *_local_c, _flick_label63, _flick_abort88);
                                        delete _local_c;
                                        _local_c = (CORBA::Any *)0;
                                        break;
                                        {
                                        _flick_abort88:
                                          goto _flick_abort83;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort89);
                                        break;
                                        {
                                        _flick_abort89:
                                          goto _flick_abort83;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort90);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort90:
                                          goto _flick_abort83;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort83:
                                  goto _flick_abort82;
                                }
                              }
                              break;
                              {
                              _flick_abort82:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 11:
          {
            unsigned int _t37_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t37_switch_tag)
              {
              case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
                {
                  unsigned int _t38_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t38_switch_tag)
                    {
                    case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                      {
                        unsigned short int _t39_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t39_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t39_switch_tag)
                          {
                          case /* eq */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25969):
                            {
                              char _t40_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t40_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t40_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_I *_local_this;
                                      unsigned int _t41_principal_len;
                                      any_seq *_return;
                                      any_seq _local_a;
                                      CORBA::ULong _t42_array_iter;
                                      any_seq _local_b;
                                      CORBA::ULong _t43_array_iter;
                                      any_seq *_local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort92);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_decode_unsigned32(1, _t41_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t41_principal_len, _flick_abort92);
                                      flick_iiopxx_decode_new_glob(_t41_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t41_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t41_principal_len);
                                      flick_iiopxx_decode_end_glob(_t41_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort92);
                                      flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      {
                                        CORBA::Any *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Any *)new (CORBA::Any [_local_a._length]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort92);
                                        _local_a._buffer = _t_alloc_ptr;
                                        _local_a._maximum = _local_a._length;
                                        _local_a._release = 1;
                                      }
                                      for (_t42_array_iter = 0; _t42_array_iter < _local_a._length; _t42_array_iter++)
                                        {
                                          flick_cdr_decode_type_tag_and_value(iiopxx, _local_a._buffer[_t42_array_iter], _flick_label68, _flick_abort96);
                                          continue;
                                          {
                                          _flick_abort96:
                                            goto _flick_abort92;
                                          }
                                        }
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort92);
                                      flick_cdr_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      {
                                        CORBA::Any *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Any *)new (CORBA::Any [_local_b._length]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort92);
                                        _local_b._buffer = _t_alloc_ptr;
                                        _local_b._maximum = _local_b._length;
                                        _local_b._release = 1;
                                      }
                                      for (_t43_array_iter = 0; _t43_array_iter < _local_b._length; _t43_array_iter++)
                                        {
                                          flick_cdr_decode_type_tag_and_value(iiopxx, _local_b._buffer[_t43_array_iter], _flick_label73, _flick_abort101);
                                          continue;
                                          {
                                          _flick_abort101:
                                            goto _flick_abort92;
                                          }
                                        }

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->op_any_seq(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t44_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t44_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort92);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort92);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t44_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t44_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              CORBA::ULong _t48_array_iter;
                                              CORBA::ULong _t49_array_iter;
                                              CORBA::ULong _t50_array_iter;

                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              for (_t48_array_iter = 0; _t48_array_iter < _return->_length; _t48_array_iter++)
                                                {
                                                  flick_cdr_encode_type_tag_and_value(iiopxx, _return->_buffer[_t48_array_iter], _flick_label93, _flick_abort126);
                                                  continue;
                                                  {
                                                  _flick_abort126:
                                                    goto _flick_abort122;
                                                  }
                                                }
                                              delete _return;
                                              _return = (any_seq *)0;
                                              flick_iiopxx_encode_new_glob(7, _flick_abort122);
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(7);
                                              for (_t49_array_iter = 0; _t49_array_iter < _local_b._length; _t49_array_iter++)
                                                {
                                                  flick_cdr_encode_type_tag_and_value(iiopxx, _local_b._buffer[_t49_array_iter], _flick_label98, _flick_abort131);
                                                  continue;
                                                  {
                                                  _flick_abort131:
                                                    goto _flick_abort122;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_glob(7, _flick_abort122);
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(7);
                                              for (_t50_array_iter = 0; _t50_array_iter < _local_c->_length; _t50_array_iter++)
                                                {
                                                  flick_cdr_encode_type_tag_and_value(iiopxx, _local_c->_buffer[_t50_array_iter], _flick_label103, _flick_abort136);
                                                  continue;
                                                  {
                                                  _flick_abort136:
                                                    goto _flick_abort122;
                                                  }
                                                }
                                              delete _local_c;
                                              _local_c = (any_seq *)0;
                                              break;
                                              {
                                              _flick_abort122:
                                                goto _flick_abort92;
                                              }
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort138);
                                              break;
                                              {
                                              _flick_abort138:
                                                goto _flick_abort92;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort139);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort139:
                                                goto _flick_abort92;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort92:
                                        goto _flick_abort91;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort91:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 14:
          {
            unsigned int _t51_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t51_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t51_switch_tag)
              {
              case /* op_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635425):
                {
                  unsigned int _t52_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t52_switch_tag)
                    {
                    case /* ny_s */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1853448051):
                      {
                        unsigned int _t53_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t53_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t53_switch_tag)
                          {
                          case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                            {
                              unsigned short int _t54_switch_tag;

                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t54_switch_tag, unsigned short int );
                              flick_iiopxx_decode_end_chunk(2);
                              switch ((unsigned short int )_t54_switch_tag)
                                {
                                case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                                  {
                                    {
                                      POA_I *_local_this;
                                      unsigned int _t55_principal_len;
                                      struct any_struct *_return;
                                      struct any_struct _local_a;
                                      struct any_struct _local_b;
                                      struct any_struct *_local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort141);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(6);
                                      flick_cdr_decode_unsigned32(2, _t55_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(6);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t55_principal_len, _flick_abort141);
                                      flick_iiopxx_decode_new_glob(_t55_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t55_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t55_principal_len);
                                      flick_iiopxx_decode_end_glob(_t55_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort141);
                                      flick_cdr_decode_signed32(0, _local_a.slot_1, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      flick_cdr_decode_type_tag_and_value(iiopxx, _local_a.slot_2, _flick_label104, _flick_abort141);
                                      flick_iiopxx_decode_new_glob(11);
                                      flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                      flick_iiopxx_check_span(8, _flick_abort141);
                                      flick_cdr_decode_signed32(0, _local_a.slot_3, CORBA::Long );
                                      flick_cdr_decode_signed32(4, _local_b.slot_1, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(8);
                                      flick_iiopxx_decode_end_glob(11);
                                      flick_cdr_decode_type_tag_and_value(iiopxx, _local_b.slot_2, _flick_label105, _flick_abort141);
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort141);
                                      flick_cdr_decode_signed32(0, _local_b.slot_3, CORBA::Long );

                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->op_any_struct(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t56_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t56_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort141);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort141);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t56_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t56_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return->slot_1, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_cdr_encode_type_tag_and_value(iiopxx, _return->slot_2, _flick_label109, _flick_abort146);
                                              flick_iiopxx_encode_new_glob(11, _flick_abort146);
                                              flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _return->slot_3, CORBA::Long );
                                              delete _return;
                                              _return = (struct any_struct *)0;
                                              flick_cdr_encode_signed32(4, _local_b.slot_1, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(8);
                                              flick_iiopxx_encode_end_glob(11);
                                              flick_cdr_encode_type_tag_and_value(iiopxx, _local_b.slot_2, _flick_label110, _flick_abort146);
                                              flick_iiopxx_encode_new_glob(11, _flick_abort146);
                                              flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _local_b.slot_3, CORBA::Long );
                                              flick_cdr_encode_signed32(4, _local_c->slot_1, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(8);
                                              flick_iiopxx_encode_end_glob(11);
                                              flick_cdr_encode_type_tag_and_value(iiopxx, _local_c->slot_2, _flick_label111, _flick_abort146);
                                              flick_iiopxx_encode_new_glob(7, _flick_abort146);
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _local_c->slot_3, CORBA::Long );
                                              delete _local_c;
                                              _local_c = (struct any_struct *)0;
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(7);
                                              break;
                                              {
                                              _flick_abort146:
                                                goto _flick_abort141;
                                              }
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort147);
                                              break;
                                              {
                                              _flick_abort147:
                                                goto _flick_abort141;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort148);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort148:
                                                goto _flick_abort141;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort141:
                                        goto _flick_abort140;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort140:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t57_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t57_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t58_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t58_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_I *_local_this;
                          unsigned int _t59_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t60_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort150);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t59_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t59_principal_len, _flick_abort150);
                          flick_iiopxx_decode_new_glob(_t59_principal_len);
                          flick_iiopxx_decode_new_chunk(_t59_principal_len);
                          flick_iiopxx_decode_end_chunk(_t59_principal_len);
                          flick_iiopxx_decode_end_glob(_t59_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort150);
                          flick_cdr_decode_unsigned32(0, _t60_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t60_temp_string_len);
                          flick_iiopxx_check_span(1 * _t60_temp_string_len, _flick_abort150);
                          flick_iiopxx_decode_new_chunk(1 * _t60_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t60_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t60_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t61_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t61_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort150);
                            flick_iiopxx_encode_new_glob(5, _flick_abort150);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t61_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t61_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort158);
                                  break;
                                  {
                                  _flick_abort158:
                                    goto _flick_abort150;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort159);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort159:
                                    goto _flick_abort150;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort150:
                            goto _flick_abort149;
                          }
                        }
                        break;
                        {
                        _flick_abort149:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(24);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
