#ifndef _interface__client_h_
#define _interface__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class long10 {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Long *_buffer;
  CORBA::Boolean _release;
  long10();
  long10(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
  long10(const long10 &o);
  virtual ~long10();
  long10 &operator=(const long10 &rhs);
  CORBA::Long &operator[](CORBA::ULong i);
  const CORBA::Long &operator[](CORBA::ULong i) const;
  static CORBA::Long *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Long *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Long *get_buffer() const;
} ;


typedef long10 *long10_ptr;

class long10_var {

public:
  long10_var();
  long10_var(long10 *p);
  long10_var(const long10_var &a);
  ~long10_var();
  long10_var &operator=(long10 *p);
  long10_var &operator=(const long10_var &p);
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  long10 *operator->();
  const long10 *operator->() const;
  operator const long10 &() const;
  operator long10 &();
  operator long10 &() const;
  const long10 &in() const;
  long10 &inout();
  long10 *&out();
  long10 *_retn();
  long10 *ptr() const;

private:
  long10_ptr ptr_;
} ;


class long10_out {

public:
  long10_out(long10 *&r);
  long10_out(long10_var &r);
  long10_out(const long10_out &r);
  long10_out &operator=(const long10_out &r);

private:
  long10_out &operator=(const long10_var &r);

public:
  long10_out &operator=(long10 *r);
  operator long10 *&();
  long10 *&ptr();
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  long10 *operator->();

private:
  long10_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const long10 &o);

void operator<<=(CORBA::Any &a, long10 *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, long10 *&o);

class math ;


typedef math *math_ptr;

class math_var {

public:
  math_var();
  math_var(math_ptr p);
  math_var(const math_var &a);
  ~math_var();
  math_var &operator=(math_ptr p);
  math_var &operator=(const math_var &p);
  math_ptr operator->() const;
  operator const math_ptr &() const;
  operator math_ptr &();
  math_ptr in() const;
  math_ptr &inout();
  math_ptr &out();
  math_ptr _retn();
  math_ptr ptr() const;

private:
  math_ptr ptr_;
} ;


class math_out {

public:
  math_out(math_ptr &r);
  math_out(math_var &r);
  math_out(const math_out &r);
  math_out &operator=(const math_out &r);
  math_out &operator=(const math_var &r);
  math_out &operator=(math_ptr r);
  operator math_ptr &();
  math_ptr &ptr();
  math_ptr operator->();

private:
  math_ptr &ptr_;
} ;


class math : public virtual ACE_CORBA_1 (Object) {

public:
  static math_ptr _duplicate(math_ptr obj);
  static math_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static math_ptr _unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static math_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *_type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  math();
  virtual ~math();

private:
  math(const math &v);
  void operator=(const math &v);

public:
  virtual CORBA::Short addshort(/* math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
  virtual CORBA::Short subshort(/* math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
  virtual CORBA::Short multshort(/* math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
  virtual CORBA::Long addlong(/* math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
  virtual CORBA::Long sublong(/* math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
  virtual CORBA::Long multlong(/* math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
  virtual CORBA::Long addlonglist(/* math *this, */ const long10 &a, CORBA::Environment &_ev);
  virtual CORBA::Long multlonglist(/* math *this, */ const long10 &a, CORBA::Environment &_ev);

protected:
  math(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


void operator<<=(CORBA::Any &a, math_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, math_ptr &o);

extern CORBA::TypeCode_ptr _tc_long10;

extern CORBA::TypeCode_ptr _tc_math;

extern math_ptr (*_TAO_collocation_math_Stub_Factory_function_pointer)(CORBA::Object_ptr obj);

#endif /* _interface__client_h_ */
