#ifndef _parm__server_h_
#define _parm__server_h_

#include "parm_-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_intf ;


typedef POA_intf *POA_intf_ptr;

class POA_intf : public virtual PortableServer::ServantBase {

protected:
  POA_intf();

public:
  POA_intf(const POA_intf &rhs);
  virtual ~POA_intf();
  intf *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Short Short(/* POA_intf *this, */ CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long Long(/* POA_intf *this, */ CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::LongLong LongLong(/* POA_intf *this, */ CORBA::LongLong a, CORBA::LongLong &b, ::CORBA::LongLong &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::UShort UShort(/* POA_intf *this, */ CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::ULong ULong(/* POA_intf *this, */ CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::ULongLong ULongLong(/* POA_intf *this, */ CORBA::ULongLong a, CORBA::ULongLong &b, ::CORBA::ULongLong &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Float Float(/* POA_intf *this, */ CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Double Double(/* POA_intf *this, */ CORBA::Double a, CORBA::Double &b, ::CORBA::Double &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Boolean Boolean(/* POA_intf *this, */ CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Char Char(/* POA_intf *this, */ CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Octet Octet(/* POA_intf *this, */ CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev) = 0;
  virtual enum Enumeration Enum(/* POA_intf *this, */ enum Enumeration a, enum Enumeration &b, Enumeration_out c, CORBA::Environment &_ev) = 0;
  virtual intf_ptr ObjectRef(/* POA_intf *this, */ intf_ptr a, intf_ptr &b, intf_out c, CORBA::Environment &_ev) = 0;
  virtual struct FStruct FixedStruct(/* POA_intf *this, */ const struct FStruct &a, struct FStruct &b, FStruct_out c, CORBA::Environment &_ev) = 0;
  virtual struct VStruct *VarStruct(/* POA_intf *this, */ const struct VStruct &a, struct VStruct &b, VStruct_out c, CORBA::Environment &_ev) = 0;
  virtual FUnion FixedUnion(/* POA_intf *this, */ const FUnion &a, FUnion &b, FUnion_out c, CORBA::Environment &_ev) = 0;
  virtual VUnion *VarUnion(/* POA_intf *this, */ const VUnion &a, VUnion &b, VUnion_out c, CORBA::Environment &_ev) = 0;
  virtual char *String(/* POA_intf *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev) = 0;
  virtual char *BoundString(/* POA_intf *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev) = 0;
  virtual BFSequence *BoundedFixedSequence(/* POA_intf *this, */ const BFSequence &a, BFSequence &b, BFSequence_out c, CORBA::Environment &_ev) = 0;
  virtual BVSequence *BoundedVarSequence(/* POA_intf *this, */ const BVSequence &a, BVSequence &b, BVSequence_out c, CORBA::Environment &_ev) = 0;
  virtual UFSequence *FixedSequence(/* POA_intf *this, */ const UFSequence &a, UFSequence &b, UFSequence_out c, CORBA::Environment &_ev) = 0;
  virtual UVSequence *VarSequence(/* POA_intf *this, */ const UVSequence &a, UVSequence &b, UVSequence_out c, CORBA::Environment &_ev) = 0;
  virtual FArray_slice *FixedArray(/* POA_intf *this, */ const FArray a, FArray b, FArray_out c, CORBA::Environment &_ev) = 0;
  virtual VArray_slice *VarArray(/* POA_intf *this, */ const VArray a, VArray b, VArray_out c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_intf_tie : public POA_intf {

  public:
    POA_intf_tie(T &t);
    POA_intf_tie(T &t, PortableServer::POA_ptr poa);
    POA_intf_tie(T *t, CORBA::Boolean release = 1);
    POA_intf_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_intf_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_intf_tie(const POA_intf_tie &c);
    void operator=(const POA_intf_tie &c);

  public:
    CORBA::Short Short(/* POA_intf *this, */ CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev);
    CORBA::Long Long(/* POA_intf *this, */ CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev);
    CORBA::LongLong LongLong(/* POA_intf *this, */ CORBA::LongLong a, CORBA::LongLong &b, ::CORBA::LongLong &c, CORBA::Environment &_ev);
    CORBA::UShort UShort(/* POA_intf *this, */ CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev);
    CORBA::ULong ULong(/* POA_intf *this, */ CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev);
    CORBA::ULongLong ULongLong(/* POA_intf *this, */ CORBA::ULongLong a, CORBA::ULongLong &b, ::CORBA::ULongLong &c, CORBA::Environment &_ev);
    CORBA::Float Float(/* POA_intf *this, */ CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev);
    CORBA::Double Double(/* POA_intf *this, */ CORBA::Double a, CORBA::Double &b, ::CORBA::Double &c, CORBA::Environment &_ev);
    CORBA::Boolean Boolean(/* POA_intf *this, */ CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev);
    CORBA::Char Char(/* POA_intf *this, */ CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev);
    CORBA::Octet Octet(/* POA_intf *this, */ CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev);
    enum Enumeration Enum(/* POA_intf *this, */ enum Enumeration a, enum Enumeration &b, Enumeration_out c, CORBA::Environment &_ev);
    intf_ptr ObjectRef(/* POA_intf *this, */ intf_ptr a, intf_ptr &b, intf_out c, CORBA::Environment &_ev);
    struct FStruct FixedStruct(/* POA_intf *this, */ const struct FStruct &a, struct FStruct &b, FStruct_out c, CORBA::Environment &_ev);
    struct VStruct *VarStruct(/* POA_intf *this, */ const struct VStruct &a, struct VStruct &b, VStruct_out c, CORBA::Environment &_ev);
    FUnion FixedUnion(/* POA_intf *this, */ const FUnion &a, FUnion &b, FUnion_out c, CORBA::Environment &_ev);
    VUnion *VarUnion(/* POA_intf *this, */ const VUnion &a, VUnion &b, VUnion_out c, CORBA::Environment &_ev);
    char *String(/* POA_intf *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev);
    char *BoundString(/* POA_intf *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev);
    BFSequence *BoundedFixedSequence(/* POA_intf *this, */ const BFSequence &a, BFSequence &b, BFSequence_out c, CORBA::Environment &_ev);
    BVSequence *BoundedVarSequence(/* POA_intf *this, */ const BVSequence &a, BVSequence &b, BVSequence_out c, CORBA::Environment &_ev);
    UFSequence *FixedSequence(/* POA_intf *this, */ const UFSequence &a, UFSequence &b, UFSequence_out c, CORBA::Environment &_ev);
    UVSequence *VarSequence(/* POA_intf *this, */ const UVSequence &a, UVSequence &b, UVSequence_out c, CORBA::Environment &_ev);
    FArray_slice *FixedArray(/* POA_intf *this, */ const FArray a, FArray b, FArray_out c, CORBA::Environment &_ev);
    VArray_slice *VarArray(/* POA_intf *this, */ const VArray a, VArray b, VArray_out c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


intf_ptr _TAO_collocation_POA_intf_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_intf_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_intf : public virtual intf {

public:
  _tao_thru_poa_collocated_intf(TAO_Stub *stub);
  virtual CORBA::Short Short(CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev);
  virtual CORBA::Long Long(CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::LongLong LongLong(CORBA::LongLong a, CORBA::LongLong &b, ::CORBA::LongLong &c, CORBA::Environment &_ev);
  virtual CORBA::UShort UShort(CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev);
  virtual CORBA::ULong ULong(CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev);
  virtual CORBA::ULongLong ULongLong(CORBA::ULongLong a, CORBA::ULongLong &b, ::CORBA::ULongLong &c, CORBA::Environment &_ev);
  virtual CORBA::Float Float(CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev);
  virtual CORBA::Double Double(CORBA::Double a, CORBA::Double &b, ::CORBA::Double &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean Boolean(CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev);
  virtual CORBA::Char Char(CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev);
  virtual CORBA::Octet Octet(CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev);
  virtual enum Enumeration Enum(enum Enumeration a, enum Enumeration &b, Enumeration_out c, CORBA::Environment &_ev);
  virtual intf_ptr ObjectRef(intf_ptr a, intf_ptr &b, intf_out c, CORBA::Environment &_ev);
  virtual struct FStruct FixedStruct(const struct FStruct &a, struct FStruct &b, FStruct_out c, CORBA::Environment &_ev);
  virtual struct VStruct *VarStruct(const struct VStruct &a, struct VStruct &b, VStruct_out c, CORBA::Environment &_ev);
  virtual FUnion FixedUnion(const FUnion &a, FUnion &b, FUnion_out c, CORBA::Environment &_ev);
  virtual VUnion *VarUnion(const VUnion &a, VUnion &b, VUnion_out c, CORBA::Environment &_ev);
  virtual char *String(const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev);
  virtual char *BoundString(const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev);
  virtual BFSequence *BoundedFixedSequence(const BFSequence &a, BFSequence &b, BFSequence_out c, CORBA::Environment &_ev);
  virtual BVSequence *BoundedVarSequence(const BVSequence &a, BVSequence &b, BVSequence_out c, CORBA::Environment &_ev);
  virtual UFSequence *FixedSequence(const UFSequence &a, UFSequence &b, UFSequence_out c, CORBA::Environment &_ev);
  virtual UVSequence *VarSequence(const UVSequence &a, UVSequence &b, UVSequence_out c, CORBA::Environment &_ev);
  virtual FArray_slice *FixedArray(const FArray a, FArray b, FArray_out c, CORBA::Environment &_ev);
  virtual VArray_slice *VarArray(const VArray a, VArray b, VArray_out c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _parm__server_h_ */
