#include "sequence-server.h"


static int _TAO_collocation_POA_TestSeq_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_TestSeq_Stub_Factory_Initializer(0);


POA_TestSeq::POA_TestSeq()
{}

POA_TestSeq::POA_TestSeq(const POA_TestSeq &rhs)
  : TAO_ServantBase(rhs)
{}

POA_TestSeq::~POA_TestSeq()
{}

TestSeq *POA_TestSeq::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_TestSeq (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return TestSeq::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_TestSeq::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:TestSeq:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_TestSeq::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:TestSeq:1.0") == 0)
    return ACE_static_cast(POA_TestSeq_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_TestSeq::_interface_repository_id() const
{
  return "IDL:TestSeq:1.0";
}

TestSeq_ptr _TAO_collocation_POA_TestSeq_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_TestSeq(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_TestSeq_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_TestSeq_Stub_Factory_function_pointer =
    _TAO_collocation_POA_TestSeq_Stub_Factory;

  return 0;
}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_TestSeq_tie<T>::~POA_TestSeq_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_TestSeq_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_TestSeq_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_TestSeq_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_TestSeq_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_TestSeq_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_TestSeq_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_TestSeq_tie<T>::POA_TestSeq_tie(const POA_TestSeq_tie &c)
{}

template <class T>
  void POA_TestSeq_tie<T>::operator=(const POA_TestSeq_tie &c)
{}

template <class T>
  vec10 *POA_TestSeq_tie<T>::op(/* POA_TestSeq *this, */ const vec10 &iv, vec10_out ov, vec10 &iov, CORBA::Environment &_ev)
{
  return this->ptr_->op (iv, ov, iov, _ev);
}

_tao_thru_poa_collocated_TestSeq::_tao_thru_poa_collocated_TestSeq(TAO_Stub *stub)
  : TestSeq(),
    CORBA_Object(stub, 0, 1)
{
}

vec10 *_tao_thru_poa_collocated_TestSeq::op(const vec10 &iv, vec10_out ov, vec10 &iov, CORBA::Environment &_ev)
{
  vec10 * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_TestSeq_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:TestSeq:1.0"
        )
    )->op (iv, ov, iov, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_TestSeq::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_TestSeq_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:TestSeq:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_TestSeq::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_TestSeq_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:TestSeq:1.0"
        )
    )->_non_existent (_ev);
}
void POA_TestSeq::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t38_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t38_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t38_switch_tag)
        {
        case (unsigned int) 3:
          {
            unsigned short int _t39_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t39_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t39_switch_tag)
              {
              case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
                {
                  char _t40_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t40_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t40_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_TestSeq *_local_this;
                          unsigned int _t41_principal_len;
                          vec10 *_return;
                          vec10 _local_iv;
                          CORBA::ULong _t42_array_iter;
                          vec10 *_local_ov;
                          vec10 _local_iov;
                          CORBA::ULong _t43_array_iter;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort138);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_unsigned32(1, _t41_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t41_principal_len, _flick_abort138);
                          flick_iiopxx_decode_new_glob(_t41_principal_len);
                          flick_iiopxx_decode_new_chunk(_t41_principal_len);
                          flick_iiopxx_decode_end_chunk(_t41_principal_len);
                          flick_iiopxx_decode_end_glob(_t41_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(91);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort138);
                          flick_cdr_swap_decode_unsigned32(0, _local_iv._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          if (_local_iv._length > 10)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort138);
                          flick_iiopxx_check_span(_local_iv._length * 4 + 4, _flick_abort138);
                          for (_t42_array_iter = 0; _t42_array_iter < _local_iv._length; _t42_array_iter++)
                            {
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_iv._buffer[_t42_array_iter], CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              continue;
                            }
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _local_iov._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          if (_local_iov._length > 10)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort138);
                          flick_iiopxx_check_span(_local_iov._length * 4, _flick_abort138);
                          for (_t43_array_iter = 0; _t43_array_iter < _local_iov._length; _t43_array_iter++)
                            {
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_iov._buffer[_t43_array_iter], CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              continue;
                            }

                          flick_iiopxx_decode_end_glob(91);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->op(_local_iv, _local_ov, _local_iov, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t44_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t44_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort138);
                            flick_iiopxx_encode_new_glob(136, _flick_abort138);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t44_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t44_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4 + 4 * _return->_length);
                                  flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                  if (_return->_length > 10)
                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort162);
                                  flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                  flick_iiopxx_encode_end_chunk(4 + 4 * _return->_length);
                                  delete _return;
                                  _return = (vec10 *)0;
                                  flick_iiopxx_encode_new_chunk(4 + 4 * _local_ov->_length);
                                  flick_cdr_encode_unsigned32(0, _local_ov->_length, CORBA::ULong );
                                  if (_local_ov->_length > 10)
                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort162);
                                  flick_cdr_encode_bcopy(4, _local_ov->_buffer, 4 * _local_ov->_length);
                                  flick_iiopxx_encode_end_chunk(4 + 4 * _local_ov->_length);
                                  delete _local_ov;
                                  _local_ov = (vec10 *)0;
                                  flick_iiopxx_encode_new_chunk(4 + 4 * _local_iov._length);
                                  flick_cdr_encode_unsigned32(0, _local_iov._length, CORBA::ULong );
                                  if (_local_iov._length > 10)
                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort162);
                                  flick_cdr_encode_bcopy(4, _local_iov._buffer, 4 * _local_iov._length);
                                  flick_iiopxx_encode_end_chunk(4 + 4 * _local_iov._length);
                                  flick_iiopxx_encode_end_glob(136);
                                  break;
                                  {
                                  _flick_abort162:
                                    goto _flick_abort138;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(136);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort169);
                                  break;
                                  {
                                  _flick_abort169:
                                    goto _flick_abort138;
                                  }
                                }
                              default:
                                {
                                  flick_corbaxx_env _t46_temp_env;

                                  flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t46_temp_env);

                                  switch ((unsigned int )(1+strlen(_t46_temp_env._id)))
                                    {
                                    case (unsigned int) 13:
                                      {
                                        switch (*(unsigned int *)(_t46_temp_env._id + 0))
                                          {
                                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                            {
                                              switch (*(unsigned int *)(_t46_temp_env._id + 4))
                                                {
                                                case /* puke */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                                                  {
                                                    switch (*(unsigned int *)(_t46_temp_env._id + 8))
                                                      {
                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                        {
                                                          switch (*(char *)(_t46_temp_env._id + 12))
                                                            {
                                                            case 0:
                                                              {
                                                                flick_iiopxx_encode_new_chunk(24);
                                                                flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                flick_cdr_encode_char8(8, 'p', flick_char8_t );
                                                                flick_cdr_encode_char8(9, 'u', flick_char8_t );
                                                                flick_cdr_encode_char8(10, 'k', flick_char8_t );
                                                                flick_cdr_encode_char8(11, 'e', flick_char8_t );
                                                                flick_cdr_encode_char8(12, ':', flick_char8_t );
                                                                flick_cdr_encode_char8(13, '1', flick_char8_t );
                                                                flick_cdr_encode_char8(14, '.', flick_char8_t );
                                                                flick_cdr_encode_char8(15, '0', flick_char8_t );
                                                                flick_cdr_encode_char8(16, 0, flick_char8_t );
                                                                flick_cdr_encode_signed32(20, ((puke *)(_t46_temp_env._user_except))->reason, CORBA::Long );
                                                                flick_iiopxx_encode_end_chunk(24);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort170);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort170);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort170);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort170);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort170);
                                        break;
                                      }
                                    }
                                  flick_iiopxx_encode_end_glob(136);
                                  break;
                                  {
                                  _flick_abort170:
                                    goto _flick_abort138;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort138:
                            goto _flick_abort137;
                          }
                        }
                        break;
                        {
                        _flick_abort137:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t47_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t47_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t47_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t48_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t48_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t48_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_TestSeq *_local_this;
                          unsigned int _t49_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t50_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort175);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t49_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t49_principal_len, _flick_abort175);
                          flick_iiopxx_decode_new_glob(_t49_principal_len);
                          flick_iiopxx_decode_new_chunk(_t49_principal_len);
                          flick_iiopxx_decode_end_chunk(_t49_principal_len);
                          flick_iiopxx_decode_end_glob(_t49_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort175);
                          flick_cdr_swap_decode_unsigned32(0, _t50_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t50_temp_string_len);
                          flick_iiopxx_check_span(1 * _t50_temp_string_len, _flick_abort175);
                          flick_iiopxx_decode_new_chunk(1 * _t50_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t50_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t50_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t51_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t51_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort175);
                            flick_iiopxx_encode_new_glob(5, _flick_abort175);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t51_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t51_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort183);
                                  break;
                                  {
                                  _flick_abort183:
                                    goto _flick_abort175;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort184:
                                    goto _flick_abort175;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort175:
                            goto _flick_abort174;
                          }
                        }
                        break;
                        {
                        _flick_abort174:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t12_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t12_switch_tag)
        {
        case (unsigned int) 3:
          {
            unsigned short int _t13_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t13_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t13_switch_tag)
              {
              case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
                {
                  char _t14_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t14_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t14_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_TestSeq *_local_this;
                          unsigned int _t15_principal_len;
                          vec10 *_return;
                          vec10 _local_iv;
                          vec10 *_local_ov;
                          vec10 _local_iov;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort47);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_unsigned32(1, _t15_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t15_principal_len, _flick_abort47);
                          flick_iiopxx_decode_new_glob(_t15_principal_len);
                          flick_iiopxx_decode_new_chunk(_t15_principal_len);
                          flick_iiopxx_decode_end_chunk(_t15_principal_len);
                          flick_iiopxx_decode_end_glob(_t15_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(91);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort47);
                          flick_cdr_decode_unsigned32(0, _local_iv._length, CORBA::ULong );
                          if (_local_iv._length > 10)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort47);
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_check_span(4 * _local_iv._length + 4, _flick_abort47);
                          flick_iiopxx_decode_new_chunk(4 * _local_iv._length);
                          flick_cdr_decode_bcopy(0, _local_iv._buffer, 4 * _local_iv._length);
                          flick_iiopxx_decode_end_chunk(4 * _local_iv._length);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _local_iov._length, CORBA::ULong );
                          if (_local_iov._length > 10)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort47);
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_check_span(4 * _local_iov._length, _flick_abort47);
                          flick_iiopxx_decode_new_chunk(4 * _local_iov._length);
                          flick_cdr_decode_bcopy(0, _local_iov._buffer, 4 * _local_iov._length);
                          flick_iiopxx_decode_end_chunk(4 * _local_iov._length);

                          flick_iiopxx_decode_end_glob(91);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->op(_local_iv, _local_ov, _local_iov, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t16_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t16_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort47);
                            flick_iiopxx_encode_new_glob(136, _flick_abort47);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t16_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t16_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4 + 4 * _return->_length);
                                  flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                  if (_return->_length > 10)
                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort65);
                                  flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                  flick_iiopxx_encode_end_chunk(4 + 4 * _return->_length);
                                  delete _return;
                                  _return = (vec10 *)0;
                                  flick_iiopxx_encode_new_chunk(4 + 4 * _local_ov->_length);
                                  flick_cdr_encode_unsigned32(0, _local_ov->_length, CORBA::ULong );
                                  if (_local_ov->_length > 10)
                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort65);
                                  flick_cdr_encode_bcopy(4, _local_ov->_buffer, 4 * _local_ov->_length);
                                  flick_iiopxx_encode_end_chunk(4 + 4 * _local_ov->_length);
                                  delete _local_ov;
                                  _local_ov = (vec10 *)0;
                                  flick_iiopxx_encode_new_chunk(4 + 4 * _local_iov._length);
                                  flick_cdr_encode_unsigned32(0, _local_iov._length, CORBA::ULong );
                                  if (_local_iov._length > 10)
                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort65);
                                  flick_cdr_encode_bcopy(4, _local_iov._buffer, 4 * _local_iov._length);
                                  flick_iiopxx_encode_end_chunk(4 + 4 * _local_iov._length);
                                  flick_iiopxx_encode_end_glob(136);
                                  break;
                                  {
                                  _flick_abort65:
                                    goto _flick_abort47;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(136);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort72);
                                  break;
                                  {
                                  _flick_abort72:
                                    goto _flick_abort47;
                                  }
                                }
                              default:
                                {
                                  flick_corbaxx_env _t18_temp_env;

                                  flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t18_temp_env);

                                  switch ((unsigned int )(1+strlen(_t18_temp_env._id)))
                                    {
                                    case (unsigned int) 13:
                                      {
                                        switch (*(unsigned int *)(_t18_temp_env._id + 0))
                                          {
                                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                            {
                                              switch (*(unsigned int *)(_t18_temp_env._id + 4))
                                                {
                                                case /* puke */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                                                  {
                                                    switch (*(unsigned int *)(_t18_temp_env._id + 8))
                                                      {
                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                        {
                                                          switch (*(char *)(_t18_temp_env._id + 12))
                                                            {
                                                            case 0:
                                                              {
                                                                flick_iiopxx_encode_new_chunk(24);
                                                                flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                flick_cdr_encode_char8(8, 'p', flick_char8_t );
                                                                flick_cdr_encode_char8(9, 'u', flick_char8_t );
                                                                flick_cdr_encode_char8(10, 'k', flick_char8_t );
                                                                flick_cdr_encode_char8(11, 'e', flick_char8_t );
                                                                flick_cdr_encode_char8(12, ':', flick_char8_t );
                                                                flick_cdr_encode_char8(13, '1', flick_char8_t );
                                                                flick_cdr_encode_char8(14, '.', flick_char8_t );
                                                                flick_cdr_encode_char8(15, '0', flick_char8_t );
                                                                flick_cdr_encode_char8(16, 0, flick_char8_t );
                                                                flick_cdr_encode_signed32(20, ((puke *)(_t18_temp_env._user_except))->reason, CORBA::Long );
                                                                flick_iiopxx_encode_end_chunk(24);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                        break;
                                      }
                                    }
                                  flick_iiopxx_encode_end_glob(136);
                                  break;
                                  {
                                  _flick_abort73:
                                    goto _flick_abort47;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort47:
                            goto _flick_abort46;
                          }
                        }
                        break;
                        {
                        _flick_abort46:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t19_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t19_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t20_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t20_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_TestSeq *_local_this;
                          unsigned int _t21_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t22_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort78);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t21_principal_len, _flick_abort78);
                          flick_iiopxx_decode_new_glob(_t21_principal_len);
                          flick_iiopxx_decode_new_chunk(_t21_principal_len);
                          flick_iiopxx_decode_end_chunk(_t21_principal_len);
                          flick_iiopxx_decode_end_glob(_t21_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort78);
                          flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t22_temp_string_len);
                          flick_iiopxx_check_span(1 * _t22_temp_string_len, _flick_abort78);
                          flick_iiopxx_decode_new_chunk(1 * _t22_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t22_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t22_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t23_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t23_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort78);
                            flick_iiopxx_encode_new_glob(5, _flick_abort78);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t23_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t23_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort86);
                                  break;
                                  {
                                  _flick_abort86:
                                    goto _flick_abort78;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort87:
                                    goto _flick_abort78;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort78:
                            goto _flick_abort77;
                          }
                        }
                        break;
                        {
                        _flick_abort77:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
