#include "tpztest-client.h"
#include "tpztest-server.h"


static const CORBA::Long _oc_tpztest[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74707a74), ACE_NTOHL(0x6573743a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:tpztest:1.0 */,
    8, ACE_NTOHL(0x74707a74), ACE_NTOHL(0x65737400) /* name = tpztest */
};

static CORBA::TypeCode _tc_TAO_tc_tpztest (CORBA::tk_objref, sizeof(_oc_tpztest), (char *) &_oc_tpztest, 0, sizeof(tpztest ));

CORBA::TypeCode_ptr _tc_tpztest = &_tc_TAO_tc_tpztest;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<tpztest , tpztest_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<tpztest , tpztest_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


tpztest_ptr  (*_TAO_collocation_tpztest_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


tpztest_ptr tpztest::_duplicate(tpztest_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

tpztest_ptr tpztest::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return tpztest::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:tpztest:1.0", _env);
  if (_env.exception() != 0)
    return tpztest::_nil();
  if (is_a == 0)
    return tpztest::_nil();
  return tpztest::_unchecked_narrow(obj, _env);
}

tpztest_ptr tpztest::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return tpztest::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_tpztest_Stub_Factory_function_pointer != 0)
    {
      tpztest_ptr  retv = _TAO_collocation_tpztest_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new tpztest (stub);
}

tpztest_ptr tpztest::_nil()
{
  return (tpztest_ptr )NULL;
}

CORBA::Boolean tpztest::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:tpztest:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *tpztest::_interface_repository_id() const
{
  return "IDL:tpztest:1.0";
}

tpztest::tpztest()
{}

tpztest::~tpztest()
{}

void operator<<=(CORBA::Any &a, tpztest_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = tpztest::_duplicate(o);
    a.replace (_tc_tpztest, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, tpztest_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = tpztest::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_tpztest, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_tpztest, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = tpztest::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_tpztest, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

tpztest::tpztest(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

tpztest_var::tpztest_var()
  : ptr_(tpztest::_nil())
{}

tpztest_var::tpztest_var(tpztest_ptr p)
  : ptr_(p)
{}

tpztest_var::tpztest_var(const tpztest_var &a)
  : ptr_(tpztest::_duplicate(a.ptr()))
{}

tpztest_var::~tpztest_var()
{
  CORBA::release(this->ptr_);
}

tpztest_var &tpztest_var::operator=(tpztest_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

tpztest_var &tpztest_var::operator=(const tpztest_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = tpztest::_duplicate(p.ptr());
  }
  return *this;
}

tpztest_ptr tpztest_var::operator->() const
{
  return this->ptr_;
}

tpztest_var::operator const tpztest_ptr &() const
{
  return this->ptr_;
}

tpztest_var::operator tpztest_ptr &()
{
  return this->ptr_;
}

tpztest_ptr tpztest_var::in() const
{
  return this->ptr_;
}

tpztest_ptr &tpztest_var::inout()
{
  return this->ptr_;
}

tpztest_ptr &tpztest_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = tpztest::_nil();
  return this->ptr_;
}

tpztest_ptr tpztest_var::_retn()
{
  tpztest_ptr  val = this->ptr_;
  this->ptr_ = tpztest::_nil();
  return val;
}

tpztest_ptr tpztest_var::ptr() const
{
  return this->ptr_;
}

tpztest_out::tpztest_out(tpztest_ptr &r)
  : ptr_(r)
{
  this->ptr_ = tpztest::_nil();
}

tpztest_out::tpztest_out(tpztest_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = tpztest::_nil();
}

tpztest_out::tpztest_out(const tpztest_out &r)
  : ptr_(ACE_const_cast(tpztest_out &,r).ptr_)
{}

tpztest_out &tpztest_out::operator=(const tpztest_out &r)
{
  this->ptr_ = ACE_const_cast(tpztest_out &,r).ptr_;
  return *this;
}

tpztest_out &tpztest_out::operator=(const tpztest_var &r)
{
  this->ptr_ = tpztest::_duplicate(r.ptr());
  return *this;
}

tpztest_out &tpztest_out::operator=(tpztest_ptr r)
{
  this->ptr_ = r;
  return *this;
}

tpztest_out::operator tpztest_ptr &()
{
  return this->ptr_;
}

tpztest_ptr &tpztest_out::ptr()
{
  return this->ptr_;
}

tpztest_ptr tpztest_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_tpztest_payload[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    24, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74707a74), ACE_NTOHL(0x6573742f), ACE_NTOHL(0x7061796c), ACE_NTOHL(0x6f61643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:tpztest/payload:1.0 */,
    8, ACE_NTOHL(0x7061796c), ACE_NTOHL(0x6f616400) /* name = payload */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_octet,
      8192
};

static CORBA::TypeCode _tc_TAO_tc_tpztest_payload (CORBA::tk_alias, sizeof(_oc_tpztest_payload), (char *) &_oc_tpztest_payload, 0, sizeof(::tpztest::payload ));

CORBA::TypeCode_ptr tpztest::_tc_payload = &_tc_TAO_tc_tpztest_payload;


::tpztest::payload_slice *tpztest::payload_alloc()
{
  return new ::tpztest::payload_slice [8192];
}

::tpztest::payload_slice *tpztest::payload_dup(const ::tpztest::payload_slice *_slice)
{
  ::tpztest::payload_slice  *_dup_array = tpztest::payload_alloc();
  if( !_dup_array ) return 0;
  tpztest::payload_copy(_dup_array, _slice);
  return _dup_array;
}

void tpztest::payload_copy(::tpztest::payload_slice *_to_slice, const ::tpztest::payload_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 8192; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void tpztest::payload_free(::tpztest::payload_slice *_slice)
{
  delete [] _slice;
}

void operator<<=(CORBA::Any &a, const ::tpztest::payload_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    if(o.nocopy())
      a.replace(tpztest::_tc_payload, o.in(), 1, ACE_TRY_ENV);
    else
      a.replace(tpztest::_tc_payload, tpztest::payload_dup(o.in()), 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::tpztest::payload_forany &o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(tpztest::_tc_payload, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::tpztest::payload_slice  *)a.value();
      return 1;
    }
    else
    {
      o.out() = tpztest::payload_alloc();
      if(!o.in()) return 0;
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(tpztest::_tc_payload, o.inout(), 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(tpztest::_tc_payload, o.inout(), 1, ACE_TRY_ENV);
        return 1;
      }
      ACE_TRY_CHECK;
    }
  }
  ACE_CATCHANY
  {
    tpztest::payload_free(o._retn());
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

tpztest::payload_var::payload_var()
  : ptr_(0)
{}

tpztest::payload_var::payload_var(::tpztest::payload_slice *p)
 : ptr_(p)
{}

tpztest::payload_var::payload_var(const ::tpztest::payload_var &a)
{
  this->ptr_ = tpztest::payload_dup(a.ptr_);
}

tpztest::payload_var::~payload_var()
{
  tpztest::payload_free(this->ptr_);
}

::tpztest::payload_var &tpztest::payload_var::operator=(::tpztest::payload_slice *p)
{
  if( this->ptr_ != p )
  {
    tpztest::payload_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::tpztest::payload_var &tpztest::payload_var::operator=(const ::tpztest::payload_var &p)
{
  if( this != &p )
  {
    tpztest::payload_free(this->ptr_);
    this->ptr_ = tpztest::payload_dup(p.ptr_);
  }
  return *this;
}

::tpztest::payload_slice &tpztest::payload_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::tpztest::payload_slice &tpztest::payload_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

tpztest::payload_var::operator ::tpztest::payload_slice *const &() const
{
  return this->ptr_;
}

tpztest::payload_var::operator ::tpztest::payload_slice *&()
{
  return this->ptr_;
}

const ::tpztest::payload_slice *tpztest::payload_var::in() const
{
  return this->ptr_;
}

::tpztest::payload_slice *tpztest::payload_var::inout()
{
  return this->ptr_;
}

::tpztest::payload_slice *&tpztest::payload_var::out()
{
  tpztest::payload_free(this->ptr_);
  this->ptr_ = (::tpztest::payload_slice  *)0;
  return this->ptr_;
}

::tpztest::payload_slice *tpztest::payload_var::_retn()
{
  ::tpztest::payload_slice  *tmp = this->ptr_;
  this->ptr_ = (::tpztest::payload_slice  *)0;
  return tmp;
}

::tpztest::payload_slice *tpztest::payload_var::ptr() const
{
  return this->ptr_;
}

tpztest::payload_forany::payload_forany()
  : ptr_(0),
    nocopy_(0)
{}

tpztest::payload_forany::payload_forany(::tpztest::payload_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

tpztest::payload_forany::payload_forany(const ::tpztest::payload_forany &a)
{
  this->ptr_ = tpztest::payload_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

tpztest::payload_forany::~payload_forany()
{
}

::tpztest::payload_forany &tpztest::payload_forany::operator=(::tpztest::payload_slice *p)
{
  if( this->ptr_ != p )
  {
    tpztest::payload_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::tpztest::payload_forany &tpztest::payload_forany::operator=(const ::tpztest::payload_forany &p)
{
  if( this != &p )
  {
    tpztest::payload_free(this->ptr_);
    this->ptr_ = tpztest::payload_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::tpztest::payload_slice &tpztest::payload_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::tpztest::payload_slice &tpztest::payload_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

tpztest::payload_forany::operator ::tpztest::payload_slice *const &() const
{
  return this->ptr_;
}

tpztest::payload_forany::operator ::tpztest::payload_slice *&()
{
  return this->ptr_;
}

const ::tpztest::payload_slice *tpztest::payload_forany::in() const
{
  return this->ptr_;
}

::tpztest::payload_slice *tpztest::payload_forany::inout()
{
  return this->ptr_;
}

::tpztest::payload_slice *&tpztest::payload_forany::out()
{
  tpztest::payload_free(this->ptr_);
  this->ptr_ = (::tpztest::payload_slice  *)0;
  return this->ptr_;
}

::tpztest::payload_slice *tpztest::payload_forany::_retn()
{
  ::tpztest::payload_slice  *tmp = this->ptr_;
  this->ptr_ = (::tpztest::payload_slice  *)0;
  return tmp;
}

::tpztest::payload_slice *tpztest::payload_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean tpztest::payload_forany::nocopy() const
{
  return this->nocopy_;
}
::tpztest::payload_slice *tpztest::rqst_rspn(/* tpztest *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  ::tpztest::payload_slice *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort1);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'r', flick_char8_t );
      flick_cdr_encode_char8(5, 'q', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'r', flick_char8_t );
      flick_cdr_encode_char8(10, 's', flick_char8_t );
      flick_cdr_encode_char8(11, 'p', flick_char8_t );
      flick_cdr_encode_char8(12, 'n', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_iiopxx_decode_new_glob(8192);
              flick_iiopxx_check_span(8192, _flick_abort20);
              flick_iiopxx_decode_new_chunk(8192);
              {
                CORBA::Octet *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [8192]);
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort20);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 8192);
              flick_iiopxx_decode_end_chunk(8192);
              flick_iiopxx_decode_end_glob(8192);
              break;
              {
              _flick_abort20:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort23);
              break;
              {
              _flick_abort23:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort24);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort24:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_iiopxx_decode_new_glob(8192);
              flick_iiopxx_check_span(8192, _flick_abort9);
              flick_iiopxx_decode_new_chunk(8192);
              {
                CORBA::Octet *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [8192]);
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 8192);
              flick_iiopxx_decode_end_chunk(8192);
              flick_iiopxx_decode_end_glob(8192);
              break;
              {
              _flick_abort9:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort12);
              break;
              {
              _flick_abort12:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort13);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort13:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void tpztest::bandwidth(/* tpztest *this, */ const ::tpztest::payload pld, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort26);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort26);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort26);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort26);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'b', flick_char8_t );
      flick_cdr_encode_char8(5, 'a', flick_char8_t );
      flick_cdr_encode_char8(6, 'n', flick_char8_t );
      flick_cdr_encode_char8(7, 'd', flick_char8_t );
      flick_cdr_encode_char8(8, 'w', flick_char8_t );
      flick_cdr_encode_char8(9, 'i', flick_char8_t );
      flick_cdr_encode_char8(10, 'd', flick_char8_t );
      flick_cdr_encode_char8(11, 't', flick_char8_t );
      flick_cdr_encode_char8(12, 'h', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(8192, _flick_abort26);
      flick_iiopxx_encode_new_chunk(8192);
      flick_cdr_encode_bcopy(0, pld, 8192);
      flick_iiopxx_encode_end_chunk(8192);
      flick_iiopxx_encode_end_glob(8192);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(0);
    
    if( _transport->send_request(_orb_core, _out_cdr, 0, _max_wait_time) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort26);
    } else {
      _transport->idle();
    }


    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort26);
  }
  return;
  {
  _flick_abort26:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort25);
  _flick_abort25:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

void tpztest::bandwidth_pingback(/* tpztest *this, */ const ::tpztest::payload pld, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort48);
    }




    {
      flick_iiopxx_encode_new_glob(28, _flick_abort48);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 19, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'b', flick_char8_t );
      flick_cdr_encode_char8(5, 'a', flick_char8_t );
      flick_cdr_encode_char8(6, 'n', flick_char8_t );
      flick_cdr_encode_char8(7, 'd', flick_char8_t );
      flick_cdr_encode_char8(8, 'w', flick_char8_t );
      flick_cdr_encode_char8(9, 'i', flick_char8_t );
      flick_cdr_encode_char8(10, 'd', flick_char8_t );
      flick_cdr_encode_char8(11, 't', flick_char8_t );
      flick_cdr_encode_char8(12, 'h', flick_char8_t );
      flick_cdr_encode_char8(13, '_', flick_char8_t );
      flick_cdr_encode_char8(14, 'p', flick_char8_t );
      flick_cdr_encode_char8(15, 'i', flick_char8_t );
      flick_cdr_encode_char8(16, 'n', flick_char8_t );
      flick_cdr_encode_char8(17, 'g', flick_char8_t );
      flick_cdr_encode_char8(18, 'b', flick_char8_t );
      flick_cdr_encode_char8(19, 'a', flick_char8_t );
      flick_cdr_encode_char8(20, 'c', flick_char8_t );
      flick_cdr_encode_char8(21, 'k', flick_char8_t );
      flick_cdr_encode_char8(22, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
      flick_iiopxx_encode_new_glob(8192, _flick_abort48);
      flick_iiopxx_encode_new_chunk(8192);
      flick_cdr_encode_bcopy(0, pld, 8192);
      flick_iiopxx_encode_end_chunk(8192);
      flick_iiopxx_encode_end_glob(8192);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort48);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort66);
              break;
              {
              _flick_abort66:
                goto _flick_abort48;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort67:
                goto _flick_abort48;
              }
            }
          }
      }

    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort48);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort59);
              break;
              {
              _flick_abort59:
                goto _flick_abort48;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort60);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort60:
                goto _flick_abort48;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort48);
  }
  return;
  {
  _flick_abort48:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort47);
  _flick_abort47:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

