#ifndef _turtle_client_server_h_
#define _turtle_client_server_h_

#include "turtle-client-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_Client ;


typedef POA_Client *POA_Client_ptr;

class POA_Client : public virtual PortableServer::ServantBase {

protected:
  POA_Client();

public:
  POA_Client(const POA_Client &rhs);
  virtual ~POA_Client();
  Client *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long SetLeft(/* POA_Client *this, */ CORBA::Long speed, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long SetRight(/* POA_Client *this, */ CORBA::Long speed, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long GetButton(/* POA_Client *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Long GetPhoto(/* POA_Client *this, */ CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_Client_tie : public POA_Client {

  public:
    POA_Client_tie(T &t);
    POA_Client_tie(T &t, PortableServer::POA_ptr poa);
    POA_Client_tie(T *t, CORBA::Boolean release = 1);
    POA_Client_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_Client_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_Client_tie(const POA_Client_tie &c);
    void operator=(const POA_Client_tie &c);

  public:
    CORBA::Long SetLeft(/* POA_Client *this, */ CORBA::Long speed, CORBA::Environment &_ev);
    CORBA::Long SetRight(/* POA_Client *this, */ CORBA::Long speed, CORBA::Environment &_ev);
    CORBA::Long GetButton(/* POA_Client *this, */ CORBA::Environment &_ev);
    CORBA::Long GetPhoto(/* POA_Client *this, */ CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


Client_ptr _TAO_collocation_POA_Client_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_Client_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_Client : public virtual Client {

public:
  _tao_thru_poa_collocated_Client(TAO_Stub *stub);
  virtual CORBA::Long SetLeft(CORBA::Long speed, CORBA::Environment &_ev);
  virtual CORBA::Long SetRight(CORBA::Long speed, CORBA::Environment &_ev);
  virtual CORBA::Long GetButton(CORBA::Environment &_ev);
  virtual CORBA::Long GetPhoto(CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _turtle_client_server_h_ */
