#include "recursive-server.h"


static int _TAO_collocation_POA_obj_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_obj_Stub_Factory_Initializer(0);


POA_obj::POA_obj()
{}

POA_obj::POA_obj(const POA_obj &rhs)
  : TAO_ServantBase(rhs)
{}

POA_obj::~POA_obj()
{}

obj *POA_obj::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_obj (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return obj::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_obj::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:obj:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_obj::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:obj:1.0") == 0)
    return ACE_static_cast(POA_obj_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_obj::_interface_repository_id() const
{
  return "IDL:obj:1.0";
}

obj_ptr _TAO_collocation_POA_obj_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_obj(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_obj_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_obj_Stub_Factory_function_pointer =
    _TAO_collocation_POA_obj_Stub_Factory;

  return 0;
}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_obj_tie<T>::~POA_obj_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_obj_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_obj_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_obj_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_obj_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_obj_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_obj_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_obj_tie<T>::POA_obj_tie(const POA_obj_tie &c)
{}

template <class T>
  void POA_obj_tie<T>::operator=(const POA_obj_tie &c)
{}

template <class T>
  ::obj::my_obj_ptr POA_obj_tie<T>::get_server(/* POA_obj *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->get_server (_ev);
}

template <class T>
  void POA_obj_tie<T>::set_server(/* POA_obj *this, */ ::obj::my_obj_ptr srvr, CORBA::Environment &_ev)
{
  this->ptr_->set_server (srvr, _ev);
}

template <class T>
  td *POA_obj_tie<T>::convert(/* POA_obj *this, */ struct ta &a1, const struct tb &b1, tc_out c1, CORBA::Environment &_ev)
{
  return this->ptr_->convert (a1, b1, c1, _ev);
}

template <class T>
  CORBA::Long POA_obj_tie<T>::my_attr(/* POA_obj *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->my_attr (_ev);
}

template <class T>
  void POA_obj_tie<T>::my_attr(/* POA_obj *this, */ CORBA::Long my_attr, CORBA::Environment &_ev)
{
  this->ptr_->my_attr (my_attr, _ev);
}

_tao_thru_poa_collocated_obj::_tao_thru_poa_collocated_obj(TAO_Stub *stub)
  : obj(),
    CORBA_Object(stub, 0, 1)
{
}

::obj::my_obj_ptr _tao_thru_poa_collocated_obj::get_server(CORBA::Environment &_ev)
{
  ::obj::my_obj_ptr  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "get_server",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_obj_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:obj:1.0"
        )
    )->get_server (_ev);
}

void _tao_thru_poa_collocated_obj::set_server(::obj::my_obj_ptr srvr, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "set_server",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      POA_obj_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:obj:1.0"
        )
    )->set_server (srvr, _ev);
}

td *_tao_thru_poa_collocated_obj::convert(struct ta &a1, const struct tb &b1, tc_out c1, CORBA::Environment &_ev)
{
  td * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "convert",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_obj_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:obj:1.0"
        )
    )->convert (a1, b1, c1, _ev);
}

CORBA::Long _tao_thru_poa_collocated_obj::my_attr(CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "my_attr",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_obj_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:obj:1.0"
        )
    )->my_attr (_ev);
}

void _tao_thru_poa_collocated_obj::my_attr(CORBA::Long my_attr, CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "my_attr",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      POA_obj_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:obj:1.0"
        )
    )->my_attr (my_attr, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_obj::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_obj_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:obj:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_obj::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_obj_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:obj:1.0"
        )
    )->_non_existent (_ev);
}
void POA_obj::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t615_switch_tag;

      flick_iiopxx_decode_new_glob(24);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t615_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t615_switch_tag)
        {
        case (unsigned int) 11:
          {
            unsigned int _t616_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t616_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t616_switch_tag)
              {
              case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
                {
                  unsigned int _t617_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t617_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t617_switch_tag)
                    {
                    case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                      {
                        unsigned short int _t618_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t618_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t618_switch_tag)
                          {
                          case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                            {
                              char _t619_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t619_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t619_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_obj *_local_this;
                                      unsigned int _t620_principal_len;
                                      ::obj::my_obj_ptr _return;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2925);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_swap_decode_unsigned32(1, _t620_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t620_principal_len, _flick_abort2925);
                                      flick_iiopxx_decode_new_glob(_t620_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t620_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t620_principal_len);
                                      flick_iiopxx_decode_end_glob(_t620_principal_len);
                                      /* Begin decode phase on parameters */

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->get_server(_ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t621_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t621_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2925);
                                        flick_iiopxx_encode_new_glob(4, _flick_abort2925);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t621_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t621_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_cdrxx_encode_IOR(iiopxx, _return, 0, obj , _flick_abort2930);
                                              CORBA_object_flick_free(_return);
                                              _return = (obj *)0;
                                              break;
                                              {
                                              _flick_abort2930:
                                                goto _flick_abort2925;
                                              }
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2931);
                                              break;
                                              {
                                              _flick_abort2931:
                                                goto _flick_abort2925;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2932);
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                              {
                                              _flick_abort2932:
                                                goto _flick_abort2925;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort2925:
                                        goto _flick_abort2924;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort2924:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* set_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028767):
                {
                  unsigned int _t622_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t622_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t622_switch_tag)
                    {
                    case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                      {
                        unsigned short int _t623_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t623_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t623_switch_tag)
                          {
                          case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                            {
                              char _t624_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t624_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t624_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_obj *_local_this;
                                      unsigned int _t625_principal_len;
                                      ::obj::my_obj_ptr _local_srvr;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2934);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_swap_decode_unsigned32(1, _t625_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t625_principal_len, _flick_abort2934);
                                      flick_iiopxx_decode_new_glob(_t625_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t625_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t625_principal_len);
                                      flick_iiopxx_decode_end_glob(_t625_principal_len);
                                      /* Begin decode phase on parameters */
                                      flick_cdr_swapxx_decode_IOR(iiopxx, _local_srvr, 1, obj , _flick_abort2934);
                                      flick_iiopxx_mark_port_for_cleanup(_local_srvr, 1);

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _local_this->set_server(_local_srvr, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t626_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t626_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2934);
                                        flick_iiopxx_encode_new_glob(4, _flick_abort2934);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t626_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t626_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2940);
                                              break;
                                              {
                                              _flick_abort2940:
                                                goto _flick_abort2934;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2941);
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                              {
                                              _flick_abort2941:
                                                goto _flick_abort2934;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort2934:
                                        goto _flick_abort2933;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort2933:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t627_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t627_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t627_switch_tag)
              {
              case /* conv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668247158):
                {
                  unsigned int _t628_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t628_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t628_switch_tag)
                    {
                    case /* ert */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701999616):
                      {
                        {
                          POA_obj *_local_this;
                          unsigned int _t629_principal_len;
                          td *_return;
                          struct ta _local_a1;
                          flick_unsigned32_t _t630_temp_string_len;
                          CORBA::ULong _t631_array_iter;
                          CORBA::ULong _t632_array_iter;
                          CORBA::ULong _t633_array_iter;
                          flick_unsigned32_t _t634_temp_string_len;
                          CORBA::ULong _t635_array_iter;
                          CORBA::ULong _t636_array_iter;
                          struct tb _local_b1;
                          CORBA::ULong _t637_array_iter;
                          CORBA::ULong _t641_array_iter;
                          CORBA::ULong _t644_array_iter;
                          enum tc _local_c1;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2943);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t629_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t629_principal_len, _flick_abort2943);
                          flick_iiopxx_decode_new_glob(_t629_principal_len);
                          flick_iiopxx_decode_new_chunk(_t629_principal_len);
                          flick_iiopxx_decode_end_chunk(_t629_principal_len);
                          flick_iiopxx_decode_end_glob(_t629_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(27);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort2943);
                          flick_cdr_swap_decode_signed32(0, _local_a1.a.a, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
                          flick_iiopxx_check_span(16, _flick_abort2943);
                          flick_cdr_swap_decode_float64(0, _local_a1.a.b, CORBA::Double );
                          flick_cdr_swap_decode_signed16(8, _local_a1.a.c, CORBA::Short );
                          flick_cdr_swap_decode_char8(10, _local_a1.b.a, CORBA::Char );
                          flick_cdr_swap_decode_unsigned32(12, _t630_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(16);
                          flick_iiopxx_decode_end_glob(27);
                          flick_iiopxx_decode_new_glob(1 * _t630_temp_string_len);
                          flick_iiopxx_check_span(1 * _t630_temp_string_len, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(1 * _t630_temp_string_len);
                          {
                            CORBA::Char *_t_alloc_ptr;

                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t630_temp_string_len * sizeof(CORBA::Char )));
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_a1.b.b.inout() = _t_alloc_ptr;
                          }
                          flick_cdr_swap_decode_bcopy(0, _local_a1.b.b.inout(), 1 * _t630_temp_string_len);
                          flick_iiopxx_decode_end_chunk(1 * _t630_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t630_temp_string_len);
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort2943);
                          flick_cdr_swap_decode_unsigned32(0, _local_a1.b.c._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          {
                            struct ::ta::tc *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_local_a1.b.c._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_a1.b.c._buffer = _t_alloc_ptr;
                            _local_a1.b.c._maximum = _local_a1.b.c._length;
                            _local_a1.b.c._release = 1;
                          }
                          for (_t631_array_iter = 0; _t631_array_iter < _local_a1.b.c._length; _t631_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _local_a1.b.c._buffer + _t631_array_iter))
                                goto _flick_abort2949;
                              continue;
                              {
                              _flick_abort2949:
                                goto _flick_abort2943;
                              }
                            }
                          flick_iiopxx_decode_new_glob(28);
                          flick_iiopxx_check_span(4, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_a1.c.a.a, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                          flick_iiopxx_check_span(20, _flick_abort2943);
                          flick_cdr_swap_decode_float64(0, _local_a1.c.a.b, CORBA::Double );
                          flick_cdr_swap_decode_signed16(8, _local_a1.c.a.c, CORBA::Short );
                          flick_cdr_swap_decode_char8(10, _local_a1.c.b.a, CORBA::Char );
                          flick_cdr_swap_decode_char8(11, _local_a1.c.b.b, CORBA::Char );
                          flick_cdr_swap_decode_char8(12, _local_a1.c.b.c, CORBA::Char );
                          flick_cdr_swap_decode_char8(13, _local_a1.c.b.d, CORBA::Char );
                          flick_cdr_swap_decode_unsigned32(16, _local_a1.c.b.e._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(20);
                          flick_iiopxx_decode_end_glob(28);
                          {
                            struct ::ta::td *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_a1.c.b.e._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_a1.c.b.e._buffer = _t_alloc_ptr;
                            _local_a1.c.b.e._maximum = _local_a1.c.b.e._length;
                            _local_a1.c.b.e._release = 1;
                          }
                          for (_t632_array_iter = 0; _t632_array_iter < _local_a1.c.b.e._length; _t632_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _local_a1.c.b.e._buffer + _t632_array_iter))
                                goto _flick_abort2954;
                              continue;
                              {
                              _flick_abort2954:
                                goto _flick_abort2943;
                              }
                            }
                          flick_iiopxx_decode_new_glob(4);
                          flick_iiopxx_check_span(4, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _local_a1.next._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(4);
                          {
                            struct ta *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ta *)new (struct ta [_local_a1.next._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_a1.next._buffer = _t_alloc_ptr;
                            _local_a1.next._maximum = _local_a1.next._length;
                            _local_a1.next._release = 1;
                          }
                          for (_t633_array_iter = 0; _t633_array_iter < _local_a1.next._length; _t633_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_recursive_idl_server_inout_swap(_stream, _local_a1.next._buffer + _t633_array_iter))
                                goto _flick_abort2959;
                              continue;
                              {
                              _flick_abort2959:
                                goto _flick_abort2943;
                              }
                            }
                          flick_iiopxx_decode_new_glob(24);
                          flick_iiopxx_check_span(24, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(24);
                          flick_cdr_swap_decode_signed32(0, _local_a1.d.a, CORBA::Long );
                          flick_cdr_swap_decode_float64(8, _local_a1.d.b, CORBA::Double );
                          flick_cdr_swap_decode_signed16(16, _local_a1.d.c, CORBA::Short );
                          flick_cdr_swap_decode_char8(18, _local_a1.e.a, CORBA::Char );
                          flick_cdr_swap_decode_unsigned32(20, _t634_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(24);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_decode_new_glob(1 * _t634_temp_string_len);
                          flick_iiopxx_check_span(1 * _t634_temp_string_len, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(1 * _t634_temp_string_len);
                          {
                            CORBA::Char *_t_alloc_ptr;

                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t634_temp_string_len * sizeof(CORBA::Char )));
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_a1.e.b.inout() = _t_alloc_ptr;
                          }
                          flick_cdr_swap_decode_bcopy(0, _local_a1.e.b.inout(), 1 * _t634_temp_string_len);
                          flick_iiopxx_decode_end_chunk(1 * _t634_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t634_temp_string_len);
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort2943);
                          flick_cdr_swap_decode_unsigned32(0, _local_a1.e.c._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          {
                            struct ::ta::tc *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_local_a1.e.c._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_a1.e.c._buffer = _t_alloc_ptr;
                            _local_a1.e.c._maximum = _local_a1.e.c._length;
                            _local_a1.e.c._release = 1;
                          }
                          for (_t635_array_iter = 0; _t635_array_iter < _local_a1.e.c._length; _t635_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _local_a1.e.c._buffer + _t635_array_iter))
                                goto _flick_abort2966;
                              continue;
                              {
                              _flick_abort2966:
                                goto _flick_abort2943;
                              }
                            }
                          flick_iiopxx_decode_new_glob(28);
                          flick_iiopxx_check_span(4, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_a1.f.a.a, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                          flick_iiopxx_check_span(20, _flick_abort2943);
                          flick_cdr_swap_decode_float64(0, _local_a1.f.a.b, CORBA::Double );
                          flick_cdr_swap_decode_signed16(8, _local_a1.f.a.c, CORBA::Short );
                          flick_cdr_swap_decode_char8(10, _local_a1.f.b.a, CORBA::Char );
                          flick_cdr_swap_decode_char8(11, _local_a1.f.b.b, CORBA::Char );
                          flick_cdr_swap_decode_char8(12, _local_a1.f.b.c, CORBA::Char );
                          flick_cdr_swap_decode_char8(13, _local_a1.f.b.d, CORBA::Char );
                          flick_cdr_swap_decode_unsigned32(16, _local_a1.f.b.e._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(20);
                          flick_iiopxx_decode_end_glob(28);
                          {
                            struct ::ta::td *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_a1.f.b.e._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_a1.f.b.e._buffer = _t_alloc_ptr;
                            _local_a1.f.b.e._maximum = _local_a1.f.b.e._length;
                            _local_a1.f.b.e._release = 1;
                          }
                          for (_t636_array_iter = 0; _t636_array_iter < _local_a1.f.b.e._length; _t636_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _local_a1.f.b.e._buffer + _t636_array_iter))
                                goto _flick_abort2971;
                              continue;
                              {
                              _flick_abort2971:
                                goto _flick_abort2943;
                              }
                            }
                          flick_iiopxx_decode_new_glob(40);
                          flick_iiopxx_check_span(40, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(40);
                          flick_cdr_swap_decode_signed32(0, _local_b1.a.a, CORBA::Long );
                          flick_cdr_swap_decode_float64(4, _local_b1.a.b, CORBA::Double );
                          flick_cdr_swap_decode_signed16(12, _local_b1.a.c, CORBA::Short );
                          flick_cdr_swap_decode_signed32(16, _local_b1.b.a.a, CORBA::Long );
                          flick_cdr_swap_decode_float64(20, _local_b1.b.a.b, CORBA::Double );
                          flick_cdr_swap_decode_signed16(28, _local_b1.b.a.c, CORBA::Short );
                          flick_cdr_swap_decode_char8(30, _local_b1.b.b.a, CORBA::Char );
                          flick_cdr_swap_decode_char8(31, _local_b1.b.b.b, CORBA::Char );
                          flick_cdr_swap_decode_char8(32, _local_b1.b.b.c, CORBA::Char );
                          flick_cdr_swap_decode_char8(33, _local_b1.b.b.d, CORBA::Char );
                          flick_cdr_swap_decode_unsigned32(36, _local_b1.b.b.e._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(40);
                          flick_iiopxx_decode_end_glob(40);
                          {
                            struct ::ta::td *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_b1.b.b.e._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_b1.b.b.e._buffer = _t_alloc_ptr;
                            _local_b1.b.b.e._maximum = _local_b1.b.b.e._length;
                            _local_b1.b.b.e._release = 1;
                          }
                          for (_t637_array_iter = 0; _t637_array_iter < _local_b1.b.b.e._length; _t637_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _local_b1.b.b.e._buffer + _t637_array_iter))
                                goto _flick_abort2976;
                              continue;
                              {
                              _flick_abort2976:
                                goto _flick_abort2943;
                              }
                            }
                          flick_iiopxx_decode_new_glob(4);
                          flick_iiopxx_check_span(4, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _local_b1.c._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(4);
                          {
                            struct ::ta::td *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_b1.c._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_b1.c._buffer = _t_alloc_ptr;
                            _local_b1.c._maximum = _local_b1.c._length;
                            _local_b1.c._release = 1;
                          }
                          for (_t641_array_iter = 0; _t641_array_iter < _local_b1.c._length; _t641_array_iter++)
                            {
                              CORBA::ULong _t643_array_iter;

                              flick_iiopxx_decode_new_glob(28);
                              flick_iiopxx_check_span(4, _flick_abort2996);
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_b1.c._buffer[_t641_array_iter].a.a, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                              flick_iiopxx_check_span(20, _flick_abort2996);
                              flick_cdr_swap_decode_float64(0, _local_b1.c._buffer[_t641_array_iter].a.b, CORBA::Double );
                              flick_cdr_swap_decode_signed16(8, _local_b1.c._buffer[_t641_array_iter].a.c, CORBA::Short );
                              flick_cdr_swap_decode_char8(10, _local_b1.c._buffer[_t641_array_iter].b.a, CORBA::Char );
                              flick_cdr_swap_decode_char8(11, _local_b1.c._buffer[_t641_array_iter].b.b, CORBA::Char );
                              flick_cdr_swap_decode_char8(12, _local_b1.c._buffer[_t641_array_iter].b.c, CORBA::Char );
                              flick_cdr_swap_decode_char8(13, _local_b1.c._buffer[_t641_array_iter].b.d, CORBA::Char );
                              flick_cdr_swap_decode_unsigned32(16, _local_b1.c._buffer[_t641_array_iter].b.e._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(20);
                              flick_iiopxx_decode_end_glob(28);
                              {
                                struct ::ta::td *_t_alloc_ptr;

                                _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_b1.c._buffer[_t641_array_iter].b.e._length]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2996);
                                _local_b1.c._buffer[_t641_array_iter].b.e._buffer = _t_alloc_ptr;
                                _local_b1.c._buffer[_t641_array_iter].b.e._maximum = _local_b1.c._buffer[_t641_array_iter].b.e._length;
                                _local_b1.c._buffer[_t641_array_iter].b.e._release = 1;
                              }
                              for (_t643_array_iter = 0; _t643_array_iter < _local_b1.c._buffer[_t641_array_iter].b.e._length; _t643_array_iter++)
                                {
                                  if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _local_b1.c._buffer[_t641_array_iter].b.e._buffer + _t643_array_iter))
                                    goto _flick_abort3006;
                                  continue;
                                  {
                                  _flick_abort3006:
                                    goto _flick_abort2996;
                                  }
                                }
                              continue;
                              {
                              _flick_abort2996:
                                goto _flick_abort2943;
                              }
                            }
                          flick_iiopxx_decode_new_glob(4);
                          flick_iiopxx_check_span(4, _flick_abort2943);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _local_b1.d._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(4);
                          {
                            struct tb *_t_alloc_ptr;

                            _t_alloc_ptr = (struct tb *)new (struct tb [_local_b1.d._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2943);
                            _local_b1.d._buffer = _t_alloc_ptr;
                            _local_b1.d._maximum = _local_b1.d._length;
                            _local_b1.d._release = 1;
                          }
                          for (_t644_array_iter = 0; _t644_array_iter < _local_b1.d._length; _t644_array_iter++)
                            {
                              if (flick_unmarshal_stub_tb_recursive_idl_server_in_swap(_stream, _local_b1.d._buffer + _t644_array_iter))
                                goto _flick_abort3011;
                              continue;
                              {
                              _flick_abort3011:
                                goto _flick_abort2943;
                              }
                            }

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->convert(_local_a1, _local_b1, _local_c1, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t645_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t645_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2943);
                            flick_iiopxx_encode_new_glob(56, _flick_abort2943);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t645_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t645_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  flick_unsigned32_t _t797_temp_string_len;
                                  CORBA::ULong _t798_array_iter;
                                  CORBA::ULong _t799_array_iter;
                                  CORBA::ULong _t800_array_iter;
                                  flick_unsigned32_t _t801_temp_string_len;
                                  CORBA::ULong _t802_array_iter;
                                  CORBA::ULong _t803_array_iter;

                                  flick_cdr_stringlen(CORBA::Char *, _local_a1.b.b.inout(), flick_unsigned32_t , _t797_temp_string_len);
                                  flick_cdr_stringlen(CORBA::Char *, _local_a1.e.b.inout(), flick_unsigned32_t , _t801_temp_string_len);

                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return->disc_, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_return->disc_)
                                    {
                                    case 1:
                                      {
                                        flick_unsigned32_t _t761_temp_string_len;
                                        CORBA::ULong _t762_array_iter;
                                        CORBA::ULong _t763_array_iter;
                                        CORBA::ULong _t764_array_iter;
                                        flick_unsigned32_t _t765_temp_string_len;
                                        CORBA::ULong _t766_array_iter;
                                        CORBA::ULong _t767_array_iter;

                                        flick_cdr_stringlen(CORBA::Char *, _return->_u.one->b.b.in(), flick_unsigned32_t , _t761_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, _return->_u.one->e.b.in(), flick_unsigned32_t , _t765_temp_string_len);

                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_u.one->a.a, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return->_u.one->a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(8, _return->_u.one->a.c, CORBA::Short );
                                        flick_cdr_encode_char8(10, _return->_u.one->b.a, CORBA::Char );
                                        flick_cdr_encode_unsigned32(12, _t761_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(16);
                                        flick_iiopxx_encode_end_glob(56);
                                        flick_iiopxx_encode_new_glob(1 * _t761_temp_string_len, _flick_abort3640);
                                        flick_iiopxx_encode_new_chunk(1 * _t761_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _return->_u.one->b.b.in(), 1 * _t761_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t761_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t761_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort3640);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _return->_u.one->b.c._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        for (_t762_array_iter = 0; _t762_array_iter < _return->_u.one->b.c._length; _t762_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _return->_u.one->b.c._buffer + _t762_array_iter))
                                              goto _flick_abort3646;
                                            continue;
                                            {
                                            _flick_abort3646:
                                              goto _flick_abort3640;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(28, _flick_abort3640);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_u.one->c.a.a, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return->_u.one->c.a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(8, _return->_u.one->c.a.c, CORBA::Short );
                                        flick_cdr_encode_char8(10, _return->_u.one->c.b.a, CORBA::Char );
                                        flick_cdr_encode_char8(11, _return->_u.one->c.b.b, CORBA::Char );
                                        flick_cdr_encode_char8(12, _return->_u.one->c.b.c, CORBA::Char );
                                        flick_cdr_encode_char8(13, _return->_u.one->c.b.d, CORBA::Char );
                                        flick_cdr_encode_unsigned32(16, _return->_u.one->c.b.e._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(20);
                                        flick_iiopxx_encode_end_glob(28);
                                        for (_t763_array_iter = 0; _t763_array_iter < _return->_u.one->c.b.e._length; _t763_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.one->c.b.e._buffer + _t763_array_iter))
                                              goto _flick_abort3651;
                                            continue;
                                            {
                                            _flick_abort3651:
                                              goto _flick_abort3640;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(4, _flick_abort3640);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.one->next._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(4);
                                        for (_t764_array_iter = 0; _t764_array_iter < _return->_u.one->next._length; _t764_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_recursive_idl_server_return(_stream, _return->_u.one->next._buffer + _t764_array_iter))
                                              goto _flick_abort3656;
                                            continue;
                                            {
                                            _flick_abort3656:
                                              goto _flick_abort3640;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(24, _flick_abort3640);
                                        flick_iiopxx_encode_new_chunk(24);
                                        flick_cdr_encode_signed32(0, _return->_u.one->d.a, CORBA::Long );
                                        flick_cdr_encode_float64(8, _return->_u.one->d.b, CORBA::Double );
                                        flick_cdr_encode_signed16(16, _return->_u.one->d.c, CORBA::Short );
                                        flick_cdr_encode_char8(18, _return->_u.one->e.a, CORBA::Char );
                                        flick_cdr_encode_unsigned32(20, _t765_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(24);
                                        flick_iiopxx_encode_end_glob(24);
                                        flick_iiopxx_encode_new_glob(1 * _t765_temp_string_len, _flick_abort3640);
                                        flick_iiopxx_encode_new_chunk(1 * _t765_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _return->_u.one->e.b.in(), 1 * _t765_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t765_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t765_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort3640);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _return->_u.one->e.c._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        for (_t766_array_iter = 0; _t766_array_iter < _return->_u.one->e.c._length; _t766_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _return->_u.one->e.c._buffer + _t766_array_iter))
                                              goto _flick_abort3663;
                                            continue;
                                            {
                                            _flick_abort3663:
                                              goto _flick_abort3640;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(28, _flick_abort3640);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_u.one->f.a.a, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return->_u.one->f.a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(8, _return->_u.one->f.a.c, CORBA::Short );
                                        flick_cdr_encode_char8(10, _return->_u.one->f.b.a, CORBA::Char );
                                        flick_cdr_encode_char8(11, _return->_u.one->f.b.b, CORBA::Char );
                                        flick_cdr_encode_char8(12, _return->_u.one->f.b.c, CORBA::Char );
                                        flick_cdr_encode_char8(13, _return->_u.one->f.b.d, CORBA::Char );
                                        flick_cdr_encode_unsigned32(16, _return->_u.one->f.b.e._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(20);
                                        flick_iiopxx_encode_end_glob(28);
                                        for (_t767_array_iter = 0; _t767_array_iter < _return->_u.one->f.b.e._length; _t767_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.one->f.b.e._buffer + _t767_array_iter))
                                              goto _flick_abort3668;
                                            continue;
                                            {
                                            _flick_abort3668:
                                              goto _flick_abort3640;
                                            }
                                          }
                                        break;
                                        {
                                        _flick_abort3640:
                                          goto _flick_abort3441;
                                        }
                                      }
                                    case 2:
                                      {
                                        CORBA::ULong _t768_array_iter;
                                        CORBA::ULong _t772_array_iter;
                                        CORBA::ULong _t775_array_iter;

                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_u.two->a.a, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return->_u.two->a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(8, _return->_u.two->a.c, CORBA::Short );
                                        flick_cdr_encode_signed32(12, _return->_u.two->b.a.a, CORBA::Long );
                                        flick_cdr_encode_float64(16, _return->_u.two->b.a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(24, _return->_u.two->b.a.c, CORBA::Short );
                                        flick_cdr_encode_char8(26, _return->_u.two->b.b.a, CORBA::Char );
                                        flick_cdr_encode_char8(27, _return->_u.two->b.b.b, CORBA::Char );
                                        flick_cdr_encode_char8(28, _return->_u.two->b.b.c, CORBA::Char );
                                        flick_cdr_encode_char8(29, _return->_u.two->b.b.d, CORBA::Char );
                                        flick_cdr_encode_unsigned32(32, _return->_u.two->b.b.e._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(36);
                                        flick_iiopxx_encode_end_glob(56);
                                        for (_t768_array_iter = 0; _t768_array_iter < _return->_u.two->b.b.e._length; _t768_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.two->b.b.e._buffer + _t768_array_iter))
                                              goto _flick_abort3674;
                                            continue;
                                            {
                                            _flick_abort3674:
                                              goto _flick_abort3670;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(4, _flick_abort3670);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.two->c._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(4);
                                        for (_t772_array_iter = 0; _t772_array_iter < _return->_u.two->c._length; _t772_array_iter++)
                                          {
                                            CORBA::ULong _t774_array_iter;

                                            flick_iiopxx_encode_new_glob(28, _flick_abort3694);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->_u.two->c._buffer[_t772_array_iter].a.a, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                            flick_cdr_encode_float64(0, _return->_u.two->c._buffer[_t772_array_iter].a.b, CORBA::Double );
                                            flick_cdr_encode_signed16(8, _return->_u.two->c._buffer[_t772_array_iter].a.c, CORBA::Short );
                                            flick_cdr_encode_char8(10, _return->_u.two->c._buffer[_t772_array_iter].b.a, CORBA::Char );
                                            flick_cdr_encode_char8(11, _return->_u.two->c._buffer[_t772_array_iter].b.b, CORBA::Char );
                                            flick_cdr_encode_char8(12, _return->_u.two->c._buffer[_t772_array_iter].b.c, CORBA::Char );
                                            flick_cdr_encode_char8(13, _return->_u.two->c._buffer[_t772_array_iter].b.d, CORBA::Char );
                                            flick_cdr_encode_unsigned32(16, _return->_u.two->c._buffer[_t772_array_iter].b.e._length, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(20);
                                            flick_iiopxx_encode_end_glob(28);
                                            for (_t774_array_iter = 0; _t774_array_iter < _return->_u.two->c._buffer[_t772_array_iter].b.e._length; _t774_array_iter++)
                                              {
                                                if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.two->c._buffer[_t772_array_iter].b.e._buffer + _t774_array_iter))
                                                  goto _flick_abort3704;
                                                continue;
                                                {
                                                _flick_abort3704:
                                                  goto _flick_abort3694;
                                                }
                                              }
                                            continue;
                                            {
                                            _flick_abort3694:
                                              goto _flick_abort3670;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(4, _flick_abort3670);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.two->d._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(4);
                                        for (_t775_array_iter = 0; _t775_array_iter < _return->_u.two->d._length; _t775_array_iter++)
                                          {
                                            if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _return->_u.two->d._buffer + _t775_array_iter))
                                              goto _flick_abort3709;
                                            continue;
                                            {
                                            _flick_abort3709:
                                              goto _flick_abort3670;
                                            }
                                          }
                                        break;
                                        {
                                        _flick_abort3670:
                                          goto _flick_abort3441;
                                        }
                                      }
                                    case 3:
                                      {
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.three->disc_, enum tc );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_return->_u.three->disc_)
                                          {
                                          case 0:
                                            {
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return->_u.three->_u.x, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(56);
                                              break;
                                            }
                                          case 1:
                                            {
                                              flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                              flick_cdr_encode_float64(0, _return->_u.three->_u.y, CORBA::Double );
                                              flick_iiopxx_encode_end_chunk(8);
                                              flick_iiopxx_encode_end_glob(56);
                                              break;
                                            }
                                          case 2:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_unsigned8(0, _return->_u.three->_u.z, CORBA::Boolean );
                                              flick_iiopxx_encode_end_chunk(1);
                                              flick_iiopxx_encode_end_glob(56);
                                              break;
                                            }
                                          case 3:
                                            {
                                              CORBA::ULong _t786_array_iter;
                                              CORBA::ULong _t790_array_iter;
                                              CORBA::ULong _t793_array_iter;

                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return->_u.three->_u.s->a.a, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
                                              flick_cdr_encode_float64(0, _return->_u.three->_u.s->a.b, CORBA::Double );
                                              flick_cdr_encode_signed16(8, _return->_u.three->_u.s->a.c, CORBA::Short );
                                              flick_cdr_encode_signed32(12, _return->_u.three->_u.s->b.a.a, CORBA::Long );
                                              flick_cdr_encode_float64(16, _return->_u.three->_u.s->b.a.b, CORBA::Double );
                                              flick_cdr_encode_signed16(24, _return->_u.three->_u.s->b.a.c, CORBA::Short );
                                              flick_cdr_encode_char8(26, _return->_u.three->_u.s->b.b.a, CORBA::Char );
                                              flick_cdr_encode_char8(27, _return->_u.three->_u.s->b.b.b, CORBA::Char );
                                              flick_cdr_encode_char8(28, _return->_u.three->_u.s->b.b.c, CORBA::Char );
                                              flick_cdr_encode_char8(29, _return->_u.three->_u.s->b.b.d, CORBA::Char );
                                              flick_cdr_encode_unsigned32(32, _return->_u.three->_u.s->b.b.e._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(36);
                                              flick_iiopxx_encode_end_glob(56);
                                              for (_t786_array_iter = 0; _t786_array_iter < _return->_u.three->_u.s->b.b.e._length; _t786_array_iter++)
                                                {
                                                  if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.three->_u.s->b.b.e._buffer + _t786_array_iter))
                                                    goto _flick_abort3779;
                                                  continue;
                                                  {
                                                  _flick_abort3779:
                                                    goto _flick_abort3775;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_glob(4, _flick_abort3775);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _return->_u.three->_u.s->c._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(4);
                                              for (_t790_array_iter = 0; _t790_array_iter < _return->_u.three->_u.s->c._length; _t790_array_iter++)
                                                {
                                                  CORBA::ULong _t792_array_iter;

                                                  flick_iiopxx_encode_new_glob(28, _flick_abort3799);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return->_u.three->_u.s->c._buffer[_t790_array_iter].a.a, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                                  flick_cdr_encode_float64(0, _return->_u.three->_u.s->c._buffer[_t790_array_iter].a.b, CORBA::Double );
                                                  flick_cdr_encode_signed16(8, _return->_u.three->_u.s->c._buffer[_t790_array_iter].a.c, CORBA::Short );
                                                  flick_cdr_encode_char8(10, _return->_u.three->_u.s->c._buffer[_t790_array_iter].b.a, CORBA::Char );
                                                  flick_cdr_encode_char8(11, _return->_u.three->_u.s->c._buffer[_t790_array_iter].b.b, CORBA::Char );
                                                  flick_cdr_encode_char8(12, _return->_u.three->_u.s->c._buffer[_t790_array_iter].b.c, CORBA::Char );
                                                  flick_cdr_encode_char8(13, _return->_u.three->_u.s->c._buffer[_t790_array_iter].b.d, CORBA::Char );
                                                  flick_cdr_encode_unsigned32(16, _return->_u.three->_u.s->c._buffer[_t790_array_iter].b.e._length, CORBA::ULong );
                                                  flick_iiopxx_encode_end_chunk(20);
                                                  flick_iiopxx_encode_end_glob(28);
                                                  for (_t792_array_iter = 0; _t792_array_iter < _return->_u.three->_u.s->c._buffer[_t790_array_iter].b.e._length; _t792_array_iter++)
                                                    {
                                                      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.three->_u.s->c._buffer[_t790_array_iter].b.e._buffer + _t792_array_iter))
                                                        goto _flick_abort3809;
                                                      continue;
                                                      {
                                                      _flick_abort3809:
                                                        goto _flick_abort3799;
                                                      }
                                                    }
                                                  continue;
                                                  {
                                                  _flick_abort3799:
                                                    goto _flick_abort3775;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_glob(4, _flick_abort3775);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _return->_u.three->_u.s->d._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(4);
                                              for (_t793_array_iter = 0; _t793_array_iter < _return->_u.three->_u.s->d._length; _t793_array_iter++)
                                                {
                                                  if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _return->_u.three->_u.s->d._buffer + _t793_array_iter))
                                                    goto _flick_abort3814;
                                                  continue;
                                                  {
                                                  _flick_abort3814:
                                                    goto _flick_abort3775;
                                                  }
                                                }
                                              break;
                                              {
                                              _flick_abort3775:
                                                goto _flick_abort3711;
                                              }
                                            }
                                          case 4:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_unsigned8(0, _return->_u.three->_u.u->disc_, CORBA::Boolean );
                                              flick_iiopxx_encode_end_chunk(1);
                                              switch (_return->_u.three->_u.u->disc_)
                                                {
                                                case 1:
                                                  {
                                                    CORBA::ULong _t795_array_iter;

                                                    flick_iiopxx_encode_new_chunk(7);
                                                    flick_cdr_encode_unsigned32(3, _return->_u.three->_u.u->_u.next->_length, CORBA::ULong );
                                                    flick_iiopxx_encode_end_chunk(7);
                                                    flick_iiopxx_encode_end_glob(56);
                                                    if (_return->_u.three->_u.u->_u.next->_length > 1)
                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3824);
                                                    for (_t795_array_iter = 0; _t795_array_iter < _return->_u.three->_u.u->_u.next->_length; _t795_array_iter++)
                                                      {
                                                        if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _return->_u.three->_u.u->_u.next->_buffer + _t795_array_iter))
                                                          goto _flick_abort3827;
                                                        continue;
                                                        {
                                                        _flick_abort3827:
                                                          goto _flick_abort3824;
                                                        }
                                                      }
                                                    break;
                                                    {
                                                    _flick_abort3824:
                                                      goto _flick_abort3816;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_iiopxx_encode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                              {
                                              _flick_abort3816:
                                                goto _flick_abort3711;
                                              }
                                            }
                                          default:
                                            {
                                              flick_iiopxx_encode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                        {
                                        _flick_abort3711:
                                          goto _flick_abort3441;
                                        }
                                      }
                                    default:
                                      {
                                        CORBA::ULong _t796_array_iter;

                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.again->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(56);
                                        for (_t796_array_iter = 0; _t796_array_iter < _return->_u.again->_length; _t796_array_iter++)
                                          {
                                            if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _return->_u.again->_buffer + _t796_array_iter))
                                              goto _flick_abort3835;
                                            continue;
                                            {
                                            _flick_abort3835:
                                              goto _flick_abort3831;
                                            }
                                          }
                                        break;
                                        {
                                        _flick_abort3831:
                                          goto _flick_abort3441;
                                        }
                                      }
                                    }
                                  delete _return;
                                  _return = (td *)0;
                                  flick_iiopxx_encode_new_glob(27, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_signed32(0, _local_a1.a.a, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
                                  flick_cdr_encode_float64(0, _local_a1.a.b, CORBA::Double );
                                  flick_cdr_encode_signed16(8, _local_a1.a.c, CORBA::Short );
                                  flick_cdr_encode_char8(10, _local_a1.b.a, CORBA::Char );
                                  flick_cdr_encode_unsigned32(12, _t797_temp_string_len, flick_unsigned32_t );
                                  flick_iiopxx_encode_end_chunk(16);
                                  flick_iiopxx_encode_end_glob(27);
                                  flick_iiopxx_encode_new_glob(1 * _t797_temp_string_len, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk(1 * _t797_temp_string_len);
                                  flick_cdr_encode_bcopy(0, _local_a1.b.b.inout(), 1 * _t797_temp_string_len);
                                  flick_iiopxx_encode_end_chunk(1 * _t797_temp_string_len);
                                  flick_iiopxx_encode_end_glob(1 * _t797_temp_string_len);
                                  flick_iiopxx_encode_new_glob(7, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_unsigned32(0, _local_a1.b.c._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  for (_t798_array_iter = 0; _t798_array_iter < _local_a1.b.c._length; _t798_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1.b.c._buffer + _t798_array_iter))
                                        goto _flick_abort3842;
                                      continue;
                                      {
                                      _flick_abort3842:
                                        goto _flick_abort3441;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(28, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _local_a1.c.a.a, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                  flick_cdr_encode_float64(0, _local_a1.c.a.b, CORBA::Double );
                                  flick_cdr_encode_signed16(8, _local_a1.c.a.c, CORBA::Short );
                                  flick_cdr_encode_char8(10, _local_a1.c.b.a, CORBA::Char );
                                  flick_cdr_encode_char8(11, _local_a1.c.b.b, CORBA::Char );
                                  flick_cdr_encode_char8(12, _local_a1.c.b.c, CORBA::Char );
                                  flick_cdr_encode_char8(13, _local_a1.c.b.d, CORBA::Char );
                                  flick_cdr_encode_unsigned32(16, _local_a1.c.b.e._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(20);
                                  flick_iiopxx_encode_end_glob(28);
                                  for (_t799_array_iter = 0; _t799_array_iter < _local_a1.c.b.e._length; _t799_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1.c.b.e._buffer + _t799_array_iter))
                                        goto _flick_abort3847;
                                      continue;
                                      {
                                      _flick_abort3847:
                                        goto _flick_abort3441;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(4, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _local_a1.next._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(4);
                                  for (_t800_array_iter = 0; _t800_array_iter < _local_a1.next._length; _t800_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_recursive_idl_server_inout(_stream, _local_a1.next._buffer + _t800_array_iter))
                                        goto _flick_abort3852;
                                      continue;
                                      {
                                      _flick_abort3852:
                                        goto _flick_abort3441;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(24, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk(24);
                                  flick_cdr_encode_signed32(0, _local_a1.d.a, CORBA::Long );
                                  flick_cdr_encode_float64(8, _local_a1.d.b, CORBA::Double );
                                  flick_cdr_encode_signed16(16, _local_a1.d.c, CORBA::Short );
                                  flick_cdr_encode_char8(18, _local_a1.e.a, CORBA::Char );
                                  flick_cdr_encode_unsigned32(20, _t801_temp_string_len, flick_unsigned32_t );
                                  flick_iiopxx_encode_end_chunk(24);
                                  flick_iiopxx_encode_end_glob(24);
                                  flick_iiopxx_encode_new_glob(1 * _t801_temp_string_len, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk(1 * _t801_temp_string_len);
                                  flick_cdr_encode_bcopy(0, _local_a1.e.b.inout(), 1 * _t801_temp_string_len);
                                  flick_iiopxx_encode_end_chunk(1 * _t801_temp_string_len);
                                  flick_iiopxx_encode_end_glob(1 * _t801_temp_string_len);
                                  flick_iiopxx_encode_new_glob(7, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_unsigned32(0, _local_a1.e.c._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  for (_t802_array_iter = 0; _t802_array_iter < _local_a1.e.c._length; _t802_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1.e.c._buffer + _t802_array_iter))
                                        goto _flick_abort3859;
                                      continue;
                                      {
                                      _flick_abort3859:
                                        goto _flick_abort3441;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(28, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _local_a1.f.a.a, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                  flick_cdr_encode_float64(0, _local_a1.f.a.b, CORBA::Double );
                                  flick_cdr_encode_signed16(8, _local_a1.f.a.c, CORBA::Short );
                                  flick_cdr_encode_char8(10, _local_a1.f.b.a, CORBA::Char );
                                  flick_cdr_encode_char8(11, _local_a1.f.b.b, CORBA::Char );
                                  flick_cdr_encode_char8(12, _local_a1.f.b.c, CORBA::Char );
                                  flick_cdr_encode_char8(13, _local_a1.f.b.d, CORBA::Char );
                                  flick_cdr_encode_unsigned32(16, _local_a1.f.b.e._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(20);
                                  flick_iiopxx_encode_end_glob(28);
                                  for (_t803_array_iter = 0; _t803_array_iter < _local_a1.f.b.e._length; _t803_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1.f.b.e._buffer + _t803_array_iter))
                                        goto _flick_abort3864;
                                      continue;
                                      {
                                      _flick_abort3864:
                                        goto _flick_abort3441;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(4, _flick_abort3441);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _local_c1, enum tc );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort3441:
                                    goto _flick_abort2943;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(56);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3866);
                                  break;
                                  {
                                  _flick_abort3866:
                                    goto _flick_abort2943;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3867);
                                  flick_iiopxx_encode_end_glob(56);
                                  break;
                                  {
                                  _flick_abort3867:
                                    goto _flick_abort2943;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2943:
                            goto _flick_abort2942;
                          }
                        }
                        break;
                        {
                        _flick_abort2942:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 13:
          {
            unsigned int _t804_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t804_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t804_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t805_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t805_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t805_switch_tag)
                    {
                    case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                      {
                        unsigned int _t806_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t806_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t806_switch_tag)
                          {
                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                            {
                              char _t807_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t807_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t807_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_obj *_local_this;
                                      unsigned int _t808_principal_len;
                                      CORBA::Long _return;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort3869);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(7);
                                      flick_cdr_swap_decode_unsigned32(3, _t808_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(7);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t808_principal_len, _flick_abort3869);
                                      flick_iiopxx_decode_new_glob(_t808_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t808_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t808_principal_len);
                                      flick_iiopxx_decode_end_glob(_t808_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->my_attr(_ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t809_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t809_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort3869);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort3869);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t809_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t809_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3875);
                                              break;
                                              {
                                              _flick_abort3875:
                                                goto _flick_abort3869;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3876);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort3876:
                                                goto _flick_abort3869;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort3869:
                                        goto _flick_abort3868;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort3868:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t810_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t810_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t810_switch_tag)
                    {
                    case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                      {
                        unsigned int _t811_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t811_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t811_switch_tag)
                          {
                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                            {
                              char _t812_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t812_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t812_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_obj *_local_this;
                                      unsigned int _t813_principal_len;
                                      CORBA::Long _local_my_attr;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort3878);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(7);
                                      flick_cdr_swap_decode_unsigned32(3, _t813_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(7);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t813_principal_len, _flick_abort3878);
                                      flick_iiopxx_decode_new_glob(_t813_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t813_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t813_principal_len);
                                      flick_iiopxx_decode_end_glob(_t813_principal_len);
                                      /* Begin decode phase on parameters */
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort3878);
                                      flick_cdr_swap_decode_signed32(0, _local_my_attr, CORBA::Long );

                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _local_this->my_attr(_local_my_attr, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t814_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t814_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort3878);
                                        flick_iiopxx_encode_new_glob(4, _flick_abort3878);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t814_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t814_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3884);
                                              break;
                                              {
                                              _flick_abort3884:
                                                goto _flick_abort3878;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3885);
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                              {
                                              _flick_abort3885:
                                                goto _flick_abort3878;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort3878:
                                        goto _flick_abort3877;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort3877:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t815_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t815_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t815_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t816_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t816_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t816_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_obj *_local_this;
                          unsigned int _t817_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t818_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort3887);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t817_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t817_principal_len, _flick_abort3887);
                          flick_iiopxx_decode_new_glob(_t817_principal_len);
                          flick_iiopxx_decode_new_chunk(_t817_principal_len);
                          flick_iiopxx_decode_end_chunk(_t817_principal_len);
                          flick_iiopxx_decode_end_glob(_t817_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort3887);
                          flick_cdr_swap_decode_unsigned32(0, _t818_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t818_temp_string_len);
                          flick_iiopxx_check_span(1 * _t818_temp_string_len, _flick_abort3887);
                          flick_iiopxx_decode_new_chunk(1 * _t818_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t818_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t818_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t819_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t819_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort3887);
                            flick_iiopxx_encode_new_glob(5, _flick_abort3887);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t819_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t819_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3895);
                                  break;
                                  {
                                  _flick_abort3895:
                                    goto _flick_abort3887;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3896);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort3896:
                                    goto _flick_abort3887;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort3887:
                            goto _flick_abort3886;
                          }
                        }
                        break;
                        {
                        _flick_abort3886:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(24);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t205_switch_tag;

      flick_iiopxx_decode_new_glob(24);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t205_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t205_switch_tag)
        {
        case (unsigned int) 11:
          {
            unsigned int _t206_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t206_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t206_switch_tag)
              {
              case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
                {
                  unsigned int _t207_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t207_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t207_switch_tag)
                    {
                    case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                      {
                        unsigned short int _t208_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t208_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t208_switch_tag)
                          {
                          case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                            {
                              char _t209_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t209_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t209_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_obj *_local_this;
                                      unsigned int _t210_principal_len;
                                      ::obj::my_obj_ptr _return;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort978);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_decode_unsigned32(1, _t210_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t210_principal_len, _flick_abort978);
                                      flick_iiopxx_decode_new_glob(_t210_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t210_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t210_principal_len);
                                      flick_iiopxx_decode_end_glob(_t210_principal_len);
                                      /* Begin decode phase on parameters */

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->get_server(_ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t211_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t211_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort978);
                                        flick_iiopxx_encode_new_glob(4, _flick_abort978);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t211_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t211_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_cdrxx_encode_IOR(iiopxx, _return, 0, obj , _flick_abort983);
                                              CORBA_object_flick_free(_return);
                                              _return = (obj *)0;
                                              break;
                                              {
                                              _flick_abort983:
                                                goto _flick_abort978;
                                              }
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort984);
                                              break;
                                              {
                                              _flick_abort984:
                                                goto _flick_abort978;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort985);
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                              {
                                              _flick_abort985:
                                                goto _flick_abort978;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort978:
                                        goto _flick_abort977;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort977:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* set_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028767):
                {
                  unsigned int _t212_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t212_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t212_switch_tag)
                    {
                    case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                      {
                        unsigned short int _t213_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t213_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t213_switch_tag)
                          {
                          case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                            {
                              char _t214_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t214_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t214_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_obj *_local_this;
                                      unsigned int _t215_principal_len;
                                      ::obj::my_obj_ptr _local_srvr;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort987);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_decode_unsigned32(1, _t215_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t215_principal_len, _flick_abort987);
                                      flick_iiopxx_decode_new_glob(_t215_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t215_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t215_principal_len);
                                      flick_iiopxx_decode_end_glob(_t215_principal_len);
                                      /* Begin decode phase on parameters */
                                      flick_cdrxx_decode_IOR(iiopxx, _local_srvr, 1, obj , _flick_abort987);
                                      flick_iiopxx_mark_port_for_cleanup(_local_srvr, 1);

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _local_this->set_server(_local_srvr, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t216_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t216_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort987);
                                        flick_iiopxx_encode_new_glob(4, _flick_abort987);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t216_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t216_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort993);
                                              break;
                                              {
                                              _flick_abort993:
                                                goto _flick_abort987;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort994);
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                              {
                                              _flick_abort994:
                                                goto _flick_abort987;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort987:
                                        goto _flick_abort986;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort986:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t217_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t217_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t217_switch_tag)
              {
              case /* conv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668247158):
                {
                  unsigned int _t218_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t218_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t218_switch_tag)
                    {
                    case /* ert */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701999616):
                      {
                        {
                          POA_obj *_local_this;
                          unsigned int _t219_principal_len;
                          td *_return;
                          struct ta _local_a1;
                          flick_unsigned32_t _t220_temp_string_len;
                          CORBA::ULong _t221_array_iter;
                          CORBA::ULong _t222_array_iter;
                          CORBA::ULong _t223_array_iter;
                          flick_unsigned32_t _t224_temp_string_len;
                          CORBA::ULong _t225_array_iter;
                          CORBA::ULong _t226_array_iter;
                          struct tb _local_b1;
                          CORBA::ULong _t227_array_iter;
                          CORBA::ULong _t231_array_iter;
                          CORBA::ULong _t234_array_iter;
                          enum tc _local_c1;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort996);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t219_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t219_principal_len, _flick_abort996);
                          flick_iiopxx_decode_new_glob(_t219_principal_len);
                          flick_iiopxx_decode_new_chunk(_t219_principal_len);
                          flick_iiopxx_decode_end_chunk(_t219_principal_len);
                          flick_iiopxx_decode_end_glob(_t219_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(27);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort996);
                          flick_cdr_decode_signed32(0, _local_a1.a.a, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
                          flick_iiopxx_check_span(16, _flick_abort996);
                          flick_cdr_decode_float64(0, _local_a1.a.b, CORBA::Double );
                          flick_cdr_decode_signed16(8, _local_a1.a.c, CORBA::Short );
                          flick_cdr_decode_char8(10, _local_a1.b.a, CORBA::Char );
                          flick_cdr_decode_unsigned32(12, _t220_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(16);
                          flick_iiopxx_decode_end_glob(27);
                          flick_iiopxx_decode_new_glob(1 * _t220_temp_string_len);
                          flick_iiopxx_check_span(1 * _t220_temp_string_len, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(1 * _t220_temp_string_len);
                          {
                            CORBA::Char *_t_alloc_ptr;

                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t220_temp_string_len * sizeof(CORBA::Char )));
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_a1.b.b.inout() = _t_alloc_ptr;
                          }
                          flick_cdr_decode_bcopy(0, _local_a1.b.b.inout(), 1 * _t220_temp_string_len);
                          flick_iiopxx_decode_end_chunk(1 * _t220_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t220_temp_string_len);
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort996);
                          flick_cdr_decode_unsigned32(0, _local_a1.b.c._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          {
                            struct ::ta::tc *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_local_a1.b.c._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_a1.b.c._buffer = _t_alloc_ptr;
                            _local_a1.b.c._maximum = _local_a1.b.c._length;
                            _local_a1.b.c._release = 1;
                          }
                          for (_t221_array_iter = 0; _t221_array_iter < _local_a1.b.c._length; _t221_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1.b.c._buffer + _t221_array_iter))
                                goto _flick_abort1002;
                              continue;
                              {
                              _flick_abort1002:
                                goto _flick_abort996;
                              }
                            }
                          flick_iiopxx_decode_new_glob(28);
                          flick_iiopxx_check_span(4, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_signed32(0, _local_a1.c.a.a, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                          flick_iiopxx_check_span(20, _flick_abort996);
                          flick_cdr_decode_float64(0, _local_a1.c.a.b, CORBA::Double );
                          flick_cdr_decode_signed16(8, _local_a1.c.a.c, CORBA::Short );
                          flick_cdr_decode_char8(10, _local_a1.c.b.a, CORBA::Char );
                          flick_cdr_decode_char8(11, _local_a1.c.b.b, CORBA::Char );
                          flick_cdr_decode_char8(12, _local_a1.c.b.c, CORBA::Char );
                          flick_cdr_decode_char8(13, _local_a1.c.b.d, CORBA::Char );
                          flick_cdr_decode_unsigned32(16, _local_a1.c.b.e._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(20);
                          flick_iiopxx_decode_end_glob(28);
                          {
                            struct ::ta::td *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_a1.c.b.e._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_a1.c.b.e._buffer = _t_alloc_ptr;
                            _local_a1.c.b.e._maximum = _local_a1.c.b.e._length;
                            _local_a1.c.b.e._release = 1;
                          }
                          for (_t222_array_iter = 0; _t222_array_iter < _local_a1.c.b.e._length; _t222_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1.c.b.e._buffer + _t222_array_iter))
                                goto _flick_abort1007;
                              continue;
                              {
                              _flick_abort1007:
                                goto _flick_abort996;
                              }
                            }
                          flick_iiopxx_decode_new_glob(4);
                          flick_iiopxx_check_span(4, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _local_a1.next._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(4);
                          {
                            struct ta *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ta *)new (struct ta [_local_a1.next._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_a1.next._buffer = _t_alloc_ptr;
                            _local_a1.next._maximum = _local_a1.next._length;
                            _local_a1.next._release = 1;
                          }
                          for (_t223_array_iter = 0; _t223_array_iter < _local_a1.next._length; _t223_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_recursive_idl_server_inout(_stream, _local_a1.next._buffer + _t223_array_iter))
                                goto _flick_abort1012;
                              continue;
                              {
                              _flick_abort1012:
                                goto _flick_abort996;
                              }
                            }
                          flick_iiopxx_decode_new_glob(24);
                          flick_iiopxx_check_span(24, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(24);
                          flick_cdr_decode_signed32(0, _local_a1.d.a, CORBA::Long );
                          flick_cdr_decode_float64(8, _local_a1.d.b, CORBA::Double );
                          flick_cdr_decode_signed16(16, _local_a1.d.c, CORBA::Short );
                          flick_cdr_decode_char8(18, _local_a1.e.a, CORBA::Char );
                          flick_cdr_decode_unsigned32(20, _t224_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(24);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_decode_new_glob(1 * _t224_temp_string_len);
                          flick_iiopxx_check_span(1 * _t224_temp_string_len, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(1 * _t224_temp_string_len);
                          {
                            CORBA::Char *_t_alloc_ptr;

                            _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t224_temp_string_len * sizeof(CORBA::Char )));
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_a1.e.b.inout() = _t_alloc_ptr;
                          }
                          flick_cdr_decode_bcopy(0, _local_a1.e.b.inout(), 1 * _t224_temp_string_len);
                          flick_iiopxx_decode_end_chunk(1 * _t224_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t224_temp_string_len);
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort996);
                          flick_cdr_decode_unsigned32(0, _local_a1.e.c._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          {
                            struct ::ta::tc *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_local_a1.e.c._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_a1.e.c._buffer = _t_alloc_ptr;
                            _local_a1.e.c._maximum = _local_a1.e.c._length;
                            _local_a1.e.c._release = 1;
                          }
                          for (_t225_array_iter = 0; _t225_array_iter < _local_a1.e.c._length; _t225_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1.e.c._buffer + _t225_array_iter))
                                goto _flick_abort1019;
                              continue;
                              {
                              _flick_abort1019:
                                goto _flick_abort996;
                              }
                            }
                          flick_iiopxx_decode_new_glob(28);
                          flick_iiopxx_check_span(4, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_signed32(0, _local_a1.f.a.a, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                          flick_iiopxx_check_span(20, _flick_abort996);
                          flick_cdr_decode_float64(0, _local_a1.f.a.b, CORBA::Double );
                          flick_cdr_decode_signed16(8, _local_a1.f.a.c, CORBA::Short );
                          flick_cdr_decode_char8(10, _local_a1.f.b.a, CORBA::Char );
                          flick_cdr_decode_char8(11, _local_a1.f.b.b, CORBA::Char );
                          flick_cdr_decode_char8(12, _local_a1.f.b.c, CORBA::Char );
                          flick_cdr_decode_char8(13, _local_a1.f.b.d, CORBA::Char );
                          flick_cdr_decode_unsigned32(16, _local_a1.f.b.e._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(20);
                          flick_iiopxx_decode_end_glob(28);
                          {
                            struct ::ta::td *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_a1.f.b.e._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_a1.f.b.e._buffer = _t_alloc_ptr;
                            _local_a1.f.b.e._maximum = _local_a1.f.b.e._length;
                            _local_a1.f.b.e._release = 1;
                          }
                          for (_t226_array_iter = 0; _t226_array_iter < _local_a1.f.b.e._length; _t226_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1.f.b.e._buffer + _t226_array_iter))
                                goto _flick_abort1024;
                              continue;
                              {
                              _flick_abort1024:
                                goto _flick_abort996;
                              }
                            }
                          flick_iiopxx_decode_new_glob(40);
                          flick_iiopxx_check_span(40, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(40);
                          flick_cdr_decode_signed32(0, _local_b1.a.a, CORBA::Long );
                          flick_cdr_decode_float64(4, _local_b1.a.b, CORBA::Double );
                          flick_cdr_decode_signed16(12, _local_b1.a.c, CORBA::Short );
                          flick_cdr_decode_signed32(16, _local_b1.b.a.a, CORBA::Long );
                          flick_cdr_decode_float64(20, _local_b1.b.a.b, CORBA::Double );
                          flick_cdr_decode_signed16(28, _local_b1.b.a.c, CORBA::Short );
                          flick_cdr_decode_char8(30, _local_b1.b.b.a, CORBA::Char );
                          flick_cdr_decode_char8(31, _local_b1.b.b.b, CORBA::Char );
                          flick_cdr_decode_char8(32, _local_b1.b.b.c, CORBA::Char );
                          flick_cdr_decode_char8(33, _local_b1.b.b.d, CORBA::Char );
                          flick_cdr_decode_unsigned32(36, _local_b1.b.b.e._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(40);
                          flick_iiopxx_decode_end_glob(40);
                          {
                            struct ::ta::td *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_b1.b.b.e._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_b1.b.b.e._buffer = _t_alloc_ptr;
                            _local_b1.b.b.e._maximum = _local_b1.b.b.e._length;
                            _local_b1.b.b.e._release = 1;
                          }
                          for (_t227_array_iter = 0; _t227_array_iter < _local_b1.b.b.e._length; _t227_array_iter++)
                            {
                              if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _local_b1.b.b.e._buffer + _t227_array_iter))
                                goto _flick_abort1029;
                              continue;
                              {
                              _flick_abort1029:
                                goto _flick_abort996;
                              }
                            }
                          flick_iiopxx_decode_new_glob(4);
                          flick_iiopxx_check_span(4, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _local_b1.c._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(4);
                          {
                            struct ::ta::td *_t_alloc_ptr;

                            _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_b1.c._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_b1.c._buffer = _t_alloc_ptr;
                            _local_b1.c._maximum = _local_b1.c._length;
                            _local_b1.c._release = 1;
                          }
                          for (_t231_array_iter = 0; _t231_array_iter < _local_b1.c._length; _t231_array_iter++)
                            {
                              CORBA::ULong _t233_array_iter;

                              flick_iiopxx_decode_new_glob(28);
                              flick_iiopxx_check_span(4, _flick_abort1049);
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_signed32(0, _local_b1.c._buffer[_t231_array_iter].a.a, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                              flick_iiopxx_check_span(20, _flick_abort1049);
                              flick_cdr_decode_float64(0, _local_b1.c._buffer[_t231_array_iter].a.b, CORBA::Double );
                              flick_cdr_decode_signed16(8, _local_b1.c._buffer[_t231_array_iter].a.c, CORBA::Short );
                              flick_cdr_decode_char8(10, _local_b1.c._buffer[_t231_array_iter].b.a, CORBA::Char );
                              flick_cdr_decode_char8(11, _local_b1.c._buffer[_t231_array_iter].b.b, CORBA::Char );
                              flick_cdr_decode_char8(12, _local_b1.c._buffer[_t231_array_iter].b.c, CORBA::Char );
                              flick_cdr_decode_char8(13, _local_b1.c._buffer[_t231_array_iter].b.d, CORBA::Char );
                              flick_cdr_decode_unsigned32(16, _local_b1.c._buffer[_t231_array_iter].b.e._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(20);
                              flick_iiopxx_decode_end_glob(28);
                              {
                                struct ::ta::td *_t_alloc_ptr;

                                _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_local_b1.c._buffer[_t231_array_iter].b.e._length]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1049);
                                _local_b1.c._buffer[_t231_array_iter].b.e._buffer = _t_alloc_ptr;
                                _local_b1.c._buffer[_t231_array_iter].b.e._maximum = _local_b1.c._buffer[_t231_array_iter].b.e._length;
                                _local_b1.c._buffer[_t231_array_iter].b.e._release = 1;
                              }
                              for (_t233_array_iter = 0; _t233_array_iter < _local_b1.c._buffer[_t231_array_iter].b.e._length; _t233_array_iter++)
                                {
                                  if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _local_b1.c._buffer[_t231_array_iter].b.e._buffer + _t233_array_iter))
                                    goto _flick_abort1059;
                                  continue;
                                  {
                                  _flick_abort1059:
                                    goto _flick_abort1049;
                                  }
                                }
                              continue;
                              {
                              _flick_abort1049:
                                goto _flick_abort996;
                              }
                            }
                          flick_iiopxx_decode_new_glob(4);
                          flick_iiopxx_check_span(4, _flick_abort996);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _local_b1.d._length, CORBA::ULong );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(4);
                          {
                            struct tb *_t_alloc_ptr;

                            _t_alloc_ptr = (struct tb *)new (struct tb [_local_b1.d._length]);
                            if (!_t_alloc_ptr)
                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort996);
                            _local_b1.d._buffer = _t_alloc_ptr;
                            _local_b1.d._maximum = _local_b1.d._length;
                            _local_b1.d._release = 1;
                          }
                          for (_t234_array_iter = 0; _t234_array_iter < _local_b1.d._length; _t234_array_iter++)
                            {
                              if (flick_unmarshal_stub_tb_recursive_idl_server_in(_stream, _local_b1.d._buffer + _t234_array_iter))
                                goto _flick_abort1064;
                              continue;
                              {
                              _flick_abort1064:
                                goto _flick_abort996;
                              }
                            }

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->convert(_local_a1, _local_b1, _local_c1, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t235_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t235_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort996);
                            flick_iiopxx_encode_new_glob(56, _flick_abort996);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t235_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t235_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  flick_unsigned32_t _t387_temp_string_len;
                                  CORBA::ULong _t388_array_iter;
                                  CORBA::ULong _t389_array_iter;
                                  CORBA::ULong _t390_array_iter;
                                  flick_unsigned32_t _t391_temp_string_len;
                                  CORBA::ULong _t392_array_iter;
                                  CORBA::ULong _t393_array_iter;

                                  flick_cdr_stringlen(CORBA::Char *, _local_a1.b.b.inout(), flick_unsigned32_t , _t387_temp_string_len);
                                  flick_cdr_stringlen(CORBA::Char *, _local_a1.e.b.inout(), flick_unsigned32_t , _t391_temp_string_len);

                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return->disc_, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_return->disc_)
                                    {
                                    case 1:
                                      {
                                        flick_unsigned32_t _t351_temp_string_len;
                                        CORBA::ULong _t352_array_iter;
                                        CORBA::ULong _t353_array_iter;
                                        CORBA::ULong _t354_array_iter;
                                        flick_unsigned32_t _t355_temp_string_len;
                                        CORBA::ULong _t356_array_iter;
                                        CORBA::ULong _t357_array_iter;

                                        flick_cdr_stringlen(CORBA::Char *, _return->_u.one->b.b.in(), flick_unsigned32_t , _t351_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, _return->_u.one->e.b.in(), flick_unsigned32_t , _t355_temp_string_len);

                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_u.one->a.a, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return->_u.one->a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(8, _return->_u.one->a.c, CORBA::Short );
                                        flick_cdr_encode_char8(10, _return->_u.one->b.a, CORBA::Char );
                                        flick_cdr_encode_unsigned32(12, _t351_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(16);
                                        flick_iiopxx_encode_end_glob(56);
                                        flick_iiopxx_encode_new_glob(1 * _t351_temp_string_len, _flick_abort1693);
                                        flick_iiopxx_encode_new_chunk(1 * _t351_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _return->_u.one->b.b.in(), 1 * _t351_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t351_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t351_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort1693);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _return->_u.one->b.c._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        for (_t352_array_iter = 0; _t352_array_iter < _return->_u.one->b.c._length; _t352_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _return->_u.one->b.c._buffer + _t352_array_iter))
                                              goto _flick_abort1699;
                                            continue;
                                            {
                                            _flick_abort1699:
                                              goto _flick_abort1693;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(28, _flick_abort1693);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_u.one->c.a.a, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return->_u.one->c.a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(8, _return->_u.one->c.a.c, CORBA::Short );
                                        flick_cdr_encode_char8(10, _return->_u.one->c.b.a, CORBA::Char );
                                        flick_cdr_encode_char8(11, _return->_u.one->c.b.b, CORBA::Char );
                                        flick_cdr_encode_char8(12, _return->_u.one->c.b.c, CORBA::Char );
                                        flick_cdr_encode_char8(13, _return->_u.one->c.b.d, CORBA::Char );
                                        flick_cdr_encode_unsigned32(16, _return->_u.one->c.b.e._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(20);
                                        flick_iiopxx_encode_end_glob(28);
                                        for (_t353_array_iter = 0; _t353_array_iter < _return->_u.one->c.b.e._length; _t353_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.one->c.b.e._buffer + _t353_array_iter))
                                              goto _flick_abort1704;
                                            continue;
                                            {
                                            _flick_abort1704:
                                              goto _flick_abort1693;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(4, _flick_abort1693);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.one->next._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(4);
                                        for (_t354_array_iter = 0; _t354_array_iter < _return->_u.one->next._length; _t354_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_recursive_idl_server_return(_stream, _return->_u.one->next._buffer + _t354_array_iter))
                                              goto _flick_abort1709;
                                            continue;
                                            {
                                            _flick_abort1709:
                                              goto _flick_abort1693;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(24, _flick_abort1693);
                                        flick_iiopxx_encode_new_chunk(24);
                                        flick_cdr_encode_signed32(0, _return->_u.one->d.a, CORBA::Long );
                                        flick_cdr_encode_float64(8, _return->_u.one->d.b, CORBA::Double );
                                        flick_cdr_encode_signed16(16, _return->_u.one->d.c, CORBA::Short );
                                        flick_cdr_encode_char8(18, _return->_u.one->e.a, CORBA::Char );
                                        flick_cdr_encode_unsigned32(20, _t355_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(24);
                                        flick_iiopxx_encode_end_glob(24);
                                        flick_iiopxx_encode_new_glob(1 * _t355_temp_string_len, _flick_abort1693);
                                        flick_iiopxx_encode_new_chunk(1 * _t355_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _return->_u.one->e.b.in(), 1 * _t355_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t355_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t355_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort1693);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _return->_u.one->e.c._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        for (_t356_array_iter = 0; _t356_array_iter < _return->_u.one->e.c._length; _t356_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _return->_u.one->e.c._buffer + _t356_array_iter))
                                              goto _flick_abort1716;
                                            continue;
                                            {
                                            _flick_abort1716:
                                              goto _flick_abort1693;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(28, _flick_abort1693);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_u.one->f.a.a, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return->_u.one->f.a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(8, _return->_u.one->f.a.c, CORBA::Short );
                                        flick_cdr_encode_char8(10, _return->_u.one->f.b.a, CORBA::Char );
                                        flick_cdr_encode_char8(11, _return->_u.one->f.b.b, CORBA::Char );
                                        flick_cdr_encode_char8(12, _return->_u.one->f.b.c, CORBA::Char );
                                        flick_cdr_encode_char8(13, _return->_u.one->f.b.d, CORBA::Char );
                                        flick_cdr_encode_unsigned32(16, _return->_u.one->f.b.e._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(20);
                                        flick_iiopxx_encode_end_glob(28);
                                        for (_t357_array_iter = 0; _t357_array_iter < _return->_u.one->f.b.e._length; _t357_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.one->f.b.e._buffer + _t357_array_iter))
                                              goto _flick_abort1721;
                                            continue;
                                            {
                                            _flick_abort1721:
                                              goto _flick_abort1693;
                                            }
                                          }
                                        break;
                                        {
                                        _flick_abort1693:
                                          goto _flick_abort1494;
                                        }
                                      }
                                    case 2:
                                      {
                                        CORBA::ULong _t358_array_iter;
                                        CORBA::ULong _t362_array_iter;
                                        CORBA::ULong _t365_array_iter;

                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->_u.two->a.a, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return->_u.two->a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(8, _return->_u.two->a.c, CORBA::Short );
                                        flick_cdr_encode_signed32(12, _return->_u.two->b.a.a, CORBA::Long );
                                        flick_cdr_encode_float64(16, _return->_u.two->b.a.b, CORBA::Double );
                                        flick_cdr_encode_signed16(24, _return->_u.two->b.a.c, CORBA::Short );
                                        flick_cdr_encode_char8(26, _return->_u.two->b.b.a, CORBA::Char );
                                        flick_cdr_encode_char8(27, _return->_u.two->b.b.b, CORBA::Char );
                                        flick_cdr_encode_char8(28, _return->_u.two->b.b.c, CORBA::Char );
                                        flick_cdr_encode_char8(29, _return->_u.two->b.b.d, CORBA::Char );
                                        flick_cdr_encode_unsigned32(32, _return->_u.two->b.b.e._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(36);
                                        flick_iiopxx_encode_end_glob(56);
                                        for (_t358_array_iter = 0; _t358_array_iter < _return->_u.two->b.b.e._length; _t358_array_iter++)
                                          {
                                            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.two->b.b.e._buffer + _t358_array_iter))
                                              goto _flick_abort1727;
                                            continue;
                                            {
                                            _flick_abort1727:
                                              goto _flick_abort1723;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(4, _flick_abort1723);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.two->c._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(4);
                                        for (_t362_array_iter = 0; _t362_array_iter < _return->_u.two->c._length; _t362_array_iter++)
                                          {
                                            CORBA::ULong _t364_array_iter;

                                            flick_iiopxx_encode_new_glob(28, _flick_abort1747);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->_u.two->c._buffer[_t362_array_iter].a.a, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                            flick_cdr_encode_float64(0, _return->_u.two->c._buffer[_t362_array_iter].a.b, CORBA::Double );
                                            flick_cdr_encode_signed16(8, _return->_u.two->c._buffer[_t362_array_iter].a.c, CORBA::Short );
                                            flick_cdr_encode_char8(10, _return->_u.two->c._buffer[_t362_array_iter].b.a, CORBA::Char );
                                            flick_cdr_encode_char8(11, _return->_u.two->c._buffer[_t362_array_iter].b.b, CORBA::Char );
                                            flick_cdr_encode_char8(12, _return->_u.two->c._buffer[_t362_array_iter].b.c, CORBA::Char );
                                            flick_cdr_encode_char8(13, _return->_u.two->c._buffer[_t362_array_iter].b.d, CORBA::Char );
                                            flick_cdr_encode_unsigned32(16, _return->_u.two->c._buffer[_t362_array_iter].b.e._length, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(20);
                                            flick_iiopxx_encode_end_glob(28);
                                            for (_t364_array_iter = 0; _t364_array_iter < _return->_u.two->c._buffer[_t362_array_iter].b.e._length; _t364_array_iter++)
                                              {
                                                if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.two->c._buffer[_t362_array_iter].b.e._buffer + _t364_array_iter))
                                                  goto _flick_abort1757;
                                                continue;
                                                {
                                                _flick_abort1757:
                                                  goto _flick_abort1747;
                                                }
                                              }
                                            continue;
                                            {
                                            _flick_abort1747:
                                              goto _flick_abort1723;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(4, _flick_abort1723);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.two->d._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(4);
                                        for (_t365_array_iter = 0; _t365_array_iter < _return->_u.two->d._length; _t365_array_iter++)
                                          {
                                            if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _return->_u.two->d._buffer + _t365_array_iter))
                                              goto _flick_abort1762;
                                            continue;
                                            {
                                            _flick_abort1762:
                                              goto _flick_abort1723;
                                            }
                                          }
                                        break;
                                        {
                                        _flick_abort1723:
                                          goto _flick_abort1494;
                                        }
                                      }
                                    case 3:
                                      {
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.three->disc_, enum tc );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_return->_u.three->disc_)
                                          {
                                          case 0:
                                            {
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return->_u.three->_u.x, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(56);
                                              break;
                                            }
                                          case 1:
                                            {
                                              flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                              flick_cdr_encode_float64(0, _return->_u.three->_u.y, CORBA::Double );
                                              flick_iiopxx_encode_end_chunk(8);
                                              flick_iiopxx_encode_end_glob(56);
                                              break;
                                            }
                                          case 2:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_unsigned8(0, _return->_u.three->_u.z, CORBA::Boolean );
                                              flick_iiopxx_encode_end_chunk(1);
                                              flick_iiopxx_encode_end_glob(56);
                                              break;
                                            }
                                          case 3:
                                            {
                                              CORBA::ULong _t376_array_iter;
                                              CORBA::ULong _t380_array_iter;
                                              CORBA::ULong _t383_array_iter;

                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return->_u.three->_u.s->a.a, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
                                              flick_cdr_encode_float64(0, _return->_u.three->_u.s->a.b, CORBA::Double );
                                              flick_cdr_encode_signed16(8, _return->_u.three->_u.s->a.c, CORBA::Short );
                                              flick_cdr_encode_signed32(12, _return->_u.three->_u.s->b.a.a, CORBA::Long );
                                              flick_cdr_encode_float64(16, _return->_u.three->_u.s->b.a.b, CORBA::Double );
                                              flick_cdr_encode_signed16(24, _return->_u.three->_u.s->b.a.c, CORBA::Short );
                                              flick_cdr_encode_char8(26, _return->_u.three->_u.s->b.b.a, CORBA::Char );
                                              flick_cdr_encode_char8(27, _return->_u.three->_u.s->b.b.b, CORBA::Char );
                                              flick_cdr_encode_char8(28, _return->_u.three->_u.s->b.b.c, CORBA::Char );
                                              flick_cdr_encode_char8(29, _return->_u.three->_u.s->b.b.d, CORBA::Char );
                                              flick_cdr_encode_unsigned32(32, _return->_u.three->_u.s->b.b.e._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(36);
                                              flick_iiopxx_encode_end_glob(56);
                                              for (_t376_array_iter = 0; _t376_array_iter < _return->_u.three->_u.s->b.b.e._length; _t376_array_iter++)
                                                {
                                                  if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.three->_u.s->b.b.e._buffer + _t376_array_iter))
                                                    goto _flick_abort1832;
                                                  continue;
                                                  {
                                                  _flick_abort1832:
                                                    goto _flick_abort1828;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1828);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _return->_u.three->_u.s->c._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(4);
                                              for (_t380_array_iter = 0; _t380_array_iter < _return->_u.three->_u.s->c._length; _t380_array_iter++)
                                                {
                                                  CORBA::ULong _t382_array_iter;

                                                  flick_iiopxx_encode_new_glob(28, _flick_abort1852);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return->_u.three->_u.s->c._buffer[_t380_array_iter].a.a, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                                  flick_cdr_encode_float64(0, _return->_u.three->_u.s->c._buffer[_t380_array_iter].a.b, CORBA::Double );
                                                  flick_cdr_encode_signed16(8, _return->_u.three->_u.s->c._buffer[_t380_array_iter].a.c, CORBA::Short );
                                                  flick_cdr_encode_char8(10, _return->_u.three->_u.s->c._buffer[_t380_array_iter].b.a, CORBA::Char );
                                                  flick_cdr_encode_char8(11, _return->_u.three->_u.s->c._buffer[_t380_array_iter].b.b, CORBA::Char );
                                                  flick_cdr_encode_char8(12, _return->_u.three->_u.s->c._buffer[_t380_array_iter].b.c, CORBA::Char );
                                                  flick_cdr_encode_char8(13, _return->_u.three->_u.s->c._buffer[_t380_array_iter].b.d, CORBA::Char );
                                                  flick_cdr_encode_unsigned32(16, _return->_u.three->_u.s->c._buffer[_t380_array_iter].b.e._length, CORBA::ULong );
                                                  flick_iiopxx_encode_end_chunk(20);
                                                  flick_iiopxx_encode_end_glob(28);
                                                  for (_t382_array_iter = 0; _t382_array_iter < _return->_u.three->_u.s->c._buffer[_t380_array_iter].b.e._length; _t382_array_iter++)
                                                    {
                                                      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.three->_u.s->c._buffer[_t380_array_iter].b.e._buffer + _t382_array_iter))
                                                        goto _flick_abort1862;
                                                      continue;
                                                      {
                                                      _flick_abort1862:
                                                        goto _flick_abort1852;
                                                      }
                                                    }
                                                  continue;
                                                  {
                                                  _flick_abort1852:
                                                    goto _flick_abort1828;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1828);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _return->_u.three->_u.s->d._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(4);
                                              for (_t383_array_iter = 0; _t383_array_iter < _return->_u.three->_u.s->d._length; _t383_array_iter++)
                                                {
                                                  if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _return->_u.three->_u.s->d._buffer + _t383_array_iter))
                                                    goto _flick_abort1867;
                                                  continue;
                                                  {
                                                  _flick_abort1867:
                                                    goto _flick_abort1828;
                                                  }
                                                }
                                              break;
                                              {
                                              _flick_abort1828:
                                                goto _flick_abort1764;
                                              }
                                            }
                                          case 4:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_unsigned8(0, _return->_u.three->_u.u->disc_, CORBA::Boolean );
                                              flick_iiopxx_encode_end_chunk(1);
                                              switch (_return->_u.three->_u.u->disc_)
                                                {
                                                case 1:
                                                  {
                                                    CORBA::ULong _t385_array_iter;

                                                    flick_iiopxx_encode_new_chunk(7);
                                                    flick_cdr_encode_unsigned32(3, _return->_u.three->_u.u->_u.next->_length, CORBA::ULong );
                                                    flick_iiopxx_encode_end_chunk(7);
                                                    flick_iiopxx_encode_end_glob(56);
                                                    if (_return->_u.three->_u.u->_u.next->_length > 1)
                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1877);
                                                    for (_t385_array_iter = 0; _t385_array_iter < _return->_u.three->_u.u->_u.next->_length; _t385_array_iter++)
                                                      {
                                                        if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _return->_u.three->_u.u->_u.next->_buffer + _t385_array_iter))
                                                          goto _flick_abort1880;
                                                        continue;
                                                        {
                                                        _flick_abort1880:
                                                          goto _flick_abort1877;
                                                        }
                                                      }
                                                    break;
                                                    {
                                                    _flick_abort1877:
                                                      goto _flick_abort1869;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_iiopxx_encode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                              {
                                              _flick_abort1869:
                                                goto _flick_abort1764;
                                              }
                                            }
                                          default:
                                            {
                                              flick_iiopxx_encode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                        {
                                        _flick_abort1764:
                                          goto _flick_abort1494;
                                        }
                                      }
                                    default:
                                      {
                                        CORBA::ULong _t386_array_iter;

                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_u.again->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(56);
                                        for (_t386_array_iter = 0; _t386_array_iter < _return->_u.again->_length; _t386_array_iter++)
                                          {
                                            if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _return->_u.again->_buffer + _t386_array_iter))
                                              goto _flick_abort1888;
                                            continue;
                                            {
                                            _flick_abort1888:
                                              goto _flick_abort1884;
                                            }
                                          }
                                        break;
                                        {
                                        _flick_abort1884:
                                          goto _flick_abort1494;
                                        }
                                      }
                                    }
                                  delete _return;
                                  _return = (td *)0;
                                  flick_iiopxx_encode_new_glob(27, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_signed32(0, _local_a1.a.a, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
                                  flick_cdr_encode_float64(0, _local_a1.a.b, CORBA::Double );
                                  flick_cdr_encode_signed16(8, _local_a1.a.c, CORBA::Short );
                                  flick_cdr_encode_char8(10, _local_a1.b.a, CORBA::Char );
                                  flick_cdr_encode_unsigned32(12, _t387_temp_string_len, flick_unsigned32_t );
                                  flick_iiopxx_encode_end_chunk(16);
                                  flick_iiopxx_encode_end_glob(27);
                                  flick_iiopxx_encode_new_glob(1 * _t387_temp_string_len, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk(1 * _t387_temp_string_len);
                                  flick_cdr_encode_bcopy(0, _local_a1.b.b.inout(), 1 * _t387_temp_string_len);
                                  flick_iiopxx_encode_end_chunk(1 * _t387_temp_string_len);
                                  flick_iiopxx_encode_end_glob(1 * _t387_temp_string_len);
                                  flick_iiopxx_encode_new_glob(7, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_unsigned32(0, _local_a1.b.c._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  for (_t388_array_iter = 0; _t388_array_iter < _local_a1.b.c._length; _t388_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1.b.c._buffer + _t388_array_iter))
                                        goto _flick_abort1895;
                                      continue;
                                      {
                                      _flick_abort1895:
                                        goto _flick_abort1494;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(28, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _local_a1.c.a.a, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                  flick_cdr_encode_float64(0, _local_a1.c.a.b, CORBA::Double );
                                  flick_cdr_encode_signed16(8, _local_a1.c.a.c, CORBA::Short );
                                  flick_cdr_encode_char8(10, _local_a1.c.b.a, CORBA::Char );
                                  flick_cdr_encode_char8(11, _local_a1.c.b.b, CORBA::Char );
                                  flick_cdr_encode_char8(12, _local_a1.c.b.c, CORBA::Char );
                                  flick_cdr_encode_char8(13, _local_a1.c.b.d, CORBA::Char );
                                  flick_cdr_encode_unsigned32(16, _local_a1.c.b.e._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(20);
                                  flick_iiopxx_encode_end_glob(28);
                                  for (_t389_array_iter = 0; _t389_array_iter < _local_a1.c.b.e._length; _t389_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1.c.b.e._buffer + _t389_array_iter))
                                        goto _flick_abort1900;
                                      continue;
                                      {
                                      _flick_abort1900:
                                        goto _flick_abort1494;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(4, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _local_a1.next._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(4);
                                  for (_t390_array_iter = 0; _t390_array_iter < _local_a1.next._length; _t390_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_recursive_idl_server_inout(_stream, _local_a1.next._buffer + _t390_array_iter))
                                        goto _flick_abort1905;
                                      continue;
                                      {
                                      _flick_abort1905:
                                        goto _flick_abort1494;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(24, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk(24);
                                  flick_cdr_encode_signed32(0, _local_a1.d.a, CORBA::Long );
                                  flick_cdr_encode_float64(8, _local_a1.d.b, CORBA::Double );
                                  flick_cdr_encode_signed16(16, _local_a1.d.c, CORBA::Short );
                                  flick_cdr_encode_char8(18, _local_a1.e.a, CORBA::Char );
                                  flick_cdr_encode_unsigned32(20, _t391_temp_string_len, flick_unsigned32_t );
                                  flick_iiopxx_encode_end_chunk(24);
                                  flick_iiopxx_encode_end_glob(24);
                                  flick_iiopxx_encode_new_glob(1 * _t391_temp_string_len, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk(1 * _t391_temp_string_len);
                                  flick_cdr_encode_bcopy(0, _local_a1.e.b.inout(), 1 * _t391_temp_string_len);
                                  flick_iiopxx_encode_end_chunk(1 * _t391_temp_string_len);
                                  flick_iiopxx_encode_end_glob(1 * _t391_temp_string_len);
                                  flick_iiopxx_encode_new_glob(7, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_unsigned32(0, _local_a1.e.c._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  for (_t392_array_iter = 0; _t392_array_iter < _local_a1.e.c._length; _t392_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1.e.c._buffer + _t392_array_iter))
                                        goto _flick_abort1912;
                                      continue;
                                      {
                                      _flick_abort1912:
                                        goto _flick_abort1494;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(28, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _local_a1.f.a.a, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                                  flick_cdr_encode_float64(0, _local_a1.f.a.b, CORBA::Double );
                                  flick_cdr_encode_signed16(8, _local_a1.f.a.c, CORBA::Short );
                                  flick_cdr_encode_char8(10, _local_a1.f.b.a, CORBA::Char );
                                  flick_cdr_encode_char8(11, _local_a1.f.b.b, CORBA::Char );
                                  flick_cdr_encode_char8(12, _local_a1.f.b.c, CORBA::Char );
                                  flick_cdr_encode_char8(13, _local_a1.f.b.d, CORBA::Char );
                                  flick_cdr_encode_unsigned32(16, _local_a1.f.b.e._length, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(20);
                                  flick_iiopxx_encode_end_glob(28);
                                  for (_t393_array_iter = 0; _t393_array_iter < _local_a1.f.b.e._length; _t393_array_iter++)
                                    {
                                      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1.f.b.e._buffer + _t393_array_iter))
                                        goto _flick_abort1917;
                                      continue;
                                      {
                                      _flick_abort1917:
                                        goto _flick_abort1494;
                                      }
                                    }
                                  flick_iiopxx_encode_new_glob(4, _flick_abort1494);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_unsigned32(0, _local_c1, enum tc );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(4);
                                  break;
                                  {
                                  _flick_abort1494:
                                    goto _flick_abort996;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(56);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1919);
                                  break;
                                  {
                                  _flick_abort1919:
                                    goto _flick_abort996;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1920);
                                  flick_iiopxx_encode_end_glob(56);
                                  break;
                                  {
                                  _flick_abort1920:
                                    goto _flick_abort996;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort996:
                            goto _flick_abort995;
                          }
                        }
                        break;
                        {
                        _flick_abort995:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 13:
          {
            unsigned int _t394_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t394_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t394_switch_tag)
              {
              case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
                {
                  unsigned int _t395_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t395_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t395_switch_tag)
                    {
                    case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                      {
                        unsigned int _t396_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t396_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t396_switch_tag)
                          {
                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                            {
                              char _t397_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t397_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t397_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_obj *_local_this;
                                      unsigned int _t398_principal_len;
                                      CORBA::Long _return;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1922);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(7);
                                      flick_cdr_decode_unsigned32(3, _t398_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(7);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t398_principal_len, _flick_abort1922);
                                      flick_iiopxx_decode_new_glob(_t398_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t398_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t398_principal_len);
                                      flick_iiopxx_decode_end_glob(_t398_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->my_attr(_ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t399_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t399_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1922);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort1922);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t399_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t399_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1928);
                                              break;
                                              {
                                              _flick_abort1928:
                                                goto _flick_abort1922;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1929);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort1929:
                                                goto _flick_abort1922;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort1922:
                                        goto _flick_abort1921;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort1921:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
                {
                  unsigned int _t400_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t400_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t400_switch_tag)
                    {
                    case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                      {
                        unsigned int _t401_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t401_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t401_switch_tag)
                          {
                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                            {
                              char _t402_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t402_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t402_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_obj *_local_this;
                                      unsigned int _t403_principal_len;
                                      CORBA::Long _local_my_attr;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1931);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(7);
                                      flick_cdr_decode_unsigned32(3, _t403_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(7);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t403_principal_len, _flick_abort1931);
                                      flick_iiopxx_decode_new_glob(_t403_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t403_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t403_principal_len);
                                      flick_iiopxx_decode_end_glob(_t403_principal_len);
                                      /* Begin decode phase on parameters */
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort1931);
                                      flick_cdr_decode_signed32(0, _local_my_attr, CORBA::Long );

                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _local_this->my_attr(_local_my_attr, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t404_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t404_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1931);
                                        flick_iiopxx_encode_new_glob(4, _flick_abort1931);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t404_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t404_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1937);
                                              break;
                                              {
                                              _flick_abort1937:
                                                goto _flick_abort1931;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1938);
                                              flick_iiopxx_encode_end_glob(4);
                                              break;
                                              {
                                              _flick_abort1938:
                                                goto _flick_abort1931;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort1931:
                                        goto _flick_abort1930;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort1930:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t405_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t405_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t405_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t406_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t406_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t406_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_obj *_local_this;
                          unsigned int _t407_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t408_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1940);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t407_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t407_principal_len, _flick_abort1940);
                          flick_iiopxx_decode_new_glob(_t407_principal_len);
                          flick_iiopxx_decode_new_chunk(_t407_principal_len);
                          flick_iiopxx_decode_end_chunk(_t407_principal_len);
                          flick_iiopxx_decode_end_glob(_t407_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort1940);
                          flick_cdr_decode_unsigned32(0, _t408_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t408_temp_string_len);
                          flick_iiopxx_check_span(1 * _t408_temp_string_len, _flick_abort1940);
                          flick_iiopxx_decode_new_chunk(1 * _t408_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t408_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t408_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t409_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t409_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1940);
                            flick_iiopxx_encode_new_glob(5, _flick_abort1940);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t409_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t409_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1948);
                                  break;
                                  {
                                  _flick_abort1948:
                                    goto _flick_abort1940;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1949);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort1949:
                                    goto _flick_abort1940;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1940:
                            goto _flick_abort1939;
                          }
                        }
                        break;
                        {
                        _flick_abort1939:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(24);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}

/* Mandatory marshaling/unmarshaling stubs. */

int flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ::ta::tc *_data)
{
  flick_unsigned32_t _t820_temp_string_len;
  CORBA::ULong _t821_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort3897);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->a, CORBA::Char );
  flick_cdr_decode_unsigned32(4, _t820_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t820_temp_string_len);
  flick_iiopxx_check_span(1 * _t820_temp_string_len, _flick_abort3897);
  flick_iiopxx_decode_new_chunk(1 * _t820_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t820_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3897);
    _data->b.inout() = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b.inout(), 1 * _t820_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t820_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t820_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort3897);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3897);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t821_array_iter = 0; _t821_array_iter < _data->c._length; _t821_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->c._buffer + _t821_array_iter))
        goto _flick_abort3903;
      continue;
      {
      _flick_abort3903:
        goto _flick_abort3897;
      }
    }
  return 0;
  {
  _flick_abort3897:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ::ta::tc *_data)
{
  flick_unsigned32_t _t822_temp_string_len;
  CORBA::ULong _t823_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort3905);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->a, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(4, _t822_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t822_temp_string_len);
  flick_iiopxx_check_span(1 * _t822_temp_string_len, _flick_abort3905);
  flick_iiopxx_decode_new_chunk(1 * _t822_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t822_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3905);
    _data->b.inout() = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b.inout(), 1 * _t822_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t822_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t822_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort3905);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3905);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t823_array_iter = 0; _t823_array_iter < _data->c._length; _t823_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _data->c._buffer + _t823_array_iter))
        goto _flick_abort3911;
      continue;
      {
      _flick_abort3911:
        goto _flick_abort3905;
      }
    }
  return 0;
  {
  _flick_abort3905:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ::ta::td *_data)
{
  CORBA::ULong _t824_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort3913);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort3913);
  flick_cdr_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_decode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_decode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_decode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3913);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t824_array_iter = 0; _t824_array_iter < _data->b.e._length; _t824_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->b.e._buffer + _t824_array_iter))
        goto _flick_abort3917;
      continue;
      {
      _flick_abort3917:
        goto _flick_abort3913;
      }
    }
  return 0;
  {
  _flick_abort3913:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ::ta::td *_data)
{
  CORBA::ULong _t825_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort3919);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort3919);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3919);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t825_array_iter = 0; _t825_array_iter < _data->b.e._length; _t825_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _data->b.e._buffer + _t825_array_iter))
        goto _flick_abort3923;
      continue;
      {
      _flick_abort3923:
        goto _flick_abort3919;
      }
    }
  return 0;
  {
  _flick_abort3919:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t826_temp_string_len;
  CORBA::ULong _t827_array_iter;
  CORBA::ULong _t828_array_iter;
  CORBA::ULong _t829_array_iter;
  flick_unsigned32_t _t830_temp_string_len;
  CORBA::ULong _t831_array_iter;
  CORBA::ULong _t832_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(24);
  flick_iiopxx_check_span(4, _flick_abort3925);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
  flick_iiopxx_check_span(16, _flick_abort3925);
  flick_cdr_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_decode_unsigned32(12, _t826_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(16);
  flick_iiopxx_decode_end_glob(24);
  flick_iiopxx_decode_new_glob(1 * _t826_temp_string_len);
  flick_iiopxx_check_span(1 * _t826_temp_string_len, _flick_abort3925);
  flick_iiopxx_decode_new_chunk(1 * _t826_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t826_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3925);
    _data->b.b.inout() = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b.b.inout(), 1 * _t826_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t826_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t826_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort3925);
  flick_cdr_decode_unsigned32(0, _data->b.c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->b.c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3925);
    _data->b.c._buffer = _t_alloc_ptr;
    _data->b.c._maximum = _data->b.c._length;
    _data->b.c._release = 1;
  }
  for (_t827_array_iter = 0; _t827_array_iter < _data->b.c._length; _t827_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->b.c._buffer + _t827_array_iter))
        goto _flick_abort3931;
      continue;
      {
      _flick_abort3931:
        goto _flick_abort3925;
      }
    }
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort3925);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->c.a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort3925);
  flick_cdr_decode_float64(0, _data->c.a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->c.a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->c.b.a, CORBA::Char );
  flick_cdr_decode_char8(11, _data->c.b.b, CORBA::Char );
  flick_cdr_decode_char8(12, _data->c.b.c, CORBA::Char );
  flick_cdr_decode_char8(13, _data->c.b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(16, _data->c.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3925);
    _data->c.b.e._buffer = _t_alloc_ptr;
    _data->c.b.e._maximum = _data->c.b.e._length;
    _data->c.b.e._release = 1;
  }
  for (_t828_array_iter = 0; _t828_array_iter < _data->c.b.e._length; _t828_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->c.b.e._buffer + _t828_array_iter))
        goto _flick_abort3936;
      continue;
      {
      _flick_abort3936:
        goto _flick_abort3925;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort3925);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->next._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ta *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta *)new (struct ta [_data->next._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3925);
    _data->next._buffer = _t_alloc_ptr;
    _data->next._maximum = _data->next._length;
    _data->next._release = 1;
  }
  for (_t829_array_iter = 0; _t829_array_iter < _data->next._length; _t829_array_iter++)
    {
      if (flick_unmarshal_stub_ta_recursive_idl_server_inout(_stream, _data->next._buffer + _t829_array_iter))
        goto _flick_abort3941;
      continue;
      {
      _flick_abort3941:
        goto _flick_abort3925;
      }
    }
  flick_iiopxx_decode_new_glob(24);
  flick_iiopxx_check_span(24, _flick_abort3925);
  flick_iiopxx_decode_new_chunk(24);
  flick_cdr_decode_signed32(0, _data->d.a, CORBA::Long );
  flick_cdr_decode_float64(8, _data->d.b, CORBA::Double );
  flick_cdr_decode_signed16(16, _data->d.c, CORBA::Short );
  flick_cdr_decode_char8(18, _data->e.a, CORBA::Char );
  flick_cdr_decode_unsigned32(20, _t830_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(24);
  flick_iiopxx_decode_end_glob(24);
  flick_iiopxx_decode_new_glob(1 * _t830_temp_string_len);
  flick_iiopxx_check_span(1 * _t830_temp_string_len, _flick_abort3925);
  flick_iiopxx_decode_new_chunk(1 * _t830_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t830_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3925);
    _data->e.b.inout() = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->e.b.inout(), 1 * _t830_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t830_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t830_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort3925);
  flick_cdr_decode_unsigned32(0, _data->e.c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->e.c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3925);
    _data->e.c._buffer = _t_alloc_ptr;
    _data->e.c._maximum = _data->e.c._length;
    _data->e.c._release = 1;
  }
  for (_t831_array_iter = 0; _t831_array_iter < _data->e.c._length; _t831_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->e.c._buffer + _t831_array_iter))
        goto _flick_abort3948;
      continue;
      {
      _flick_abort3948:
        goto _flick_abort3925;
      }
    }
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort3925);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->f.a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort3925);
  flick_cdr_decode_float64(0, _data->f.a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->f.a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->f.b.a, CORBA::Char );
  flick_cdr_decode_char8(11, _data->f.b.b, CORBA::Char );
  flick_cdr_decode_char8(12, _data->f.b.c, CORBA::Char );
  flick_cdr_decode_char8(13, _data->f.b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(16, _data->f.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->f.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3925);
    _data->f.b.e._buffer = _t_alloc_ptr;
    _data->f.b.e._maximum = _data->f.b.e._length;
    _data->f.b.e._release = 1;
  }
  for (_t832_array_iter = 0; _t832_array_iter < _data->f.b.e._length; _t832_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->f.b.e._buffer + _t832_array_iter))
        goto _flick_abort3953;
      continue;
      {
      _flick_abort3953:
        goto _flick_abort3925;
      }
    }
  return 0;
  {
  _flick_abort3925:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t833_temp_string_len;
  CORBA::ULong _t834_array_iter;
  CORBA::ULong _t835_array_iter;
  CORBA::ULong _t836_array_iter;
  flick_unsigned32_t _t837_temp_string_len;
  CORBA::ULong _t838_array_iter;
  CORBA::ULong _t839_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(24);
  flick_iiopxx_check_span(4, _flick_abort3955);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
  flick_iiopxx_check_span(16, _flick_abort3955);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(12, _t833_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(16);
  flick_iiopxx_decode_end_glob(24);
  flick_iiopxx_decode_new_glob(1 * _t833_temp_string_len);
  flick_iiopxx_check_span(1 * _t833_temp_string_len, _flick_abort3955);
  flick_iiopxx_decode_new_chunk(1 * _t833_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t833_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3955);
    _data->b.b.inout() = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b.b.inout(), 1 * _t833_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t833_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t833_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort3955);
  flick_cdr_swap_decode_unsigned32(0, _data->b.c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->b.c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3955);
    _data->b.c._buffer = _t_alloc_ptr;
    _data->b.c._maximum = _data->b.c._length;
    _data->b.c._release = 1;
  }
  for (_t834_array_iter = 0; _t834_array_iter < _data->b.c._length; _t834_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _data->b.c._buffer + _t834_array_iter))
        goto _flick_abort3961;
      continue;
      {
      _flick_abort3961:
        goto _flick_abort3955;
      }
    }
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort3955);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->c.a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort3955);
  flick_cdr_swap_decode_float64(0, _data->c.a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->c.a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->c.b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(11, _data->c.b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(12, _data->c.b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(13, _data->c.b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(16, _data->c.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3955);
    _data->c.b.e._buffer = _t_alloc_ptr;
    _data->c.b.e._maximum = _data->c.b.e._length;
    _data->c.b.e._release = 1;
  }
  for (_t835_array_iter = 0; _t835_array_iter < _data->c.b.e._length; _t835_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _data->c.b.e._buffer + _t835_array_iter))
        goto _flick_abort3966;
      continue;
      {
      _flick_abort3966:
        goto _flick_abort3955;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort3955);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->next._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ta *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta *)new (struct ta [_data->next._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3955);
    _data->next._buffer = _t_alloc_ptr;
    _data->next._maximum = _data->next._length;
    _data->next._release = 1;
  }
  for (_t836_array_iter = 0; _t836_array_iter < _data->next._length; _t836_array_iter++)
    {
      if (flick_unmarshal_stub_ta_recursive_idl_server_inout_swap(_stream, _data->next._buffer + _t836_array_iter))
        goto _flick_abort3971;
      continue;
      {
      _flick_abort3971:
        goto _flick_abort3955;
      }
    }
  flick_iiopxx_decode_new_glob(24);
  flick_iiopxx_check_span(24, _flick_abort3955);
  flick_iiopxx_decode_new_chunk(24);
  flick_cdr_swap_decode_signed32(0, _data->d.a, CORBA::Long );
  flick_cdr_swap_decode_float64(8, _data->d.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(16, _data->d.c, CORBA::Short );
  flick_cdr_swap_decode_char8(18, _data->e.a, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(20, _t837_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(24);
  flick_iiopxx_decode_end_glob(24);
  flick_iiopxx_decode_new_glob(1 * _t837_temp_string_len);
  flick_iiopxx_check_span(1 * _t837_temp_string_len, _flick_abort3955);
  flick_iiopxx_decode_new_chunk(1 * _t837_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t837_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3955);
    _data->e.b.inout() = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->e.b.inout(), 1 * _t837_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t837_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t837_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort3955);
  flick_cdr_swap_decode_unsigned32(0, _data->e.c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->e.c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3955);
    _data->e.c._buffer = _t_alloc_ptr;
    _data->e.c._maximum = _data->e.c._length;
    _data->e.c._release = 1;
  }
  for (_t838_array_iter = 0; _t838_array_iter < _data->e.c._length; _t838_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _data->e.c._buffer + _t838_array_iter))
        goto _flick_abort3978;
      continue;
      {
      _flick_abort3978:
        goto _flick_abort3955;
      }
    }
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort3955);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->f.a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort3955);
  flick_cdr_swap_decode_float64(0, _data->f.a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->f.a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->f.b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(11, _data->f.b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(12, _data->f.b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(13, _data->f.b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(16, _data->f.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->f.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3955);
    _data->f.b.e._buffer = _t_alloc_ptr;
    _data->f.b.e._maximum = _data->f.b.e._length;
    _data->f.b.e._release = 1;
  }
  for (_t839_array_iter = 0; _t839_array_iter < _data->f.b.e._length; _t839_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _data->f.b.e._buffer + _t839_array_iter))
        goto _flick_abort3983;
      continue;
      {
      _flick_abort3983:
        goto _flick_abort3955;
      }
    }
  return 0;
  {
  _flick_abort3955:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_recursive_idl_server_in(flick_marshal_stream_t _stream, struct ::ta::td *_data)
{
  CORBA::ULong _t840_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort3985);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort3985);
  flick_cdr_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_decode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_decode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_decode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3985);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t840_array_iter = 0; _t840_array_iter < _data->b.e._length; _t840_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _data->b.e._buffer + _t840_array_iter))
        goto _flick_abort3989;
      continue;
      {
      _flick_abort3989:
        goto _flick_abort3985;
      }
    }
  return 0;
  {
  _flick_abort3985:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(flick_marshal_stream_t _stream, struct ::ta::td *_data)
{
  CORBA::ULong _t841_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort3991);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort3991);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3991);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t841_array_iter = 0; _t841_array_iter < _data->b.e._length; _t841_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _data->b.e._buffer + _t841_array_iter))
        goto _flick_abort3995;
      continue;
      {
      _flick_abort3995:
        goto _flick_abort3991;
      }
    }
  return 0;
  {
  _flick_abort3991:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tb_recursive_idl_server_in(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA::ULong _t842_array_iter;
  CORBA::ULong _t846_array_iter;
  CORBA::ULong _t849_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort3997);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
  flick_iiopxx_check_span(36, _flick_abort3997);
  flick_cdr_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_decode_signed32(12, _data->b.a.a, CORBA::Long );
  flick_cdr_decode_float64(16, _data->b.a.b, CORBA::Double );
  flick_cdr_decode_signed16(24, _data->b.a.c, CORBA::Short );
  flick_cdr_decode_char8(26, _data->b.b.a, CORBA::Char );
  flick_cdr_decode_char8(27, _data->b.b.b, CORBA::Char );
  flick_cdr_decode_char8(28, _data->b.b.c, CORBA::Char );
  flick_cdr_decode_char8(29, _data->b.b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(32, _data->b.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(36);
  flick_iiopxx_decode_end_glob(44);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3997);
    _data->b.b.e._buffer = _t_alloc_ptr;
    _data->b.b.e._maximum = _data->b.b.e._length;
    _data->b.b.e._release = 1;
  }
  for (_t842_array_iter = 0; _t842_array_iter < _data->b.b.e._length; _t842_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _data->b.b.e._buffer + _t842_array_iter))
        goto _flick_abort4001;
      continue;
      {
      _flick_abort4001:
        goto _flick_abort3997;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort3997);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3997);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t846_array_iter = 0; _t846_array_iter < _data->c._length; _t846_array_iter++)
    {
      CORBA::ULong _t848_array_iter;

      flick_iiopxx_decode_new_glob(28);
      flick_iiopxx_check_span(4, _flick_abort4021);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->c._buffer[_t846_array_iter].a.a, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
      flick_iiopxx_check_span(20, _flick_abort4021);
      flick_cdr_decode_float64(0, _data->c._buffer[_t846_array_iter].a.b, CORBA::Double );
      flick_cdr_decode_signed16(8, _data->c._buffer[_t846_array_iter].a.c, CORBA::Short );
      flick_cdr_decode_char8(10, _data->c._buffer[_t846_array_iter].b.a, CORBA::Char );
      flick_cdr_decode_char8(11, _data->c._buffer[_t846_array_iter].b.b, CORBA::Char );
      flick_cdr_decode_char8(12, _data->c._buffer[_t846_array_iter].b.c, CORBA::Char );
      flick_cdr_decode_char8(13, _data->c._buffer[_t846_array_iter].b.d, CORBA::Char );
      flick_cdr_decode_unsigned32(16, _data->c._buffer[_t846_array_iter].b.e._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(20);
      flick_iiopxx_decode_end_glob(28);
      {
        struct ::ta::td *_t_alloc_ptr;

        _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c._buffer[_t846_array_iter].b.e._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4021);
        _data->c._buffer[_t846_array_iter].b.e._buffer = _t_alloc_ptr;
        _data->c._buffer[_t846_array_iter].b.e._maximum = _data->c._buffer[_t846_array_iter].b.e._length;
        _data->c._buffer[_t846_array_iter].b.e._release = 1;
      }
      for (_t848_array_iter = 0; _t848_array_iter < _data->c._buffer[_t846_array_iter].b.e._length; _t848_array_iter++)
        {
          if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _data->c._buffer[_t846_array_iter].b.e._buffer + _t848_array_iter))
            goto _flick_abort4031;
          continue;
          {
          _flick_abort4031:
            goto _flick_abort4021;
          }
        }
      continue;
      {
      _flick_abort4021:
        goto _flick_abort3997;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort3997);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->d._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct tb *_t_alloc_ptr;

    _t_alloc_ptr = (struct tb *)new (struct tb [_data->d._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3997);
    _data->d._buffer = _t_alloc_ptr;
    _data->d._maximum = _data->d._length;
    _data->d._release = 1;
  }
  for (_t849_array_iter = 0; _t849_array_iter < _data->d._length; _t849_array_iter++)
    {
      if (flick_unmarshal_stub_tb_recursive_idl_server_in(_stream, _data->d._buffer + _t849_array_iter))
        goto _flick_abort4036;
      continue;
      {
      _flick_abort4036:
        goto _flick_abort3997;
      }
    }
  return 0;
  {
  _flick_abort3997:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tb_recursive_idl_server_in_swap(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA::ULong _t850_array_iter;
  CORBA::ULong _t854_array_iter;
  CORBA::ULong _t857_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort4038);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
  flick_iiopxx_check_span(36, _flick_abort4038);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_swap_decode_signed32(12, _data->b.a.a, CORBA::Long );
  flick_cdr_swap_decode_float64(16, _data->b.a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(24, _data->b.a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(26, _data->b.b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(27, _data->b.b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(28, _data->b.b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(29, _data->b.b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(32, _data->b.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(36);
  flick_iiopxx_decode_end_glob(44);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4038);
    _data->b.b.e._buffer = _t_alloc_ptr;
    _data->b.b.e._maximum = _data->b.b.e._length;
    _data->b.b.e._release = 1;
  }
  for (_t850_array_iter = 0; _t850_array_iter < _data->b.b.e._length; _t850_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _data->b.b.e._buffer + _t850_array_iter))
        goto _flick_abort4042;
      continue;
      {
      _flick_abort4042:
        goto _flick_abort4038;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort4038);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4038);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t854_array_iter = 0; _t854_array_iter < _data->c._length; _t854_array_iter++)
    {
      CORBA::ULong _t856_array_iter;

      flick_iiopxx_decode_new_glob(28);
      flick_iiopxx_check_span(4, _flick_abort4062);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t854_array_iter].a.a, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
      flick_iiopxx_check_span(20, _flick_abort4062);
      flick_cdr_swap_decode_float64(0, _data->c._buffer[_t854_array_iter].a.b, CORBA::Double );
      flick_cdr_swap_decode_signed16(8, _data->c._buffer[_t854_array_iter].a.c, CORBA::Short );
      flick_cdr_swap_decode_char8(10, _data->c._buffer[_t854_array_iter].b.a, CORBA::Char );
      flick_cdr_swap_decode_char8(11, _data->c._buffer[_t854_array_iter].b.b, CORBA::Char );
      flick_cdr_swap_decode_char8(12, _data->c._buffer[_t854_array_iter].b.c, CORBA::Char );
      flick_cdr_swap_decode_char8(13, _data->c._buffer[_t854_array_iter].b.d, CORBA::Char );
      flick_cdr_swap_decode_unsigned32(16, _data->c._buffer[_t854_array_iter].b.e._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(20);
      flick_iiopxx_decode_end_glob(28);
      {
        struct ::ta::td *_t_alloc_ptr;

        _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c._buffer[_t854_array_iter].b.e._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4062);
        _data->c._buffer[_t854_array_iter].b.e._buffer = _t_alloc_ptr;
        _data->c._buffer[_t854_array_iter].b.e._maximum = _data->c._buffer[_t854_array_iter].b.e._length;
        _data->c._buffer[_t854_array_iter].b.e._release = 1;
      }
      for (_t856_array_iter = 0; _t856_array_iter < _data->c._buffer[_t854_array_iter].b.e._length; _t856_array_iter++)
        {
          if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _data->c._buffer[_t854_array_iter].b.e._buffer + _t856_array_iter))
            goto _flick_abort4072;
          continue;
          {
          _flick_abort4072:
            goto _flick_abort4062;
          }
        }
      continue;
      {
      _flick_abort4062:
        goto _flick_abort4038;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort4038);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->d._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct tb *_t_alloc_ptr;

    _t_alloc_ptr = (struct tb *)new (struct tb [_data->d._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4038);
    _data->d._buffer = _t_alloc_ptr;
    _data->d._maximum = _data->d._length;
    _data->d._release = 1;
  }
  for (_t857_array_iter = 0; _t857_array_iter < _data->d._length; _t857_array_iter++)
    {
      if (flick_unmarshal_stub_tb_recursive_idl_server_in_swap(_stream, _data->d._buffer + _t857_array_iter))
        goto _flick_abort4077;
      continue;
      {
      _flick_abort4077:
        goto _flick_abort4038;
      }
    }
  return 0;
  {
  _flick_abort4038:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_tc_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ::ta::tc *_data)
{
  flick_unsigned32_t _t858_temp_string_len;
  CORBA::ULong _t859_array_iter;

  flick_cdr_stringlen(CORBA::Char *, _data->b.in(), flick_unsigned32_t , _t858_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort4079);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->a, CORBA::Char );
  flick_cdr_encode_unsigned32(4, _t858_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  flick_iiopxx_encode_new_glob(1 * _t858_temp_string_len, _flick_abort4079);
  flick_iiopxx_encode_new_chunk(1 * _t858_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b.in(), 1 * _t858_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t858_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t858_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort4079);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t859_array_iter = 0; _t859_array_iter < _data->c._length; _t859_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->c._buffer + _t859_array_iter))
        goto _flick_abort4085;
      continue;
      {
      _flick_abort4085:
        goto _flick_abort4079;
      }
    }
  return 0;
  {
  _flick_abort4079:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_td_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ::ta::td *_data)
{
  CORBA::ULong _t860_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(28, _flick_abort4087);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t860_array_iter = 0; _t860_array_iter < _data->b.e._length; _t860_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->b.e._buffer + _t860_array_iter))
        goto _flick_abort4091;
      continue;
      {
      _flick_abort4091:
        goto _flick_abort4087;
      }
    }
  return 0;
  {
  _flick_abort4087:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t861_temp_string_len;
  CORBA::ULong _t862_array_iter;
  CORBA::ULong _t863_array_iter;
  CORBA::ULong _t864_array_iter;
  flick_unsigned32_t _t865_temp_string_len;
  CORBA::ULong _t866_array_iter;
  CORBA::ULong _t867_array_iter;

  flick_cdr_stringlen(CORBA::Char *, _data->b.b.in(), flick_unsigned32_t , _t861_temp_string_len);
  flick_cdr_stringlen(CORBA::Char *, _data->e.b.in(), flick_unsigned32_t , _t865_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(24, _flick_abort4093);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_encode_unsigned32(12, _t861_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(16);
  flick_iiopxx_encode_end_glob(24);
  flick_iiopxx_encode_new_glob(1 * _t861_temp_string_len, _flick_abort4093);
  flick_iiopxx_encode_new_chunk(1 * _t861_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b.b.in(), 1 * _t861_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t861_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t861_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort4093);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->b.c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t862_array_iter = 0; _t862_array_iter < _data->b.c._length; _t862_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->b.c._buffer + _t862_array_iter))
        goto _flick_abort4099;
      continue;
      {
      _flick_abort4099:
        goto _flick_abort4093;
      }
    }
  flick_iiopxx_encode_new_glob(28, _flick_abort4093);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->c.a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->c.a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->c.a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->c.b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->c.b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->c.b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->c.b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->c.b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t863_array_iter = 0; _t863_array_iter < _data->c.b.e._length; _t863_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->c.b.e._buffer + _t863_array_iter))
        goto _flick_abort4104;
      continue;
      {
      _flick_abort4104:
        goto _flick_abort4093;
      }
    }
  flick_iiopxx_encode_new_glob(4, _flick_abort4093);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->next._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t864_array_iter = 0; _t864_array_iter < _data->next._length; _t864_array_iter++)
    {
      if (flick_marshal_stub_ta_recursive_idl_server_return(_stream, _data->next._buffer + _t864_array_iter))
        goto _flick_abort4109;
      continue;
      {
      _flick_abort4109:
        goto _flick_abort4093;
      }
    }
  flick_iiopxx_encode_new_glob(24, _flick_abort4093);
  flick_iiopxx_encode_new_chunk(24);
  flick_cdr_encode_signed32(0, _data->d.a, CORBA::Long );
  flick_cdr_encode_float64(8, _data->d.b, CORBA::Double );
  flick_cdr_encode_signed16(16, _data->d.c, CORBA::Short );
  flick_cdr_encode_char8(18, _data->e.a, CORBA::Char );
  flick_cdr_encode_unsigned32(20, _t865_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(24);
  flick_iiopxx_encode_end_glob(24);
  flick_iiopxx_encode_new_glob(1 * _t865_temp_string_len, _flick_abort4093);
  flick_iiopxx_encode_new_chunk(1 * _t865_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->e.b.in(), 1 * _t865_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t865_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t865_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort4093);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->e.c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t866_array_iter = 0; _t866_array_iter < _data->e.c._length; _t866_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->e.c._buffer + _t866_array_iter))
        goto _flick_abort4116;
      continue;
      {
      _flick_abort4116:
        goto _flick_abort4093;
      }
    }
  flick_iiopxx_encode_new_glob(28, _flick_abort4093);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->f.a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->f.a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->f.a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->f.b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->f.b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->f.b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->f.b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->f.b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t867_array_iter = 0; _t867_array_iter < _data->f.b.e._length; _t867_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->f.b.e._buffer + _t867_array_iter))
        goto _flick_abort4121;
      continue;
      {
      _flick_abort4121:
        goto _flick_abort4093;
      }
    }
  return 0;
  {
  _flick_abort4093:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_tb_recursive_idl_server_return(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA::ULong _t868_array_iter;
  CORBA::ULong _t872_array_iter;
  CORBA::ULong _t875_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(44, _flick_abort4123);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_encode_signed32(12, _data->b.a.a, CORBA::Long );
  flick_cdr_encode_float64(16, _data->b.a.b, CORBA::Double );
  flick_cdr_encode_signed16(24, _data->b.a.c, CORBA::Short );
  flick_cdr_encode_char8(26, _data->b.b.a, CORBA::Char );
  flick_cdr_encode_char8(27, _data->b.b.b, CORBA::Char );
  flick_cdr_encode_char8(28, _data->b.b.c, CORBA::Char );
  flick_cdr_encode_char8(29, _data->b.b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(32, _data->b.b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(36);
  flick_iiopxx_encode_end_glob(44);
  for (_t868_array_iter = 0; _t868_array_iter < _data->b.b.e._length; _t868_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->b.b.e._buffer + _t868_array_iter))
        goto _flick_abort4127;
      continue;
      {
      _flick_abort4127:
        goto _flick_abort4123;
      }
    }
  flick_iiopxx_encode_new_glob(4, _flick_abort4123);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t872_array_iter = 0; _t872_array_iter < _data->c._length; _t872_array_iter++)
    {
      CORBA::ULong _t874_array_iter;

      flick_iiopxx_encode_new_glob(28, _flick_abort4147);
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->c._buffer[_t872_array_iter].a.a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
      flick_cdr_encode_float64(0, _data->c._buffer[_t872_array_iter].a.b, CORBA::Double );
      flick_cdr_encode_signed16(8, _data->c._buffer[_t872_array_iter].a.c, CORBA::Short );
      flick_cdr_encode_char8(10, _data->c._buffer[_t872_array_iter].b.a, CORBA::Char );
      flick_cdr_encode_char8(11, _data->c._buffer[_t872_array_iter].b.b, CORBA::Char );
      flick_cdr_encode_char8(12, _data->c._buffer[_t872_array_iter].b.c, CORBA::Char );
      flick_cdr_encode_char8(13, _data->c._buffer[_t872_array_iter].b.d, CORBA::Char );
      flick_cdr_encode_unsigned32(16, _data->c._buffer[_t872_array_iter].b.e._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(28);
      for (_t874_array_iter = 0; _t874_array_iter < _data->c._buffer[_t872_array_iter].b.e._length; _t874_array_iter++)
        {
          if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->c._buffer[_t872_array_iter].b.e._buffer + _t874_array_iter))
            goto _flick_abort4157;
          continue;
          {
          _flick_abort4157:
            goto _flick_abort4147;
          }
        }
      continue;
      {
      _flick_abort4147:
        goto _flick_abort4123;
      }
    }
  flick_iiopxx_encode_new_glob(4, _flick_abort4123);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->d._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t875_array_iter = 0; _t875_array_iter < _data->d._length; _t875_array_iter++)
    {
      if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _data->d._buffer + _t875_array_iter))
        goto _flick_abort4162;
      continue;
      {
      _flick_abort4162:
        goto _flick_abort4123;
      }
    }
  return 0;
  {
  _flick_abort4123:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_td_recursive_idl_server_return(flick_marshal_stream_t _stream, td *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(52, _flick_abort4164);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_unsigned32_t _t912_temp_string_len;
        CORBA::ULong _t913_array_iter;
        CORBA::ULong _t914_array_iter;
        CORBA::ULong _t915_array_iter;
        flick_unsigned32_t _t916_temp_string_len;
        CORBA::ULong _t917_array_iter;
        CORBA::ULong _t918_array_iter;

        flick_cdr_stringlen(CORBA::Char *, _data->_u.one->b.b.in(), flick_unsigned32_t , _t912_temp_string_len);
        flick_cdr_stringlen(CORBA::Char *, _data->_u.one->e.b.in(), flick_unsigned32_t , _t916_temp_string_len);

        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one->a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one->a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.one->a.c, CORBA::Short );
        flick_cdr_encode_char8(10, _data->_u.one->b.a, CORBA::Char );
        flick_cdr_encode_unsigned32(12, _t912_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_encode_end_chunk(16);
        flick_iiopxx_encode_end_glob(52);
        flick_iiopxx_encode_new_glob(1 * _t912_temp_string_len, _flick_abort4363);
        flick_iiopxx_encode_new_chunk(1 * _t912_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.one->b.b.in(), 1 * _t912_temp_string_len);
        flick_iiopxx_encode_end_chunk(1 * _t912_temp_string_len);
        flick_iiopxx_encode_end_glob(1 * _t912_temp_string_len);
        flick_iiopxx_encode_new_glob(7, _flick_abort4363);
        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_unsigned32(0, _data->_u.one->b.c._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(7);
        for (_t913_array_iter = 0; _t913_array_iter < _data->_u.one->b.c._length; _t913_array_iter++)
          {
            if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->_u.one->b.c._buffer + _t913_array_iter))
              goto _flick_abort4369;
            continue;
            {
            _flick_abort4369:
              goto _flick_abort4363;
            }
          }
        flick_iiopxx_encode_new_glob(28, _flick_abort4363);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one->c.a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one->c.a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.one->c.a.c, CORBA::Short );
        flick_cdr_encode_char8(10, _data->_u.one->c.b.a, CORBA::Char );
        flick_cdr_encode_char8(11, _data->_u.one->c.b.b, CORBA::Char );
        flick_cdr_encode_char8(12, _data->_u.one->c.b.c, CORBA::Char );
        flick_cdr_encode_char8(13, _data->_u.one->c.b.d, CORBA::Char );
        flick_cdr_encode_unsigned32(16, _data->_u.one->c.b.e._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(20);
        flick_iiopxx_encode_end_glob(28);
        for (_t914_array_iter = 0; _t914_array_iter < _data->_u.one->c.b.e._length; _t914_array_iter++)
          {
            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.one->c.b.e._buffer + _t914_array_iter))
              goto _flick_abort4374;
            continue;
            {
            _flick_abort4374:
              goto _flick_abort4363;
            }
          }
        flick_iiopxx_encode_new_glob(4, _flick_abort4363);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.one->next._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(4);
        for (_t915_array_iter = 0; _t915_array_iter < _data->_u.one->next._length; _t915_array_iter++)
          {
            if (flick_marshal_stub_ta_recursive_idl_server_return(_stream, _data->_u.one->next._buffer + _t915_array_iter))
              goto _flick_abort4379;
            continue;
            {
            _flick_abort4379:
              goto _flick_abort4363;
            }
          }
        flick_iiopxx_encode_new_glob(24, _flick_abort4363);
        flick_iiopxx_encode_new_chunk(24);
        flick_cdr_encode_signed32(0, _data->_u.one->d.a, CORBA::Long );
        flick_cdr_encode_float64(8, _data->_u.one->d.b, CORBA::Double );
        flick_cdr_encode_signed16(16, _data->_u.one->d.c, CORBA::Short );
        flick_cdr_encode_char8(18, _data->_u.one->e.a, CORBA::Char );
        flick_cdr_encode_unsigned32(20, _t916_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_encode_end_chunk(24);
        flick_iiopxx_encode_end_glob(24);
        flick_iiopxx_encode_new_glob(1 * _t916_temp_string_len, _flick_abort4363);
        flick_iiopxx_encode_new_chunk(1 * _t916_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.one->e.b.in(), 1 * _t916_temp_string_len);
        flick_iiopxx_encode_end_chunk(1 * _t916_temp_string_len);
        flick_iiopxx_encode_end_glob(1 * _t916_temp_string_len);
        flick_iiopxx_encode_new_glob(7, _flick_abort4363);
        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_unsigned32(0, _data->_u.one->e.c._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(7);
        for (_t917_array_iter = 0; _t917_array_iter < _data->_u.one->e.c._length; _t917_array_iter++)
          {
            if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->_u.one->e.c._buffer + _t917_array_iter))
              goto _flick_abort4386;
            continue;
            {
            _flick_abort4386:
              goto _flick_abort4363;
            }
          }
        flick_iiopxx_encode_new_glob(28, _flick_abort4363);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one->f.a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one->f.a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.one->f.a.c, CORBA::Short );
        flick_cdr_encode_char8(10, _data->_u.one->f.b.a, CORBA::Char );
        flick_cdr_encode_char8(11, _data->_u.one->f.b.b, CORBA::Char );
        flick_cdr_encode_char8(12, _data->_u.one->f.b.c, CORBA::Char );
        flick_cdr_encode_char8(13, _data->_u.one->f.b.d, CORBA::Char );
        flick_cdr_encode_unsigned32(16, _data->_u.one->f.b.e._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(20);
        flick_iiopxx_encode_end_glob(28);
        for (_t918_array_iter = 0; _t918_array_iter < _data->_u.one->f.b.e._length; _t918_array_iter++)
          {
            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.one->f.b.e._buffer + _t918_array_iter))
              goto _flick_abort4391;
            continue;
            {
            _flick_abort4391:
              goto _flick_abort4363;
            }
          }
        break;
        {
        _flick_abort4363:
          goto _flick_abort4164;
        }
      }
    case 2:
      {
        CORBA::ULong _t919_array_iter;
        CORBA::ULong _t923_array_iter;
        CORBA::ULong _t926_array_iter;

        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.two->a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.two->a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.two->a.c, CORBA::Short );
        flick_cdr_encode_signed32(12, _data->_u.two->b.a.a, CORBA::Long );
        flick_cdr_encode_float64(16, _data->_u.two->b.a.b, CORBA::Double );
        flick_cdr_encode_signed16(24, _data->_u.two->b.a.c, CORBA::Short );
        flick_cdr_encode_char8(26, _data->_u.two->b.b.a, CORBA::Char );
        flick_cdr_encode_char8(27, _data->_u.two->b.b.b, CORBA::Char );
        flick_cdr_encode_char8(28, _data->_u.two->b.b.c, CORBA::Char );
        flick_cdr_encode_char8(29, _data->_u.two->b.b.d, CORBA::Char );
        flick_cdr_encode_unsigned32(32, _data->_u.two->b.b.e._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(36);
        flick_iiopxx_encode_end_glob(52);
        for (_t919_array_iter = 0; _t919_array_iter < _data->_u.two->b.b.e._length; _t919_array_iter++)
          {
            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.two->b.b.e._buffer + _t919_array_iter))
              goto _flick_abort4397;
            continue;
            {
            _flick_abort4397:
              goto _flick_abort4393;
            }
          }
        flick_iiopxx_encode_new_glob(4, _flick_abort4393);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.two->c._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(4);
        for (_t923_array_iter = 0; _t923_array_iter < _data->_u.two->c._length; _t923_array_iter++)
          {
            CORBA::ULong _t925_array_iter;

            flick_iiopxx_encode_new_glob(28, _flick_abort4417);
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->_u.two->c._buffer[_t923_array_iter].a.a, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
            flick_cdr_encode_float64(0, _data->_u.two->c._buffer[_t923_array_iter].a.b, CORBA::Double );
            flick_cdr_encode_signed16(8, _data->_u.two->c._buffer[_t923_array_iter].a.c, CORBA::Short );
            flick_cdr_encode_char8(10, _data->_u.two->c._buffer[_t923_array_iter].b.a, CORBA::Char );
            flick_cdr_encode_char8(11, _data->_u.two->c._buffer[_t923_array_iter].b.b, CORBA::Char );
            flick_cdr_encode_char8(12, _data->_u.two->c._buffer[_t923_array_iter].b.c, CORBA::Char );
            flick_cdr_encode_char8(13, _data->_u.two->c._buffer[_t923_array_iter].b.d, CORBA::Char );
            flick_cdr_encode_unsigned32(16, _data->_u.two->c._buffer[_t923_array_iter].b.e._length, CORBA::ULong );
            flick_iiopxx_encode_end_chunk(20);
            flick_iiopxx_encode_end_glob(28);
            for (_t925_array_iter = 0; _t925_array_iter < _data->_u.two->c._buffer[_t923_array_iter].b.e._length; _t925_array_iter++)
              {
                if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.two->c._buffer[_t923_array_iter].b.e._buffer + _t925_array_iter))
                  goto _flick_abort4427;
                continue;
                {
                _flick_abort4427:
                  goto _flick_abort4417;
                }
              }
            continue;
            {
            _flick_abort4417:
              goto _flick_abort4393;
            }
          }
        flick_iiopxx_encode_new_glob(4, _flick_abort4393);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.two->d._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(4);
        for (_t926_array_iter = 0; _t926_array_iter < _data->_u.two->d._length; _t926_array_iter++)
          {
            if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _data->_u.two->d._buffer + _t926_array_iter))
              goto _flick_abort4432;
            continue;
            {
            _flick_abort4432:
              goto _flick_abort4393;
            }
          }
        break;
        {
        _flick_abort4393:
          goto _flick_abort4164;
        }
      }
    case 3:
      {
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.three->disc_, enum tc );
        flick_iiopxx_encode_end_chunk(4);
        switch (_data->_u.three->disc_)
          {
          case 0:
            {
              flick_iiopxx_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.three->_u.x, CORBA::Long );
              flick_iiopxx_encode_end_chunk(4);
              flick_iiopxx_encode_end_glob(52);
              break;
            }
          case 1:
            {
              flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
              flick_cdr_encode_float64(0, _data->_u.three->_u.y, CORBA::Double );
              flick_iiopxx_encode_end_chunk(8);
              flick_iiopxx_encode_end_glob(52);
              break;
            }
          case 2:
            {
              flick_iiopxx_encode_new_chunk(1);
              flick_cdr_encode_unsigned8(0, _data->_u.three->_u.z, CORBA::Boolean );
              flick_iiopxx_encode_end_chunk(1);
              flick_iiopxx_encode_end_glob(52);
              break;
            }
          case 3:
            {
              CORBA::ULong _t937_array_iter;
              CORBA::ULong _t941_array_iter;
              CORBA::ULong _t944_array_iter;

              flick_iiopxx_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.three->_u.s->a.a, CORBA::Long );
              flick_iiopxx_encode_end_chunk(4);
              flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
              flick_cdr_encode_float64(0, _data->_u.three->_u.s->a.b, CORBA::Double );
              flick_cdr_encode_signed16(8, _data->_u.three->_u.s->a.c, CORBA::Short );
              flick_cdr_encode_signed32(12, _data->_u.three->_u.s->b.a.a, CORBA::Long );
              flick_cdr_encode_float64(16, _data->_u.three->_u.s->b.a.b, CORBA::Double );
              flick_cdr_encode_signed16(24, _data->_u.three->_u.s->b.a.c, CORBA::Short );
              flick_cdr_encode_char8(26, _data->_u.three->_u.s->b.b.a, CORBA::Char );
              flick_cdr_encode_char8(27, _data->_u.three->_u.s->b.b.b, CORBA::Char );
              flick_cdr_encode_char8(28, _data->_u.three->_u.s->b.b.c, CORBA::Char );
              flick_cdr_encode_char8(29, _data->_u.three->_u.s->b.b.d, CORBA::Char );
              flick_cdr_encode_unsigned32(32, _data->_u.three->_u.s->b.b.e._length, CORBA::ULong );
              flick_iiopxx_encode_end_chunk(36);
              flick_iiopxx_encode_end_glob(52);
              for (_t937_array_iter = 0; _t937_array_iter < _data->_u.three->_u.s->b.b.e._length; _t937_array_iter++)
                {
                  if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.three->_u.s->b.b.e._buffer + _t937_array_iter))
                    goto _flick_abort4502;
                  continue;
                  {
                  _flick_abort4502:
                    goto _flick_abort4498;
                  }
                }
              flick_iiopxx_encode_new_glob(4, _flick_abort4498);
              flick_iiopxx_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _data->_u.three->_u.s->c._length, CORBA::ULong );
              flick_iiopxx_encode_end_chunk(4);
              flick_iiopxx_encode_end_glob(4);
              for (_t941_array_iter = 0; _t941_array_iter < _data->_u.three->_u.s->c._length; _t941_array_iter++)
                {
                  CORBA::ULong _t943_array_iter;

                  flick_iiopxx_encode_new_glob(28, _flick_abort4522);
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.three->_u.s->c._buffer[_t941_array_iter].a.a, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.three->_u.s->c._buffer[_t941_array_iter].a.b, CORBA::Double );
                  flick_cdr_encode_signed16(8, _data->_u.three->_u.s->c._buffer[_t941_array_iter].a.c, CORBA::Short );
                  flick_cdr_encode_char8(10, _data->_u.three->_u.s->c._buffer[_t941_array_iter].b.a, CORBA::Char );
                  flick_cdr_encode_char8(11, _data->_u.three->_u.s->c._buffer[_t941_array_iter].b.b, CORBA::Char );
                  flick_cdr_encode_char8(12, _data->_u.three->_u.s->c._buffer[_t941_array_iter].b.c, CORBA::Char );
                  flick_cdr_encode_char8(13, _data->_u.three->_u.s->c._buffer[_t941_array_iter].b.d, CORBA::Char );
                  flick_cdr_encode_unsigned32(16, _data->_u.three->_u.s->c._buffer[_t941_array_iter].b.e._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(20);
                  flick_iiopxx_encode_end_glob(28);
                  for (_t943_array_iter = 0; _t943_array_iter < _data->_u.three->_u.s->c._buffer[_t941_array_iter].b.e._length; _t943_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.three->_u.s->c._buffer[_t941_array_iter].b.e._buffer + _t943_array_iter))
                        goto _flick_abort4532;
                      continue;
                      {
                      _flick_abort4532:
                        goto _flick_abort4522;
                      }
                    }
                  continue;
                  {
                  _flick_abort4522:
                    goto _flick_abort4498;
                  }
                }
              flick_iiopxx_encode_new_glob(4, _flick_abort4498);
              flick_iiopxx_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _data->_u.three->_u.s->d._length, CORBA::ULong );
              flick_iiopxx_encode_end_chunk(4);
              flick_iiopxx_encode_end_glob(4);
              for (_t944_array_iter = 0; _t944_array_iter < _data->_u.three->_u.s->d._length; _t944_array_iter++)
                {
                  if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _data->_u.three->_u.s->d._buffer + _t944_array_iter))
                    goto _flick_abort4537;
                  continue;
                  {
                  _flick_abort4537:
                    goto _flick_abort4498;
                  }
                }
              break;
              {
              _flick_abort4498:
                goto _flick_abort4434;
              }
            }
          case 4:
            {
              flick_iiopxx_encode_new_chunk(1);
              flick_cdr_encode_unsigned8(0, _data->_u.three->_u.u->disc_, CORBA::Boolean );
              flick_iiopxx_encode_end_chunk(1);
              switch (_data->_u.three->_u.u->disc_)
                {
                case 1:
                  {
                    CORBA::ULong _t946_array_iter;

                    flick_iiopxx_encode_new_chunk(7);
                    flick_cdr_encode_unsigned32(3, _data->_u.three->_u.u->_u.next->_length, CORBA::ULong );
                    flick_iiopxx_encode_end_chunk(7);
                    flick_iiopxx_encode_end_glob(52);
                    if (_data->_u.three->_u.u->_u.next->_length > 1)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4547);
                    for (_t946_array_iter = 0; _t946_array_iter < _data->_u.three->_u.u->_u.next->_length; _t946_array_iter++)
                      {
                        if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _data->_u.three->_u.u->_u.next->_buffer + _t946_array_iter))
                          goto _flick_abort4550;
                        continue;
                        {
                        _flick_abort4550:
                          goto _flick_abort4547;
                        }
                      }
                    break;
                    {
                    _flick_abort4547:
                      goto _flick_abort4539;
                    }
                  }
                default:
                  {
                    flick_iiopxx_encode_end_glob(52);
                    break;
                  }
                }
              break;
              {
              _flick_abort4539:
                goto _flick_abort4434;
              }
            }
          default:
            {
              flick_iiopxx_encode_end_glob(52);
              break;
            }
          }
        break;
        {
        _flick_abort4434:
          goto _flick_abort4164;
        }
      }
    default:
      {
        CORBA::ULong _t947_array_iter;

        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.again->_length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(52);
        for (_t947_array_iter = 0; _t947_array_iter < _data->_u.again->_length; _t947_array_iter++)
          {
            if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _data->_u.again->_buffer + _t947_array_iter))
              goto _flick_abort4558;
            continue;
            {
            _flick_abort4558:
              goto _flick_abort4554;
            }
          }
        break;
        {
        _flick_abort4554:
          goto _flick_abort4164;
        }
      }
    }
  return 0;
  {
  _flick_abort4164:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_tc_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ::ta::tc *_data)
{
  flick_unsigned32_t _t948_temp_string_len;
  CORBA::ULong _t949_array_iter;

  flick_cdr_stringlen(CORBA::Char *, _data->b.inout(), flick_unsigned32_t , _t948_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort4560);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->a, CORBA::Char );
  flick_cdr_encode_unsigned32(4, _t948_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  flick_iiopxx_encode_new_glob(1 * _t948_temp_string_len, _flick_abort4560);
  flick_iiopxx_encode_new_chunk(1 * _t948_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b.inout(), 1 * _t948_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t948_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t948_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort4560);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t949_array_iter = 0; _t949_array_iter < _data->c._length; _t949_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->c._buffer + _t949_array_iter))
        goto _flick_abort4566;
      continue;
      {
      _flick_abort4566:
        goto _flick_abort4560;
      }
    }
  return 0;
  {
  _flick_abort4560:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_td_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ::ta::td *_data)
{
  CORBA::ULong _t950_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(28, _flick_abort4568);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t950_array_iter = 0; _t950_array_iter < _data->b.e._length; _t950_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->b.e._buffer + _t950_array_iter))
        goto _flick_abort4572;
      continue;
      {
      _flick_abort4572:
        goto _flick_abort4568;
      }
    }
  return 0;
  {
  _flick_abort4568:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t951_temp_string_len;
  CORBA::ULong _t952_array_iter;
  CORBA::ULong _t953_array_iter;
  CORBA::ULong _t954_array_iter;
  flick_unsigned32_t _t955_temp_string_len;
  CORBA::ULong _t956_array_iter;
  CORBA::ULong _t957_array_iter;

  flick_cdr_stringlen(CORBA::Char *, _data->b.b.inout(), flick_unsigned32_t , _t951_temp_string_len);
  flick_cdr_stringlen(CORBA::Char *, _data->e.b.inout(), flick_unsigned32_t , _t955_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(24, _flick_abort4574);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_encode_unsigned32(12, _t951_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(16);
  flick_iiopxx_encode_end_glob(24);
  flick_iiopxx_encode_new_glob(1 * _t951_temp_string_len, _flick_abort4574);
  flick_iiopxx_encode_new_chunk(1 * _t951_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b.b.inout(), 1 * _t951_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t951_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t951_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort4574);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->b.c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t952_array_iter = 0; _t952_array_iter < _data->b.c._length; _t952_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->b.c._buffer + _t952_array_iter))
        goto _flick_abort4580;
      continue;
      {
      _flick_abort4580:
        goto _flick_abort4574;
      }
    }
  flick_iiopxx_encode_new_glob(28, _flick_abort4574);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->c.a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->c.a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->c.a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->c.b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->c.b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->c.b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->c.b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->c.b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t953_array_iter = 0; _t953_array_iter < _data->c.b.e._length; _t953_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->c.b.e._buffer + _t953_array_iter))
        goto _flick_abort4585;
      continue;
      {
      _flick_abort4585:
        goto _flick_abort4574;
      }
    }
  flick_iiopxx_encode_new_glob(4, _flick_abort4574);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->next._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t954_array_iter = 0; _t954_array_iter < _data->next._length; _t954_array_iter++)
    {
      if (flick_marshal_stub_ta_recursive_idl_server_inout(_stream, _data->next._buffer + _t954_array_iter))
        goto _flick_abort4590;
      continue;
      {
      _flick_abort4590:
        goto _flick_abort4574;
      }
    }
  flick_iiopxx_encode_new_glob(24, _flick_abort4574);
  flick_iiopxx_encode_new_chunk(24);
  flick_cdr_encode_signed32(0, _data->d.a, CORBA::Long );
  flick_cdr_encode_float64(8, _data->d.b, CORBA::Double );
  flick_cdr_encode_signed16(16, _data->d.c, CORBA::Short );
  flick_cdr_encode_char8(18, _data->e.a, CORBA::Char );
  flick_cdr_encode_unsigned32(20, _t955_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(24);
  flick_iiopxx_encode_end_glob(24);
  flick_iiopxx_encode_new_glob(1 * _t955_temp_string_len, _flick_abort4574);
  flick_iiopxx_encode_new_chunk(1 * _t955_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->e.b.inout(), 1 * _t955_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t955_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t955_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort4574);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->e.c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t956_array_iter = 0; _t956_array_iter < _data->e.c._length; _t956_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->e.c._buffer + _t956_array_iter))
        goto _flick_abort4597;
      continue;
      {
      _flick_abort4597:
        goto _flick_abort4574;
      }
    }
  flick_iiopxx_encode_new_glob(28, _flick_abort4574);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->f.a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->f.a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->f.a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->f.b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->f.b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->f.b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->f.b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->f.b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t957_array_iter = 0; _t957_array_iter < _data->f.b.e._length; _t957_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->f.b.e._buffer + _t957_array_iter))
        goto _flick_abort4602;
      continue;
      {
      _flick_abort4602:
        goto _flick_abort4574;
      }
    }
  return 0;
  {
  _flick_abort4574:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

