#include "simple2-server.h"


static int _TAO_collocation_POA_simple_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_simple_Stub_Factory_Initializer(0);


POA_simple::POA_simple()
{}

POA_simple::POA_simple(const POA_simple &rhs)
  : TAO_ServantBase(rhs)
{}

POA_simple::~POA_simple()
{}

simple *POA_simple::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_simple (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return simple::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_simple::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:simple:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_simple::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple:1.0") == 0)
    return ACE_static_cast(POA_simple_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_simple::_interface_repository_id() const
{
  return "IDL:simple:1.0";
}

simple_ptr _TAO_collocation_POA_simple_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_simple(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_simple_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_simple_Stub_Factory_function_pointer =
    _TAO_collocation_POA_simple_Stub_Factory;

  return 0;
}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_simple_tie<T>::~POA_simple_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_simple_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_simple_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_simple_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_simple_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_simple_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_simple_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(const POA_simple_tie &c)
{}

template <class T>
  void POA_simple_tie<T>::operator=(const POA_simple_tie &c)
{}

template <class T>
  CORBA::Long POA_simple_tie<T>::op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->op (a, b, c, _ev);
}

_tao_thru_poa_collocated_simple::_tao_thru_poa_collocated_simple(TAO_Stub *stub)
  : simple(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Long _tao_thru_poa_collocated_simple::op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple:1.0"
        )
    )->op (a, b, c, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_simple::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_simple::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple:1.0"
        )
    )->_non_existent (_ev);
}

static int _TAO_collocation_POA_simple2_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_simple2_Stub_Factory_Initializer(0);


POA_simple2::POA_simple2()
{}

POA_simple2::POA_simple2(const POA_simple2 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_simple2::~POA_simple2()
{}

simple2 *POA_simple2::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_simple2 (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return simple2::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_simple2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:simple:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:simple2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_simple2::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple2:1.0") == 0)
    return ACE_static_cast(POA_simple2_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple:1.0") == 0)
    return ACE_reinterpret_cast(POA_simple_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_simple2::_interface_repository_id() const
{
  return "IDL:simple2:1.0";
}

simple2_ptr _TAO_collocation_POA_simple2_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_simple2(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_simple2_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_simple2_Stub_Factory_function_pointer =
    _TAO_collocation_POA_simple2_Stub_Factory;

  return 0;
}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_simple2_tie<T>::~POA_simple2_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_simple2_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_simple2_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_simple2_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_simple2_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_simple2_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_simple2_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(const POA_simple2_tie &c)
{}

template <class T>
  void POA_simple2_tie<T>::operator=(const POA_simple2_tie &c)
{}

template <class T>
  CORBA::Long POA_simple2_tie<T>::op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (a, b, c, _ev);
}

template <class T>
  CORBA::Long POA_simple2_tie<T>::op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->op (a, b, c, _ev);
}

_tao_thru_poa_collocated_simple2::_tao_thru_poa_collocated_simple2(TAO_Stub *stub)
  : simple2(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Long _tao_thru_poa_collocated_simple2::op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op2",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple2:1.0"
        )
    )->op2 (a, b, c, _ev);
}

CORBA::Long _tao_thru_poa_collocated_simple2::op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple2:1.0"
        )
    )->op (a, b, c, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_simple2::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple2:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_simple2::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple2_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple2:1.0"
        )
    )->_non_existent (_ev);
}

static int _TAO_collocation_POA_simple3_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_simple3_Stub_Factory_Initializer(0);


POA_simple3::POA_simple3()
{}

POA_simple3::POA_simple3(const POA_simple3 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_simple3::~POA_simple3()
{}

simple3 *POA_simple3::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_simple3 (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return simple3::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_simple3::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:simple:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:simple2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:simple3:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_simple3::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple3:1.0") == 0)
    return ACE_static_cast(POA_simple3_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple:1.0") == 0)
    return ACE_reinterpret_cast(POA_simple_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple2:1.0") == 0)
    return ACE_reinterpret_cast(POA_simple2_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_simple3::_interface_repository_id() const
{
  return "IDL:simple3:1.0";
}

simple3_ptr _TAO_collocation_POA_simple3_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_simple3(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_simple3_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_simple3_Stub_Factory_function_pointer =
    _TAO_collocation_POA_simple3_Stub_Factory;

  return 0;
}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_simple3_tie<T>::~POA_simple3_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_simple3_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_simple3_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_simple3_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_simple3_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_simple3_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_simple3_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_simple3_tie<T>::POA_simple3_tie(const POA_simple3_tie &c)
{}

template <class T>
  void POA_simple3_tie<T>::operator=(const POA_simple3_tie &c)
{}

template <class T>
  CORBA::Long POA_simple3_tie<T>::op3(/* POA_simple3 *this, */ CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (a, b, c, d, _ev);
}

template <class T>
  char *POA_simple3_tie<T>::op4(/* POA_simple3 *this, */ const char *x, char *&y, ::CORBA::String_out z, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (x, y, z, _ev);
}

template <class T>
  void POA_simple3_tie<T>::op5(/* POA_simple3 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op5 (_ev);
}

template <class T>
  CORBA::Long POA_simple3_tie<T>::op2(/* POA_simple3 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (a, b, c, _ev);
}

template <class T>
  CORBA::Long POA_simple3_tie<T>::op(/* POA_simple3 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->op (a, b, c, _ev);
}

_tao_thru_poa_collocated_simple3::_tao_thru_poa_collocated_simple3(TAO_Stub *stub)
  : simple3(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Long _tao_thru_poa_collocated_simple3::op3(CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op3",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple3_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple3:1.0"
        )
    )->op3 (a, b, c, d, _ev);
}

char *_tao_thru_poa_collocated_simple3::op4(const char *x, char *&y, ::CORBA::String_out z, CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op4",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple3_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple3:1.0"
        )
    )->op4 (x, y, z, _ev);
}

void _tao_thru_poa_collocated_simple3::op5(CORBA::Environment &_ev)
{
  
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op5",
      _ev
    );
  if (_ev.exception() != 0) {
    
    return;
  }
  ACE_reinterpret_cast(
      POA_simple3_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple3:1.0"
        )
    )->op5 (_ev);
}

CORBA::Long _tao_thru_poa_collocated_simple3::op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op2",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple3_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple3:1.0"
        )
    )->op2 (a, b, c, _ev);
}

CORBA::Long _tao_thru_poa_collocated_simple3::op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "op",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple3_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple3:1.0"
        )
    )->op (a, b, c, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_simple3::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple3_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple3:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_simple3::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_simple3_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:simple3:1.0"
        )
    )->_non_existent (_ev);
}
void POA_simple::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t30_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t30_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t30_switch_tag)
        {
        case (unsigned int) 3:
          {
            unsigned short int _t31_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t31_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t31_switch_tag)
              {
              case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
                {
                  char _t32_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t32_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t32_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_simple *_local_this;
                          unsigned int _t33_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          simple_ptr _local_b;
                          CORBA::Long _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort66);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_unsigned32(1, _t33_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t33_principal_len, _flick_abort66);
                          flick_iiopxx_decode_new_glob(_t33_principal_len);
                          flick_iiopxx_decode_new_chunk(_t33_principal_len);
                          flick_iiopxx_decode_end_chunk(_t33_principal_len);
                          flick_iiopxx_decode_end_glob(_t33_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort66);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_c, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->op(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t34_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t34_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort66);
                            flick_iiopxx_encode_new_glob(8, _flick_abort66);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t34_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t34_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort71);
                                  CORBA_object_flick_free(_local_b);
                                  _local_b = (simple *)0;
                                  flick_iiopxx_encode_new_glob(7, _flick_abort71);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort71:
                                    goto _flick_abort66;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort72);
                                  break;
                                  {
                                  _flick_abort72:
                                    goto _flick_abort66;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort73);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort73:
                                    goto _flick_abort66;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort66:
                            goto _flick_abort65;
                          }
                        }
                        break;
                        {
                        _flick_abort65:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t35_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t35_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t36_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t36_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t36_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_simple *_local_this;
                          unsigned int _t37_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t38_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort75);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t37_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t37_principal_len, _flick_abort75);
                          flick_iiopxx_decode_new_glob(_t37_principal_len);
                          flick_iiopxx_decode_new_chunk(_t37_principal_len);
                          flick_iiopxx_decode_end_chunk(_t37_principal_len);
                          flick_iiopxx_decode_end_glob(_t37_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort75);
                          flick_cdr_swap_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t38_temp_string_len);
                          flick_iiopxx_check_span(1 * _t38_temp_string_len, _flick_abort75);
                          flick_iiopxx_decode_new_chunk(1 * _t38_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t38_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t38_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t39_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t39_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort75);
                            flick_iiopxx_encode_new_glob(5, _flick_abort75);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t39_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t39_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort83);
                                  break;
                                  {
                                  _flick_abort83:
                                    goto _flick_abort75;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort84:
                                    goto _flick_abort75;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort75:
                            goto _flick_abort74;
                          }
                        }
                        break;
                        {
                        _flick_abort74:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t10_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t10_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t10_switch_tag)
        {
        case (unsigned int) 3:
          {
            unsigned short int _t11_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t11_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t11_switch_tag)
              {
              case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
                {
                  char _t12_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t12_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t12_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_simple *_local_this;
                          unsigned int _t13_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          simple_ptr _local_b;
                          CORBA::Long _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort25);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_unsigned32(1, _t13_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t13_principal_len, _flick_abort25);
                          flick_iiopxx_decode_new_glob(_t13_principal_len);
                          flick_iiopxx_decode_new_chunk(_t13_principal_len);
                          flick_iiopxx_decode_end_chunk(_t13_principal_len);
                          flick_iiopxx_decode_end_glob(_t13_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort25);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_c, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->op(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t14_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t14_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort25);
                            flick_iiopxx_encode_new_glob(8, _flick_abort25);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t14_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t14_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort30);
                                  CORBA_object_flick_free(_local_b);
                                  _local_b = (simple *)0;
                                  flick_iiopxx_encode_new_glob(7, _flick_abort30);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort30:
                                    goto _flick_abort25;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort31);
                                  break;
                                  {
                                  _flick_abort31:
                                    goto _flick_abort25;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort32);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort32:
                                    goto _flick_abort25;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort25:
                            goto _flick_abort24;
                          }
                        }
                        break;
                        {
                        _flick_abort24:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t15_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t15_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t16_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t16_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t16_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_simple *_local_this;
                          unsigned int _t17_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t18_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort34);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t17_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t17_principal_len, _flick_abort34);
                          flick_iiopxx_decode_new_glob(_t17_principal_len);
                          flick_iiopxx_decode_new_chunk(_t17_principal_len);
                          flick_iiopxx_decode_end_chunk(_t17_principal_len);
                          flick_iiopxx_decode_end_glob(_t17_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort34);
                          flick_cdr_decode_unsigned32(0, _t18_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t18_temp_string_len);
                          flick_iiopxx_check_span(1 * _t18_temp_string_len, _flick_abort34);
                          flick_iiopxx_decode_new_chunk(1 * _t18_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t18_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t18_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t19_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t19_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort34);
                            flick_iiopxx_encode_new_glob(5, _flick_abort34);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t19_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t19_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort42);
                                  break;
                                  {
                                  _flick_abort42:
                                    goto _flick_abort34;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort43);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort43:
                                    goto _flick_abort34;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort34:
                            goto _flick_abort33;
                          }
                        }
                        break;
                        {
                        _flick_abort33:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
void POA_simple2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t79_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort87);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t79_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t79_switch_tag)
        {
        case (unsigned int) 4:
          {
            unsigned int _t80_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t80_switch_tag)
              {
              case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
                {
                  {
                    POA_simple2 *_local_this;
                    unsigned int _t81_principal_len;
                    CORBA::Long _return;
                    CORBA::Long _local_a;
                    simple_ptr _local_b;
                    simple2_ptr _local_c;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort178);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t81_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t81_principal_len, _flick_abort178);
                    flick_iiopxx_decode_new_glob(_t81_principal_len);
                    flick_iiopxx_decode_new_chunk(_t81_principal_len);
                    flick_iiopxx_decode_end_chunk(_t81_principal_len);
                    flick_iiopxx_decode_end_glob(_t81_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort178);
                    flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_cdr_swapxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort178);
                    flick_iiopxx_mark_port_for_cleanup(_local_b, 1);

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t82_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t82_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort178);
                      flick_iiopxx_encode_new_glob(8, _flick_abort178);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t82_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t82_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(8);
                            flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort183);
                            CORBA_object_flick_free(_local_c);
                            _local_c = (simple2 *)0;
                            break;
                            {
                            _flick_abort183:
                              goto _flick_abort178;
                            }
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(8);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort184);
                            break;
                            {
                            _flick_abort184:
                              goto _flick_abort178;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort185);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                            {
                            _flick_abort185:
                              goto _flick_abort178;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort178:
                      goto _flick_abort177;
                    }
                  }
                  break;
                  {
                  _flick_abort177:
                    goto _flick_abort87;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 3:
          {
            unsigned short int _t83_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t83_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t83_switch_tag)
              {
              case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
                {
                  char _t84_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t84_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t84_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_simple2 *_local_this;
                          unsigned int _t85_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          simple_ptr _local_b;
                          CORBA::Long _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort187);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_unsigned32(1, _t85_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t85_principal_len, _flick_abort187);
                          flick_iiopxx_decode_new_glob(_t85_principal_len);
                          flick_iiopxx_decode_new_chunk(_t85_principal_len);
                          flick_iiopxx_decode_end_chunk(_t85_principal_len);
                          flick_iiopxx_decode_end_glob(_t85_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort187);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_c, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->op(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t86_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t86_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort187);
                            flick_iiopxx_encode_new_glob(8, _flick_abort187);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t86_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t86_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort192);
                                  CORBA_object_flick_free(_local_b);
                                  _local_b = (simple *)0;
                                  flick_iiopxx_encode_new_glob(7, _flick_abort192);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort192:
                                    goto _flick_abort187;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort193);
                                  break;
                                  {
                                  _flick_abort193:
                                    goto _flick_abort187;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort194);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort194:
                                    goto _flick_abort187;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort187:
                            goto _flick_abort186;
                          }
                        }
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort87;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t87_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort87);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t87_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t88_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t88_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t88_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_simple2 *_local_this;
                          unsigned int _t89_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t90_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort196);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t89_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t89_principal_len, _flick_abort196);
                          flick_iiopxx_decode_new_glob(_t89_principal_len);
                          flick_iiopxx_decode_new_chunk(_t89_principal_len);
                          flick_iiopxx_decode_end_chunk(_t89_principal_len);
                          flick_iiopxx_decode_end_glob(_t89_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort196);
                          flick_cdr_swap_decode_unsigned32(0, _t90_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t90_temp_string_len);
                          flick_iiopxx_check_span(1 * _t90_temp_string_len, _flick_abort196);
                          flick_iiopxx_decode_new_chunk(1 * _t90_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t90_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t90_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t91_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t91_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort196);
                            flick_iiopxx_encode_new_glob(5, _flick_abort196);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t91_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t91_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort204);
                                  break;
                                  {
                                  _flick_abort204:
                                    goto _flick_abort196;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort205:
                                    goto _flick_abort196;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort196:
                            goto _flick_abort195;
                          }
                        }
                        break;
                        {
                        _flick_abort195:
                          goto _flick_abort87;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t53_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort87);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t53_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t53_switch_tag)
        {
        case (unsigned int) 4:
          {
            unsigned int _t54_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t54_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t54_switch_tag)
              {
              case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
                {
                  {
                    POA_simple2 *_local_this;
                    unsigned int _t55_principal_len;
                    CORBA::Long _return;
                    CORBA::Long _local_a;
                    simple_ptr _local_b;
                    simple2_ptr _local_c;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort119);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t55_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t55_principal_len, _flick_abort119);
                    flick_iiopxx_decode_new_glob(_t55_principal_len);
                    flick_iiopxx_decode_new_chunk(_t55_principal_len);
                    flick_iiopxx_decode_end_chunk(_t55_principal_len);
                    flick_iiopxx_decode_end_glob(_t55_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort119);
                    flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_cdrxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort119);
                    flick_iiopxx_mark_port_for_cleanup(_local_b, 1);

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t56_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t56_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort119);
                      flick_iiopxx_encode_new_glob(8, _flick_abort119);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t56_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t56_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(8);
                            flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort124);
                            CORBA_object_flick_free(_local_c);
                            _local_c = (simple2 *)0;
                            break;
                            {
                            _flick_abort124:
                              goto _flick_abort119;
                            }
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(8);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort125);
                            break;
                            {
                            _flick_abort125:
                              goto _flick_abort119;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                            {
                            _flick_abort126:
                              goto _flick_abort119;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort119:
                      goto _flick_abort118;
                    }
                  }
                  break;
                  {
                  _flick_abort118:
                    goto _flick_abort87;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 3:
          {
            unsigned short int _t57_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t57_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t57_switch_tag)
              {
              case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
                {
                  char _t58_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t58_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t58_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_simple2 *_local_this;
                          unsigned int _t59_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          simple_ptr _local_b;
                          CORBA::Long _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort128);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_unsigned32(1, _t59_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t59_principal_len, _flick_abort128);
                          flick_iiopxx_decode_new_glob(_t59_principal_len);
                          flick_iiopxx_decode_new_chunk(_t59_principal_len);
                          flick_iiopxx_decode_end_chunk(_t59_principal_len);
                          flick_iiopxx_decode_end_glob(_t59_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort128);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_c, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->op(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t60_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t60_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort128);
                            flick_iiopxx_encode_new_glob(8, _flick_abort128);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t60_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t60_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort133);
                                  CORBA_object_flick_free(_local_b);
                                  _local_b = (simple *)0;
                                  flick_iiopxx_encode_new_glob(7, _flick_abort133);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort133:
                                    goto _flick_abort128;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort134);
                                  break;
                                  {
                                  _flick_abort134:
                                    goto _flick_abort128;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort135:
                                    goto _flick_abort128;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort128:
                            goto _flick_abort127;
                          }
                        }
                        break;
                        {
                        _flick_abort127:
                          goto _flick_abort87;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t61_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort87);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t61_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t62_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t62_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t62_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_simple2 *_local_this;
                          unsigned int _t63_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t64_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort137);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t63_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t63_principal_len, _flick_abort137);
                          flick_iiopxx_decode_new_glob(_t63_principal_len);
                          flick_iiopxx_decode_new_chunk(_t63_principal_len);
                          flick_iiopxx_decode_end_chunk(_t63_principal_len);
                          flick_iiopxx_decode_end_glob(_t63_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort137);
                          flick_cdr_decode_unsigned32(0, _t64_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t64_temp_string_len);
                          flick_iiopxx_check_span(1 * _t64_temp_string_len, _flick_abort137);
                          flick_iiopxx_decode_new_chunk(1 * _t64_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t64_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t64_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t65_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t65_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort137);
                            flick_iiopxx_encode_new_glob(5, _flick_abort137);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t65_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t65_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort145);
                                  break;
                                  {
                                  _flick_abort145:
                                    goto _flick_abort137;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort146);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort146:
                                    goto _flick_abort137;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort137:
                            goto _flick_abort136;
                          }
                        }
                        break;
                        {
                        _flick_abort136:
                          goto _flick_abort87;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort87:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort86);
  _flick_abort86:
    return ;
  }

_flick_reaper:
  return ;

}
void POA_simple3::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t239_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort208);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t239_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t239_switch_tag)
        {
        case (unsigned int) 4:
          {
            unsigned int _t240_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t240_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t240_switch_tag)
              {
              case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
                {
                  {
                    POA_simple3 *_local_this;
                    unsigned int _t241_principal_len;
                    CORBA::Long _return;
                    CORBA::Long _local_a;
                    simple3_ptr _local_b;
                    simple2_ptr _local_c;
                    simple_ptr _local_d;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort629);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t241_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t241_principal_len, _flick_abort629);
                    flick_iiopxx_decode_new_glob(_t241_principal_len);
                    flick_iiopxx_decode_new_chunk(_t241_principal_len);
                    flick_iiopxx_decode_end_chunk(_t241_principal_len);
                    flick_iiopxx_decode_end_glob(_t241_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort629);
                    flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );

                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->op3(_local_a, _local_b, _local_c, _local_d, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t242_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t242_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort629);
                      flick_iiopxx_encode_new_glob(76, _flick_abort629);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t242_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t242_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(76);
                            flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple3 , _flick_abort653);
                            CORBA_object_flick_free(_local_b);
                            _local_b = (simple3 *)0;
                            flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort653);
                            CORBA_object_flick_free(_local_c);
                            _local_c = (simple2 *)0;
                            flick_cdrxx_encode_IOR(iiopxx, _local_d, 0, simple , _flick_abort653);
                            CORBA_object_flick_free(_local_d);
                            _local_d = (simple *)0;
                            break;
                            {
                            _flick_abort653:
                              goto _flick_abort629;
                            }
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(76);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort654);
                            break;
                            {
                            _flick_abort654:
                              goto _flick_abort629;
                            }
                          }
                        default:
                          {
                            flick_corbaxx_env _t248_temp_env;

                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t248_temp_env);

                            switch ((unsigned int )(1+strlen(_t248_temp_env._id)))
                              {
                              case (unsigned int) 25:
                                {
                                  switch (*(unsigned int *)(_t248_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t248_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t248_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t248_temp_env._id + 12))
                                                      {
                                                      case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                        {
                                                          switch (*(unsigned int *)(_t248_temp_env._id + 16))
                                                            {
                                                            case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                              {
                                                                switch (*(unsigned int *)(_t248_temp_env._id + 20))
                                                                  {
                                                                  case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                    {
                                                                      switch (*(char *)(_t248_temp_env._id + 24))
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_unsigned32_t _t251_temp_string_len;

                                                                            flick_cdr_stringlen(CORBA::Char *, ((simple3::OVERFLOW *)(_t248_temp_env._user_except))->msg.inout(), flick_unsigned32_t , _t251_temp_string_len);

                                                                            flick_iiopxx_encode_new_chunk(40);
                                                                            flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                            flick_cdr_encode_signed32(32, ((simple3::OVERFLOW *)(_t248_temp_env._user_except))->a, CORBA::Long );
                                                                            flick_cdr_encode_unsigned32(36, _t251_temp_string_len, flick_unsigned32_t );
                                                                            flick_iiopxx_encode_end_chunk(40);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            flick_iiopxx_encode_new_glob(1 * _t251_temp_string_len, _flick_abort666);
                                                                            flick_iiopxx_encode_new_chunk(1 * _t251_temp_string_len);
                                                                            flick_cdr_encode_bcopy(0, ((simple3::OVERFLOW *)(_t248_temp_env._user_except))->msg.inout(), 1 * _t251_temp_string_len);
                                                                            flick_iiopxx_encode_end_chunk(1 * _t251_temp_string_len);
                                                                            flick_iiopxx_encode_end_glob(1 * _t251_temp_string_len);
                                                                            break;
                                                                            {
                                                                            _flick_abort666:
                                                                              goto _flick_abort655;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                      flick_iiopxx_encode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                flick_iiopxx_encode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                          flick_iiopxx_encode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                    flick_iiopxx_encode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                              flick_iiopxx_encode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                        flick_iiopxx_encode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case (unsigned int) 26:
                                {
                                  switch (*(unsigned int *)(_t248_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t248_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t248_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t248_temp_env._id + 12))
                                                      {
                                                      case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                        {
                                                          switch (*(unsigned int *)(_t248_temp_env._id + 16))
                                                            {
                                                            case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                              {
                                                                switch (*(unsigned int *)(_t248_temp_env._id + 20))
                                                                  {
                                                                  case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                    {
                                                                      switch (*(unsigned short int *)(_t248_temp_env._id + 24))
                                                                        {
                                                                        case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                          {
                                                                            flick_unsigned32_t _t252_temp_string_len;

                                                                            flick_cdr_stringlen(CORBA::Char *, ((simple3::UNDERFLOW *)(_t248_temp_env._user_except))->msg.inout(), flick_unsigned32_t , _t252_temp_string_len);

                                                                            flick_iiopxx_encode_new_chunk(40);
                                                                            flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                            flick_cdr_encode_signed32(32, ((simple3::UNDERFLOW *)(_t248_temp_env._user_except))->b, CORBA::Long );
                                                                            flick_cdr_encode_unsigned32(36, _t252_temp_string_len, flick_unsigned32_t );
                                                                            flick_iiopxx_encode_end_chunk(40);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            flick_iiopxx_encode_new_glob(1 * _t252_temp_string_len, _flick_abort669);
                                                                            flick_iiopxx_encode_new_chunk(1 * _t252_temp_string_len);
                                                                            flick_cdr_encode_bcopy(0, ((simple3::UNDERFLOW *)(_t248_temp_env._user_except))->msg.inout(), 1 * _t252_temp_string_len);
                                                                            flick_iiopxx_encode_end_chunk(1 * _t252_temp_string_len);
                                                                            flick_iiopxx_encode_end_glob(1 * _t252_temp_string_len);
                                                                            break;
                                                                            {
                                                                            _flick_abort669:
                                                                              goto _flick_abort655;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                      flick_iiopxx_encode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                flick_iiopxx_encode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                          flick_iiopxx_encode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                    flick_iiopxx_encode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                              flick_iiopxx_encode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                        flick_iiopxx_encode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case (unsigned int) 23:
                                {
                                  switch (*(unsigned int *)(_t248_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t248_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t248_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t248_temp_env._id + 12))
                                                      {
                                                      case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                        {
                                                          switch (*(unsigned int *)(_t248_temp_env._id + 16))
                                                            {
                                                            case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                              {
                                                                switch (*(unsigned short int *)(_t248_temp_env._id + 20))
                                                                  {
                                                                  case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                                    {
                                                                      switch (*(char *)(_t248_temp_env._id + 22))
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_iiopxx_encode_new_chunk(32 + 4 * ((simple3::BADNUM *)(_t248_temp_env._user_except))->c._length);
                                                                            flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                            flick_cdr_encode_unsigned32(28, ((simple3::BADNUM *)(_t248_temp_env._user_except))->c._length, CORBA::ULong );
                                                                            if (((simple3::BADNUM *)(_t248_temp_env._user_except))->c._length > 10)
                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort672);
                                                                            flick_cdr_encode_bcopy(32, ((simple3::BADNUM *)(_t248_temp_env._user_except))->c._buffer, 4 * ((simple3::BADNUM *)(_t248_temp_env._user_except))->c._length);
                                                                            if (((simple3::BADNUM *)(_t248_temp_env._user_except))->c._release)
                                                                              delete [] ((simple3::BADNUM *)(_t248_temp_env._user_except))->c._buffer;
                                                                            ((simple3::BADNUM *)(_t248_temp_env._user_except))->c._maximum = 0;
                                                                            ((simple3::BADNUM *)(_t248_temp_env._user_except))->c._release = 0;
                                                                            flick_iiopxx_encode_end_chunk(32 + 4 * ((simple3::BADNUM *)(_t248_temp_env._user_except))->c._length);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            break;
                                                                            {
                                                                            _flick_abort672:
                                                                              goto _flick_abort655;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                      flick_iiopxx_encode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                flick_iiopxx_encode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                          flick_iiopxx_encode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                    flick_iiopxx_encode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                              flick_iiopxx_encode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                        flick_iiopxx_encode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                  flick_iiopxx_encode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                            {
                            _flick_abort655:
                              goto _flick_abort629;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort629:
                      goto _flick_abort628;
                    }
                  }
                  break;
                  {
                  _flick_abort628:
                    goto _flick_abort208;
                  }
                }
              case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
                {
                  {
                    POA_simple3 *_local_this;
                    unsigned int _t253_principal_len;
                    char *_return;
                    char *_local_x;
                    flick_unsigned32_t _t254_temp_string_len;
                    char *_local_y;
                    flick_unsigned32_t _t255_temp_string_len;
                    char *_local_z;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort676);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t253_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t253_principal_len, _flick_abort676);
                    flick_iiopxx_decode_new_glob(_t253_principal_len);
                    flick_iiopxx_decode_new_chunk(_t253_principal_len);
                    flick_iiopxx_decode_end_chunk(_t253_principal_len);
                    flick_iiopxx_decode_end_glob(_t253_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort676);
                    flick_cdr_swap_decode_unsigned32(0, _t254_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_iiopxx_decode_new_glob(1 * _t254_temp_string_len);
                    flick_iiopxx_check_span(1 * _t254_temp_string_len, _flick_abort676);
                    flick_iiopxx_decode_new_chunk(1 * _t254_temp_string_len);
                    flick_cdr_swap_decode_msgptr(0, _local_x, CORBA::Char *);
                    flick_iiopxx_decode_end_chunk(1 * _t254_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t254_temp_string_len);
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort676);
                    flick_cdr_swap_decode_unsigned32(0, _t255_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_iiopxx_decode_new_glob(1 * _t255_temp_string_len);
                    flick_iiopxx_check_span(1 * _t255_temp_string_len, _flick_abort676);
                    flick_iiopxx_decode_new_chunk(1 * _t255_temp_string_len);
                    {
                      CORBA::Char *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t255_temp_string_len * sizeof(CORBA::Char )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort676);
                      _local_y = _t_alloc_ptr;
                    }
                    flick_cdr_swap_decode_bcopy(0, _local_y, 1 * _t255_temp_string_len);
                    flick_iiopxx_decode_end_chunk(1 * _t255_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t255_temp_string_len);

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->op4(_local_x, _local_y, _local_z, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t256_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t256_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort681);
                      flick_iiopxx_encode_new_glob(44, _flick_abort681);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t256_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t256_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            flick_unsigned32_t _t263_temp_string_len;
                            flick_unsigned32_t _t264_temp_string_len;
                            flick_unsigned32_t _t265_temp_string_len;

                            flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t263_temp_string_len);
                            flick_cdr_stringlen(CORBA::Char *, (_local_y), flick_unsigned32_t , _t264_temp_string_len);
                            flick_cdr_stringlen(CORBA::Char *, (_local_z), flick_unsigned32_t , _t265_temp_string_len);

                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_unsigned32(0, _t263_temp_string_len, flick_unsigned32_t );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(44);
                            flick_iiopxx_encode_new_glob(1 * _t263_temp_string_len, _flick_abort699);
                            flick_iiopxx_encode_new_chunk(1 * _t263_temp_string_len);
                            flick_cdr_encode_bcopy(0, (_return), 1 * _t263_temp_string_len);
                            CORBA_string_flick_free((_return));
                            (_return) = (CORBA::Char *)0;
                            flick_iiopxx_encode_end_chunk(1 * _t263_temp_string_len);
                            flick_iiopxx_encode_end_glob(1 * _t263_temp_string_len);
                            flick_iiopxx_encode_new_glob(7, _flick_abort699);
                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_encode_unsigned32(0, _t264_temp_string_len, flick_unsigned32_t );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(7);
                            flick_iiopxx_encode_new_glob(1 * _t264_temp_string_len, _flick_abort699);
                            flick_iiopxx_encode_new_chunk(1 * _t264_temp_string_len);
                            flick_cdr_encode_bcopy(0, (_local_y), 1 * _t264_temp_string_len);
                            CORBA_string_flick_free((_local_y));
                            (_local_y) = (CORBA::Char *)0;
                            flick_iiopxx_encode_end_chunk(1 * _t264_temp_string_len);
                            flick_iiopxx_encode_end_glob(1 * _t264_temp_string_len);
                            flick_iiopxx_encode_new_glob(7, _flick_abort699);
                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_encode_unsigned32(0, _t265_temp_string_len, flick_unsigned32_t );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(7);
                            flick_iiopxx_encode_new_glob(1 * _t265_temp_string_len, _flick_abort699);
                            flick_iiopxx_encode_new_chunk(1 * _t265_temp_string_len);
                            flick_cdr_encode_bcopy(0, (_local_z), 1 * _t265_temp_string_len);
                            CORBA_string_flick_free((_local_z));
                            (_local_z) = (CORBA::Char *)0;
                            flick_iiopxx_encode_end_chunk(1 * _t265_temp_string_len);
                            flick_iiopxx_encode_end_glob(1 * _t265_temp_string_len);
                            break;
                            {
                            _flick_abort699:
                              goto _flick_abort681;
                            }
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(44);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort706);
                            break;
                            {
                            _flick_abort706:
                              goto _flick_abort681;
                            }
                          }
                        default:
                          {
                            flick_corbaxx_env _t266_temp_env;

                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t266_temp_env);

                            switch ((unsigned int )(1+strlen(_t266_temp_env._id)))
                              {
                              case (unsigned int) 26:
                                {
                                  switch (*(unsigned int *)(_t266_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t266_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t266_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t266_temp_env._id + 12))
                                                      {
                                                      case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                        {
                                                          switch (*(unsigned int *)(_t266_temp_env._id + 16))
                                                            {
                                                            case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                              {
                                                                switch (*(unsigned int *)(_t266_temp_env._id + 20))
                                                                  {
                                                                  case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                    {
                                                                      switch (*(unsigned short int *)(_t266_temp_env._id + 24))
                                                                        {
                                                                        case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                          {
                                                                            flick_unsigned32_t _t268_temp_string_len;

                                                                            flick_cdr_stringlen(CORBA::Char *, ((simple3::UNDERFLOW *)(_t266_temp_env._user_except))->msg.inout(), flick_unsigned32_t , _t268_temp_string_len);

                                                                            flick_iiopxx_encode_new_chunk(40);
                                                                            flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                            flick_cdr_encode_signed32(32, ((simple3::UNDERFLOW *)(_t266_temp_env._user_except))->b, CORBA::Long );
                                                                            flick_cdr_encode_unsigned32(36, _t268_temp_string_len, flick_unsigned32_t );
                                                                            flick_iiopxx_encode_end_chunk(40);
                                                                            flick_iiopxx_encode_end_glob(44);
                                                                            flick_iiopxx_encode_new_glob(1 * _t268_temp_string_len, _flick_abort712);
                                                                            flick_iiopxx_encode_new_chunk(1 * _t268_temp_string_len);
                                                                            flick_cdr_encode_bcopy(0, ((simple3::UNDERFLOW *)(_t266_temp_env._user_except))->msg.inout(), 1 * _t268_temp_string_len);
                                                                            flick_iiopxx_encode_end_chunk(1 * _t268_temp_string_len);
                                                                            flick_iiopxx_encode_end_glob(1 * _t268_temp_string_len);
                                                                            break;
                                                                            {
                                                                            _flick_abort712:
                                                                              goto _flick_abort707;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                                            flick_iiopxx_encode_end_glob(44);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                                      flick_iiopxx_encode_end_glob(44);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                                flick_iiopxx_encode_end_glob(44);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                          flick_iiopxx_encode_end_glob(44);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                    flick_iiopxx_encode_end_glob(44);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                              flick_iiopxx_encode_end_glob(44);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                        flick_iiopxx_encode_end_glob(44);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                  flick_iiopxx_encode_end_glob(44);
                                  break;
                                }
                              }
                            break;
                            {
                            _flick_abort707:
                              goto _flick_abort681;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort681:
                      CORBA_string_flick_free(_local_y);
                    _flick_abort676:
                      goto _flick_abort675;
                    }
                  }
                  break;
                  {
                  _flick_abort675:
                    goto _flick_abort208;
                  }
                }
              case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
                {
                  {
                    POA_simple3 *_local_this;
                    unsigned int _t269_principal_len;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort716);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t269_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t269_principal_len, _flick_abort716);
                    flick_iiopxx_decode_new_glob(_t269_principal_len);
                    flick_iiopxx_decode_new_chunk(_t269_principal_len);
                    flick_iiopxx_decode_end_chunk(_t269_principal_len);
                    flick_iiopxx_decode_end_glob(_t269_principal_len);
                    /* Begin decode phase on parameters */

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _local_this->op5(_ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t270_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t270_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort716);
                      flick_iiopxx_encode_new_glob(40, _flick_abort716);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t270_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t270_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_end_glob(40);
                            break;
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(40);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort729);
                            break;
                            {
                            _flick_abort729:
                              goto _flick_abort716;
                            }
                          }
                        default:
                          {
                            flick_corbaxx_env _t274_temp_env;

                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t274_temp_env);

                            switch ((unsigned int )(1+strlen(_t274_temp_env._id)))
                              {
                              case (unsigned int) 26:
                                {
                                  switch (*(unsigned int *)(_t274_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t274_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t274_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t274_temp_env._id + 12))
                                                      {
                                                      case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                        {
                                                          switch (*(unsigned int *)(_t274_temp_env._id + 16))
                                                            {
                                                            case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                              {
                                                                switch (*(unsigned int *)(_t274_temp_env._id + 20))
                                                                  {
                                                                  case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                                    {
                                                                      switch (*(unsigned short int *)(_t274_temp_env._id + 24))
                                                                        {
                                                                        case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                          {
                                                                            flick_unsigned32_t _t276_temp_string_len;

                                                                            flick_cdr_stringlen(CORBA::Char *, ((simple3::USERERROR *)(_t274_temp_env._user_except))->reason.inout(), flick_unsigned32_t , _t276_temp_string_len);

                                                                            flick_iiopxx_encode_new_chunk(36);
                                                                            flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                            flick_cdr_encode_unsigned32(32, _t276_temp_string_len, flick_unsigned32_t );
                                                                            flick_iiopxx_encode_end_chunk(36);
                                                                            flick_iiopxx_encode_end_glob(40);
                                                                            flick_iiopxx_encode_new_glob(1 * _t276_temp_string_len, _flick_abort735);
                                                                            flick_iiopxx_encode_new_chunk(1 * _t276_temp_string_len);
                                                                            flick_cdr_encode_bcopy(0, ((simple3::USERERROR *)(_t274_temp_env._user_except))->reason.inout(), 1 * _t276_temp_string_len);
                                                                            flick_iiopxx_encode_end_chunk(1 * _t276_temp_string_len);
                                                                            flick_iiopxx_encode_end_glob(1 * _t276_temp_string_len);
                                                                            break;
                                                                            {
                                                                            _flick_abort735:
                                                                              goto _flick_abort730;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                                            flick_iiopxx_encode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                                      flick_iiopxx_encode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                                flick_iiopxx_encode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                          flick_iiopxx_encode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                    flick_iiopxx_encode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                              flick_iiopxx_encode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                        flick_iiopxx_encode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                  flick_iiopxx_encode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                            {
                            _flick_abort730:
                              goto _flick_abort716;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort716:
                      goto _flick_abort715;
                    }
                  }
                  break;
                  {
                  _flick_abort715:
                    goto _flick_abort208;
                  }
                }
              case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
                {
                  {
                    POA_simple3 *_local_this;
                    unsigned int _t277_principal_len;
                    CORBA::Long _return;
                    CORBA::Long _local_a;
                    simple_ptr _local_b;
                    simple2_ptr _local_c;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort739);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_unsigned32(0, _t277_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t277_principal_len, _flick_abort739);
                    flick_iiopxx_decode_new_glob(_t277_principal_len);
                    flick_iiopxx_decode_new_chunk(_t277_principal_len);
                    flick_iiopxx_decode_end_chunk(_t277_principal_len);
                    flick_iiopxx_decode_end_glob(_t277_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort739);
                    flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_cdr_swapxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort739);
                    flick_iiopxx_mark_port_for_cleanup(_local_b, 1);

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t278_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t278_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort739);
                      flick_iiopxx_encode_new_glob(8, _flick_abort739);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t278_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t278_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(8);
                            flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort744);
                            CORBA_object_flick_free(_local_c);
                            _local_c = (simple2 *)0;
                            break;
                            {
                            _flick_abort744:
                              goto _flick_abort739;
                            }
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(8);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort745);
                            break;
                            {
                            _flick_abort745:
                              goto _flick_abort739;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort746);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                            {
                            _flick_abort746:
                              goto _flick_abort739;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort739:
                      goto _flick_abort738;
                    }
                  }
                  break;
                  {
                  _flick_abort738:
                    goto _flick_abort208;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 3:
          {
            unsigned short int _t279_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t279_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t279_switch_tag)
              {
              case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
                {
                  char _t280_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t280_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t280_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_simple3 *_local_this;
                          unsigned int _t281_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          simple_ptr _local_b;
                          CORBA::Long _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort748);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_unsigned32(1, _t281_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t281_principal_len, _flick_abort748);
                          flick_iiopxx_decode_new_glob(_t281_principal_len);
                          flick_iiopxx_decode_new_chunk(_t281_principal_len);
                          flick_iiopxx_decode_end_chunk(_t281_principal_len);
                          flick_iiopxx_decode_end_glob(_t281_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort748);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_c, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->op(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t282_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t282_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort748);
                            flick_iiopxx_encode_new_glob(8, _flick_abort748);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t282_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t282_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort753);
                                  CORBA_object_flick_free(_local_b);
                                  _local_b = (simple *)0;
                                  flick_iiopxx_encode_new_glob(7, _flick_abort753);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort753:
                                    goto _flick_abort748;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort754);
                                  break;
                                  {
                                  _flick_abort754:
                                    goto _flick_abort748;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort755);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort755:
                                    goto _flick_abort748;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort748:
                            goto _flick_abort747;
                          }
                        }
                        break;
                        {
                        _flick_abort747:
                          goto _flick_abort208;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t283_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort208);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t283_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t283_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t284_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t284_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t284_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_simple3 *_local_this;
                          unsigned int _t285_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t286_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort757);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t285_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t285_principal_len, _flick_abort757);
                          flick_iiopxx_decode_new_glob(_t285_principal_len);
                          flick_iiopxx_decode_new_chunk(_t285_principal_len);
                          flick_iiopxx_decode_end_chunk(_t285_principal_len);
                          flick_iiopxx_decode_end_glob(_t285_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort757);
                          flick_cdr_swap_decode_unsigned32(0, _t286_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t286_temp_string_len);
                          flick_iiopxx_check_span(1 * _t286_temp_string_len, _flick_abort757);
                          flick_iiopxx_decode_new_chunk(1 * _t286_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t286_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t286_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t287_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t287_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort757);
                            flick_iiopxx_encode_new_glob(5, _flick_abort757);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t287_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t287_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort765);
                                  break;
                                  {
                                  _flick_abort765:
                                    goto _flick_abort757;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort766);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort766:
                                    goto _flick_abort757;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort757:
                            goto _flick_abort756;
                          }
                        }
                        break;
                        {
                        _flick_abort756:
                          goto _flick_abort208;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t141_switch_tag;

      flick_iiopxx_decode_new_glob(16);
      flick_iiopxx_check_span(12, _flick_abort208);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t141_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t141_switch_tag)
        {
        case (unsigned int) 4:
          {
            unsigned int _t142_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t142_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t142_switch_tag)
              {
              case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
                {
                  {
                    POA_simple3 *_local_this;
                    unsigned int _t143_principal_len;
                    CORBA::Long _return;
                    CORBA::Long _local_a;
                    simple3_ptr _local_b;
                    simple2_ptr _local_c;
                    simple_ptr _local_d;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort350);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t143_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t143_principal_len, _flick_abort350);
                    flick_iiopxx_decode_new_glob(_t143_principal_len);
                    flick_iiopxx_decode_new_chunk(_t143_principal_len);
                    flick_iiopxx_decode_end_chunk(_t143_principal_len);
                    flick_iiopxx_decode_end_glob(_t143_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort350);
                    flick_cdr_decode_signed32(0, _local_a, CORBA::Long );

                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->op3(_local_a, _local_b, _local_c, _local_d, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t144_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t144_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort350);
                      flick_iiopxx_encode_new_glob(76, _flick_abort350);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t144_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t144_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(76);
                            flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple3 , _flick_abort374);
                            CORBA_object_flick_free(_local_b);
                            _local_b = (simple3 *)0;
                            flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort374);
                            CORBA_object_flick_free(_local_c);
                            _local_c = (simple2 *)0;
                            flick_cdrxx_encode_IOR(iiopxx, _local_d, 0, simple , _flick_abort374);
                            CORBA_object_flick_free(_local_d);
                            _local_d = (simple *)0;
                            break;
                            {
                            _flick_abort374:
                              goto _flick_abort350;
                            }
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(76);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort375);
                            break;
                            {
                            _flick_abort375:
                              goto _flick_abort350;
                            }
                          }
                        default:
                          {
                            flick_corbaxx_env _t150_temp_env;

                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t150_temp_env);

                            switch ((unsigned int )(1+strlen(_t150_temp_env._id)))
                              {
                              case (unsigned int) 25:
                                {
                                  switch (*(unsigned int *)(_t150_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t150_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t150_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t150_temp_env._id + 12))
                                                      {
                                                      case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                        {
                                                          switch (*(unsigned int *)(_t150_temp_env._id + 16))
                                                            {
                                                            case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                              {
                                                                switch (*(unsigned int *)(_t150_temp_env._id + 20))
                                                                  {
                                                                  case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                    {
                                                                      switch (*(char *)(_t150_temp_env._id + 24))
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_unsigned32_t _t153_temp_string_len;

                                                                            flick_cdr_stringlen(CORBA::Char *, ((simple3::OVERFLOW *)(_t150_temp_env._user_except))->msg.inout(), flick_unsigned32_t , _t153_temp_string_len);

                                                                            flick_iiopxx_encode_new_chunk(40);
                                                                            flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                            flick_cdr_encode_signed32(32, ((simple3::OVERFLOW *)(_t150_temp_env._user_except))->a, CORBA::Long );
                                                                            flick_cdr_encode_unsigned32(36, _t153_temp_string_len, flick_unsigned32_t );
                                                                            flick_iiopxx_encode_end_chunk(40);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            flick_iiopxx_encode_new_glob(1 * _t153_temp_string_len, _flick_abort387);
                                                                            flick_iiopxx_encode_new_chunk(1 * _t153_temp_string_len);
                                                                            flick_cdr_encode_bcopy(0, ((simple3::OVERFLOW *)(_t150_temp_env._user_except))->msg.inout(), 1 * _t153_temp_string_len);
                                                                            flick_iiopxx_encode_end_chunk(1 * _t153_temp_string_len);
                                                                            flick_iiopxx_encode_end_glob(1 * _t153_temp_string_len);
                                                                            break;
                                                                            {
                                                                            _flick_abort387:
                                                                              goto _flick_abort376;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                      flick_iiopxx_encode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                flick_iiopxx_encode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                          flick_iiopxx_encode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                    flick_iiopxx_encode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                              flick_iiopxx_encode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                        flick_iiopxx_encode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case (unsigned int) 26:
                                {
                                  switch (*(unsigned int *)(_t150_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t150_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t150_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t150_temp_env._id + 12))
                                                      {
                                                      case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                        {
                                                          switch (*(unsigned int *)(_t150_temp_env._id + 16))
                                                            {
                                                            case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                              {
                                                                switch (*(unsigned int *)(_t150_temp_env._id + 20))
                                                                  {
                                                                  case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                    {
                                                                      switch (*(unsigned short int *)(_t150_temp_env._id + 24))
                                                                        {
                                                                        case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                          {
                                                                            flick_unsigned32_t _t154_temp_string_len;

                                                                            flick_cdr_stringlen(CORBA::Char *, ((simple3::UNDERFLOW *)(_t150_temp_env._user_except))->msg.inout(), flick_unsigned32_t , _t154_temp_string_len);

                                                                            flick_iiopxx_encode_new_chunk(40);
                                                                            flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                            flick_cdr_encode_signed32(32, ((simple3::UNDERFLOW *)(_t150_temp_env._user_except))->b, CORBA::Long );
                                                                            flick_cdr_encode_unsigned32(36, _t154_temp_string_len, flick_unsigned32_t );
                                                                            flick_iiopxx_encode_end_chunk(40);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            flick_iiopxx_encode_new_glob(1 * _t154_temp_string_len, _flick_abort390);
                                                                            flick_iiopxx_encode_new_chunk(1 * _t154_temp_string_len);
                                                                            flick_cdr_encode_bcopy(0, ((simple3::UNDERFLOW *)(_t150_temp_env._user_except))->msg.inout(), 1 * _t154_temp_string_len);
                                                                            flick_iiopxx_encode_end_chunk(1 * _t154_temp_string_len);
                                                                            flick_iiopxx_encode_end_glob(1 * _t154_temp_string_len);
                                                                            break;
                                                                            {
                                                                            _flick_abort390:
                                                                              goto _flick_abort376;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                      flick_iiopxx_encode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                flick_iiopxx_encode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                          flick_iiopxx_encode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                    flick_iiopxx_encode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                              flick_iiopxx_encode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                        flick_iiopxx_encode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case (unsigned int) 23:
                                {
                                  switch (*(unsigned int *)(_t150_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t150_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t150_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t150_temp_env._id + 12))
                                                      {
                                                      case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                        {
                                                          switch (*(unsigned int *)(_t150_temp_env._id + 16))
                                                            {
                                                            case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                              {
                                                                switch (*(unsigned short int *)(_t150_temp_env._id + 20))
                                                                  {
                                                                  case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                                    {
                                                                      switch (*(char *)(_t150_temp_env._id + 22))
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_iiopxx_encode_new_chunk(32 + 4 * ((simple3::BADNUM *)(_t150_temp_env._user_except))->c._length);
                                                                            flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                            flick_cdr_encode_unsigned32(28, ((simple3::BADNUM *)(_t150_temp_env._user_except))->c._length, CORBA::ULong );
                                                                            if (((simple3::BADNUM *)(_t150_temp_env._user_except))->c._length > 10)
                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort393);
                                                                            flick_cdr_encode_bcopy(32, ((simple3::BADNUM *)(_t150_temp_env._user_except))->c._buffer, 4 * ((simple3::BADNUM *)(_t150_temp_env._user_except))->c._length);
                                                                            if (((simple3::BADNUM *)(_t150_temp_env._user_except))->c._release)
                                                                              delete [] ((simple3::BADNUM *)(_t150_temp_env._user_except))->c._buffer;
                                                                            ((simple3::BADNUM *)(_t150_temp_env._user_except))->c._maximum = 0;
                                                                            ((simple3::BADNUM *)(_t150_temp_env._user_except))->c._release = 0;
                                                                            flick_iiopxx_encode_end_chunk(32 + 4 * ((simple3::BADNUM *)(_t150_temp_env._user_except))->c._length);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            break;
                                                                            {
                                                                            _flick_abort393:
                                                                              goto _flick_abort376;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                            flick_iiopxx_encode_end_glob(76);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                      flick_iiopxx_encode_end_glob(76);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                flick_iiopxx_encode_end_glob(76);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                          flick_iiopxx_encode_end_glob(76);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                    flick_iiopxx_encode_end_glob(76);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                              flick_iiopxx_encode_end_glob(76);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                        flick_iiopxx_encode_end_glob(76);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                  flick_iiopxx_encode_end_glob(76);
                                  break;
                                }
                              }
                            break;
                            {
                            _flick_abort376:
                              goto _flick_abort350;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort350:
                      goto _flick_abort349;
                    }
                  }
                  break;
                  {
                  _flick_abort349:
                    goto _flick_abort208;
                  }
                }
              case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
                {
                  {
                    POA_simple3 *_local_this;
                    unsigned int _t155_principal_len;
                    char *_return;
                    char *_local_x;
                    flick_unsigned32_t _t156_temp_string_len;
                    char *_local_y;
                    flick_unsigned32_t _t157_temp_string_len;
                    char *_local_z;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort397);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t155_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t155_principal_len, _flick_abort397);
                    flick_iiopxx_decode_new_glob(_t155_principal_len);
                    flick_iiopxx_decode_new_chunk(_t155_principal_len);
                    flick_iiopxx_decode_end_chunk(_t155_principal_len);
                    flick_iiopxx_decode_end_glob(_t155_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort397);
                    flick_cdr_decode_unsigned32(0, _t156_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_iiopxx_decode_new_glob(1 * _t156_temp_string_len);
                    flick_iiopxx_check_span(1 * _t156_temp_string_len, _flick_abort397);
                    flick_iiopxx_decode_new_chunk(1 * _t156_temp_string_len);
                    flick_cdr_decode_msgptr(0, _local_x, CORBA::Char *);
                    flick_iiopxx_decode_end_chunk(1 * _t156_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t156_temp_string_len);
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort397);
                    flick_cdr_decode_unsigned32(0, _t157_temp_string_len, flick_unsigned32_t );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_iiopxx_decode_new_glob(1 * _t157_temp_string_len);
                    flick_iiopxx_check_span(1 * _t157_temp_string_len, _flick_abort397);
                    flick_iiopxx_decode_new_chunk(1 * _t157_temp_string_len);
                    {
                      CORBA::Char *_t_alloc_ptr;

                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t157_temp_string_len * sizeof(CORBA::Char )));
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort397);
                      _local_y = _t_alloc_ptr;
                    }
                    flick_cdr_decode_bcopy(0, _local_y, 1 * _t157_temp_string_len);
                    flick_iiopxx_decode_end_chunk(1 * _t157_temp_string_len);
                    flick_iiopxx_decode_end_glob(1 * _t157_temp_string_len);

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->op4(_local_x, _local_y, _local_z, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t158_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t158_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort402);
                      flick_iiopxx_encode_new_glob(44, _flick_abort402);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t158_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t158_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            flick_unsigned32_t _t165_temp_string_len;
                            flick_unsigned32_t _t166_temp_string_len;
                            flick_unsigned32_t _t167_temp_string_len;

                            flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t165_temp_string_len);
                            flick_cdr_stringlen(CORBA::Char *, (_local_y), flick_unsigned32_t , _t166_temp_string_len);
                            flick_cdr_stringlen(CORBA::Char *, (_local_z), flick_unsigned32_t , _t167_temp_string_len);

                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_unsigned32(0, _t165_temp_string_len, flick_unsigned32_t );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(44);
                            flick_iiopxx_encode_new_glob(1 * _t165_temp_string_len, _flick_abort420);
                            flick_iiopxx_encode_new_chunk(1 * _t165_temp_string_len);
                            flick_cdr_encode_bcopy(0, (_return), 1 * _t165_temp_string_len);
                            CORBA_string_flick_free((_return));
                            (_return) = (CORBA::Char *)0;
                            flick_iiopxx_encode_end_chunk(1 * _t165_temp_string_len);
                            flick_iiopxx_encode_end_glob(1 * _t165_temp_string_len);
                            flick_iiopxx_encode_new_glob(7, _flick_abort420);
                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_encode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(7);
                            flick_iiopxx_encode_new_glob(1 * _t166_temp_string_len, _flick_abort420);
                            flick_iiopxx_encode_new_chunk(1 * _t166_temp_string_len);
                            flick_cdr_encode_bcopy(0, (_local_y), 1 * _t166_temp_string_len);
                            CORBA_string_flick_free((_local_y));
                            (_local_y) = (CORBA::Char *)0;
                            flick_iiopxx_encode_end_chunk(1 * _t166_temp_string_len);
                            flick_iiopxx_encode_end_glob(1 * _t166_temp_string_len);
                            flick_iiopxx_encode_new_glob(7, _flick_abort420);
                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_encode_unsigned32(0, _t167_temp_string_len, flick_unsigned32_t );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(7);
                            flick_iiopxx_encode_new_glob(1 * _t167_temp_string_len, _flick_abort420);
                            flick_iiopxx_encode_new_chunk(1 * _t167_temp_string_len);
                            flick_cdr_encode_bcopy(0, (_local_z), 1 * _t167_temp_string_len);
                            CORBA_string_flick_free((_local_z));
                            (_local_z) = (CORBA::Char *)0;
                            flick_iiopxx_encode_end_chunk(1 * _t167_temp_string_len);
                            flick_iiopxx_encode_end_glob(1 * _t167_temp_string_len);
                            break;
                            {
                            _flick_abort420:
                              goto _flick_abort402;
                            }
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(44);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort427);
                            break;
                            {
                            _flick_abort427:
                              goto _flick_abort402;
                            }
                          }
                        default:
                          {
                            flick_corbaxx_env _t168_temp_env;

                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t168_temp_env);

                            switch ((unsigned int )(1+strlen(_t168_temp_env._id)))
                              {
                              case (unsigned int) 26:
                                {
                                  switch (*(unsigned int *)(_t168_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t168_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t168_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t168_temp_env._id + 12))
                                                      {
                                                      case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                        {
                                                          switch (*(unsigned int *)(_t168_temp_env._id + 16))
                                                            {
                                                            case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                              {
                                                                switch (*(unsigned int *)(_t168_temp_env._id + 20))
                                                                  {
                                                                  case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                    {
                                                                      switch (*(unsigned short int *)(_t168_temp_env._id + 24))
                                                                        {
                                                                        case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                          {
                                                                            flick_unsigned32_t _t170_temp_string_len;

                                                                            flick_cdr_stringlen(CORBA::Char *, ((simple3::UNDERFLOW *)(_t168_temp_env._user_except))->msg.inout(), flick_unsigned32_t , _t170_temp_string_len);

                                                                            flick_iiopxx_encode_new_chunk(40);
                                                                            flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                            flick_cdr_encode_signed32(32, ((simple3::UNDERFLOW *)(_t168_temp_env._user_except))->b, CORBA::Long );
                                                                            flick_cdr_encode_unsigned32(36, _t170_temp_string_len, flick_unsigned32_t );
                                                                            flick_iiopxx_encode_end_chunk(40);
                                                                            flick_iiopxx_encode_end_glob(44);
                                                                            flick_iiopxx_encode_new_glob(1 * _t170_temp_string_len, _flick_abort433);
                                                                            flick_iiopxx_encode_new_chunk(1 * _t170_temp_string_len);
                                                                            flick_cdr_encode_bcopy(0, ((simple3::UNDERFLOW *)(_t168_temp_env._user_except))->msg.inout(), 1 * _t170_temp_string_len);
                                                                            flick_iiopxx_encode_end_chunk(1 * _t170_temp_string_len);
                                                                            flick_iiopxx_encode_end_glob(1 * _t170_temp_string_len);
                                                                            break;
                                                                            {
                                                                            _flick_abort433:
                                                                              goto _flick_abort428;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                                            flick_iiopxx_encode_end_glob(44);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                                      flick_iiopxx_encode_end_glob(44);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                                flick_iiopxx_encode_end_glob(44);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                          flick_iiopxx_encode_end_glob(44);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                    flick_iiopxx_encode_end_glob(44);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                              flick_iiopxx_encode_end_glob(44);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                        flick_iiopxx_encode_end_glob(44);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                  flick_iiopxx_encode_end_glob(44);
                                  break;
                                }
                              }
                            break;
                            {
                            _flick_abort428:
                              goto _flick_abort402;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort402:
                      CORBA_string_flick_free(_local_y);
                    _flick_abort397:
                      goto _flick_abort396;
                    }
                  }
                  break;
                  {
                  _flick_abort396:
                    goto _flick_abort208;
                  }
                }
              case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
                {
                  {
                    POA_simple3 *_local_this;
                    unsigned int _t171_principal_len;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort437);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t171_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t171_principal_len, _flick_abort437);
                    flick_iiopxx_decode_new_glob(_t171_principal_len);
                    flick_iiopxx_decode_new_chunk(_t171_principal_len);
                    flick_iiopxx_decode_end_chunk(_t171_principal_len);
                    flick_iiopxx_decode_end_glob(_t171_principal_len);
                    /* Begin decode phase on parameters */

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _local_this->op5(_ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t172_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t172_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort437);
                      flick_iiopxx_encode_new_glob(40, _flick_abort437);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t172_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t172_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_end_glob(40);
                            break;
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(40);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort450);
                            break;
                            {
                            _flick_abort450:
                              goto _flick_abort437;
                            }
                          }
                        default:
                          {
                            flick_corbaxx_env _t176_temp_env;

                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t176_temp_env);

                            switch ((unsigned int )(1+strlen(_t176_temp_env._id)))
                              {
                              case (unsigned int) 26:
                                {
                                  switch (*(unsigned int *)(_t176_temp_env._id + 0))
                                    {
                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                      {
                                        switch (*(unsigned int *)(_t176_temp_env._id + 4))
                                          {
                                          case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                            {
                                              switch (*(unsigned int *)(_t176_temp_env._id + 8))
                                                {
                                                case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                  {
                                                    switch (*(unsigned int *)(_t176_temp_env._id + 12))
                                                      {
                                                      case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                        {
                                                          switch (*(unsigned int *)(_t176_temp_env._id + 16))
                                                            {
                                                            case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                              {
                                                                switch (*(unsigned int *)(_t176_temp_env._id + 20))
                                                                  {
                                                                  case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                                    {
                                                                      switch (*(unsigned short int *)(_t176_temp_env._id + 24))
                                                                        {
                                                                        case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                          {
                                                                            flick_unsigned32_t _t178_temp_string_len;

                                                                            flick_cdr_stringlen(CORBA::Char *, ((simple3::USERERROR *)(_t176_temp_env._user_except))->reason.inout(), flick_unsigned32_t , _t178_temp_string_len);

                                                                            flick_iiopxx_encode_new_chunk(36);
                                                                            flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                            flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                            flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                            flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                            flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                            flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                            flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                            flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                            flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                            flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                            flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                            flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                            flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                            flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                            flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                            flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                            flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                            flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                            flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                            flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                            flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                            flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                            flick_cdr_encode_unsigned32(32, _t178_temp_string_len, flick_unsigned32_t );
                                                                            flick_iiopxx_encode_end_chunk(36);
                                                                            flick_iiopxx_encode_end_glob(40);
                                                                            flick_iiopxx_encode_new_glob(1 * _t178_temp_string_len, _flick_abort456);
                                                                            flick_iiopxx_encode_new_chunk(1 * _t178_temp_string_len);
                                                                            flick_cdr_encode_bcopy(0, ((simple3::USERERROR *)(_t176_temp_env._user_except))->reason.inout(), 1 * _t178_temp_string_len);
                                                                            flick_iiopxx_encode_end_chunk(1 * _t178_temp_string_len);
                                                                            flick_iiopxx_encode_end_glob(1 * _t178_temp_string_len);
                                                                            break;
                                                                            {
                                                                            _flick_abort456:
                                                                              goto _flick_abort451;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                                            flick_iiopxx_encode_end_glob(40);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                                      flick_iiopxx_encode_end_glob(40);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                                flick_iiopxx_encode_end_glob(40);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                          flick_iiopxx_encode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                    flick_iiopxx_encode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                              flick_iiopxx_encode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                        flick_iiopxx_encode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                  flick_iiopxx_encode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                            {
                            _flick_abort451:
                              goto _flick_abort437;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort437:
                      goto _flick_abort436;
                    }
                  }
                  break;
                  {
                  _flick_abort436:
                    goto _flick_abort208;
                  }
                }
              case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
                {
                  {
                    POA_simple3 *_local_this;
                    unsigned int _t179_principal_len;
                    CORBA::Long _return;
                    CORBA::Long _local_a;
                    simple_ptr _local_b;
                    simple2_ptr _local_c;
                    CORBA::Environment _ev;



                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort460);


                    /* Decode the requesting `Principal' pseudo object (client ID). */
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t179_principal_len, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(16);
                    flick_iiopxx_check_span(_t179_principal_len, _flick_abort460);
                    flick_iiopxx_decode_new_glob(_t179_principal_len);
                    flick_iiopxx_decode_new_chunk(_t179_principal_len);
                    flick_iiopxx_decode_end_chunk(_t179_principal_len);
                    flick_iiopxx_decode_end_glob(_t179_principal_len);
                    /* Begin decode phase on parameters */
                    _return = 0;
                    flick_iiopxx_decode_new_glob(7);
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort460);
                    flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    flick_iiopxx_decode_end_glob(7);
                    flick_cdrxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort460);
                    flick_iiopxx_mark_port_for_cleanup(_local_b, 1);

                    flick_iiopxx_server_end_decode();
                    flick_corbaxx_init_environment();


                    _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);


                    flick_iiopxx_server_start_encode();


                    {
                      int _t180_temp_major;

                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t180_temp_major);

                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort460);
                      flick_iiopxx_encode_new_glob(8, _flick_abort460);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _t180_temp_major, int );
                      flick_iiopxx_encode_end_chunk(4);
                      switch (_t180_temp_major)
                        {
                        case CORBA::NO_EXCEPTION:
                          {
                            /* Begin encode phase on parameters */
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_end_glob(8);
                            flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort465);
                            CORBA_object_flick_free(_local_c);
                            _local_c = (simple2 *)0;
                            break;
                            {
                            _flick_abort465:
                              goto _flick_abort460;
                            }
                          }
                        case CORBA::SYSTEM_EXCEPTION:
                          {
                            flick_iiopxx_encode_end_glob(8);
                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort466);
                            break;
                            {
                            _flick_abort466:
                              goto _flick_abort460;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort467);
                            flick_iiopxx_encode_end_glob(8);
                            break;
                            {
                            _flick_abort467:
                              goto _flick_abort460;
                            }
                          }
                        }
                    }


                    flick_iiopxx_server_end_encode();


                    break;
                    {
                    _flick_abort460:
                      goto _flick_abort459;
                    }
                  }
                  break;
                  {
                  _flick_abort459:
                    goto _flick_abort208;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 3:
          {
            unsigned short int _t181_switch_tag;

            flick_iiopxx_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, _t181_switch_tag, unsigned short int );
            flick_iiopxx_decode_end_chunk(2);
            switch ((unsigned short int )_t181_switch_tag)
              {
              case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
                {
                  char _t182_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t182_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t182_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_simple3 *_local_this;
                          unsigned int _t183_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          simple_ptr _local_b;
                          CORBA::Long _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort469);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_unsigned32(1, _t183_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(5);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t183_principal_len, _flick_abort469);
                          flick_iiopxx_decode_new_glob(_t183_principal_len);
                          flick_iiopxx_decode_new_chunk(_t183_principal_len);
                          flick_iiopxx_decode_end_chunk(_t183_principal_len);
                          flick_iiopxx_decode_end_glob(_t183_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort469);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_c, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->op(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t184_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t184_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort469);
                            flick_iiopxx_encode_new_glob(8, _flick_abort469);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t184_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t184_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort474);
                                  CORBA_object_flick_free(_local_b);
                                  _local_b = (simple *)0;
                                  flick_iiopxx_encode_new_glob(7, _flick_abort474);
                                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort474:
                                    goto _flick_abort469;
                                  }
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort475);
                                  break;
                                  {
                                  _flick_abort475:
                                    goto _flick_abort469;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort476);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort476:
                                    goto _flick_abort469;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort469:
                            goto _flick_abort468;
                          }
                        }
                        break;
                        {
                        _flick_abort468:
                          goto _flick_abort208;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t185_switch_tag;

            flick_iiopxx_check_span(12, _flick_abort208);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t185_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t185_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t186_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t186_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t186_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_simple3 *_local_this;
                          unsigned int _t187_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t188_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort478);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t187_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(16);
                          flick_iiopxx_check_span(_t187_principal_len, _flick_abort478);
                          flick_iiopxx_decode_new_glob(_t187_principal_len);
                          flick_iiopxx_decode_new_chunk(_t187_principal_len);
                          flick_iiopxx_decode_end_chunk(_t187_principal_len);
                          flick_iiopxx_decode_end_glob(_t187_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort478);
                          flick_cdr_decode_unsigned32(0, _t188_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t188_temp_string_len);
                          flick_iiopxx_check_span(1 * _t188_temp_string_len, _flick_abort478);
                          flick_iiopxx_decode_new_chunk(1 * _t188_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t188_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t188_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t189_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t189_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort478);
                            flick_iiopxx_encode_new_glob(5, _flick_abort478);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t189_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t189_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort486);
                                  break;
                                  {
                                  _flick_abort486:
                                    goto _flick_abort478;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort487);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort487:
                                    goto _flick_abort478;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort478:
                            goto _flick_abort477;
                          }
                        }
                        break;
                        {
                        _flick_abort477:
                          goto _flick_abort208;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                        flick_iiopxx_decode_end_glob(16);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                  flick_iiopxx_decode_end_glob(16);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
            flick_iiopxx_decode_end_glob(16);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort208:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort207);
  _flick_abort207:
    return ;
  }

_flick_reaper:
  return ;

}
