#include "dif2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ex1[] = {
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex2[] = {
	"IDL:ex2:1.0",
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex3[] = {
	"IDL:ex3:1.0",
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex4[] = {
	"IDL:ex4:1.0",
	"IDL:ex1:1.0",
	"IDL:ex2:1.0",
	"IDL:ex3:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t ex1_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t99_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t99_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t99_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t100_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t100_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t100_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex1 _obj;
                  unsigned int _t101_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t102_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort228);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t101_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t101_principal_len, _flick_abort228);
                  flick_khazana_decode_new_glob(_t101_principal_len);
                  flick_khazana_decode_new_chunk(_t101_principal_len);
                  flick_khazana_decode_end_chunk(_t101_principal_len);
                  flick_khazana_decode_end_glob(_t101_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t102_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex1_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort228);
                    flick_khazana_encode_new_glob(4, _flick_abort228);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort234);
                          break;
                          {
                          _flick_abort234:
                            goto _flick_abort228;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort235);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort235:
                            goto _flick_abort228;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort228:
                    goto _flick_abort227;
                  }
                }
                break;
                {
                _flick_abort227:
                  goto _flick_abort2;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex1 _obj;
                  unsigned int _t103_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t104_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t105_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t106_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort237);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t103_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t103_principal_len, _flick_abort237);
                  flick_khazana_decode_new_glob(_t103_principal_len);
                  flick_khazana_decode_new_chunk(_t103_principal_len);
                  flick_khazana_decode_end_chunk(_t103_principal_len);
                  flick_khazana_decode_end_glob(_t103_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort237);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t104_storage);
                  _local_l = (CORBA_long *)(&_t105_storage);
                  flick_cdr_swap_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t106_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort237);
                    flick_khazana_encode_new_glob(24, _flick_abort237);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort243);
                          break;
                          {
                          _flick_abort243:
                            goto _flick_abort237;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort244);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort244:
                            goto _flick_abort237;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort237:
                    goto _flick_abort236;
                  }
                }
                break;
                {
                _flick_abort236:
                  goto _flick_abort2;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex1 _obj;
                  unsigned int _t107_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t108_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t109_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t110_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort246);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t107_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t107_principal_len, _flick_abort246);
                  flick_khazana_decode_new_glob(_t107_principal_len);
                  flick_khazana_decode_new_chunk(_t107_principal_len);
                  flick_khazana_decode_end_chunk(_t107_principal_len);
                  flick_khazana_decode_end_glob(_t107_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort246);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t108_storage);
                  _local_s = (CORBA_short *)(&_t109_storage);
                  flick_cdr_swap_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t110_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort246);
                    flick_khazana_encode_new_glob(22, _flick_abort246);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort252);
                          break;
                          {
                          _flick_abort252:
                            goto _flick_abort246;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort253);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort253:
                            goto _flick_abort246;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort246:
                    goto _flick_abort245;
                  }
                }
                break;
                {
                _flick_abort245:
                  goto _flick_abort2;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex1 _obj;
                  unsigned int _t111_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t112_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t113_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t114_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort255);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t111_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t111_principal_len, _flick_abort255);
                  flick_khazana_decode_new_glob(_t111_principal_len);
                  flick_khazana_decode_new_chunk(_t111_principal_len);
                  flick_khazana_decode_end_chunk(_t111_principal_len);
                  flick_khazana_decode_end_glob(_t111_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort255);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t112_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t113_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t114_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort255);
                    flick_khazana_encode_new_glob(16, _flick_abort255);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort261);
                          break;
                          {
                          _flick_abort261:
                            goto _flick_abort255;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort262);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort262:
                            goto _flick_abort255;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort255:
                    goto _flick_abort254;
                  }
                }
                break;
                {
                _flick_abort254:
                  goto _flick_abort2;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex1 _obj;
                  unsigned int _t115_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t116_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t117_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t118_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort264);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t115_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t115_principal_len, _flick_abort264);
                  flick_khazana_decode_new_glob(_t115_principal_len);
                  flick_khazana_decode_new_chunk(_t115_principal_len);
                  flick_khazana_decode_end_chunk(_t115_principal_len);
                  flick_khazana_decode_end_glob(_t115_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort264);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t116_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t117_storage);
                  flick_cdr_swap_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t118_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort264);
                    flick_khazana_encode_new_glob(14, _flick_abort264);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort270);
                          break;
                          {
                          _flick_abort270:
                            goto _flick_abort264;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort271);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort271:
                            goto _flick_abort264;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort264:
                    goto _flick_abort263;
                  }
                }
                break;
                {
                _flick_abort263:
                  goto _flick_abort2;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex1 _obj;
                  unsigned int _t119_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t120_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t121_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t122_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort273);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t119_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t119_principal_len, _flick_abort273);
                  flick_khazana_decode_new_glob(_t119_principal_len);
                  flick_khazana_decode_new_chunk(_t119_principal_len);
                  flick_khazana_decode_end_chunk(_t119_principal_len);
                  flick_khazana_decode_end_glob(_t119_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t120_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort273);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t121_storage);
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t122_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort273);
                    flick_khazana_encode_new_glob(13, _flick_abort273);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort279);
                          break;
                          {
                          _flick_abort279:
                            goto _flick_abort273;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort280);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort280:
                            goto _flick_abort273;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort273:
                    goto _flick_abort272;
                  }
                }
                break;
                {
                _flick_abort272:
                  goto _flick_abort2;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex1 _obj;
                  unsigned int _t123_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t124_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t125_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t126_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort282);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t123_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t123_principal_len + 1, _flick_abort282);
                  flick_khazana_decode_new_glob(_t123_principal_len);
                  flick_khazana_decode_new_chunk(_t123_principal_len);
                  flick_khazana_decode_end_chunk(_t123_principal_len);
                  flick_khazana_decode_end_glob(_t123_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t124_storage);
                  _local_c = (CORBA_char *)(&_t125_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t126_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort282);
                    flick_khazana_encode_new_glob(9, _flick_abort282);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort288);
                          break;
                          {
                          _flick_abort288:
                            goto _flick_abort282;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort289:
                            goto _flick_abort282;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort282:
                    goto _flick_abort281;
                  }
                }
                break;
                {
                _flick_abort281:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t127_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t127_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t127_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t128_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t128_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t128_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t129_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t130_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t131_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort291);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t129_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t129_principal_len, _flick_abort291);
                        flick_khazana_decode_new_glob(_t129_principal_len);
                        flick_khazana_decode_new_chunk(_t129_principal_len);
                        flick_khazana_decode_end_chunk(_t129_principal_len);
                        flick_khazana_decode_end_glob(_t129_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort291);
                        flick_cdr_swap_decode_unsigned32(0, _t130_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t130_temp_string_len);
                        flick_khazana_check_span(1 * _t130_temp_string_len, _flick_abort291);
                        flick_khazana_decode_new_chunk(1 * _t130_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t130_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t130_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t131_storage);
                        _par = flick_interface_parents_ex1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort291);
                          flick_khazana_encode_new_glob(5, _flick_abort291);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort299);
                                break;
                                {
                                _flick_abort299:
                                  goto _flick_abort291;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort300);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort300:
                                  goto _flick_abort291;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort291:
                          goto _flick_abort290;
                        }
                      }
                      break;
                      {
                      _flick_abort290:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t33_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t33_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t34_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex1 _obj;
                  unsigned int _t35_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t36_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort79);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t35_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t35_principal_len, _flick_abort79);
                  flick_khazana_decode_new_glob(_t35_principal_len);
                  flick_khazana_decode_new_chunk(_t35_principal_len);
                  flick_khazana_decode_end_chunk(_t35_principal_len);
                  flick_khazana_decode_end_glob(_t35_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t36_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex1_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort79);
                    flick_khazana_encode_new_glob(4, _flick_abort79);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort85);
                          break;
                          {
                          _flick_abort85:
                            goto _flick_abort79;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort86:
                            goto _flick_abort79;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort79:
                    goto _flick_abort78;
                  }
                }
                break;
                {
                _flick_abort78:
                  goto _flick_abort2;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex1 _obj;
                  unsigned int _t37_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t38_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t39_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t40_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort88);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t37_principal_len, _flick_abort88);
                  flick_khazana_decode_new_glob(_t37_principal_len);
                  flick_khazana_decode_new_chunk(_t37_principal_len);
                  flick_khazana_decode_end_chunk(_t37_principal_len);
                  flick_khazana_decode_end_glob(_t37_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort88);
                  flick_cdr_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t38_storage);
                  _local_l = (CORBA_long *)(&_t39_storage);
                  flick_cdr_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t40_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort88);
                    flick_khazana_encode_new_glob(24, _flick_abort88);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort94);
                          break;
                          {
                          _flick_abort94:
                            goto _flick_abort88;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort95);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort95:
                            goto _flick_abort88;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort88:
                    goto _flick_abort87;
                  }
                }
                break;
                {
                _flick_abort87:
                  goto _flick_abort2;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex1 _obj;
                  unsigned int _t41_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t42_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t43_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t44_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort97);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t41_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t41_principal_len, _flick_abort97);
                  flick_khazana_decode_new_glob(_t41_principal_len);
                  flick_khazana_decode_new_chunk(_t41_principal_len);
                  flick_khazana_decode_end_chunk(_t41_principal_len);
                  flick_khazana_decode_end_glob(_t41_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort97);
                  flick_cdr_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t42_storage);
                  _local_s = (CORBA_short *)(&_t43_storage);
                  flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t44_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort97);
                    flick_khazana_encode_new_glob(22, _flick_abort97);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort103);
                          break;
                          {
                          _flick_abort103:
                            goto _flick_abort97;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort104);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort104:
                            goto _flick_abort97;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort97:
                    goto _flick_abort96;
                  }
                }
                break;
                {
                _flick_abort96:
                  goto _flick_abort2;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex1 _obj;
                  unsigned int _t45_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t46_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t47_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t48_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort106);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t45_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t45_principal_len, _flick_abort106);
                  flick_khazana_decode_new_glob(_t45_principal_len);
                  flick_khazana_decode_new_chunk(_t45_principal_len);
                  flick_khazana_decode_end_chunk(_t45_principal_len);
                  flick_khazana_decode_end_glob(_t45_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort106);
                  flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t46_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t47_storage);
                  flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t48_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort106);
                    flick_khazana_encode_new_glob(16, _flick_abort106);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort112);
                          break;
                          {
                          _flick_abort112:
                            goto _flick_abort106;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort113:
                            goto _flick_abort106;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort106:
                    goto _flick_abort105;
                  }
                }
                break;
                {
                _flick_abort105:
                  goto _flick_abort2;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex1 _obj;
                  unsigned int _t49_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t50_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t51_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t52_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort115);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t49_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t49_principal_len, _flick_abort115);
                  flick_khazana_decode_new_glob(_t49_principal_len);
                  flick_khazana_decode_new_chunk(_t49_principal_len);
                  flick_khazana_decode_end_chunk(_t49_principal_len);
                  flick_khazana_decode_end_glob(_t49_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort115);
                  flick_cdr_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t50_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t51_storage);
                  flick_cdr_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t52_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort115);
                    flick_khazana_encode_new_glob(14, _flick_abort115);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort121);
                          break;
                          {
                          _flick_abort121:
                            goto _flick_abort115;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort122);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort122:
                            goto _flick_abort115;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort115:
                    goto _flick_abort114;
                  }
                }
                break;
                {
                _flick_abort114:
                  goto _flick_abort2;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex1 _obj;
                  unsigned int _t53_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t54_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t55_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t56_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort124);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t53_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t53_principal_len, _flick_abort124);
                  flick_khazana_decode_new_glob(_t53_principal_len);
                  flick_khazana_decode_new_chunk(_t53_principal_len);
                  flick_khazana_decode_end_chunk(_t53_principal_len);
                  flick_khazana_decode_end_glob(_t53_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t54_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort124);
                  flick_cdr_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t55_storage);
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t56_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort124);
                    flick_khazana_encode_new_glob(13, _flick_abort124);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort130);
                          break;
                          {
                          _flick_abort130:
                            goto _flick_abort124;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort131);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort131:
                            goto _flick_abort124;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort124:
                    goto _flick_abort123;
                  }
                }
                break;
                {
                _flick_abort123:
                  goto _flick_abort2;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex1 _obj;
                  unsigned int _t57_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t58_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t59_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t60_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort133);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t57_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t57_principal_len + 1, _flick_abort133);
                  flick_khazana_decode_new_glob(_t57_principal_len);
                  flick_khazana_decode_new_chunk(_t57_principal_len);
                  flick_khazana_decode_end_chunk(_t57_principal_len);
                  flick_khazana_decode_end_glob(_t57_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t58_storage);
                  _local_c = (CORBA_char *)(&_t59_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t60_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort133);
                    flick_khazana_encode_new_glob(9, _flick_abort133);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort139);
                          break;
                          {
                          _flick_abort139:
                            goto _flick_abort133;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort140);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort140:
                            goto _flick_abort133;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort133:
                    goto _flick_abort132;
                  }
                }
                break;
                {
                _flick_abort132:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t61_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t61_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t62_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t62_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t62_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t63_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t64_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t65_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort142);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t63_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t63_principal_len, _flick_abort142);
                        flick_khazana_decode_new_glob(_t63_principal_len);
                        flick_khazana_decode_new_chunk(_t63_principal_len);
                        flick_khazana_decode_end_chunk(_t63_principal_len);
                        flick_khazana_decode_end_glob(_t63_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort142);
                        flick_cdr_decode_unsigned32(0, _t64_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t64_temp_string_len);
                        flick_khazana_check_span(1 * _t64_temp_string_len, _flick_abort142);
                        flick_khazana_decode_new_chunk(1 * _t64_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t64_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t64_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t65_storage);
                        _par = flick_interface_parents_ex1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort142);
                          flick_khazana_encode_new_glob(5, _flick_abort142);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort150);
                                break;
                                {
                                _flick_abort150:
                                  goto _flick_abort142;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort151);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort151:
                                  goto _flick_abort142;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort142:
                          goto _flick_abort141;
                        }
                      }
                      break;
                      {
                      _flick_abort141:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex2_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t345_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort303);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t345_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t345_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t346_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t346_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t346_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex2 _obj;
                  unsigned int _t347_principal_len;
                  CORBA_char _return;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t348_storage;
                  CORBA_octet *_local_o;
                  CORBA_octet _t349_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t350_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort772);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t347_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t347_principal_len + 2, _flick_abort772);
                  flick_khazana_decode_new_glob(_t347_principal_len);
                  flick_khazana_decode_new_chunk(_t347_principal_len);
                  flick_khazana_decode_end_chunk(_t347_principal_len);
                  flick_khazana_decode_end_glob(_t347_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(2);
                  flick_khazana_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA_char );
                  _local_b = (CORBA_boolean *)(&_t348_storage);
                  _local_o = (CORBA_octet *)(&_t349_storage);
                  flick_cdr_swap_decode_unsigned8(1, *_local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t350_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(2);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort772);
                    flick_khazana_encode_new_glob(7, _flick_abort772);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA_char );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                          flick_khazana_encode_end_chunk(3);
                          flick_khazana_encode_end_glob(7);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(7);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort778);
                          break;
                          {
                          _flick_abort778:
                            goto _flick_abort772;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort779);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort779:
                            goto _flick_abort772;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort772:
                    goto _flick_abort771;
                  }
                }
                break;
                {
                _flick_abort771:
                  goto _flick_abort303;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex2 _obj;
                  unsigned int _t351_principal_len;
                  CORBA_boolean _return;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t352_storage;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t353_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort781);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t351_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t351_principal_len + 1, _flick_abort781);
                  flick_khazana_decode_new_glob(_t351_principal_len);
                  flick_khazana_decode_new_chunk(_t351_principal_len);
                  flick_khazana_decode_end_chunk(_t351_principal_len);
                  flick_khazana_decode_end_glob(_t351_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_b = (CORBA_boolean *)(&_t352_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t353_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort781);
                    flick_khazana_encode_new_glob(6, _flick_abort781);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort787);
                          break;
                          {
                          _flick_abort787:
                            goto _flick_abort781;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort788);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort788:
                            goto _flick_abort781;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort781:
                    goto _flick_abort780;
                  }
                }
                break;
                {
                _flick_abort780:
                  goto _flick_abort303;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex2 _obj;
                  unsigned int _t354_principal_len;
                  CORBA_octet _return;
                  CORBA_octet *_local_o;
                  CORBA_octet _t355_storage;
                  CORBA_char **_local_s;
                  CORBA_char *_t356_storage;
                  CORBA_char *_local_ls;
                  flick_unsigned32_t _t357_temp_string_len;
                  CORBA_long *_local_l;
                  CORBA_long _t358_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t359_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort790);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t354_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t354_principal_len + 1, _flick_abort790);
                  flick_khazana_decode_new_glob(_t354_principal_len);
                  flick_khazana_decode_new_chunk(_t354_principal_len);
                  flick_khazana_decode_end_chunk(_t354_principal_len);
                  flick_khazana_decode_end_glob(_t354_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_o = (CORBA_octet *)(&_t355_storage);
                  flick_khazana_decode_new_glob(26);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, *_local_o, CORBA_octet );
                  _local_s = (CORBA_char **)(&_t356_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort790);
                  flick_cdr_swap_decode_unsigned32(0, _t357_temp_string_len, flick_unsigned32_t );
                  if (_t357_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort790);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_check_span(1 * _t357_temp_string_len, _flick_abort790);
                  flick_khazana_decode_new_chunk(1 * _t357_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_ls, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t357_temp_string_len);
                  _local_l = (CORBA_long *)(&_t358_storage);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort790);
                  flick_cdr_swap_decode_signed32(0, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t359_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(26);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort790);
                    flick_khazana_encode_new_glob(12, _flick_abort790);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t361_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t361_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                          flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                          flick_cdr_encode_unsigned32(4, _t361_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(8);
                          flick_khazana_encode_end_glob(12);
                          flick_khazana_encode_new_glob(1 * _t361_temp_string_len, _flick_abort799);
                          flick_khazana_encode_new_chunk(1 * _t361_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_s, 1 * _t361_temp_string_len);
                          CORBA_flick_free(*_local_s);
                          *_local_s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t361_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t361_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort799);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort799:
                            goto _flick_abort790;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort802);
                          break;
                          {
                          _flick_abort802:
                            goto _flick_abort790;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort803);
                          flick_khazana_encode_end_glob(12);
                          break;
                          {
                          _flick_abort803:
                            goto _flick_abort790;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort790:
                    goto _flick_abort789;
                  }
                }
                break;
                {
                _flick_abort789:
                  goto _flick_abort303;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex2 _obj;
                  unsigned int _t362_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t363_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort805);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t362_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t362_principal_len, _flick_abort805);
                  flick_khazana_decode_new_glob(_t362_principal_len);
                  flick_khazana_decode_new_chunk(_t362_principal_len);
                  flick_khazana_decode_end_chunk(_t362_principal_len);
                  flick_khazana_decode_end_glob(_t362_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t363_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex2_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort805);
                    flick_khazana_encode_new_glob(4, _flick_abort805);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort811);
                          break;
                          {
                          _flick_abort811:
                            goto _flick_abort805;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort812);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort812:
                            goto _flick_abort805;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort805:
                    goto _flick_abort804;
                  }
                }
                break;
                {
                _flick_abort804:
                  goto _flick_abort303;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex2 _obj;
                  unsigned int _t364_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t365_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t366_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t367_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort814);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t364_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t364_principal_len, _flick_abort814);
                  flick_khazana_decode_new_glob(_t364_principal_len);
                  flick_khazana_decode_new_chunk(_t364_principal_len);
                  flick_khazana_decode_end_chunk(_t364_principal_len);
                  flick_khazana_decode_end_glob(_t364_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort814);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t365_storage);
                  _local_l = (CORBA_long *)(&_t366_storage);
                  flick_cdr_swap_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t367_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort814);
                    flick_khazana_encode_new_glob(24, _flick_abort814);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort820);
                          break;
                          {
                          _flick_abort820:
                            goto _flick_abort814;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort821);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort821:
                            goto _flick_abort814;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort814:
                    goto _flick_abort813;
                  }
                }
                break;
                {
                _flick_abort813:
                  goto _flick_abort303;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex2 _obj;
                  unsigned int _t368_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t369_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t370_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t371_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort823);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t368_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t368_principal_len, _flick_abort823);
                  flick_khazana_decode_new_glob(_t368_principal_len);
                  flick_khazana_decode_new_chunk(_t368_principal_len);
                  flick_khazana_decode_end_chunk(_t368_principal_len);
                  flick_khazana_decode_end_glob(_t368_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort823);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t369_storage);
                  _local_s = (CORBA_short *)(&_t370_storage);
                  flick_cdr_swap_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t371_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort823);
                    flick_khazana_encode_new_glob(22, _flick_abort823);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort829);
                          break;
                          {
                          _flick_abort829:
                            goto _flick_abort823;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort830);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort830:
                            goto _flick_abort823;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort823:
                    goto _flick_abort822;
                  }
                }
                break;
                {
                _flick_abort822:
                  goto _flick_abort303;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex2 _obj;
                  unsigned int _t372_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t373_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t374_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t375_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort832);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t372_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t372_principal_len, _flick_abort832);
                  flick_khazana_decode_new_glob(_t372_principal_len);
                  flick_khazana_decode_new_chunk(_t372_principal_len);
                  flick_khazana_decode_end_chunk(_t372_principal_len);
                  flick_khazana_decode_end_glob(_t372_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort832);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t373_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t374_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t375_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort832);
                    flick_khazana_encode_new_glob(16, _flick_abort832);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort838);
                          break;
                          {
                          _flick_abort838:
                            goto _flick_abort832;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort839);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort839:
                            goto _flick_abort832;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort832:
                    goto _flick_abort831;
                  }
                }
                break;
                {
                _flick_abort831:
                  goto _flick_abort303;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex2 _obj;
                  unsigned int _t376_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t377_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t378_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t379_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort841);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t376_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t376_principal_len, _flick_abort841);
                  flick_khazana_decode_new_glob(_t376_principal_len);
                  flick_khazana_decode_new_chunk(_t376_principal_len);
                  flick_khazana_decode_end_chunk(_t376_principal_len);
                  flick_khazana_decode_end_glob(_t376_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort841);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t377_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t378_storage);
                  flick_cdr_swap_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t379_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort841);
                    flick_khazana_encode_new_glob(14, _flick_abort841);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort847);
                          break;
                          {
                          _flick_abort847:
                            goto _flick_abort841;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort848);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort848:
                            goto _flick_abort841;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort841:
                    goto _flick_abort840;
                  }
                }
                break;
                {
                _flick_abort840:
                  goto _flick_abort303;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex2 _obj;
                  unsigned int _t380_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t381_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t382_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t383_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort850);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t380_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t380_principal_len, _flick_abort850);
                  flick_khazana_decode_new_glob(_t380_principal_len);
                  flick_khazana_decode_new_chunk(_t380_principal_len);
                  flick_khazana_decode_end_chunk(_t380_principal_len);
                  flick_khazana_decode_end_glob(_t380_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t381_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort850);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t382_storage);
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t383_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort850);
                    flick_khazana_encode_new_glob(13, _flick_abort850);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort856);
                          break;
                          {
                          _flick_abort856:
                            goto _flick_abort850;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort857);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort857:
                            goto _flick_abort850;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort850:
                    goto _flick_abort849;
                  }
                }
                break;
                {
                _flick_abort849:
                  goto _flick_abort303;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex2 _obj;
                  unsigned int _t384_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t385_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t386_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t387_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort859);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t384_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t384_principal_len + 1, _flick_abort859);
                  flick_khazana_decode_new_glob(_t384_principal_len);
                  flick_khazana_decode_new_chunk(_t384_principal_len);
                  flick_khazana_decode_end_chunk(_t384_principal_len);
                  flick_khazana_decode_end_glob(_t384_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t385_storage);
                  _local_c = (CORBA_char *)(&_t386_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t387_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort859);
                    flick_khazana_encode_new_glob(9, _flick_abort859);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort865);
                          break;
                          {
                          _flick_abort865:
                            goto _flick_abort859;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort866);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort866:
                            goto _flick_abort859;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort859:
                    goto _flick_abort858;
                  }
                }
                break;
                {
                _flick_abort858:
                  goto _flick_abort303;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t388_switch_tag;

          flick_khazana_check_span(12, _flick_abort303);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t388_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t388_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t389_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t389_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t389_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t390_principal_len;
                        CORBA_char *_return;
                        CORBA_char *_local_s;
                        flick_unsigned32_t _t391_temp_string_len;
                        CORBA_char **_local_ls;
                        CORBA_char *_t392_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t393_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort868);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t390_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t390_principal_len, _flick_abort868);
                        flick_khazana_decode_new_glob(_t390_principal_len);
                        flick_khazana_decode_new_chunk(_t390_principal_len);
                        flick_khazana_decode_end_chunk(_t390_principal_len);
                        flick_khazana_decode_end_glob(_t390_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort868);
                        flick_cdr_swap_decode_unsigned32(0, _t391_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t391_temp_string_len);
                        flick_khazana_check_span(1 * _t391_temp_string_len, _flick_abort868);
                        flick_khazana_decode_new_chunk(1 * _t391_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_s, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t391_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t391_temp_string_len);
                        _local_ls = (CORBA_char **)(&_t392_storage);
                        _ev = (CORBA_Environment *)(&_t393_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort868);
                          flick_khazana_encode_new_glob(8, _flick_abort868);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t396_temp_string_len;
                                flick_unsigned32_t _t397_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t396_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t397_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t396_temp_string_len, flick_unsigned32_t );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _t396_temp_string_len, _flick_abort879);
                                flick_khazana_encode_new_chunk(1 * _t396_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t396_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(1 * _t396_temp_string_len);
                                flick_khazana_encode_end_glob(1 * _t396_temp_string_len);
                                flick_khazana_encode_new_glob(18, _flick_abort879);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t397_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t397_temp_string_len, flick_unsigned32_t );
                                if (_t397_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort879);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t397_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t397_temp_string_len);
                                flick_khazana_encode_end_glob(18);
                                break;
                                {
                                _flick_abort879:
                                  goto _flick_abort868;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort884);
                                break;
                                {
                                _flick_abort884:
                                  goto _flick_abort868;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort885);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort885:
                                  goto _flick_abort868;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort868:
                          goto _flick_abort867;
                        }
                      }
                      break;
                      {
                      _flick_abort867:
                        goto _flick_abort303;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t398_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t398_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t398_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t399_principal_len;
                        CORBA_char *_return;
                        CORBA_char **_local_ls;
                        CORBA_char *_t400_storage;
                        flick_unsigned32_t _t401_temp_string_len;
                        CORBA_long *_local_l;
                        CORBA_long _t402_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t403_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort887);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t399_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t399_principal_len, _flick_abort887);
                        flick_khazana_decode_new_glob(_t399_principal_len);
                        flick_khazana_decode_new_chunk(_t399_principal_len);
                        flick_khazana_decode_end_chunk(_t399_principal_len);
                        flick_khazana_decode_end_glob(_t399_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_ls = (CORBA_char **)(&_t400_storage);
                        flick_khazana_decode_new_glob(18);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort887);
                        flick_cdr_swap_decode_unsigned32(0, _t401_temp_string_len, flick_unsigned32_t );
                        if (_t401_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort887);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(1 * _t401_temp_string_len, _flick_abort887);
                        flick_khazana_decode_new_chunk(1 * _t401_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort887);
                          *_local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, *_local_ls, 1 * _t401_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t401_temp_string_len);
                        _local_l = (CORBA_long *)(&_t402_storage);
                        _ev = (CORBA_Environment *)(&_t403_storage);
                        flick_khazana_decode_end_glob(18);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort890);
                          flick_khazana_encode_new_glob(44, _flick_abort890);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t406_temp_string_len;
                                flick_unsigned32_t _t407_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t406_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t407_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 1 * _t406_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t406_temp_string_len, flick_unsigned32_t );
                                if (_t406_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort899);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t406_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t406_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t407_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t407_temp_string_len, flick_unsigned32_t );
                                if (_t407_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort899);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t407_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t407_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort899:
                                  goto _flick_abort890;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(44);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort904);
                                break;
                                {
                                _flick_abort904:
                                  goto _flick_abort890;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort905);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort905:
                                  goto _flick_abort890;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort890:
                          CORBA_flick_free(*_local_ls);
                        _flick_abort887:
                          goto _flick_abort886;
                        }
                      }
                      break;
                      {
                      _flick_abort886:
                        goto _flick_abort303;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t408_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t408_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t408_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t409_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t410_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort907);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t409_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t409_principal_len, _flick_abort907);
                        flick_khazana_decode_new_glob(_t409_principal_len);
                        flick_khazana_decode_new_chunk(_t409_principal_len);
                        flick_khazana_decode_end_chunk(_t409_principal_len);
                        flick_khazana_decode_end_glob(_t409_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort907);
                        flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t410_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op12(_obj, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort907);
                          flick_khazana_encode_new_glob(8, _flick_abort907);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort913);
                                break;
                                {
                                _flick_abort913:
                                  goto _flick_abort907;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort914);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort914:
                                  goto _flick_abort907;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort907:
                          goto _flick_abort906;
                        }
                      }
                      break;
                      {
                      _flick_abort906:
                        goto _flick_abort303;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t411_switch_tag;

          flick_khazana_check_span(12, _flick_abort303);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t411_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t411_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t412_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t412_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t412_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t413_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t414_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t415_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort916);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t413_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t413_principal_len, _flick_abort916);
                        flick_khazana_decode_new_glob(_t413_principal_len);
                        flick_khazana_decode_new_chunk(_t413_principal_len);
                        flick_khazana_decode_end_chunk(_t413_principal_len);
                        flick_khazana_decode_end_glob(_t413_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort916);
                        flick_cdr_swap_decode_unsigned32(0, _t414_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t414_temp_string_len);
                        flick_khazana_check_span(1 * _t414_temp_string_len, _flick_abort916);
                        flick_khazana_decode_new_chunk(1 * _t414_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t414_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t414_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t415_storage);
                        _par = flick_interface_parents_ex2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort916);
                          flick_khazana_encode_new_glob(5, _flick_abort916);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort924);
                                break;
                                {
                                _flick_abort924:
                                  goto _flick_abort916;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort925);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort925:
                                  goto _flick_abort916;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort916:
                          goto _flick_abort915;
                        }
                      }
                      break;
                      {
                      _flick_abort915:
                        goto _flick_abort303;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t203_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort303);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t203_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t203_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t204_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t204_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t204_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex2 _obj;
                  unsigned int _t205_principal_len;
                  CORBA_char _return;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t206_storage;
                  CORBA_octet *_local_o;
                  CORBA_octet _t207_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t208_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort461);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t205_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t205_principal_len + 2, _flick_abort461);
                  flick_khazana_decode_new_glob(_t205_principal_len);
                  flick_khazana_decode_new_chunk(_t205_principal_len);
                  flick_khazana_decode_end_chunk(_t205_principal_len);
                  flick_khazana_decode_end_glob(_t205_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(2);
                  flick_khazana_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c, CORBA_char );
                  _local_b = (CORBA_boolean *)(&_t206_storage);
                  _local_o = (CORBA_octet *)(&_t207_storage);
                  flick_cdr_decode_unsigned8(1, *_local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t208_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(2);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort461);
                    flick_khazana_encode_new_glob(7, _flick_abort461);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA_char );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                          flick_khazana_encode_end_chunk(3);
                          flick_khazana_encode_end_glob(7);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(7);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort467);
                          break;
                          {
                          _flick_abort467:
                            goto _flick_abort461;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort468);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort468:
                            goto _flick_abort461;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort461:
                    goto _flick_abort460;
                  }
                }
                break;
                {
                _flick_abort460:
                  goto _flick_abort303;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex2 _obj;
                  unsigned int _t209_principal_len;
                  CORBA_boolean _return;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t210_storage;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t211_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort470);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t209_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t209_principal_len + 1, _flick_abort470);
                  flick_khazana_decode_new_glob(_t209_principal_len);
                  flick_khazana_decode_new_chunk(_t209_principal_len);
                  flick_khazana_decode_end_chunk(_t209_principal_len);
                  flick_khazana_decode_end_glob(_t209_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_b = (CORBA_boolean *)(&_t210_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t211_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort470);
                    flick_khazana_encode_new_glob(6, _flick_abort470);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort476);
                          break;
                          {
                          _flick_abort476:
                            goto _flick_abort470;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort477);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort477:
                            goto _flick_abort470;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort470:
                    goto _flick_abort469;
                  }
                }
                break;
                {
                _flick_abort469:
                  goto _flick_abort303;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex2 _obj;
                  unsigned int _t212_principal_len;
                  CORBA_octet _return;
                  CORBA_octet *_local_o;
                  CORBA_octet _t213_storage;
                  CORBA_char **_local_s;
                  CORBA_char *_t214_storage;
                  CORBA_char *_local_ls;
                  flick_unsigned32_t _t215_temp_string_len;
                  CORBA_long *_local_l;
                  CORBA_long _t216_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t217_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort479);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t212_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t212_principal_len + 1, _flick_abort479);
                  flick_khazana_decode_new_glob(_t212_principal_len);
                  flick_khazana_decode_new_chunk(_t212_principal_len);
                  flick_khazana_decode_end_chunk(_t212_principal_len);
                  flick_khazana_decode_end_glob(_t212_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_o = (CORBA_octet *)(&_t213_storage);
                  flick_khazana_decode_new_glob(26);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, *_local_o, CORBA_octet );
                  _local_s = (CORBA_char **)(&_t214_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort479);
                  flick_cdr_decode_unsigned32(0, _t215_temp_string_len, flick_unsigned32_t );
                  if (_t215_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort479);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_check_span(1 * _t215_temp_string_len, _flick_abort479);
                  flick_khazana_decode_new_chunk(1 * _t215_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_ls, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t215_temp_string_len);
                  _local_l = (CORBA_long *)(&_t216_storage);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort479);
                  flick_cdr_decode_signed32(0, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t217_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(26);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort479);
                    flick_khazana_encode_new_glob(12, _flick_abort479);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t219_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t219_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                          flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                          flick_cdr_encode_unsigned32(4, _t219_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(8);
                          flick_khazana_encode_end_glob(12);
                          flick_khazana_encode_new_glob(1 * _t219_temp_string_len, _flick_abort488);
                          flick_khazana_encode_new_chunk(1 * _t219_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_s, 1 * _t219_temp_string_len);
                          CORBA_flick_free(*_local_s);
                          *_local_s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t219_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t219_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort488);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort488:
                            goto _flick_abort479;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort491);
                          break;
                          {
                          _flick_abort491:
                            goto _flick_abort479;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort492);
                          flick_khazana_encode_end_glob(12);
                          break;
                          {
                          _flick_abort492:
                            goto _flick_abort479;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort479:
                    goto _flick_abort478;
                  }
                }
                break;
                {
                _flick_abort478:
                  goto _flick_abort303;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex2 _obj;
                  unsigned int _t220_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t221_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort494);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t220_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t220_principal_len, _flick_abort494);
                  flick_khazana_decode_new_glob(_t220_principal_len);
                  flick_khazana_decode_new_chunk(_t220_principal_len);
                  flick_khazana_decode_end_chunk(_t220_principal_len);
                  flick_khazana_decode_end_glob(_t220_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t221_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex2_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort494);
                    flick_khazana_encode_new_glob(4, _flick_abort494);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort500);
                          break;
                          {
                          _flick_abort500:
                            goto _flick_abort494;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort501);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort501:
                            goto _flick_abort494;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort494:
                    goto _flick_abort493;
                  }
                }
                break;
                {
                _flick_abort493:
                  goto _flick_abort303;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex2 _obj;
                  unsigned int _t222_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t223_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t224_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t225_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort503);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t222_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t222_principal_len, _flick_abort503);
                  flick_khazana_decode_new_glob(_t222_principal_len);
                  flick_khazana_decode_new_chunk(_t222_principal_len);
                  flick_khazana_decode_end_chunk(_t222_principal_len);
                  flick_khazana_decode_end_glob(_t222_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort503);
                  flick_cdr_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t223_storage);
                  _local_l = (CORBA_long *)(&_t224_storage);
                  flick_cdr_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t225_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort503);
                    flick_khazana_encode_new_glob(24, _flick_abort503);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort509);
                          break;
                          {
                          _flick_abort509:
                            goto _flick_abort503;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort510);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort510:
                            goto _flick_abort503;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort503:
                    goto _flick_abort502;
                  }
                }
                break;
                {
                _flick_abort502:
                  goto _flick_abort303;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex2 _obj;
                  unsigned int _t226_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t227_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t228_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t229_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort512);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t226_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t226_principal_len, _flick_abort512);
                  flick_khazana_decode_new_glob(_t226_principal_len);
                  flick_khazana_decode_new_chunk(_t226_principal_len);
                  flick_khazana_decode_end_chunk(_t226_principal_len);
                  flick_khazana_decode_end_glob(_t226_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort512);
                  flick_cdr_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t227_storage);
                  _local_s = (CORBA_short *)(&_t228_storage);
                  flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t229_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort512);
                    flick_khazana_encode_new_glob(22, _flick_abort512);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort518);
                          break;
                          {
                          _flick_abort518:
                            goto _flick_abort512;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort519);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort519:
                            goto _flick_abort512;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort512:
                    goto _flick_abort511;
                  }
                }
                break;
                {
                _flick_abort511:
                  goto _flick_abort303;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex2 _obj;
                  unsigned int _t230_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t231_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t232_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t233_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort521);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t230_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t230_principal_len, _flick_abort521);
                  flick_khazana_decode_new_glob(_t230_principal_len);
                  flick_khazana_decode_new_chunk(_t230_principal_len);
                  flick_khazana_decode_end_chunk(_t230_principal_len);
                  flick_khazana_decode_end_glob(_t230_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort521);
                  flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t231_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t232_storage);
                  flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t233_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort521);
                    flick_khazana_encode_new_glob(16, _flick_abort521);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort527);
                          break;
                          {
                          _flick_abort527:
                            goto _flick_abort521;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort528);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort528:
                            goto _flick_abort521;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort521:
                    goto _flick_abort520;
                  }
                }
                break;
                {
                _flick_abort520:
                  goto _flick_abort303;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex2 _obj;
                  unsigned int _t234_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t235_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t236_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t237_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort530);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t234_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t234_principal_len, _flick_abort530);
                  flick_khazana_decode_new_glob(_t234_principal_len);
                  flick_khazana_decode_new_chunk(_t234_principal_len);
                  flick_khazana_decode_end_chunk(_t234_principal_len);
                  flick_khazana_decode_end_glob(_t234_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort530);
                  flick_cdr_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t235_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t236_storage);
                  flick_cdr_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t237_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort530);
                    flick_khazana_encode_new_glob(14, _flick_abort530);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort536);
                          break;
                          {
                          _flick_abort536:
                            goto _flick_abort530;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort537);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort537:
                            goto _flick_abort530;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort530:
                    goto _flick_abort529;
                  }
                }
                break;
                {
                _flick_abort529:
                  goto _flick_abort303;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex2 _obj;
                  unsigned int _t238_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t239_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t240_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t241_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort539);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t238_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t238_principal_len, _flick_abort539);
                  flick_khazana_decode_new_glob(_t238_principal_len);
                  flick_khazana_decode_new_chunk(_t238_principal_len);
                  flick_khazana_decode_end_chunk(_t238_principal_len);
                  flick_khazana_decode_end_glob(_t238_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t239_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort539);
                  flick_cdr_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t240_storage);
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t241_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort539);
                    flick_khazana_encode_new_glob(13, _flick_abort539);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort545);
                          break;
                          {
                          _flick_abort545:
                            goto _flick_abort539;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort546);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort546:
                            goto _flick_abort539;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort539:
                    goto _flick_abort538;
                  }
                }
                break;
                {
                _flick_abort538:
                  goto _flick_abort303;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex2 _obj;
                  unsigned int _t242_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t243_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t244_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t245_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort548);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t242_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t242_principal_len + 1, _flick_abort548);
                  flick_khazana_decode_new_glob(_t242_principal_len);
                  flick_khazana_decode_new_chunk(_t242_principal_len);
                  flick_khazana_decode_end_chunk(_t242_principal_len);
                  flick_khazana_decode_end_glob(_t242_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t243_storage);
                  _local_c = (CORBA_char *)(&_t244_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t245_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort548);
                    flick_khazana_encode_new_glob(9, _flick_abort548);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort554);
                          break;
                          {
                          _flick_abort554:
                            goto _flick_abort548;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort555);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort555:
                            goto _flick_abort548;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort548:
                    goto _flick_abort547;
                  }
                }
                break;
                {
                _flick_abort547:
                  goto _flick_abort303;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t246_switch_tag;

          flick_khazana_check_span(12, _flick_abort303);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t246_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t246_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t247_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t247_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t247_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t248_principal_len;
                        CORBA_char *_return;
                        CORBA_char *_local_s;
                        flick_unsigned32_t _t249_temp_string_len;
                        CORBA_char **_local_ls;
                        CORBA_char *_t250_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t251_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort557);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t248_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t248_principal_len, _flick_abort557);
                        flick_khazana_decode_new_glob(_t248_principal_len);
                        flick_khazana_decode_new_chunk(_t248_principal_len);
                        flick_khazana_decode_end_chunk(_t248_principal_len);
                        flick_khazana_decode_end_glob(_t248_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort557);
                        flick_cdr_decode_unsigned32(0, _t249_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t249_temp_string_len);
                        flick_khazana_check_span(1 * _t249_temp_string_len, _flick_abort557);
                        flick_khazana_decode_new_chunk(1 * _t249_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_s, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t249_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t249_temp_string_len);
                        _local_ls = (CORBA_char **)(&_t250_storage);
                        _ev = (CORBA_Environment *)(&_t251_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort557);
                          flick_khazana_encode_new_glob(8, _flick_abort557);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t254_temp_string_len;
                                flick_unsigned32_t _t255_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t254_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t255_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t254_temp_string_len, flick_unsigned32_t );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _t254_temp_string_len, _flick_abort568);
                                flick_khazana_encode_new_chunk(1 * _t254_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t254_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(1 * _t254_temp_string_len);
                                flick_khazana_encode_end_glob(1 * _t254_temp_string_len);
                                flick_khazana_encode_new_glob(18, _flick_abort568);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t255_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t255_temp_string_len, flick_unsigned32_t );
                                if (_t255_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort568);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t255_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t255_temp_string_len);
                                flick_khazana_encode_end_glob(18);
                                break;
                                {
                                _flick_abort568:
                                  goto _flick_abort557;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort573);
                                break;
                                {
                                _flick_abort573:
                                  goto _flick_abort557;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort574);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort574:
                                  goto _flick_abort557;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort557:
                          goto _flick_abort556;
                        }
                      }
                      break;
                      {
                      _flick_abort556:
                        goto _flick_abort303;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t256_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t256_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t256_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t257_principal_len;
                        CORBA_char *_return;
                        CORBA_char **_local_ls;
                        CORBA_char *_t258_storage;
                        flick_unsigned32_t _t259_temp_string_len;
                        CORBA_long *_local_l;
                        CORBA_long _t260_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t261_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort576);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t257_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t257_principal_len, _flick_abort576);
                        flick_khazana_decode_new_glob(_t257_principal_len);
                        flick_khazana_decode_new_chunk(_t257_principal_len);
                        flick_khazana_decode_end_chunk(_t257_principal_len);
                        flick_khazana_decode_end_glob(_t257_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_ls = (CORBA_char **)(&_t258_storage);
                        flick_khazana_decode_new_glob(18);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort576);
                        flick_cdr_decode_unsigned32(0, _t259_temp_string_len, flick_unsigned32_t );
                        if (_t259_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort576);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(1 * _t259_temp_string_len, _flick_abort576);
                        flick_khazana_decode_new_chunk(1 * _t259_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort576);
                          *_local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, *_local_ls, 1 * _t259_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t259_temp_string_len);
                        _local_l = (CORBA_long *)(&_t260_storage);
                        _ev = (CORBA_Environment *)(&_t261_storage);
                        flick_khazana_decode_end_glob(18);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort579);
                          flick_khazana_encode_new_glob(44, _flick_abort579);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t264_temp_string_len;
                                flick_unsigned32_t _t265_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t264_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t265_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 1 * _t264_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t264_temp_string_len, flick_unsigned32_t );
                                if (_t264_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort588);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t264_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t264_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t265_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t265_temp_string_len, flick_unsigned32_t );
                                if (_t265_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort588);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t265_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t265_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort588:
                                  goto _flick_abort579;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(44);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort593);
                                break;
                                {
                                _flick_abort593:
                                  goto _flick_abort579;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort594);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort594:
                                  goto _flick_abort579;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort579:
                          CORBA_flick_free(*_local_ls);
                        _flick_abort576:
                          goto _flick_abort575;
                        }
                      }
                      break;
                      {
                      _flick_abort575:
                        goto _flick_abort303;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t266_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t266_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t266_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t267_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t268_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort596);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t267_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t267_principal_len, _flick_abort596);
                        flick_khazana_decode_new_glob(_t267_principal_len);
                        flick_khazana_decode_new_chunk(_t267_principal_len);
                        flick_khazana_decode_end_chunk(_t267_principal_len);
                        flick_khazana_decode_end_glob(_t267_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort596);
                        flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t268_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op12(_obj, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort596);
                          flick_khazana_encode_new_glob(8, _flick_abort596);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort602);
                                break;
                                {
                                _flick_abort602:
                                  goto _flick_abort596;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort603);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort603:
                                  goto _flick_abort596;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort596:
                          goto _flick_abort595;
                        }
                      }
                      break;
                      {
                      _flick_abort595:
                        goto _flick_abort303;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t269_switch_tag;

          flick_khazana_check_span(12, _flick_abort303);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t269_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t269_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t270_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t270_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t270_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t271_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t272_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t273_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort605);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t271_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t271_principal_len, _flick_abort605);
                        flick_khazana_decode_new_glob(_t271_principal_len);
                        flick_khazana_decode_new_chunk(_t271_principal_len);
                        flick_khazana_decode_end_chunk(_t271_principal_len);
                        flick_khazana_decode_end_glob(_t271_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort605);
                        flick_cdr_decode_unsigned32(0, _t272_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t272_temp_string_len);
                        flick_khazana_check_span(1 * _t272_temp_string_len, _flick_abort605);
                        flick_khazana_decode_new_chunk(1 * _t272_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t272_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t272_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t273_storage);
                        _par = flick_interface_parents_ex2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort605);
                          flick_khazana_encode_new_glob(5, _flick_abort605);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort613);
                                break;
                                {
                                _flick_abort613:
                                  goto _flick_abort605;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort614);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort614:
                                  goto _flick_abort605;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort605:
                          goto _flick_abort604;
                        }
                      }
                      break;
                      {
                      _flick_abort604:
                        goto _flick_abort303;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort303);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort303:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort302);
  _flick_abort302:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex3_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t674_switch_tag;

    flick_khazana_decode_new_glob(40);
    flick_khazana_check_span(12, _flick_abort928);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t674_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t674_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t675_switch_tag;

          flick_khazana_check_span(28, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t675_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t675_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t676_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t676_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t676_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t677_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t677_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t677_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t678_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t678_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t678_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t679_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t679_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t679_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t680_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t680_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t680_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t681_principal_len;
                                                CORBA_float _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t682_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1343);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t681_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t681_principal_len, _flick_abort1343);
                                                flick_khazana_decode_new_glob(_t681_principal_len);
                                                flick_khazana_decode_new_chunk(_t681_principal_len);
                                                flick_khazana_decode_end_chunk(_t681_principal_len);
                                                flick_khazana_decode_end_glob(_t681_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t682_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1343);
                                                  flick_khazana_encode_new_glob(8, _flick_abort1343);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA_float );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1349);
                                                        break;
                                                        {
                                                        _flick_abort1349:
                                                          goto _flick_abort1343;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1350);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1350:
                                                          goto _flick_abort1343;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1343:
                                                  goto _flick_abort1342;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1342:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t683_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t683_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t683_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t684_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t684_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t684_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t685_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t685_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t685_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t686_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t686_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t686_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t687_principal_len;
                                                CORBA_short _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t688_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1352);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t687_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t687_principal_len, _flick_abort1352);
                                                flick_khazana_decode_new_glob(_t687_principal_len);
                                                flick_khazana_decode_new_chunk(_t687_principal_len);
                                                flick_khazana_decode_end_chunk(_t687_principal_len);
                                                flick_khazana_decode_end_glob(_t687_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t688_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1352);
                                                  flick_khazana_encode_new_glob(6, _flick_abort1352);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_khazana_encode_end_chunk(2);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(6);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1358);
                                                        break;
                                                        {
                                                        _flick_abort1358:
                                                          goto _flick_abort1352;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1359);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1359:
                                                          goto _flick_abort1352;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1352:
                                                  goto _flick_abort1351;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1351:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t689_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t689_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t689_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t690_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t690_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t690_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t691_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t691_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t691_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t692_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t692_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t692_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t693_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t693_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t693_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t694_principal_len;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t695_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1361);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t694_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t694_principal_len, _flick_abort1361);
                                                flick_khazana_decode_new_glob(_t694_principal_len);
                                                flick_khazana_decode_new_chunk(_t694_principal_len);
                                                flick_khazana_decode_end_chunk(_t694_principal_len);
                                                flick_khazana_decode_end_glob(_t694_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(3);
                                                flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_khazana_check_span(2, _flick_abort1361);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute, CORBA_short );
                                                _ev = (CORBA_Environment *)(&_t695_storage);
                                                flick_khazana_decode_end_chunk(2);
                                                flick_khazana_decode_end_glob(3);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1361);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1361);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1367);
                                                        break;
                                                        {
                                                        _flick_abort1367:
                                                          goto _flick_abort1361;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1368);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1368:
                                                          goto _flick_abort1361;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1361:
                                                  goto _flick_abort1360;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1360:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t696_switch_tag;

          flick_khazana_check_span(28, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t696_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t696_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t697_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t697_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t697_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t698_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t698_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t698_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t699_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t699_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t699_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t700_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t700_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t700_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t701_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t701_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t701_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t702_principal_len;
                                                CORBA_double _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t703_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1370);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t702_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t702_principal_len, _flick_abort1370);
                                                flick_khazana_decode_new_glob(_t702_principal_len);
                                                flick_khazana_decode_new_chunk(_t702_principal_len);
                                                flick_khazana_decode_end_chunk(_t702_principal_len);
                                                flick_khazana_decode_end_glob(_t702_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t703_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_double_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1370);
                                                  flick_khazana_encode_new_glob(16, _flick_abort1370);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA_double );
                                                        flick_khazana_encode_end_chunk(8);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1376);
                                                        break;
                                                        {
                                                        _flick_abort1376:
                                                          goto _flick_abort1370;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1377);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1377:
                                                          goto _flick_abort1370;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1370:
                                                  goto _flick_abort1369;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1369:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t704_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t704_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t704_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t705_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t705_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t705_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t706_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t706_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t706_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t707_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t707_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t707_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t708_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t708_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t708_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t709_principal_len;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t710_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1379);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t709_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t709_principal_len, _flick_abort1379);
                                                flick_khazana_decode_new_glob(_t709_principal_len);
                                                flick_khazana_decode_new_chunk(_t709_principal_len);
                                                flick_khazana_decode_end_chunk(_t709_principal_len);
                                                flick_khazana_decode_end_glob(_t709_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(15);
                                                flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_khazana_check_span(8, _flick_abort1379);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute, CORBA_double );
                                                _ev = (CORBA_Environment *)(&_t710_storage);
                                                flick_khazana_decode_end_chunk(8);
                                                flick_khazana_decode_end_glob(15);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1379);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1379);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1385);
                                                        break;
                                                        {
                                                        _flick_abort1385:
                                                          goto _flick_abort1379;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1386);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1386:
                                                          goto _flick_abort1379;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1379:
                                                  goto _flick_abort1378;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1378:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t711_switch_tag;

          flick_khazana_check_span(24, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t711_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t711_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t712_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t712_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t712_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t713_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t713_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t713_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t714_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t714_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t714_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t715_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t715_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t715_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex3 _obj;
                                          unsigned int _t716_principal_len;
                                          CORBA_long _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t717_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1388);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t716_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t716_principal_len, _flick_abort1388);
                                          flick_khazana_decode_new_glob(_t716_principal_len);
                                          flick_khazana_decode_new_chunk(_t716_principal_len);
                                          flick_khazana_decode_end_chunk(_t716_principal_len);
                                          flick_khazana_decode_end_glob(_t716_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t717_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex3__get_long_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1388);
                                            flick_khazana_encode_new_glob(8, _flick_abort1388);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1394);
                                                  break;
                                                  {
                                                  _flick_abort1394:
                                                    goto _flick_abort1388;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1395);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1395:
                                                    goto _flick_abort1388;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1388:
                                            goto _flick_abort1387;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1387:
                                          goto _flick_abort928;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t718_switch_tag;

          flick_khazana_check_span(36, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t718_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t718_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t719_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t719_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t719_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t720_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t720_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t720_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t721_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t721_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t721_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t722_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t722_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t722_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t723_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t723_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t723_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t724_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t724_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t724_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t725_switch_tag;

                                                    flick_khazana_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t725_switch_tag, char );
                                                    flick_khazana_decode_end_chunk(1);
                                                    switch ((char )_t725_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex3 _obj;
                                                            unsigned int _t726_principal_len;
                                                            CORBA_unsigned_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t727_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1397);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t726_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(7);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t726_principal_len, _flick_abort1397);
                                                            flick_khazana_decode_new_glob(_t726_principal_len);
                                                            flick_khazana_decode_new_chunk(_t726_principal_len);
                                                            flick_khazana_decode_end_chunk(_t726_principal_len);
                                                            flick_khazana_decode_end_glob(_t726_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t727_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1397);
                                                              flick_khazana_encode_new_glob(8, _flick_abort1397);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                    flick_khazana_encode_end_chunk(4);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1403);
                                                                    break;
                                                                    {
                                                                    _flick_abort1403:
                                                                      goto _flick_abort1397;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1404);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort1404:
                                                                      goto _flick_abort1397;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1397:
                                                              goto _flick_abort1396;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1396:
                                                            goto _flick_abort928;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t728_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t728_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t728_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex3 _obj;
                  unsigned int _t729_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t730_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1406);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t729_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t729_principal_len, _flick_abort1406);
                  flick_khazana_decode_new_glob(_t729_principal_len);
                  flick_khazana_decode_new_chunk(_t729_principal_len);
                  flick_khazana_decode_end_chunk(_t729_principal_len);
                  flick_khazana_decode_end_glob(_t729_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t730_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex3_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1406);
                    flick_khazana_encode_new_glob(4, _flick_abort1406);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1412);
                          break;
                          {
                          _flick_abort1412:
                            goto _flick_abort1406;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1413);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1413:
                            goto _flick_abort1406;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1406:
                    goto _flick_abort1405;
                  }
                }
                break;
                {
                _flick_abort1405:
                  goto _flick_abort928;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex3 _obj;
                  unsigned int _t731_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t732_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t733_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t734_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1415);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t731_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t731_principal_len, _flick_abort1415);
                  flick_khazana_decode_new_glob(_t731_principal_len);
                  flick_khazana_decode_new_chunk(_t731_principal_len);
                  flick_khazana_decode_end_chunk(_t731_principal_len);
                  flick_khazana_decode_end_glob(_t731_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1415);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t732_storage);
                  _local_l = (CORBA_long *)(&_t733_storage);
                  flick_cdr_swap_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t734_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1415);
                    flick_khazana_encode_new_glob(24, _flick_abort1415);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1421);
                          break;
                          {
                          _flick_abort1421:
                            goto _flick_abort1415;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1422);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1422:
                            goto _flick_abort1415;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1415:
                    goto _flick_abort1414;
                  }
                }
                break;
                {
                _flick_abort1414:
                  goto _flick_abort928;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex3 _obj;
                  unsigned int _t735_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t736_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t737_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t738_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1424);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t735_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t735_principal_len, _flick_abort1424);
                  flick_khazana_decode_new_glob(_t735_principal_len);
                  flick_khazana_decode_new_chunk(_t735_principal_len);
                  flick_khazana_decode_end_chunk(_t735_principal_len);
                  flick_khazana_decode_end_glob(_t735_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort1424);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t736_storage);
                  _local_s = (CORBA_short *)(&_t737_storage);
                  flick_cdr_swap_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t738_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1424);
                    flick_khazana_encode_new_glob(22, _flick_abort1424);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1430);
                          break;
                          {
                          _flick_abort1430:
                            goto _flick_abort1424;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1431);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1431:
                            goto _flick_abort1424;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1424:
                    goto _flick_abort1423;
                  }
                }
                break;
                {
                _flick_abort1423:
                  goto _flick_abort928;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex3 _obj;
                  unsigned int _t739_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t740_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t741_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t742_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1433);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t739_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t739_principal_len, _flick_abort1433);
                  flick_khazana_decode_new_glob(_t739_principal_len);
                  flick_khazana_decode_new_chunk(_t739_principal_len);
                  flick_khazana_decode_end_chunk(_t739_principal_len);
                  flick_khazana_decode_end_glob(_t739_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1433);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t740_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t741_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t742_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1433);
                    flick_khazana_encode_new_glob(16, _flick_abort1433);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1439);
                          break;
                          {
                          _flick_abort1439:
                            goto _flick_abort1433;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1440);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort1440:
                            goto _flick_abort1433;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1433:
                    goto _flick_abort1432;
                  }
                }
                break;
                {
                _flick_abort1432:
                  goto _flick_abort928;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex3 _obj;
                  unsigned int _t743_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t744_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t745_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t746_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1442);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t743_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t743_principal_len, _flick_abort1442);
                  flick_khazana_decode_new_glob(_t743_principal_len);
                  flick_khazana_decode_new_chunk(_t743_principal_len);
                  flick_khazana_decode_end_chunk(_t743_principal_len);
                  flick_khazana_decode_end_glob(_t743_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort1442);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t744_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t745_storage);
                  flick_cdr_swap_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t746_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1442);
                    flick_khazana_encode_new_glob(14, _flick_abort1442);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1448);
                          break;
                          {
                          _flick_abort1448:
                            goto _flick_abort1442;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1449);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort1449:
                            goto _flick_abort1442;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1442:
                    goto _flick_abort1441;
                  }
                }
                break;
                {
                _flick_abort1441:
                  goto _flick_abort928;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex3 _obj;
                  unsigned int _t747_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t748_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t749_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t750_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1451);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t747_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t747_principal_len, _flick_abort1451);
                  flick_khazana_decode_new_glob(_t747_principal_len);
                  flick_khazana_decode_new_chunk(_t747_principal_len);
                  flick_khazana_decode_end_chunk(_t747_principal_len);
                  flick_khazana_decode_end_glob(_t747_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t748_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort1451);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t749_storage);
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t750_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1451);
                    flick_khazana_encode_new_glob(13, _flick_abort1451);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1457);
                          break;
                          {
                          _flick_abort1457:
                            goto _flick_abort1451;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1458);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort1458:
                            goto _flick_abort1451;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1451:
                    goto _flick_abort1450;
                  }
                }
                break;
                {
                _flick_abort1450:
                  goto _flick_abort928;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex3 _obj;
                  unsigned int _t751_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t752_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t753_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t754_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1460);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t751_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t751_principal_len + 1, _flick_abort1460);
                  flick_khazana_decode_new_glob(_t751_principal_len);
                  flick_khazana_decode_new_chunk(_t751_principal_len);
                  flick_khazana_decode_end_chunk(_t751_principal_len);
                  flick_khazana_decode_end_glob(_t751_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t752_storage);
                  _local_c = (CORBA_char *)(&_t753_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t754_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1460);
                    flick_khazana_encode_new_glob(9, _flick_abort1460);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1466);
                          break;
                          {
                          _flick_abort1466:
                            goto _flick_abort1460;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1467);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort1467:
                            goto _flick_abort1460;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1460:
                    goto _flick_abort1459;
                  }
                }
                break;
                {
                _flick_abort1459:
                  goto _flick_abort928;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t755_switch_tag;

          flick_khazana_check_span(12, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t755_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t755_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t756_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t756_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t756_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t757_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t758_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t759_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1469);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t757_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t757_principal_len, _flick_abort1469);
                        flick_khazana_decode_new_glob(_t757_principal_len);
                        flick_khazana_decode_new_chunk(_t757_principal_len);
                        flick_khazana_decode_end_chunk(_t757_principal_len);
                        flick_khazana_decode_end_glob(_t757_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1469);
                        flick_cdr_swap_decode_unsigned32(0, _t758_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t758_temp_string_len);
                        flick_khazana_check_span(1 * _t758_temp_string_len, _flick_abort1469);
                        flick_khazana_decode_new_chunk(1 * _t758_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t758_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t758_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t759_storage);
                        _par = flick_interface_parents_ex3;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1469);
                          flick_khazana_encode_new_glob(5, _flick_abort1469);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1477);
                                break;
                                {
                                _flick_abort1477:
                                  goto _flick_abort1469;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1478);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1478:
                                  goto _flick_abort1469;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1469:
                          goto _flick_abort1468;
                        }
                      }
                      break;
                      {
                      _flick_abort1468:
                        goto _flick_abort928;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
          flick_khazana_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t502_switch_tag;

    flick_khazana_decode_new_glob(40);
    flick_khazana_check_span(12, _flick_abort928);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t502_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t502_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t503_switch_tag;

          flick_khazana_check_span(28, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t503_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t503_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t504_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t504_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t504_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t505_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t505_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t505_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t506_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t506_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t506_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t507_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t507_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t507_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t508_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t508_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t508_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t509_principal_len;
                                                CORBA_float _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t510_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1068);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t509_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t509_principal_len, _flick_abort1068);
                                                flick_khazana_decode_new_glob(_t509_principal_len);
                                                flick_khazana_decode_new_chunk(_t509_principal_len);
                                                flick_khazana_decode_end_chunk(_t509_principal_len);
                                                flick_khazana_decode_end_glob(_t509_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t510_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1068);
                                                  flick_khazana_encode_new_glob(8, _flick_abort1068);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA_float );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1074);
                                                        break;
                                                        {
                                                        _flick_abort1074:
                                                          goto _flick_abort1068;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1075);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1075:
                                                          goto _flick_abort1068;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1068:
                                                  goto _flick_abort1067;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1067:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t511_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t511_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t511_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t512_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t512_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t512_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t513_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t513_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t513_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t514_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t514_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t514_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t515_principal_len;
                                                CORBA_short _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t516_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1077);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t515_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t515_principal_len, _flick_abort1077);
                                                flick_khazana_decode_new_glob(_t515_principal_len);
                                                flick_khazana_decode_new_chunk(_t515_principal_len);
                                                flick_khazana_decode_end_chunk(_t515_principal_len);
                                                flick_khazana_decode_end_glob(_t515_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t516_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1077);
                                                  flick_khazana_encode_new_glob(6, _flick_abort1077);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_khazana_encode_end_chunk(2);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(6);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1083);
                                                        break;
                                                        {
                                                        _flick_abort1083:
                                                          goto _flick_abort1077;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1084);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1084:
                                                          goto _flick_abort1077;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1077:
                                                  goto _flick_abort1076;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1076:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t517_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t517_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t517_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t518_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t518_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t518_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t519_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t519_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t519_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t520_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t520_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t520_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t521_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t521_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t521_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t522_principal_len;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t523_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1086);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t522_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t522_principal_len, _flick_abort1086);
                                                flick_khazana_decode_new_glob(_t522_principal_len);
                                                flick_khazana_decode_new_chunk(_t522_principal_len);
                                                flick_khazana_decode_end_chunk(_t522_principal_len);
                                                flick_khazana_decode_end_glob(_t522_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(3);
                                                flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_khazana_check_span(2, _flick_abort1086);
                                                flick_cdr_decode_signed16(0, _local_short_attribute, CORBA_short );
                                                _ev = (CORBA_Environment *)(&_t523_storage);
                                                flick_khazana_decode_end_chunk(2);
                                                flick_khazana_decode_end_glob(3);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1086);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1086);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1092);
                                                        break;
                                                        {
                                                        _flick_abort1092:
                                                          goto _flick_abort1086;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1093);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1093:
                                                          goto _flick_abort1086;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1086:
                                                  goto _flick_abort1085;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1085:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t524_switch_tag;

          flick_khazana_check_span(28, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t524_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t524_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t525_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t525_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t525_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t526_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t526_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t526_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t527_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t527_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t527_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t528_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t528_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t528_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t529_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t529_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t529_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t530_principal_len;
                                                CORBA_double _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t531_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1095);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t530_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t530_principal_len, _flick_abort1095);
                                                flick_khazana_decode_new_glob(_t530_principal_len);
                                                flick_khazana_decode_new_chunk(_t530_principal_len);
                                                flick_khazana_decode_end_chunk(_t530_principal_len);
                                                flick_khazana_decode_end_glob(_t530_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t531_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_double_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1095);
                                                  flick_khazana_encode_new_glob(16, _flick_abort1095);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA_double );
                                                        flick_khazana_encode_end_chunk(8);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1101);
                                                        break;
                                                        {
                                                        _flick_abort1101:
                                                          goto _flick_abort1095;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1102);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1102:
                                                          goto _flick_abort1095;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1095:
                                                  goto _flick_abort1094;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1094:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t532_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t532_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t532_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t533_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t533_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t533_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t534_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t534_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t534_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t535_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t535_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t535_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t536_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t536_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t536_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t537_principal_len;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t538_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1104);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t537_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t537_principal_len, _flick_abort1104);
                                                flick_khazana_decode_new_glob(_t537_principal_len);
                                                flick_khazana_decode_new_chunk(_t537_principal_len);
                                                flick_khazana_decode_end_chunk(_t537_principal_len);
                                                flick_khazana_decode_end_glob(_t537_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(15);
                                                flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_khazana_check_span(8, _flick_abort1104);
                                                flick_cdr_decode_float64(0, _local_double_attribute, CORBA_double );
                                                _ev = (CORBA_Environment *)(&_t538_storage);
                                                flick_khazana_decode_end_chunk(8);
                                                flick_khazana_decode_end_glob(15);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1104);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1104);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1110);
                                                        break;
                                                        {
                                                        _flick_abort1110:
                                                          goto _flick_abort1104;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1111);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1111:
                                                          goto _flick_abort1104;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1104:
                                                  goto _flick_abort1103;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1103:
                                                goto _flick_abort928;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t539_switch_tag;

          flick_khazana_check_span(24, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t539_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t539_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t540_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t540_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t540_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t541_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t541_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t541_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t542_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t542_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t542_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t543_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t543_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t543_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex3 _obj;
                                          unsigned int _t544_principal_len;
                                          CORBA_long _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t545_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1113);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t544_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t544_principal_len, _flick_abort1113);
                                          flick_khazana_decode_new_glob(_t544_principal_len);
                                          flick_khazana_decode_new_chunk(_t544_principal_len);
                                          flick_khazana_decode_end_chunk(_t544_principal_len);
                                          flick_khazana_decode_end_glob(_t544_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t545_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex3__get_long_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1113);
                                            flick_khazana_encode_new_glob(8, _flick_abort1113);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1119);
                                                  break;
                                                  {
                                                  _flick_abort1119:
                                                    goto _flick_abort1113;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1120);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1120:
                                                    goto _flick_abort1113;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1113:
                                            goto _flick_abort1112;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1112:
                                          goto _flick_abort928;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t546_switch_tag;

          flick_khazana_check_span(36, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t546_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t546_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t547_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t547_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t547_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t548_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t548_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t548_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t549_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t549_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t549_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t550_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t550_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t550_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t551_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t551_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t551_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t552_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t552_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t552_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t553_switch_tag;

                                                    flick_khazana_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t553_switch_tag, char );
                                                    flick_khazana_decode_end_chunk(1);
                                                    switch ((char )_t553_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex3 _obj;
                                                            unsigned int _t554_principal_len;
                                                            CORBA_unsigned_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t555_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1122);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t554_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(7);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t554_principal_len, _flick_abort1122);
                                                            flick_khazana_decode_new_glob(_t554_principal_len);
                                                            flick_khazana_decode_new_chunk(_t554_principal_len);
                                                            flick_khazana_decode_end_chunk(_t554_principal_len);
                                                            flick_khazana_decode_end_glob(_t554_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t555_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1122);
                                                              flick_khazana_encode_new_glob(8, _flick_abort1122);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                    flick_khazana_encode_end_chunk(4);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1128);
                                                                    break;
                                                                    {
                                                                    _flick_abort1128:
                                                                      goto _flick_abort1122;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1129);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort1129:
                                                                      goto _flick_abort1122;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1122:
                                                              goto _flick_abort1121;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1121:
                                                            goto _flick_abort928;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t556_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t556_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t556_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex3 _obj;
                  unsigned int _t557_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t558_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1131);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t557_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t557_principal_len, _flick_abort1131);
                  flick_khazana_decode_new_glob(_t557_principal_len);
                  flick_khazana_decode_new_chunk(_t557_principal_len);
                  flick_khazana_decode_end_chunk(_t557_principal_len);
                  flick_khazana_decode_end_glob(_t557_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t558_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex3_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1131);
                    flick_khazana_encode_new_glob(4, _flick_abort1131);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1137);
                          break;
                          {
                          _flick_abort1137:
                            goto _flick_abort1131;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1138);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1138:
                            goto _flick_abort1131;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1131:
                    goto _flick_abort1130;
                  }
                }
                break;
                {
                _flick_abort1130:
                  goto _flick_abort928;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex3 _obj;
                  unsigned int _t559_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t560_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t561_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t562_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1140);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t559_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t559_principal_len, _flick_abort1140);
                  flick_khazana_decode_new_glob(_t559_principal_len);
                  flick_khazana_decode_new_chunk(_t559_principal_len);
                  flick_khazana_decode_end_chunk(_t559_principal_len);
                  flick_khazana_decode_end_glob(_t559_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1140);
                  flick_cdr_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t560_storage);
                  _local_l = (CORBA_long *)(&_t561_storage);
                  flick_cdr_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t562_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1140);
                    flick_khazana_encode_new_glob(24, _flick_abort1140);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1146);
                          break;
                          {
                          _flick_abort1146:
                            goto _flick_abort1140;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1147);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1147:
                            goto _flick_abort1140;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1140:
                    goto _flick_abort1139;
                  }
                }
                break;
                {
                _flick_abort1139:
                  goto _flick_abort928;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex3 _obj;
                  unsigned int _t563_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t564_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t565_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t566_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1149);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t563_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t563_principal_len, _flick_abort1149);
                  flick_khazana_decode_new_glob(_t563_principal_len);
                  flick_khazana_decode_new_chunk(_t563_principal_len);
                  flick_khazana_decode_end_chunk(_t563_principal_len);
                  flick_khazana_decode_end_glob(_t563_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort1149);
                  flick_cdr_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t564_storage);
                  _local_s = (CORBA_short *)(&_t565_storage);
                  flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t566_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1149);
                    flick_khazana_encode_new_glob(22, _flick_abort1149);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1155);
                          break;
                          {
                          _flick_abort1155:
                            goto _flick_abort1149;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1156);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1156:
                            goto _flick_abort1149;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1149:
                    goto _flick_abort1148;
                  }
                }
                break;
                {
                _flick_abort1148:
                  goto _flick_abort928;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex3 _obj;
                  unsigned int _t567_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t568_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t569_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t570_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1158);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t567_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t567_principal_len, _flick_abort1158);
                  flick_khazana_decode_new_glob(_t567_principal_len);
                  flick_khazana_decode_new_chunk(_t567_principal_len);
                  flick_khazana_decode_end_chunk(_t567_principal_len);
                  flick_khazana_decode_end_glob(_t567_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1158);
                  flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t568_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t569_storage);
                  flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t570_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1158);
                    flick_khazana_encode_new_glob(16, _flick_abort1158);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1164);
                          break;
                          {
                          _flick_abort1164:
                            goto _flick_abort1158;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1165);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort1165:
                            goto _flick_abort1158;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1158:
                    goto _flick_abort1157;
                  }
                }
                break;
                {
                _flick_abort1157:
                  goto _flick_abort928;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex3 _obj;
                  unsigned int _t571_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t572_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t573_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t574_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1167);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t571_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t571_principal_len, _flick_abort1167);
                  flick_khazana_decode_new_glob(_t571_principal_len);
                  flick_khazana_decode_new_chunk(_t571_principal_len);
                  flick_khazana_decode_end_chunk(_t571_principal_len);
                  flick_khazana_decode_end_glob(_t571_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort1167);
                  flick_cdr_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t572_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t573_storage);
                  flick_cdr_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t574_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1167);
                    flick_khazana_encode_new_glob(14, _flick_abort1167);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1173);
                          break;
                          {
                          _flick_abort1173:
                            goto _flick_abort1167;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1174);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort1174:
                            goto _flick_abort1167;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1167:
                    goto _flick_abort1166;
                  }
                }
                break;
                {
                _flick_abort1166:
                  goto _flick_abort928;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex3 _obj;
                  unsigned int _t575_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t576_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t577_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t578_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1176);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t575_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t575_principal_len, _flick_abort1176);
                  flick_khazana_decode_new_glob(_t575_principal_len);
                  flick_khazana_decode_new_chunk(_t575_principal_len);
                  flick_khazana_decode_end_chunk(_t575_principal_len);
                  flick_khazana_decode_end_glob(_t575_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t576_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort1176);
                  flick_cdr_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t577_storage);
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t578_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1176);
                    flick_khazana_encode_new_glob(13, _flick_abort1176);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1182);
                          break;
                          {
                          _flick_abort1182:
                            goto _flick_abort1176;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1183);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort1183:
                            goto _flick_abort1176;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1176:
                    goto _flick_abort1175;
                  }
                }
                break;
                {
                _flick_abort1175:
                  goto _flick_abort928;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex3 _obj;
                  unsigned int _t579_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t580_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t581_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t582_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1185);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t579_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t579_principal_len + 1, _flick_abort1185);
                  flick_khazana_decode_new_glob(_t579_principal_len);
                  flick_khazana_decode_new_chunk(_t579_principal_len);
                  flick_khazana_decode_end_chunk(_t579_principal_len);
                  flick_khazana_decode_end_glob(_t579_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t580_storage);
                  _local_c = (CORBA_char *)(&_t581_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t582_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1185);
                    flick_khazana_encode_new_glob(9, _flick_abort1185);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1191);
                          break;
                          {
                          _flick_abort1191:
                            goto _flick_abort1185;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1192);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort1192:
                            goto _flick_abort1185;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1185:
                    goto _flick_abort1184;
                  }
                }
                break;
                {
                _flick_abort1184:
                  goto _flick_abort928;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t583_switch_tag;

          flick_khazana_check_span(12, _flick_abort928);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t583_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t583_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t584_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t584_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t584_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t585_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t586_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t587_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1194);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t585_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t585_principal_len, _flick_abort1194);
                        flick_khazana_decode_new_glob(_t585_principal_len);
                        flick_khazana_decode_new_chunk(_t585_principal_len);
                        flick_khazana_decode_end_chunk(_t585_principal_len);
                        flick_khazana_decode_end_glob(_t585_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1194);
                        flick_cdr_decode_unsigned32(0, _t586_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t586_temp_string_len);
                        flick_khazana_check_span(1 * _t586_temp_string_len, _flick_abort1194);
                        flick_khazana_decode_new_chunk(1 * _t586_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t586_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t586_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t587_storage);
                        _par = flick_interface_parents_ex3;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1194);
                          flick_khazana_encode_new_glob(5, _flick_abort1194);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1202);
                                break;
                                {
                                _flick_abort1202:
                                  goto _flick_abort1194;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1203);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1203:
                                  goto _flick_abort1194;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1194:
                          goto _flick_abort1193;
                        }
                      }
                      break;
                      {
                      _flick_abort1193:
                        goto _flick_abort928;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort928);
          flick_khazana_decode_end_glob(40);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort928:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort927);
  _flick_abort927:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex4_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t1348_switch_tag;

    flick_khazana_decode_new_glob(40);
    flick_khazana_check_span(12, _flick_abort1481);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1348_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t1348_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t1349_switch_tag;

          flick_khazana_check_span(36, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1349_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1349_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1350_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1350_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1350_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1351_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1351_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1351_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1352_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1352_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1352_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1353_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1353_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1353_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1354_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1354_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1354_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1355_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1355_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1355_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1356_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1356_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1356_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1357_principal_len;
                                                            CORBA_unsigned_short _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1358_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2412);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1357_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1357_principal_len, _flick_abort2412);
                                                            flick_khazana_decode_new_glob(_t1357_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1357_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1357_principal_len);
                                                            flick_khazana_decode_end_glob(_t1357_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t1358_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2412);
                                                              flick_khazana_encode_new_glob(6, _flick_abort2412);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(2);
                                                                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                                                    flick_khazana_encode_end_chunk(2);
                                                                    flick_khazana_encode_end_glob(6);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(6);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2418);
                                                                    break;
                                                                    {
                                                                    _flick_abort2418:
                                                                      goto _flick_abort2412;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2419);
                                                                    flick_khazana_encode_end_glob(6);
                                                                    break;
                                                                    {
                                                                    _flick_abort2419:
                                                                      goto _flick_abort2412;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2412:
                                                              goto _flick_abort2411;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2411:
                                                            goto _flick_abort1481;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t1359_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1359_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1359_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t1360_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1360_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1360_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t1361_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1361_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1361_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t1362_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1362_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1362_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1363_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1363_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1363_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1364_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1364_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1364_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1365_principal_len;
                                                            CORBA_char *_return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1366_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2421);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1365_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1365_principal_len, _flick_abort2421);
                                                            flick_khazana_decode_new_glob(_t1365_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1365_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1365_principal_len);
                                                            flick_khazana_decode_end_glob(_t1365_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t1366_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2421);
                                                              flick_khazana_encode_new_glob(19, _flick_abort2421);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_unsigned32_t _t1368_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1368_temp_string_len);

                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4 + 1 * _t1368_temp_string_len);
                                                                    flick_cdr_encode_unsigned32(0, _t1368_temp_string_len, flick_unsigned32_t );
                                                                    if (_t1368_temp_string_len > 11)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2428);
                                                                    flick_cdr_encode_bcopy(4, _return, 1 * _t1368_temp_string_len);
                                                                    CORBA_flick_free(_return);
                                                                    _return = (CORBA_char *)0;
                                                                    flick_khazana_encode_end_chunk(4 + 1 * _t1368_temp_string_len);
                                                                    flick_khazana_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort2428:
                                                                      goto _flick_abort2421;
                                                                    }
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(19);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2431);
                                                                    break;
                                                                    {
                                                                    _flick_abort2431:
                                                                      goto _flick_abort2421;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2432);
                                                                    flick_khazana_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort2432:
                                                                      goto _flick_abort2421;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2421:
                                                              goto _flick_abort2420;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2420:
                                                            goto _flick_abort1481;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1369_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1369_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1369_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1370_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1370_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1370_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1371_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1371_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1371_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1372_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1372_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1372_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1373_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1373_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1373_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1374_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1374_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1374_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1375_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1375_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1375_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1376_principal_len;
                                                            CORBA_unsigned_short _local_unsigned_short_attribute;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1377_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2434);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1376_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1376_principal_len, _flick_abort2434);
                                                            flick_khazana_decode_new_glob(_t1376_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1376_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1376_principal_len);
                                                            flick_khazana_decode_end_glob(_t1376_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_khazana_decode_new_glob(3);
                                                            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_khazana_check_span(2, _flick_abort2434);
                                                            flick_cdr_swap_decode_unsigned16(0, _local_unsigned_short_attribute, CORBA_unsigned_short );
                                                            _ev = (CORBA_Environment *)(&_t1377_storage);
                                                            flick_khazana_decode_end_chunk(2);
                                                            flick_khazana_decode_end_glob(3);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2434);
                                                              flick_khazana_encode_new_glob(4, _flick_abort2434);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2440);
                                                                    break;
                                                                    {
                                                                    _flick_abort2440:
                                                                      goto _flick_abort2434;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2441);
                                                                    flick_khazana_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort2441:
                                                                      goto _flick_abort2434;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2434:
                                                              goto _flick_abort2433;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2433:
                                                            goto _flick_abort1481;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t1378_switch_tag;

          flick_khazana_check_span(24, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1378_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1378_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1379_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1379_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1379_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t1380_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1380_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1380_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t1381_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1381_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1381_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1382_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1382_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1382_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t1383_principal_len;
                                          CORBA_char _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1384_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2443);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1383_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t1383_principal_len, _flick_abort2443);
                                          flick_khazana_decode_new_glob(_t1383_principal_len);
                                          flick_khazana_decode_new_chunk(_t1383_principal_len);
                                          flick_khazana_decode_end_chunk(_t1383_principal_len);
                                          flick_khazana_decode_end_glob(_t1383_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t1384_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4__get_char_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2443);
                                            flick_khazana_encode_new_glob(5, _flick_abort2443);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return, CORBA_char );
                                                  flick_khazana_encode_end_chunk(1);
                                                  flick_khazana_encode_end_glob(5);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(5);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2449);
                                                  break;
                                                  {
                                                  _flick_abort2449:
                                                    goto _flick_abort2443;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2450);
                                                  flick_khazana_encode_end_glob(5);
                                                  break;
                                                  {
                                                  _flick_abort2450:
                                                    goto _flick_abort2443;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2443:
                                            goto _flick_abort2442;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2442:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t1385_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1385_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1385_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t1386_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1386_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1386_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1387_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1387_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1387_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t1388_principal_len;
                                          CORBA_long _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1389_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2452);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1388_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t1388_principal_len, _flick_abort2452);
                                          flick_khazana_decode_new_glob(_t1388_principal_len);
                                          flick_khazana_decode_new_chunk(_t1388_principal_len);
                                          flick_khazana_decode_end_chunk(_t1388_principal_len);
                                          flick_khazana_decode_end_glob(_t1388_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t1389_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4__get_long_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2452);
                                            flick_khazana_encode_new_glob(8, _flick_abort2452);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2458);
                                                  break;
                                                  {
                                                  _flick_abort2458:
                                                    goto _flick_abort2452;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2459);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort2459:
                                                    goto _flick_abort2452;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2452:
                                            goto _flick_abort2451;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2451:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t1390_switch_tag;

          flick_khazana_check_span(28, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1390_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1390_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1391_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1391_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1391_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1392_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1392_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1392_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1393_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1393_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1393_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1394_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1394_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1394_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1395_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1395_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1395_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1396_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1396_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t1396_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      unsigned int _t1397_principal_len;
                                                      CORBA_boolean _return;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t1398_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2461);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1397_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(40);
                                                      flick_khazana_check_span(_t1397_principal_len, _flick_abort2461);
                                                      flick_khazana_decode_new_glob(_t1397_principal_len);
                                                      flick_khazana_decode_new_chunk(_t1397_principal_len);
                                                      flick_khazana_decode_end_chunk(_t1397_principal_len);
                                                      flick_khazana_decode_end_glob(_t1397_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      _ev = (CORBA_Environment *)(&_t1398_storage);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = ex4__get_boolean_attribute(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2461);
                                                        flick_khazana_encode_new_glob(5, _flick_abort2461);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_new_chunk(1);
                                                              flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                              flick_khazana_encode_end_chunk(1);
                                                              flick_khazana_encode_end_glob(5);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(5);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2467);
                                                              break;
                                                              {
                                                              _flick_abort2467:
                                                                goto _flick_abort2461;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2468);
                                                              flick_khazana_encode_end_glob(5);
                                                              break;
                                                              {
                                                              _flick_abort2468:
                                                                goto _flick_abort2461;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort2461:
                                                        goto _flick_abort2460;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort2460:
                                                      goto _flick_abort1481;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1399_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1399_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1399_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1400_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1400_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1400_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1401_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1401_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1401_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1402_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1402_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1402_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1403_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1403_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1403_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1404_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1404_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t1404_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      unsigned int _t1405_principal_len;
                                                      CORBA_boolean _local_boolean_attribute;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t1406_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2470);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1405_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(40);
                                                      flick_khazana_check_span(_t1405_principal_len + 1, _flick_abort2470);
                                                      flick_khazana_decode_new_glob(_t1405_principal_len);
                                                      flick_khazana_decode_new_chunk(_t1405_principal_len);
                                                      flick_khazana_decode_end_chunk(_t1405_principal_len);
                                                      flick_khazana_decode_end_glob(_t1405_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_khazana_decode_new_glob(1);
                                                      flick_khazana_decode_new_chunk(1);
                                                      flick_cdr_swap_decode_unsigned8(0, _local_boolean_attribute, CORBA_boolean );
                                                      _ev = (CORBA_Environment *)(&_t1406_storage);
                                                      flick_khazana_decode_end_chunk(1);
                                                      flick_khazana_decode_end_glob(1);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2470);
                                                        flick_khazana_encode_new_glob(4, _flick_abort2470);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2476);
                                                              break;
                                                              {
                                                              _flick_abort2476:
                                                                goto _flick_abort2470;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2477);
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort2477:
                                                                goto _flick_abort2470;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort2470:
                                                        goto _flick_abort2469;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort2469:
                                                      goto _flick_abort1481;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t1407_switch_tag;

          flick_khazana_check_span(28, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1407_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1407_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1408_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1408_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1408_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t1409_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1409_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1409_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t1410_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1410_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1410_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1411_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1411_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1411_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1412_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1412_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1412_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1413_principal_len;
                                                CORBA_octet _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1414_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2479);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1413_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1413_principal_len, _flick_abort2479);
                                                flick_khazana_decode_new_glob(_t1413_principal_len);
                                                flick_khazana_decode_new_chunk(_t1413_principal_len);
                                                flick_khazana_decode_end_chunk(_t1413_principal_len);
                                                flick_khazana_decode_end_glob(_t1413_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1414_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2479);
                                                  flick_khazana_encode_new_glob(5, _flick_abort2479);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(1);
                                                        flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                                        flick_khazana_encode_end_chunk(1);
                                                        flick_khazana_encode_end_glob(5);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(5);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2485);
                                                        break;
                                                        {
                                                        _flick_abort2485:
                                                          goto _flick_abort2479;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2486);
                                                        flick_khazana_encode_end_glob(5);
                                                        break;
                                                        {
                                                        _flick_abort2486:
                                                          goto _flick_abort2479;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2479:
                                                  goto _flick_abort2478;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2478:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t1415_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1415_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1415_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t1416_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1416_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1416_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1417_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1417_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1417_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1418_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1418_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1418_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1419_principal_len;
                                                CORBA_float _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1420_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2488);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1419_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1419_principal_len, _flick_abort2488);
                                                flick_khazana_decode_new_glob(_t1419_principal_len);
                                                flick_khazana_decode_new_chunk(_t1419_principal_len);
                                                flick_khazana_decode_end_chunk(_t1419_principal_len);
                                                flick_khazana_decode_end_glob(_t1419_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t1420_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2488);
                                                  flick_khazana_encode_new_glob(8, _flick_abort2488);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA_float );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2494);
                                                        break;
                                                        {
                                                        _flick_abort2494:
                                                          goto _flick_abort2488;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2495);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort2495:
                                                          goto _flick_abort2488;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2488:
                                                  goto _flick_abort2487;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2487:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1421_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1421_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1421_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1422_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1422_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1422_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1423_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1423_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1423_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1424_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1424_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1424_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1425_principal_len;
                                                CORBA_short _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1426_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2497);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1425_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1425_principal_len, _flick_abort2497);
                                                flick_khazana_decode_new_glob(_t1425_principal_len);
                                                flick_khazana_decode_new_chunk(_t1425_principal_len);
                                                flick_khazana_decode_end_chunk(_t1425_principal_len);
                                                flick_khazana_decode_end_glob(_t1425_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1426_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2497);
                                                  flick_khazana_encode_new_glob(6, _flick_abort2497);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_khazana_encode_end_chunk(2);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(6);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2503);
                                                        break;
                                                        {
                                                        _flick_abort2503:
                                                          goto _flick_abort2497;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2504);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort2504:
                                                          goto _flick_abort2497;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2497:
                                                  goto _flick_abort2496;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2496:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1427_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1427_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1427_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1428_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1428_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1428_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1429_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1429_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1429_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1430_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1430_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1430_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1431_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1431_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1431_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1432_principal_len;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1433_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2506);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1432_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1432_principal_len, _flick_abort2506);
                                                flick_khazana_decode_new_glob(_t1432_principal_len);
                                                flick_khazana_decode_new_chunk(_t1432_principal_len);
                                                flick_khazana_decode_end_chunk(_t1432_principal_len);
                                                flick_khazana_decode_end_glob(_t1432_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(3);
                                                flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_khazana_check_span(2, _flick_abort2506);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute, CORBA_short );
                                                _ev = (CORBA_Environment *)(&_t1433_storage);
                                                flick_khazana_decode_end_chunk(2);
                                                flick_khazana_decode_end_glob(3);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2506);
                                                  flick_khazana_encode_new_glob(4, _flick_abort2506);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2512);
                                                        break;
                                                        {
                                                        _flick_abort2512:
                                                          goto _flick_abort2506;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2513);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2513:
                                                          goto _flick_abort2506;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2506:
                                                  goto _flick_abort2505;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2505:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t1434_switch_tag;

          flick_khazana_check_span(28, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1434_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1434_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1435_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1435_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1435_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1436_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1436_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1436_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1437_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1437_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1437_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1438_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1438_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1438_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1439_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1439_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1439_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1440_principal_len;
                                                CORBA_char *_return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1441_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2515);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1440_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1440_principal_len, _flick_abort2515);
                                                flick_khazana_decode_new_glob(_t1440_principal_len);
                                                flick_khazana_decode_new_chunk(_t1440_principal_len);
                                                flick_khazana_decode_end_chunk(_t1440_principal_len);
                                                flick_khazana_decode_end_glob(_t1440_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1441_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_string_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2515);
                                                  flick_khazana_encode_new_glob(8, _flick_abort2515);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_unsigned32_t _t1443_temp_string_len;

                                                        flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1443_temp_string_len);

                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _t1443_temp_string_len, flick_unsigned32_t );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_khazana_encode_new_glob(1 * _t1443_temp_string_len, _flick_abort2522);
                                                        flick_khazana_encode_new_chunk(1 * _t1443_temp_string_len);
                                                        flick_cdr_encode_bcopy(0, _return, 1 * _t1443_temp_string_len);
                                                        CORBA_flick_free(_return);
                                                        _return = (CORBA_char *)0;
                                                        flick_khazana_encode_end_chunk(1 * _t1443_temp_string_len);
                                                        flick_khazana_encode_end_glob(1 * _t1443_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort2522:
                                                          goto _flick_abort2515;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2525);
                                                        break;
                                                        {
                                                        _flick_abort2525:
                                                          goto _flick_abort2515;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2526);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort2526:
                                                          goto _flick_abort2515;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2515:
                                                  goto _flick_abort2514;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2514:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1444_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1444_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1444_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1445_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1445_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1445_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1446_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1446_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1446_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1447_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1447_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1447_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1448_principal_len;
                                                CORBA_double _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1449_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2528);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1448_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1448_principal_len, _flick_abort2528);
                                                flick_khazana_decode_new_glob(_t1448_principal_len);
                                                flick_khazana_decode_new_chunk(_t1448_principal_len);
                                                flick_khazana_decode_end_chunk(_t1448_principal_len);
                                                flick_khazana_decode_end_glob(_t1448_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t1449_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_double_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2528);
                                                  flick_khazana_encode_new_glob(16, _flick_abort2528);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA_double );
                                                        flick_khazana_encode_end_chunk(8);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2534);
                                                        break;
                                                        {
                                                        _flick_abort2534:
                                                          goto _flick_abort2528;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2535);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort2535:
                                                          goto _flick_abort2528;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2528:
                                                  goto _flick_abort2527;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2527:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1450_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1450_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1450_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1451_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1451_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1451_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1452_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1452_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1452_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1453_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1453_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1453_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1454_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1454_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1454_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1455_principal_len;
                                                CORBA_char *_local_string_attribute;
                                                flick_unsigned32_t _t1456_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1457_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2537);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1455_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1455_principal_len, _flick_abort2537);
                                                flick_khazana_decode_new_glob(_t1455_principal_len);
                                                flick_khazana_decode_new_chunk(_t1455_principal_len);
                                                flick_khazana_decode_end_chunk(_t1455_principal_len);
                                                flick_khazana_decode_end_glob(_t1455_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(7);
                                                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_khazana_check_span(4, _flick_abort2537);
                                                flick_cdr_swap_decode_unsigned32(0, _t1456_temp_string_len, flick_unsigned32_t );
                                                flick_khazana_decode_end_chunk(4);
                                                flick_khazana_decode_end_glob(7);
                                                flick_khazana_decode_new_glob(1 * _t1456_temp_string_len);
                                                flick_khazana_check_span(1 * _t1456_temp_string_len, _flick_abort2537);
                                                flick_khazana_decode_new_chunk(1 * _t1456_temp_string_len);
                                                flick_cdr_swap_decode_msgptr(0, _local_string_attribute, CORBA_char *);
                                                flick_khazana_decode_end_chunk(1 * _t1456_temp_string_len);
                                                flick_khazana_decode_end_glob(1 * _t1456_temp_string_len);
                                                _ev = (CORBA_Environment *)(&_t1457_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2537);
                                                  flick_khazana_encode_new_glob(4, _flick_abort2537);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2545);
                                                        break;
                                                        {
                                                        _flick_abort2545:
                                                          goto _flick_abort2537;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2546);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2546:
                                                          goto _flick_abort2537;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2537:
                                                  goto _flick_abort2536;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2536:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1458_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1458_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1458_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1459_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1459_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1459_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1460_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1460_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1460_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1461_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1461_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1461_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1462_principal_len;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1463_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2548);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1462_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1462_principal_len, _flick_abort2548);
                                                flick_khazana_decode_new_glob(_t1462_principal_len);
                                                flick_khazana_decode_new_chunk(_t1462_principal_len);
                                                flick_khazana_decode_end_chunk(_t1462_principal_len);
                                                flick_khazana_decode_end_glob(_t1462_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(15);
                                                flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_khazana_check_span(8, _flick_abort2548);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute, CORBA_double );
                                                _ev = (CORBA_Environment *)(&_t1463_storage);
                                                flick_khazana_decode_end_chunk(8);
                                                flick_khazana_decode_end_glob(15);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2548);
                                                  flick_khazana_encode_new_glob(4, _flick_abort2548);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2554);
                                                        break;
                                                        {
                                                        _flick_abort2554:
                                                          goto _flick_abort2548;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2555);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2555:
                                                          goto _flick_abort2548;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2548:
                                                  goto _flick_abort2547;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2547:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t1464_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1464_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1464_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex4 _obj;
                  unsigned int _t1465_principal_len;
                  CORBA_char _return;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t1466_storage;
                  CORBA_octet *_local_o;
                  CORBA_octet _t1467_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1468_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2557);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1465_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1465_principal_len + 2, _flick_abort2557);
                  flick_khazana_decode_new_glob(_t1465_principal_len);
                  flick_khazana_decode_new_chunk(_t1465_principal_len);
                  flick_khazana_decode_end_chunk(_t1465_principal_len);
                  flick_khazana_decode_end_glob(_t1465_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(2);
                  flick_khazana_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA_char );
                  _local_b = (CORBA_boolean *)(&_t1466_storage);
                  _local_o = (CORBA_octet *)(&_t1467_storage);
                  flick_cdr_swap_decode_unsigned8(1, *_local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t1468_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(2);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2557);
                    flick_khazana_encode_new_glob(7, _flick_abort2557);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA_char );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                          flick_khazana_encode_end_chunk(3);
                          flick_khazana_encode_end_glob(7);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(7);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2563);
                          break;
                          {
                          _flick_abort2563:
                            goto _flick_abort2557;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2564);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort2564:
                            goto _flick_abort2557;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2557:
                    goto _flick_abort2556;
                  }
                }
                break;
                {
                _flick_abort2556:
                  goto _flick_abort1481;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex4 _obj;
                  unsigned int _t1469_principal_len;
                  CORBA_boolean _return;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t1470_storage;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1471_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2566);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1469_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1469_principal_len + 1, _flick_abort2566);
                  flick_khazana_decode_new_glob(_t1469_principal_len);
                  flick_khazana_decode_new_chunk(_t1469_principal_len);
                  flick_khazana_decode_end_chunk(_t1469_principal_len);
                  flick_khazana_decode_end_glob(_t1469_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_b = (CORBA_boolean *)(&_t1470_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t1471_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2566);
                    flick_khazana_encode_new_glob(6, _flick_abort2566);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2572);
                          break;
                          {
                          _flick_abort2572:
                            goto _flick_abort2566;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2573);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort2573:
                            goto _flick_abort2566;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2566:
                    goto _flick_abort2565;
                  }
                }
                break;
                {
                _flick_abort2565:
                  goto _flick_abort1481;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex4 _obj;
                  unsigned int _t1472_principal_len;
                  CORBA_octet _return;
                  CORBA_octet *_local_o;
                  CORBA_octet _t1473_storage;
                  CORBA_char **_local_s;
                  CORBA_char *_t1474_storage;
                  CORBA_char *_local_ls;
                  flick_unsigned32_t _t1475_temp_string_len;
                  CORBA_long *_local_l;
                  CORBA_long _t1476_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1477_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2575);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1472_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1472_principal_len + 1, _flick_abort2575);
                  flick_khazana_decode_new_glob(_t1472_principal_len);
                  flick_khazana_decode_new_chunk(_t1472_principal_len);
                  flick_khazana_decode_end_chunk(_t1472_principal_len);
                  flick_khazana_decode_end_glob(_t1472_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_o = (CORBA_octet *)(&_t1473_storage);
                  flick_khazana_decode_new_glob(26);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, *_local_o, CORBA_octet );
                  _local_s = (CORBA_char **)(&_t1474_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort2575);
                  flick_cdr_swap_decode_unsigned32(0, _t1475_temp_string_len, flick_unsigned32_t );
                  if (_t1475_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2575);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_check_span(1 * _t1475_temp_string_len, _flick_abort2575);
                  flick_khazana_decode_new_chunk(1 * _t1475_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_ls, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t1475_temp_string_len);
                  _local_l = (CORBA_long *)(&_t1476_storage);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort2575);
                  flick_cdr_swap_decode_signed32(0, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t1477_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(26);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2575);
                    flick_khazana_encode_new_glob(12, _flick_abort2575);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t1479_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t1479_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                          flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                          flick_cdr_encode_unsigned32(4, _t1479_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(8);
                          flick_khazana_encode_end_glob(12);
                          flick_khazana_encode_new_glob(1 * _t1479_temp_string_len, _flick_abort2584);
                          flick_khazana_encode_new_chunk(1 * _t1479_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_s, 1 * _t1479_temp_string_len);
                          CORBA_flick_free(*_local_s);
                          *_local_s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t1479_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t1479_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort2584);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort2584:
                            goto _flick_abort2575;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2587);
                          break;
                          {
                          _flick_abort2587:
                            goto _flick_abort2575;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2588);
                          flick_khazana_encode_end_glob(12);
                          break;
                          {
                          _flick_abort2588:
                            goto _flick_abort2575;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2575:
                    goto _flick_abort2574;
                  }
                }
                break;
                {
                _flick_abort2574:
                  goto _flick_abort1481;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex4 _obj;
                  unsigned int _t1480_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1481_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2590);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1480_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1480_principal_len, _flick_abort2590);
                  flick_khazana_decode_new_glob(_t1480_principal_len);
                  flick_khazana_decode_new_chunk(_t1480_principal_len);
                  flick_khazana_decode_end_chunk(_t1480_principal_len);
                  flick_khazana_decode_end_glob(_t1480_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t1481_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex4_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2590);
                    flick_khazana_encode_new_glob(4, _flick_abort2590);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2596);
                          break;
                          {
                          _flick_abort2596:
                            goto _flick_abort2590;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2597);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort2597:
                            goto _flick_abort2590;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2590:
                    goto _flick_abort2589;
                  }
                }
                break;
                {
                _flick_abort2589:
                  goto _flick_abort1481;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex4 _obj;
                  unsigned int _t1482_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t1483_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t1484_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1485_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2599);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1482_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1482_principal_len, _flick_abort2599);
                  flick_khazana_decode_new_glob(_t1482_principal_len);
                  flick_khazana_decode_new_chunk(_t1482_principal_len);
                  flick_khazana_decode_end_chunk(_t1482_principal_len);
                  flick_khazana_decode_end_glob(_t1482_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort2599);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t1483_storage);
                  _local_l = (CORBA_long *)(&_t1484_storage);
                  flick_cdr_swap_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t1485_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2599);
                    flick_khazana_encode_new_glob(24, _flick_abort2599);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2605);
                          break;
                          {
                          _flick_abort2605:
                            goto _flick_abort2599;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2606);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort2606:
                            goto _flick_abort2599;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2599:
                    goto _flick_abort2598;
                  }
                }
                break;
                {
                _flick_abort2598:
                  goto _flick_abort1481;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex4 _obj;
                  unsigned int _t1486_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t1487_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t1488_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1489_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2608);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1486_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1486_principal_len, _flick_abort2608);
                  flick_khazana_decode_new_glob(_t1486_principal_len);
                  flick_khazana_decode_new_chunk(_t1486_principal_len);
                  flick_khazana_decode_end_chunk(_t1486_principal_len);
                  flick_khazana_decode_end_glob(_t1486_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort2608);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t1487_storage);
                  _local_s = (CORBA_short *)(&_t1488_storage);
                  flick_cdr_swap_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t1489_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2608);
                    flick_khazana_encode_new_glob(22, _flick_abort2608);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2614);
                          break;
                          {
                          _flick_abort2614:
                            goto _flick_abort2608;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2615);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort2615:
                            goto _flick_abort2608;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2608:
                    goto _flick_abort2607;
                  }
                }
                break;
                {
                _flick_abort2607:
                  goto _flick_abort1481;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex4 _obj;
                  unsigned int _t1490_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t1491_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1492_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1493_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2617);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1490_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1490_principal_len, _flick_abort2617);
                  flick_khazana_decode_new_glob(_t1490_principal_len);
                  flick_khazana_decode_new_chunk(_t1490_principal_len);
                  flick_khazana_decode_end_chunk(_t1490_principal_len);
                  flick_khazana_decode_end_glob(_t1490_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort2617);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t1491_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t1492_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t1493_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2617);
                    flick_khazana_encode_new_glob(16, _flick_abort2617);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2623);
                          break;
                          {
                          _flick_abort2623:
                            goto _flick_abort2617;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2624);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort2624:
                            goto _flick_abort2617;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2617:
                    goto _flick_abort2616;
                  }
                }
                break;
                {
                _flick_abort2616:
                  goto _flick_abort1481;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex4 _obj;
                  unsigned int _t1494_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1495_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t1496_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1497_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2626);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1494_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1494_principal_len, _flick_abort2626);
                  flick_khazana_decode_new_glob(_t1494_principal_len);
                  flick_khazana_decode_new_chunk(_t1494_principal_len);
                  flick_khazana_decode_end_chunk(_t1494_principal_len);
                  flick_khazana_decode_end_glob(_t1494_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort2626);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t1495_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t1496_storage);
                  flick_cdr_swap_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t1497_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2626);
                    flick_khazana_encode_new_glob(14, _flick_abort2626);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2632);
                          break;
                          {
                          _flick_abort2632:
                            goto _flick_abort2626;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2633);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort2633:
                            goto _flick_abort2626;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2626:
                    goto _flick_abort2625;
                  }
                }
                break;
                {
                _flick_abort2625:
                  goto _flick_abort1481;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex4 _obj;
                  unsigned int _t1498_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1499_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t1500_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1501_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2635);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1498_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1498_principal_len, _flick_abort2635);
                  flick_khazana_decode_new_glob(_t1498_principal_len);
                  flick_khazana_decode_new_chunk(_t1498_principal_len);
                  flick_khazana_decode_end_chunk(_t1498_principal_len);
                  flick_khazana_decode_end_glob(_t1498_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t1499_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort2635);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t1500_storage);
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t1501_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2635);
                    flick_khazana_encode_new_glob(13, _flick_abort2635);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2641);
                          break;
                          {
                          _flick_abort2641:
                            goto _flick_abort2635;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2642);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort2642:
                            goto _flick_abort2635;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2635:
                    goto _flick_abort2634;
                  }
                }
                break;
                {
                _flick_abort2634:
                  goto _flick_abort1481;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex4 _obj;
                  unsigned int _t1502_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t1503_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t1504_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1505_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2644);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1502_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1502_principal_len + 1, _flick_abort2644);
                  flick_khazana_decode_new_glob(_t1502_principal_len);
                  flick_khazana_decode_new_chunk(_t1502_principal_len);
                  flick_khazana_decode_end_chunk(_t1502_principal_len);
                  flick_khazana_decode_end_glob(_t1502_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t1503_storage);
                  _local_c = (CORBA_char *)(&_t1504_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t1505_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2644);
                    flick_khazana_encode_new_glob(9, _flick_abort2644);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2650);
                          break;
                          {
                          _flick_abort2650:
                            goto _flick_abort2644;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2651);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort2651:
                            goto _flick_abort2644;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2644:
                    goto _flick_abort2643;
                  }
                }
                break;
                {
                _flick_abort2643:
                  goto _flick_abort1481;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t1506_switch_tag;

          flick_khazana_check_span(12, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1506_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1506_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t1507_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1507_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1507_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1508_principal_len;
                        CORBA_char *_return;
                        CORBA_char *_local_s;
                        flick_unsigned32_t _t1509_temp_string_len;
                        CORBA_char **_local_ls;
                        CORBA_char *_t1510_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1511_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2653);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1508_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1508_principal_len, _flick_abort2653);
                        flick_khazana_decode_new_glob(_t1508_principal_len);
                        flick_khazana_decode_new_chunk(_t1508_principal_len);
                        flick_khazana_decode_end_chunk(_t1508_principal_len);
                        flick_khazana_decode_end_glob(_t1508_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2653);
                        flick_cdr_swap_decode_unsigned32(0, _t1509_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1509_temp_string_len);
                        flick_khazana_check_span(1 * _t1509_temp_string_len, _flick_abort2653);
                        flick_khazana_decode_new_chunk(1 * _t1509_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_s, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1509_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1509_temp_string_len);
                        _local_ls = (CORBA_char **)(&_t1510_storage);
                        _ev = (CORBA_Environment *)(&_t1511_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2653);
                          flick_khazana_encode_new_glob(8, _flick_abort2653);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1514_temp_string_len;
                                flick_unsigned32_t _t1515_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1514_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1515_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t1514_temp_string_len, flick_unsigned32_t );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _t1514_temp_string_len, _flick_abort2664);
                                flick_khazana_encode_new_chunk(1 * _t1514_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t1514_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(1 * _t1514_temp_string_len);
                                flick_khazana_encode_end_glob(1 * _t1514_temp_string_len);
                                flick_khazana_encode_new_glob(18, _flick_abort2664);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t1515_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1515_temp_string_len, flick_unsigned32_t );
                                if (_t1515_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2664);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t1515_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1515_temp_string_len);
                                flick_khazana_encode_end_glob(18);
                                break;
                                {
                                _flick_abort2664:
                                  goto _flick_abort2653;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2669);
                                break;
                                {
                                _flick_abort2669:
                                  goto _flick_abort2653;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2670);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2670:
                                  goto _flick_abort2653;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2653:
                          goto _flick_abort2652;
                        }
                      }
                      break;
                      {
                      _flick_abort2652:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t1516_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1516_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1516_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1517_principal_len;
                        CORBA_char *_return;
                        CORBA_char **_local_ls;
                        CORBA_char *_t1518_storage;
                        flick_unsigned32_t _t1519_temp_string_len;
                        CORBA_long *_local_l;
                        CORBA_long _t1520_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1521_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2672);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1517_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1517_principal_len, _flick_abort2672);
                        flick_khazana_decode_new_glob(_t1517_principal_len);
                        flick_khazana_decode_new_chunk(_t1517_principal_len);
                        flick_khazana_decode_end_chunk(_t1517_principal_len);
                        flick_khazana_decode_end_glob(_t1517_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_ls = (CORBA_char **)(&_t1518_storage);
                        flick_khazana_decode_new_glob(18);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2672);
                        flick_cdr_swap_decode_unsigned32(0, _t1519_temp_string_len, flick_unsigned32_t );
                        if (_t1519_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2672);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(1 * _t1519_temp_string_len, _flick_abort2672);
                        flick_khazana_decode_new_chunk(1 * _t1519_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2672);
                          *_local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, *_local_ls, 1 * _t1519_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t1519_temp_string_len);
                        _local_l = (CORBA_long *)(&_t1520_storage);
                        _ev = (CORBA_Environment *)(&_t1521_storage);
                        flick_khazana_decode_end_glob(18);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2675);
                          flick_khazana_encode_new_glob(44, _flick_abort2675);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1524_temp_string_len;
                                flick_unsigned32_t _t1525_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1524_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1525_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 1 * _t1524_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t1524_temp_string_len, flick_unsigned32_t );
                                if (_t1524_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2684);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t1524_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1524_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t1525_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1525_temp_string_len, flick_unsigned32_t );
                                if (_t1525_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2684);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t1525_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1525_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2684:
                                  goto _flick_abort2675;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(44);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2689);
                                break;
                                {
                                _flick_abort2689:
                                  goto _flick_abort2675;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2690);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2690:
                                  goto _flick_abort2675;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2675:
                          CORBA_flick_free(*_local_ls);
                        _flick_abort2672:
                          goto _flick_abort2671;
                        }
                      }
                      break;
                      {
                      _flick_abort2671:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t1526_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1526_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1526_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1527_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1528_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2692);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1527_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1527_principal_len, _flick_abort2692);
                        flick_khazana_decode_new_glob(_t1527_principal_len);
                        flick_khazana_decode_new_chunk(_t1527_principal_len);
                        flick_khazana_decode_end_chunk(_t1527_principal_len);
                        flick_khazana_decode_end_glob(_t1527_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2692);
                        flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t1528_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op12(_obj, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2692);
                          flick_khazana_encode_new_glob(8, _flick_abort2692);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2698);
                                break;
                                {
                                _flick_abort2698:
                                  goto _flick_abort2692;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2699);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2699:
                                  goto _flick_abort2692;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2692:
                          goto _flick_abort2691;
                        }
                      }
                      break;
                      {
                      _flick_abort2691:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t1529_switch_tag;

          flick_khazana_check_span(36, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1529_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1529_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1530_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1530_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1530_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1531_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1531_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1531_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1532_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1532_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1532_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t1533_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1533_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1533_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t1534_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1534_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1534_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t1535_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1535_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1535_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t1536_switch_tag;

                                                    flick_khazana_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1536_switch_tag, char );
                                                    flick_khazana_decode_end_chunk(1);
                                                    switch ((char )_t1536_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1537_principal_len;
                                                            CORBA_unsigned_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1538_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2701);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t1537_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(7);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1537_principal_len, _flick_abort2701);
                                                            flick_khazana_decode_new_glob(_t1537_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1537_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1537_principal_len);
                                                            flick_khazana_decode_end_glob(_t1537_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t1538_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2701);
                                                              flick_khazana_encode_new_glob(8, _flick_abort2701);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                    flick_khazana_encode_end_chunk(4);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2707);
                                                                    break;
                                                                    {
                                                                    _flick_abort2707:
                                                                      goto _flick_abort2701;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2708);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort2708:
                                                                      goto _flick_abort2701;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2701:
                                                              goto _flick_abort2700;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2700:
                                                            goto _flick_abort1481;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t1539_switch_tag;

          flick_khazana_check_span(12, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1539_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1539_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1540_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1540_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t1540_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t1541_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t1542_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1543_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2710);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1541_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1541_principal_len, _flick_abort2710);
                        flick_khazana_decode_new_glob(_t1541_principal_len);
                        flick_khazana_decode_new_chunk(_t1541_principal_len);
                        flick_khazana_decode_end_chunk(_t1541_principal_len);
                        flick_khazana_decode_end_glob(_t1541_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2710);
                        flick_cdr_swap_decode_unsigned32(0, _t1542_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1542_temp_string_len);
                        flick_khazana_check_span(1 * _t1542_temp_string_len, _flick_abort2710);
                        flick_khazana_decode_new_chunk(1 * _t1542_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1542_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1542_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t1543_storage);
                        _par = flick_interface_parents_ex4;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2710);
                          flick_khazana_encode_new_glob(5, _flick_abort2710);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2718);
                                break;
                                {
                                _flick_abort2718:
                                  goto _flick_abort2710;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2719);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2719:
                                  goto _flick_abort2710;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2710:
                          goto _flick_abort2709;
                        }
                      }
                      break;
                      {
                      _flick_abort2709:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
          flick_khazana_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t956_switch_tag;

    flick_khazana_decode_new_glob(40);
    flick_khazana_check_span(12, _flick_abort1481);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t956_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t956_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t957_switch_tag;

          flick_khazana_check_span(36, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t957_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t957_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t958_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t958_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t958_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t959_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t959_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t959_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t960_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t960_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t960_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t961_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t961_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t961_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t962_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t962_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t962_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t963_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t963_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t963_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t964_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t964_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t964_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t965_principal_len;
                                                            CORBA_unsigned_short _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t966_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1793);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t965_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t965_principal_len, _flick_abort1793);
                                                            flick_khazana_decode_new_glob(_t965_principal_len);
                                                            flick_khazana_decode_new_chunk(_t965_principal_len);
                                                            flick_khazana_decode_end_chunk(_t965_principal_len);
                                                            flick_khazana_decode_end_glob(_t965_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t966_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1793);
                                                              flick_khazana_encode_new_glob(6, _flick_abort1793);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(2);
                                                                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                                                    flick_khazana_encode_end_chunk(2);
                                                                    flick_khazana_encode_end_glob(6);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(6);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1799);
                                                                    break;
                                                                    {
                                                                    _flick_abort1799:
                                                                      goto _flick_abort1793;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1800);
                                                                    flick_khazana_encode_end_glob(6);
                                                                    break;
                                                                    {
                                                                    _flick_abort1800:
                                                                      goto _flick_abort1793;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1793:
                                                              goto _flick_abort1792;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1792:
                                                            goto _flick_abort1481;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t967_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t967_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t967_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t968_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t968_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t968_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t969_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t969_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t969_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t970_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t970_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t970_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t971_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t971_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t971_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t972_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t972_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t972_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t973_principal_len;
                                                            CORBA_char *_return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t974_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1802);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t973_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t973_principal_len, _flick_abort1802);
                                                            flick_khazana_decode_new_glob(_t973_principal_len);
                                                            flick_khazana_decode_new_chunk(_t973_principal_len);
                                                            flick_khazana_decode_end_chunk(_t973_principal_len);
                                                            flick_khazana_decode_end_glob(_t973_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t974_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1802);
                                                              flick_khazana_encode_new_glob(19, _flick_abort1802);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_unsigned32_t _t976_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t976_temp_string_len);

                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4 + 1 * _t976_temp_string_len);
                                                                    flick_cdr_encode_unsigned32(0, _t976_temp_string_len, flick_unsigned32_t );
                                                                    if (_t976_temp_string_len > 11)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1809);
                                                                    flick_cdr_encode_bcopy(4, _return, 1 * _t976_temp_string_len);
                                                                    CORBA_flick_free(_return);
                                                                    _return = (CORBA_char *)0;
                                                                    flick_khazana_encode_end_chunk(4 + 1 * _t976_temp_string_len);
                                                                    flick_khazana_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort1809:
                                                                      goto _flick_abort1802;
                                                                    }
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(19);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1812);
                                                                    break;
                                                                    {
                                                                    _flick_abort1812:
                                                                      goto _flick_abort1802;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1813);
                                                                    flick_khazana_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort1813:
                                                                      goto _flick_abort1802;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1802:
                                                              goto _flick_abort1801;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1801:
                                                            goto _flick_abort1481;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t977_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t977_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t977_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t978_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t978_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t978_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t979_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t979_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t979_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t980_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t980_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t980_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t981_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t981_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t981_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t982_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t982_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t982_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t983_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t983_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t983_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t984_principal_len;
                                                            CORBA_unsigned_short _local_unsigned_short_attribute;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t985_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1815);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t984_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t984_principal_len, _flick_abort1815);
                                                            flick_khazana_decode_new_glob(_t984_principal_len);
                                                            flick_khazana_decode_new_chunk(_t984_principal_len);
                                                            flick_khazana_decode_end_chunk(_t984_principal_len);
                                                            flick_khazana_decode_end_glob(_t984_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_khazana_decode_new_glob(3);
                                                            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_khazana_check_span(2, _flick_abort1815);
                                                            flick_cdr_decode_unsigned16(0, _local_unsigned_short_attribute, CORBA_unsigned_short );
                                                            _ev = (CORBA_Environment *)(&_t985_storage);
                                                            flick_khazana_decode_end_chunk(2);
                                                            flick_khazana_decode_end_glob(3);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1815);
                                                              flick_khazana_encode_new_glob(4, _flick_abort1815);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1821);
                                                                    break;
                                                                    {
                                                                    _flick_abort1821:
                                                                      goto _flick_abort1815;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1822);
                                                                    flick_khazana_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort1822:
                                                                      goto _flick_abort1815;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1815:
                                                              goto _flick_abort1814;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1814:
                                                            goto _flick_abort1481;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t986_switch_tag;

          flick_khazana_check_span(24, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t986_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t986_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t987_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t987_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t987_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t988_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t988_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t988_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t989_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t989_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t989_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t990_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t990_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t990_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t991_principal_len;
                                          CORBA_char _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t992_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1824);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t991_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t991_principal_len, _flick_abort1824);
                                          flick_khazana_decode_new_glob(_t991_principal_len);
                                          flick_khazana_decode_new_chunk(_t991_principal_len);
                                          flick_khazana_decode_end_chunk(_t991_principal_len);
                                          flick_khazana_decode_end_glob(_t991_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t992_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4__get_char_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1824);
                                            flick_khazana_encode_new_glob(5, _flick_abort1824);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return, CORBA_char );
                                                  flick_khazana_encode_end_chunk(1);
                                                  flick_khazana_encode_end_glob(5);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(5);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1830);
                                                  break;
                                                  {
                                                  _flick_abort1830:
                                                    goto _flick_abort1824;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1831);
                                                  flick_khazana_encode_end_glob(5);
                                                  break;
                                                  {
                                                  _flick_abort1831:
                                                    goto _flick_abort1824;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1824:
                                            goto _flick_abort1823;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1823:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t993_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t993_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t993_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t994_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t994_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t994_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t995_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t995_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t995_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t996_principal_len;
                                          CORBA_long _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t997_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1833);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t996_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t996_principal_len, _flick_abort1833);
                                          flick_khazana_decode_new_glob(_t996_principal_len);
                                          flick_khazana_decode_new_chunk(_t996_principal_len);
                                          flick_khazana_decode_end_chunk(_t996_principal_len);
                                          flick_khazana_decode_end_glob(_t996_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t997_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4__get_long_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1833);
                                            flick_khazana_encode_new_glob(8, _flick_abort1833);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1839);
                                                  break;
                                                  {
                                                  _flick_abort1839:
                                                    goto _flick_abort1833;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1840);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1840:
                                                    goto _flick_abort1833;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1833:
                                            goto _flick_abort1832;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1832:
                                          goto _flick_abort1481;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t998_switch_tag;

          flick_khazana_check_span(28, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t998_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t998_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t999_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t999_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t999_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1000_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1000_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1000_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1001_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1001_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1001_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1002_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1002_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1002_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1003_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1003_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1003_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1004_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1004_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t1004_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      unsigned int _t1005_principal_len;
                                                      CORBA_boolean _return;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t1006_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1842);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t1005_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(40);
                                                      flick_khazana_check_span(_t1005_principal_len, _flick_abort1842);
                                                      flick_khazana_decode_new_glob(_t1005_principal_len);
                                                      flick_khazana_decode_new_chunk(_t1005_principal_len);
                                                      flick_khazana_decode_end_chunk(_t1005_principal_len);
                                                      flick_khazana_decode_end_glob(_t1005_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      _ev = (CORBA_Environment *)(&_t1006_storage);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = ex4__get_boolean_attribute(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1842);
                                                        flick_khazana_encode_new_glob(5, _flick_abort1842);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_new_chunk(1);
                                                              flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                              flick_khazana_encode_end_chunk(1);
                                                              flick_khazana_encode_end_glob(5);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(5);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1848);
                                                              break;
                                                              {
                                                              _flick_abort1848:
                                                                goto _flick_abort1842;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1849);
                                                              flick_khazana_encode_end_glob(5);
                                                              break;
                                                              {
                                                              _flick_abort1849:
                                                                goto _flick_abort1842;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1842:
                                                        goto _flick_abort1841;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1841:
                                                      goto _flick_abort1481;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1007_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1007_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1007_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1008_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1008_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1008_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1009_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1009_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1009_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1010_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1010_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1010_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1011_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1011_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1011_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1012_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1012_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t1012_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      unsigned int _t1013_principal_len;
                                                      CORBA_boolean _local_boolean_attribute;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t1014_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1851);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t1013_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(40);
                                                      flick_khazana_check_span(_t1013_principal_len + 1, _flick_abort1851);
                                                      flick_khazana_decode_new_glob(_t1013_principal_len);
                                                      flick_khazana_decode_new_chunk(_t1013_principal_len);
                                                      flick_khazana_decode_end_chunk(_t1013_principal_len);
                                                      flick_khazana_decode_end_glob(_t1013_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_khazana_decode_new_glob(1);
                                                      flick_khazana_decode_new_chunk(1);
                                                      flick_cdr_decode_unsigned8(0, _local_boolean_attribute, CORBA_boolean );
                                                      _ev = (CORBA_Environment *)(&_t1014_storage);
                                                      flick_khazana_decode_end_chunk(1);
                                                      flick_khazana_decode_end_glob(1);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1851);
                                                        flick_khazana_encode_new_glob(4, _flick_abort1851);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1857);
                                                              break;
                                                              {
                                                              _flick_abort1857:
                                                                goto _flick_abort1851;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1858);
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort1858:
                                                                goto _flick_abort1851;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1851:
                                                        goto _flick_abort1850;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1850:
                                                      goto _flick_abort1481;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t1015_switch_tag;

          flick_khazana_check_span(28, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1015_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1015_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1016_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1016_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1016_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t1017_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1017_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1017_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t1018_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1018_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1018_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1019_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1019_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1019_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1020_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1020_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1020_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1021_principal_len;
                                                CORBA_octet _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1022_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1860);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t1021_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1021_principal_len, _flick_abort1860);
                                                flick_khazana_decode_new_glob(_t1021_principal_len);
                                                flick_khazana_decode_new_chunk(_t1021_principal_len);
                                                flick_khazana_decode_end_chunk(_t1021_principal_len);
                                                flick_khazana_decode_end_glob(_t1021_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1022_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1860);
                                                  flick_khazana_encode_new_glob(5, _flick_abort1860);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(1);
                                                        flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                                        flick_khazana_encode_end_chunk(1);
                                                        flick_khazana_encode_end_glob(5);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(5);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1866);
                                                        break;
                                                        {
                                                        _flick_abort1866:
                                                          goto _flick_abort1860;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1867);
                                                        flick_khazana_encode_end_glob(5);
                                                        break;
                                                        {
                                                        _flick_abort1867:
                                                          goto _flick_abort1860;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1860:
                                                  goto _flick_abort1859;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1859:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t1023_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1023_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1023_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t1024_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1024_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1024_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1025_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1025_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1025_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1026_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1026_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1026_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1027_principal_len;
                                                CORBA_float _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1028_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1869);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t1027_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1027_principal_len, _flick_abort1869);
                                                flick_khazana_decode_new_glob(_t1027_principal_len);
                                                flick_khazana_decode_new_chunk(_t1027_principal_len);
                                                flick_khazana_decode_end_chunk(_t1027_principal_len);
                                                flick_khazana_decode_end_glob(_t1027_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t1028_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1869);
                                                  flick_khazana_encode_new_glob(8, _flick_abort1869);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA_float );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1875);
                                                        break;
                                                        {
                                                        _flick_abort1875:
                                                          goto _flick_abort1869;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1876);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1876:
                                                          goto _flick_abort1869;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1869:
                                                  goto _flick_abort1868;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1868:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1029_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1029_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1029_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1030_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1030_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1030_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1031_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1031_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1031_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1032_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1032_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1032_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1033_principal_len;
                                                CORBA_short _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1034_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1878);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t1033_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1033_principal_len, _flick_abort1878);
                                                flick_khazana_decode_new_glob(_t1033_principal_len);
                                                flick_khazana_decode_new_chunk(_t1033_principal_len);
                                                flick_khazana_decode_end_chunk(_t1033_principal_len);
                                                flick_khazana_decode_end_glob(_t1033_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1034_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1878);
                                                  flick_khazana_encode_new_glob(6, _flick_abort1878);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_khazana_encode_end_chunk(2);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(6);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1884);
                                                        break;
                                                        {
                                                        _flick_abort1884:
                                                          goto _flick_abort1878;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1885);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1885:
                                                          goto _flick_abort1878;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1878:
                                                  goto _flick_abort1877;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1877:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1035_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1035_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1035_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1036_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1036_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1036_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1037_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1037_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1037_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1038_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1038_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1038_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1039_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1039_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1039_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1040_principal_len;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1041_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1887);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t1040_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1040_principal_len, _flick_abort1887);
                                                flick_khazana_decode_new_glob(_t1040_principal_len);
                                                flick_khazana_decode_new_chunk(_t1040_principal_len);
                                                flick_khazana_decode_end_chunk(_t1040_principal_len);
                                                flick_khazana_decode_end_glob(_t1040_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(3);
                                                flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_khazana_check_span(2, _flick_abort1887);
                                                flick_cdr_decode_signed16(0, _local_short_attribute, CORBA_short );
                                                _ev = (CORBA_Environment *)(&_t1041_storage);
                                                flick_khazana_decode_end_chunk(2);
                                                flick_khazana_decode_end_glob(3);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1887);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1887);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1893);
                                                        break;
                                                        {
                                                        _flick_abort1893:
                                                          goto _flick_abort1887;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1894);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1894:
                                                          goto _flick_abort1887;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1887:
                                                  goto _flick_abort1886;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1886:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t1042_switch_tag;

          flick_khazana_check_span(28, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1042_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1042_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1043_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1043_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1043_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1044_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1044_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1044_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1045_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1045_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1045_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1046_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1046_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1046_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1047_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1047_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1047_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1048_principal_len;
                                                CORBA_char *_return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1049_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1896);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t1048_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1048_principal_len, _flick_abort1896);
                                                flick_khazana_decode_new_glob(_t1048_principal_len);
                                                flick_khazana_decode_new_chunk(_t1048_principal_len);
                                                flick_khazana_decode_end_chunk(_t1048_principal_len);
                                                flick_khazana_decode_end_glob(_t1048_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1049_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_string_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1896);
                                                  flick_khazana_encode_new_glob(8, _flick_abort1896);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_unsigned32_t _t1051_temp_string_len;

                                                        flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1051_temp_string_len);

                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _t1051_temp_string_len, flick_unsigned32_t );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_khazana_encode_new_glob(1 * _t1051_temp_string_len, _flick_abort1903);
                                                        flick_khazana_encode_new_chunk(1 * _t1051_temp_string_len);
                                                        flick_cdr_encode_bcopy(0, _return, 1 * _t1051_temp_string_len);
                                                        CORBA_flick_free(_return);
                                                        _return = (CORBA_char *)0;
                                                        flick_khazana_encode_end_chunk(1 * _t1051_temp_string_len);
                                                        flick_khazana_encode_end_glob(1 * _t1051_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort1903:
                                                          goto _flick_abort1896;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1906);
                                                        break;
                                                        {
                                                        _flick_abort1906:
                                                          goto _flick_abort1896;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1907);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1907:
                                                          goto _flick_abort1896;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1896:
                                                  goto _flick_abort1895;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1895:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1052_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1052_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1052_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1053_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1053_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1053_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1054_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1054_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1054_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1055_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1055_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1055_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1056_principal_len;
                                                CORBA_double _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1057_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1909);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t1056_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1056_principal_len, _flick_abort1909);
                                                flick_khazana_decode_new_glob(_t1056_principal_len);
                                                flick_khazana_decode_new_chunk(_t1056_principal_len);
                                                flick_khazana_decode_end_chunk(_t1056_principal_len);
                                                flick_khazana_decode_end_glob(_t1056_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t1057_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_double_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1909);
                                                  flick_khazana_encode_new_glob(16, _flick_abort1909);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA_double );
                                                        flick_khazana_encode_end_chunk(8);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1915);
                                                        break;
                                                        {
                                                        _flick_abort1915:
                                                          goto _flick_abort1909;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1916);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1916:
                                                          goto _flick_abort1909;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1909:
                                                  goto _flick_abort1908;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1908:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1058_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1058_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1058_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1059_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1059_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1059_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1060_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1060_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1060_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1061_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1061_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1061_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1062_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1062_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1062_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1063_principal_len;
                                                CORBA_char *_local_string_attribute;
                                                flick_unsigned32_t _t1064_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1065_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1918);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t1063_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1063_principal_len, _flick_abort1918);
                                                flick_khazana_decode_new_glob(_t1063_principal_len);
                                                flick_khazana_decode_new_chunk(_t1063_principal_len);
                                                flick_khazana_decode_end_chunk(_t1063_principal_len);
                                                flick_khazana_decode_end_glob(_t1063_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(7);
                                                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_khazana_check_span(4, _flick_abort1918);
                                                flick_cdr_decode_unsigned32(0, _t1064_temp_string_len, flick_unsigned32_t );
                                                flick_khazana_decode_end_chunk(4);
                                                flick_khazana_decode_end_glob(7);
                                                flick_khazana_decode_new_glob(1 * _t1064_temp_string_len);
                                                flick_khazana_check_span(1 * _t1064_temp_string_len, _flick_abort1918);
                                                flick_khazana_decode_new_chunk(1 * _t1064_temp_string_len);
                                                flick_cdr_decode_msgptr(0, _local_string_attribute, CORBA_char *);
                                                flick_khazana_decode_end_chunk(1 * _t1064_temp_string_len);
                                                flick_khazana_decode_end_glob(1 * _t1064_temp_string_len);
                                                _ev = (CORBA_Environment *)(&_t1065_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1918);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1918);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1926);
                                                        break;
                                                        {
                                                        _flick_abort1926:
                                                          goto _flick_abort1918;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1927);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1927:
                                                          goto _flick_abort1918;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1918:
                                                  goto _flick_abort1917;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1917:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1066_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1066_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1066_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1067_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1067_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1067_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1068_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1068_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1068_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1069_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1069_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1069_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1070_principal_len;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1071_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1929);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t1070_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1070_principal_len, _flick_abort1929);
                                                flick_khazana_decode_new_glob(_t1070_principal_len);
                                                flick_khazana_decode_new_chunk(_t1070_principal_len);
                                                flick_khazana_decode_end_chunk(_t1070_principal_len);
                                                flick_khazana_decode_end_glob(_t1070_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(15);
                                                flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_khazana_check_span(8, _flick_abort1929);
                                                flick_cdr_decode_float64(0, _local_double_attribute, CORBA_double );
                                                _ev = (CORBA_Environment *)(&_t1071_storage);
                                                flick_khazana_decode_end_chunk(8);
                                                flick_khazana_decode_end_glob(15);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1929);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1929);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1935);
                                                        break;
                                                        {
                                                        _flick_abort1935:
                                                          goto _flick_abort1929;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1936);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1936:
                                                          goto _flick_abort1929;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1929:
                                                  goto _flick_abort1928;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1928:
                                                goto _flick_abort1481;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t1072_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1072_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1072_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex4 _obj;
                  unsigned int _t1073_principal_len;
                  CORBA_char _return;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t1074_storage;
                  CORBA_octet *_local_o;
                  CORBA_octet _t1075_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1076_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1938);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1073_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1073_principal_len + 2, _flick_abort1938);
                  flick_khazana_decode_new_glob(_t1073_principal_len);
                  flick_khazana_decode_new_chunk(_t1073_principal_len);
                  flick_khazana_decode_end_chunk(_t1073_principal_len);
                  flick_khazana_decode_end_glob(_t1073_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(2);
                  flick_khazana_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c, CORBA_char );
                  _local_b = (CORBA_boolean *)(&_t1074_storage);
                  _local_o = (CORBA_octet *)(&_t1075_storage);
                  flick_cdr_decode_unsigned8(1, *_local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t1076_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(2);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1938);
                    flick_khazana_encode_new_glob(7, _flick_abort1938);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA_char );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                          flick_khazana_encode_end_chunk(3);
                          flick_khazana_encode_end_glob(7);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(7);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1944);
                          break;
                          {
                          _flick_abort1944:
                            goto _flick_abort1938;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1945);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort1945:
                            goto _flick_abort1938;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1938:
                    goto _flick_abort1937;
                  }
                }
                break;
                {
                _flick_abort1937:
                  goto _flick_abort1481;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex4 _obj;
                  unsigned int _t1077_principal_len;
                  CORBA_boolean _return;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t1078_storage;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1079_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1947);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1077_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1077_principal_len + 1, _flick_abort1947);
                  flick_khazana_decode_new_glob(_t1077_principal_len);
                  flick_khazana_decode_new_chunk(_t1077_principal_len);
                  flick_khazana_decode_end_chunk(_t1077_principal_len);
                  flick_khazana_decode_end_glob(_t1077_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_b = (CORBA_boolean *)(&_t1078_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t1079_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1947);
                    flick_khazana_encode_new_glob(6, _flick_abort1947);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1953);
                          break;
                          {
                          _flick_abort1953:
                            goto _flick_abort1947;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1954);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort1954:
                            goto _flick_abort1947;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1947:
                    goto _flick_abort1946;
                  }
                }
                break;
                {
                _flick_abort1946:
                  goto _flick_abort1481;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex4 _obj;
                  unsigned int _t1080_principal_len;
                  CORBA_octet _return;
                  CORBA_octet *_local_o;
                  CORBA_octet _t1081_storage;
                  CORBA_char **_local_s;
                  CORBA_char *_t1082_storage;
                  CORBA_char *_local_ls;
                  flick_unsigned32_t _t1083_temp_string_len;
                  CORBA_long *_local_l;
                  CORBA_long _t1084_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1085_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1956);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1080_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1080_principal_len + 1, _flick_abort1956);
                  flick_khazana_decode_new_glob(_t1080_principal_len);
                  flick_khazana_decode_new_chunk(_t1080_principal_len);
                  flick_khazana_decode_end_chunk(_t1080_principal_len);
                  flick_khazana_decode_end_glob(_t1080_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_o = (CORBA_octet *)(&_t1081_storage);
                  flick_khazana_decode_new_glob(26);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, *_local_o, CORBA_octet );
                  _local_s = (CORBA_char **)(&_t1082_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort1956);
                  flick_cdr_decode_unsigned32(0, _t1083_temp_string_len, flick_unsigned32_t );
                  if (_t1083_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1956);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_check_span(1 * _t1083_temp_string_len, _flick_abort1956);
                  flick_khazana_decode_new_chunk(1 * _t1083_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_ls, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t1083_temp_string_len);
                  _local_l = (CORBA_long *)(&_t1084_storage);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort1956);
                  flick_cdr_decode_signed32(0, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t1085_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(26);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1956);
                    flick_khazana_encode_new_glob(12, _flick_abort1956);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t1087_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t1087_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                          flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                          flick_cdr_encode_unsigned32(4, _t1087_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(8);
                          flick_khazana_encode_end_glob(12);
                          flick_khazana_encode_new_glob(1 * _t1087_temp_string_len, _flick_abort1965);
                          flick_khazana_encode_new_chunk(1 * _t1087_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_s, 1 * _t1087_temp_string_len);
                          CORBA_flick_free(*_local_s);
                          *_local_s = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t1087_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t1087_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort1965);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort1965:
                            goto _flick_abort1956;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1968);
                          break;
                          {
                          _flick_abort1968:
                            goto _flick_abort1956;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1969);
                          flick_khazana_encode_end_glob(12);
                          break;
                          {
                          _flick_abort1969:
                            goto _flick_abort1956;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1956:
                    goto _flick_abort1955;
                  }
                }
                break;
                {
                _flick_abort1955:
                  goto _flick_abort1481;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex4 _obj;
                  unsigned int _t1088_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1089_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1971);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1088_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1088_principal_len, _flick_abort1971);
                  flick_khazana_decode_new_glob(_t1088_principal_len);
                  flick_khazana_decode_new_chunk(_t1088_principal_len);
                  flick_khazana_decode_end_chunk(_t1088_principal_len);
                  flick_khazana_decode_end_glob(_t1088_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t1089_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex4_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1971);
                    flick_khazana_encode_new_glob(4, _flick_abort1971);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1977);
                          break;
                          {
                          _flick_abort1977:
                            goto _flick_abort1971;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1978);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1978:
                            goto _flick_abort1971;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1971:
                    goto _flick_abort1970;
                  }
                }
                break;
                {
                _flick_abort1970:
                  goto _flick_abort1481;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex4 _obj;
                  unsigned int _t1090_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t1091_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t1092_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1093_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1980);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1090_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1090_principal_len, _flick_abort1980);
                  flick_khazana_decode_new_glob(_t1090_principal_len);
                  flick_khazana_decode_new_chunk(_t1090_principal_len);
                  flick_khazana_decode_end_chunk(_t1090_principal_len);
                  flick_khazana_decode_end_glob(_t1090_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1980);
                  flick_cdr_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t1091_storage);
                  _local_l = (CORBA_long *)(&_t1092_storage);
                  flick_cdr_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t1093_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1980);
                    flick_khazana_encode_new_glob(24, _flick_abort1980);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1986);
                          break;
                          {
                          _flick_abort1986:
                            goto _flick_abort1980;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1987);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1987:
                            goto _flick_abort1980;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1980:
                    goto _flick_abort1979;
                  }
                }
                break;
                {
                _flick_abort1979:
                  goto _flick_abort1481;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex4 _obj;
                  unsigned int _t1094_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t1095_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t1096_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1097_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1989);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1094_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1094_principal_len, _flick_abort1989);
                  flick_khazana_decode_new_glob(_t1094_principal_len);
                  flick_khazana_decode_new_chunk(_t1094_principal_len);
                  flick_khazana_decode_end_chunk(_t1094_principal_len);
                  flick_khazana_decode_end_glob(_t1094_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort1989);
                  flick_cdr_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t1095_storage);
                  _local_s = (CORBA_short *)(&_t1096_storage);
                  flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t1097_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1989);
                    flick_khazana_encode_new_glob(22, _flick_abort1989);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1995);
                          break;
                          {
                          _flick_abort1995:
                            goto _flick_abort1989;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1996);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1996:
                            goto _flick_abort1989;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1989:
                    goto _flick_abort1988;
                  }
                }
                break;
                {
                _flick_abort1988:
                  goto _flick_abort1481;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex4 _obj;
                  unsigned int _t1098_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t1099_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1100_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1101_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1998);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1098_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1098_principal_len, _flick_abort1998);
                  flick_khazana_decode_new_glob(_t1098_principal_len);
                  flick_khazana_decode_new_chunk(_t1098_principal_len);
                  flick_khazana_decode_end_chunk(_t1098_principal_len);
                  flick_khazana_decode_end_glob(_t1098_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1998);
                  flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t1099_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t1100_storage);
                  flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t1101_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1998);
                    flick_khazana_encode_new_glob(16, _flick_abort1998);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2004);
                          break;
                          {
                          _flick_abort2004:
                            goto _flick_abort1998;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2005);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort2005:
                            goto _flick_abort1998;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1998:
                    goto _flick_abort1997;
                  }
                }
                break;
                {
                _flick_abort1997:
                  goto _flick_abort1481;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex4 _obj;
                  unsigned int _t1102_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1103_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t1104_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1105_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2007);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1102_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1102_principal_len, _flick_abort2007);
                  flick_khazana_decode_new_glob(_t1102_principal_len);
                  flick_khazana_decode_new_chunk(_t1102_principal_len);
                  flick_khazana_decode_end_chunk(_t1102_principal_len);
                  flick_khazana_decode_end_glob(_t1102_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort2007);
                  flick_cdr_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t1103_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t1104_storage);
                  flick_cdr_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t1105_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2007);
                    flick_khazana_encode_new_glob(14, _flick_abort2007);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2013);
                          break;
                          {
                          _flick_abort2013:
                            goto _flick_abort2007;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2014);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort2014:
                            goto _flick_abort2007;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2007:
                    goto _flick_abort2006;
                  }
                }
                break;
                {
                _flick_abort2006:
                  goto _flick_abort1481;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex4 _obj;
                  unsigned int _t1106_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1107_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t1108_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1109_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2016);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1106_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1106_principal_len, _flick_abort2016);
                  flick_khazana_decode_new_glob(_t1106_principal_len);
                  flick_khazana_decode_new_chunk(_t1106_principal_len);
                  flick_khazana_decode_end_chunk(_t1106_principal_len);
                  flick_khazana_decode_end_glob(_t1106_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t1107_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort2016);
                  flick_cdr_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t1108_storage);
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t1109_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2016);
                    flick_khazana_encode_new_glob(13, _flick_abort2016);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2022);
                          break;
                          {
                          _flick_abort2022:
                            goto _flick_abort2016;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2023);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort2023:
                            goto _flick_abort2016;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2016:
                    goto _flick_abort2015;
                  }
                }
                break;
                {
                _flick_abort2015:
                  goto _flick_abort1481;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex4 _obj;
                  unsigned int _t1110_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t1111_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t1112_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1113_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2025);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1110_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1110_principal_len + 1, _flick_abort2025);
                  flick_khazana_decode_new_glob(_t1110_principal_len);
                  flick_khazana_decode_new_chunk(_t1110_principal_len);
                  flick_khazana_decode_end_chunk(_t1110_principal_len);
                  flick_khazana_decode_end_glob(_t1110_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t1111_storage);
                  _local_c = (CORBA_char *)(&_t1112_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t1113_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2025);
                    flick_khazana_encode_new_glob(9, _flick_abort2025);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2031);
                          break;
                          {
                          _flick_abort2031:
                            goto _flick_abort2025;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2032);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort2032:
                            goto _flick_abort2025;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2025:
                    goto _flick_abort2024;
                  }
                }
                break;
                {
                _flick_abort2024:
                  goto _flick_abort1481;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t1114_switch_tag;

          flick_khazana_check_span(12, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1114_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1114_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t1115_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1115_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1115_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1116_principal_len;
                        CORBA_char *_return;
                        CORBA_char *_local_s;
                        flick_unsigned32_t _t1117_temp_string_len;
                        CORBA_char **_local_ls;
                        CORBA_char *_t1118_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1119_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2034);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t1116_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1116_principal_len, _flick_abort2034);
                        flick_khazana_decode_new_glob(_t1116_principal_len);
                        flick_khazana_decode_new_chunk(_t1116_principal_len);
                        flick_khazana_decode_end_chunk(_t1116_principal_len);
                        flick_khazana_decode_end_glob(_t1116_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2034);
                        flick_cdr_decode_unsigned32(0, _t1117_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1117_temp_string_len);
                        flick_khazana_check_span(1 * _t1117_temp_string_len, _flick_abort2034);
                        flick_khazana_decode_new_chunk(1 * _t1117_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_s, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1117_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1117_temp_string_len);
                        _local_ls = (CORBA_char **)(&_t1118_storage);
                        _ev = (CORBA_Environment *)(&_t1119_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2034);
                          flick_khazana_encode_new_glob(8, _flick_abort2034);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1122_temp_string_len;
                                flick_unsigned32_t _t1123_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1122_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1123_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t1122_temp_string_len, flick_unsigned32_t );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _t1122_temp_string_len, _flick_abort2045);
                                flick_khazana_encode_new_chunk(1 * _t1122_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t1122_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(1 * _t1122_temp_string_len);
                                flick_khazana_encode_end_glob(1 * _t1122_temp_string_len);
                                flick_khazana_encode_new_glob(18, _flick_abort2045);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t1123_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1123_temp_string_len, flick_unsigned32_t );
                                if (_t1123_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2045);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t1123_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1123_temp_string_len);
                                flick_khazana_encode_end_glob(18);
                                break;
                                {
                                _flick_abort2045:
                                  goto _flick_abort2034;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2050);
                                break;
                                {
                                _flick_abort2050:
                                  goto _flick_abort2034;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2051);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2051:
                                  goto _flick_abort2034;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2034:
                          goto _flick_abort2033;
                        }
                      }
                      break;
                      {
                      _flick_abort2033:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t1124_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1124_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1124_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1125_principal_len;
                        CORBA_char *_return;
                        CORBA_char **_local_ls;
                        CORBA_char *_t1126_storage;
                        flick_unsigned32_t _t1127_temp_string_len;
                        CORBA_long *_local_l;
                        CORBA_long _t1128_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1129_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2053);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t1125_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1125_principal_len, _flick_abort2053);
                        flick_khazana_decode_new_glob(_t1125_principal_len);
                        flick_khazana_decode_new_chunk(_t1125_principal_len);
                        flick_khazana_decode_end_chunk(_t1125_principal_len);
                        flick_khazana_decode_end_glob(_t1125_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_ls = (CORBA_char **)(&_t1126_storage);
                        flick_khazana_decode_new_glob(18);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2053);
                        flick_cdr_decode_unsigned32(0, _t1127_temp_string_len, flick_unsigned32_t );
                        if (_t1127_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2053);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(1 * _t1127_temp_string_len, _flick_abort2053);
                        flick_khazana_decode_new_chunk(1 * _t1127_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2053);
                          *_local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, *_local_ls, 1 * _t1127_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t1127_temp_string_len);
                        _local_l = (CORBA_long *)(&_t1128_storage);
                        _ev = (CORBA_Environment *)(&_t1129_storage);
                        flick_khazana_decode_end_glob(18);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2056);
                          flick_khazana_encode_new_glob(44, _flick_abort2056);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1132_temp_string_len;
                                flick_unsigned32_t _t1133_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1132_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1133_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 1 * _t1132_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t1132_temp_string_len, flick_unsigned32_t );
                                if (_t1132_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2065);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t1132_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1132_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t1133_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1133_temp_string_len, flick_unsigned32_t );
                                if (_t1133_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2065);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t1133_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = (CORBA_char *)0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1133_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2065:
                                  goto _flick_abort2056;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(44);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2070);
                                break;
                                {
                                _flick_abort2070:
                                  goto _flick_abort2056;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2071);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2071:
                                  goto _flick_abort2056;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2056:
                          CORBA_flick_free(*_local_ls);
                        _flick_abort2053:
                          goto _flick_abort2052;
                        }
                      }
                      break;
                      {
                      _flick_abort2052:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t1134_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1134_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1134_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1135_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1136_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2073);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t1135_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1135_principal_len, _flick_abort2073);
                        flick_khazana_decode_new_glob(_t1135_principal_len);
                        flick_khazana_decode_new_chunk(_t1135_principal_len);
                        flick_khazana_decode_end_chunk(_t1135_principal_len);
                        flick_khazana_decode_end_glob(_t1135_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2073);
                        flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t1136_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op12(_obj, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2073);
                          flick_khazana_encode_new_glob(8, _flick_abort2073);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2079);
                                break;
                                {
                                _flick_abort2079:
                                  goto _flick_abort2073;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2080);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2080:
                                  goto _flick_abort2073;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2073:
                          goto _flick_abort2072;
                        }
                      }
                      break;
                      {
                      _flick_abort2072:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t1137_switch_tag;

          flick_khazana_check_span(36, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1137_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1137_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1138_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1138_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1138_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1139_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1139_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1139_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1140_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1140_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1140_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t1141_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1141_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1141_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t1142_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1142_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1142_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t1143_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1143_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1143_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t1144_switch_tag;

                                                    flick_khazana_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1144_switch_tag, char );
                                                    flick_khazana_decode_end_chunk(1);
                                                    switch ((char )_t1144_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1145_principal_len;
                                                            CORBA_unsigned_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1146_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2082);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t1145_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(7);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1145_principal_len, _flick_abort2082);
                                                            flick_khazana_decode_new_glob(_t1145_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1145_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1145_principal_len);
                                                            flick_khazana_decode_end_glob(_t1145_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t1146_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2082);
                                                              flick_khazana_encode_new_glob(8, _flick_abort2082);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                    flick_khazana_encode_end_chunk(4);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2088);
                                                                    break;
                                                                    {
                                                                    _flick_abort2088:
                                                                      goto _flick_abort2082;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2089);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort2089:
                                                                      goto _flick_abort2082;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2082:
                                                              goto _flick_abort2081;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2081:
                                                            goto _flick_abort1481;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t1147_switch_tag;

          flick_khazana_check_span(12, _flick_abort1481);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1147_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1147_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1148_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1148_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t1148_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t1149_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t1150_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1151_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2091);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t1149_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1149_principal_len, _flick_abort2091);
                        flick_khazana_decode_new_glob(_t1149_principal_len);
                        flick_khazana_decode_new_chunk(_t1149_principal_len);
                        flick_khazana_decode_end_chunk(_t1149_principal_len);
                        flick_khazana_decode_end_glob(_t1149_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2091);
                        flick_cdr_decode_unsigned32(0, _t1150_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1150_temp_string_len);
                        flick_khazana_check_span(1 * _t1150_temp_string_len, _flick_abort2091);
                        flick_khazana_decode_new_chunk(1 * _t1150_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1150_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1150_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t1151_storage);
                        _par = flick_interface_parents_ex4;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2091);
                          flick_khazana_encode_new_glob(5, _flick_abort2091);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2099);
                                break;
                                {
                                _flick_abort2099:
                                  goto _flick_abort2091;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2100);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2100:
                                  goto _flick_abort2091;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2091:
                          goto _flick_abort2090;
                        }
                      }
                      break;
                      {
                      _flick_abort2090:
                        goto _flick_abort1481;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1481);
          flick_khazana_decode_end_glob(40);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort1481:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1480);
  _flick_abort1480:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

