#include "simple2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_simple[] = {
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple2[] = {
	"IDL:simple2:1.0",
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple3[] = {
	"IDL:simple3:1.0",
	"IDL:simple:1.0",
	"IDL:simple2:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t simple_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t36_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t36_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t36_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t37_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t37_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t37_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t38_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t38_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t38_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        unsigned int _t39_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t40_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t41_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t42_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort66);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t39_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t39_principal_len, _flick_abort66);
                        flick_khazana_decode_new_glob(_t39_principal_len);
                        flick_khazana_decode_new_chunk(_t39_principal_len);
                        flick_khazana_decode_end_chunk(_t39_principal_len);
                        flick_khazana_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort66);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t40_storage);
                        _local_c = (CORBA_long *)(&_t41_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t42_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort66);
                          flick_khazana_encode_new_glob(8, _flick_abort66);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_cdr_encode_IOR(khazana, *_local_b, 0, _flick_abort71);
                                flick_khazana_encode_new_glob(7, _flick_abort71);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort71:
                                  goto _flick_abort66;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort72);
                                break;
                                {
                                _flick_abort72:
                                  goto _flick_abort66;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort73);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort73:
                                  goto _flick_abort66;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort66:
                          goto _flick_abort65;
                        }
                      }
                      break;
                      {
                      _flick_abort65:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t43_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort75);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t45_principal_len, _flick_abort75);
                        flick_khazana_decode_new_glob(_t45_principal_len);
                        flick_khazana_decode_new_chunk(_t45_principal_len);
                        flick_khazana_decode_end_chunk(_t45_principal_len);
                        flick_khazana_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort75);
                        flick_cdr_swap_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t46_temp_string_len);
                        flick_khazana_check_span(1 * _t46_temp_string_len, _flick_abort75);
                        flick_khazana_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_simple;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort75);
                          flick_khazana_encode_new_glob(5, _flick_abort75);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort83);
                                break;
                                {
                                _flick_abort83:
                                  goto _flick_abort75;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort84:
                                  goto _flick_abort75;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort75:
                          goto _flick_abort74;
                        }
                      }
                      break;
                      {
                      _flick_abort74:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t12_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t12_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t13_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t13_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t13_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t14_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t14_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t14_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        unsigned int _t15_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t16_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t17_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t18_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort25);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t15_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t15_principal_len, _flick_abort25);
                        flick_khazana_decode_new_glob(_t15_principal_len);
                        flick_khazana_decode_new_chunk(_t15_principal_len);
                        flick_khazana_decode_end_chunk(_t15_principal_len);
                        flick_khazana_decode_end_glob(_t15_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort25);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t16_storage);
                        _local_c = (CORBA_long *)(&_t17_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t18_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort25);
                          flick_khazana_encode_new_glob(8, _flick_abort25);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_cdr_encode_IOR(khazana, *_local_b, 0, _flick_abort30);
                                flick_khazana_encode_new_glob(7, _flick_abort30);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort30:
                                  goto _flick_abort25;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort31);
                                break;
                                {
                                _flick_abort31:
                                  goto _flick_abort25;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort32);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort32:
                                  goto _flick_abort25;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort25:
                          goto _flick_abort24;
                        }
                      }
                      break;
                      {
                      _flick_abort24:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t19_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t20_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t20_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t21_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t22_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t23_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort34);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t21_principal_len, _flick_abort34);
                        flick_khazana_decode_new_glob(_t21_principal_len);
                        flick_khazana_decode_new_chunk(_t21_principal_len);
                        flick_khazana_decode_end_chunk(_t21_principal_len);
                        flick_khazana_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort34);
                        flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t22_temp_string_len);
                        flick_khazana_check_span(1 * _t22_temp_string_len, _flick_abort34);
                        flick_khazana_decode_new_chunk(1 * _t22_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t22_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t22_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t23_storage);
                        _par = flick_interface_parents_simple;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort34);
                          flick_khazana_encode_new_glob(5, _flick_abort34);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort42);
                                break;
                                {
                                _flick_abort42:
                                  goto _flick_abort34;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort43);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort43:
                                  goto _flick_abort34;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort34:
                          goto _flick_abort33;
                        }
                      }
                      break;
                      {
                      _flick_abort33:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t simple2_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t96_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort87);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t96_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t96_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t97_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t97_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t97_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  unsigned int _t98_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t99_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t100_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort178);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t98_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t98_principal_len, _flick_abort178);
                  flick_khazana_decode_new_glob(_t98_principal_len);
                  flick_khazana_decode_new_chunk(_t98_principal_len);
                  flick_khazana_decode_end_chunk(_t98_principal_len);
                  flick_khazana_decode_end_glob(_t98_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort178);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_cdr_swap_decode_IOR(khazana, _local_b, 1);
                  flick_khazana_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t99_storage);
                  _ev = (CORBA_Environment *)(&_t100_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort178);
                    flick_khazana_encode_new_glob(8, _flick_abort178);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          flick_cdr_encode_IOR(khazana, *_local_c, 0, _flick_abort183);
                          break;
                          {
                          _flick_abort183:
                            goto _flick_abort178;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort184);
                          break;
                          {
                          _flick_abort184:
                            goto _flick_abort178;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort185);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort185:
                            goto _flick_abort178;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort178:
                    goto _flick_abort177;
                  }
                }
                break;
                {
                _flick_abort177:
                  goto _flick_abort87;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t101_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t101_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t101_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t102_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t102_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t102_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        unsigned int _t103_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t104_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t105_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t106_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort187);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t103_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t103_principal_len, _flick_abort187);
                        flick_khazana_decode_new_glob(_t103_principal_len);
                        flick_khazana_decode_new_chunk(_t103_principal_len);
                        flick_khazana_decode_end_chunk(_t103_principal_len);
                        flick_khazana_decode_end_glob(_t103_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort187);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t104_storage);
                        _local_c = (CORBA_long *)(&_t105_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t106_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort187);
                          flick_khazana_encode_new_glob(8, _flick_abort187);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_cdr_encode_IOR(khazana, *_local_b, 0, _flick_abort192);
                                flick_khazana_encode_new_glob(7, _flick_abort192);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort192:
                                  goto _flick_abort187;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort193);
                                break;
                                {
                                _flick_abort193:
                                  goto _flick_abort187;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort194);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort187;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort187:
                          goto _flick_abort186;
                        }
                      }
                      break;
                      {
                      _flick_abort186:
                        goto _flick_abort87;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t107_switch_tag;

          flick_khazana_check_span(12, _flick_abort87);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t107_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t107_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t108_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t108_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t108_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t109_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t110_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t111_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort196);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t109_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t109_principal_len, _flick_abort196);
                        flick_khazana_decode_new_glob(_t109_principal_len);
                        flick_khazana_decode_new_chunk(_t109_principal_len);
                        flick_khazana_decode_end_chunk(_t109_principal_len);
                        flick_khazana_decode_end_glob(_t109_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort196);
                        flick_cdr_swap_decode_unsigned32(0, _t110_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t110_temp_string_len);
                        flick_khazana_check_span(1 * _t110_temp_string_len, _flick_abort196);
                        flick_khazana_decode_new_chunk(1 * _t110_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t110_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t110_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t111_storage);
                        _par = flick_interface_parents_simple2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort196);
                          flick_khazana_encode_new_glob(5, _flick_abort196);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort204);
                                break;
                                {
                                _flick_abort204:
                                  goto _flick_abort196;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort205:
                                  goto _flick_abort196;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort196:
                          goto _flick_abort195;
                        }
                      }
                      break;
                      {
                      _flick_abort195:
                        goto _flick_abort87;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t64_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort87);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t64_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t65_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t65_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  unsigned int _t66_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t67_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t68_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort119);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t66_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t66_principal_len, _flick_abort119);
                  flick_khazana_decode_new_glob(_t66_principal_len);
                  flick_khazana_decode_new_chunk(_t66_principal_len);
                  flick_khazana_decode_end_chunk(_t66_principal_len);
                  flick_khazana_decode_end_glob(_t66_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort119);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_cdr_decode_IOR(khazana, _local_b, 1);
                  flick_khazana_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t67_storage);
                  _ev = (CORBA_Environment *)(&_t68_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort119);
                    flick_khazana_encode_new_glob(8, _flick_abort119);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          flick_cdr_encode_IOR(khazana, *_local_c, 0, _flick_abort124);
                          break;
                          {
                          _flick_abort124:
                            goto _flick_abort119;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort125);
                          break;
                          {
                          _flick_abort125:
                            goto _flick_abort119;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort126:
                            goto _flick_abort119;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort119:
                    goto _flick_abort118;
                  }
                }
                break;
                {
                _flick_abort118:
                  goto _flick_abort87;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t69_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t69_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t69_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t70_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t70_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t70_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        unsigned int _t71_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t72_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t73_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t74_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort128);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t71_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t71_principal_len, _flick_abort128);
                        flick_khazana_decode_new_glob(_t71_principal_len);
                        flick_khazana_decode_new_chunk(_t71_principal_len);
                        flick_khazana_decode_end_chunk(_t71_principal_len);
                        flick_khazana_decode_end_glob(_t71_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort128);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t72_storage);
                        _local_c = (CORBA_long *)(&_t73_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t74_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort128);
                          flick_khazana_encode_new_glob(8, _flick_abort128);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_cdr_encode_IOR(khazana, *_local_b, 0, _flick_abort133);
                                flick_khazana_encode_new_glob(7, _flick_abort133);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort133:
                                  goto _flick_abort128;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort134);
                                break;
                                {
                                _flick_abort134:
                                  goto _flick_abort128;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort135:
                                  goto _flick_abort128;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort128:
                          goto _flick_abort127;
                        }
                      }
                      break;
                      {
                      _flick_abort127:
                        goto _flick_abort87;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t75_switch_tag;

          flick_khazana_check_span(12, _flick_abort87);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t75_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t76_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t76_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t76_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t77_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t78_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t79_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort137);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t77_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t77_principal_len, _flick_abort137);
                        flick_khazana_decode_new_glob(_t77_principal_len);
                        flick_khazana_decode_new_chunk(_t77_principal_len);
                        flick_khazana_decode_end_chunk(_t77_principal_len);
                        flick_khazana_decode_end_glob(_t77_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort137);
                        flick_cdr_decode_unsigned32(0, _t78_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t78_temp_string_len);
                        flick_khazana_check_span(1 * _t78_temp_string_len, _flick_abort137);
                        flick_khazana_decode_new_chunk(1 * _t78_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t78_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t78_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t79_storage);
                        _par = flick_interface_parents_simple2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort137);
                          flick_khazana_encode_new_glob(5, _flick_abort137);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort145);
                                break;
                                {
                                _flick_abort145:
                                  goto _flick_abort137;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort146);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort146:
                                  goto _flick_abort137;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort137:
                          goto _flick_abort136;
                        }
                      }
                      break;
                      {
                      _flick_abort136:
                        goto _flick_abort87;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort87:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort86);
  _flick_abort86:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t simple3_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t265_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort208);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t265_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t265_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t266_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t266_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t266_switch_tag)
            {
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  simple3 _obj;
                  unsigned int _t267_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple3 *_local_b;
                  simple3 _t268_storage;
                  simple2 *_local_c;
                  simple2 _t269_storage;
                  simple *_local_d;
                  simple _t270_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t271_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort629);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t267_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t267_principal_len, _flick_abort629);
                  flick_khazana_decode_new_glob(_t267_principal_len);
                  flick_khazana_decode_new_chunk(_t267_principal_len);
                  flick_khazana_decode_end_chunk(_t267_principal_len);
                  flick_khazana_decode_end_glob(_t267_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort629);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (simple3 *)(&_t268_storage);
                  _local_c = (simple2 *)(&_t269_storage);
                  _local_d = (simple *)(&_t270_storage);
                  _ev = (CORBA_Environment *)(&_t271_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort629);
                    flick_khazana_encode_new_glob(76, _flick_abort629);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(76);
                          flick_cdr_encode_IOR(khazana, *_local_b, 0, _flick_abort653);
                          flick_cdr_encode_IOR(khazana, *_local_c, 0, _flick_abort653);
                          flick_cdr_encode_IOR(khazana, *_local_d, 0, _flick_abort653);
                          break;
                          {
                          _flick_abort653:
                            goto _flick_abort629;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(76);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort654);
                          break;
                          {
                          _flick_abort654:
                            goto _flick_abort629;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 25:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 24))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_unsigned32_t _t278_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t278_temp_string_len);

                                                                          flick_khazana_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t278_temp_string_len, flick_unsigned32_t );
                                                                          flick_khazana_encode_end_chunk(40);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          flick_khazana_encode_new_glob(1 * _t278_temp_string_len, _flick_abort666);
                                                                          flick_khazana_encode_new_chunk(1 * _t278_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, 1 * _t278_temp_string_len);
                                                                          CORBA_flick_free(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_khazana_encode_end_chunk(1 * _t278_temp_string_len);
                                                                          flick_khazana_encode_end_glob(1 * _t278_temp_string_len);
                                                                          CORBA_flick_free((simple3_OVERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort666:
                                                                            goto _flick_abort655;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                    flick_khazana_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                              flick_khazana_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                        flick_khazana_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                  flick_khazana_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                            flick_khazana_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                      flick_khazana_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t279_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t279_temp_string_len);

                                                                          flick_khazana_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t279_temp_string_len, flick_unsigned32_t );
                                                                          flick_khazana_encode_end_chunk(40);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          flick_khazana_encode_new_glob(1 * _t279_temp_string_len, _flick_abort669);
                                                                          flick_khazana_encode_new_chunk(1 * _t279_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t279_temp_string_len);
                                                                          CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_khazana_encode_end_chunk(1 * _t279_temp_string_len);
                                                                          flick_khazana_encode_end_glob(1 * _t279_temp_string_len);
                                                                          CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort669:
                                                                            goto _flick_abort655;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                    flick_khazana_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                              flick_khazana_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                        flick_khazana_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                  flick_khazana_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                            flick_khazana_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                      flick_khazana_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 23:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                            {
                                                              switch (*(unsigned short int *)(_ev->_id + 20))
                                                                {
                                                                case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 22))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_khazana_encode_new_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(28, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length, CORBA_unsigned_long );
                                                                          if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort672);
                                                                          flick_cdr_encode_bcopy(32, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          if (((simple3_BADNUM *)(_ev->_value._user_except))->c._release)
                                                                            CORBA_flick_free(((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer);
                                                                          ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = 0;
                                                                          ((simple3_BADNUM *)(_ev->_value._user_except))->c._release = 0;
                                                                          flick_khazana_encode_end_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          CORBA_flick_free((simple3_BADNUM *)(_ev->_value._user_except));
                                                                          flick_khazana_encode_end_glob(76);
                                                                          break;
                                                                          {
                                                                          _flick_abort672:
                                                                            goto _flick_abort655;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                                    flick_khazana_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                              flick_khazana_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                        flick_khazana_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                                  flick_khazana_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                            flick_khazana_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                      flick_khazana_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort655);
                                flick_khazana_encode_end_glob(76);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort655:
                            goto _flick_abort629;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort629:
                    goto _flick_abort628;
                  }
                }
                break;
                {
                _flick_abort628:
                  goto _flick_abort208;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  simple3 _obj;
                  unsigned int _t280_principal_len;
                  CORBA_char *_return;
                  CORBA_char *_local_x;
                  flick_unsigned32_t _t281_temp_string_len;
                  CORBA_char **_local_y;
                  CORBA_char *_t282_storage;
                  flick_unsigned32_t _t283_temp_string_len;
                  CORBA_char **_local_z;
                  CORBA_char *_t284_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t285_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort676);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t280_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t280_principal_len, _flick_abort676);
                  flick_khazana_decode_new_glob(_t280_principal_len);
                  flick_khazana_decode_new_chunk(_t280_principal_len);
                  flick_khazana_decode_end_chunk(_t280_principal_len);
                  flick_khazana_decode_end_glob(_t280_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort676);
                  flick_cdr_swap_decode_unsigned32(0, _t281_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_decode_new_glob(1 * _t281_temp_string_len);
                  flick_khazana_check_span(1 * _t281_temp_string_len, _flick_abort676);
                  flick_khazana_decode_new_chunk(1 * _t281_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_x, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t281_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t281_temp_string_len);
                  _local_y = (CORBA_char **)(&_t282_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort676);
                  flick_cdr_swap_decode_unsigned32(0, _t283_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_decode_new_glob(1 * _t283_temp_string_len);
                  flick_khazana_check_span(1 * _t283_temp_string_len, _flick_abort676);
                  flick_khazana_decode_new_chunk(1 * _t283_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t283_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort676);
                    *_local_y = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, *_local_y, 1 * _t283_temp_string_len);
                  flick_khazana_decode_end_chunk(1 * _t283_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t283_temp_string_len);
                  _local_z = (CORBA_char **)(&_t284_storage);
                  _ev = (CORBA_Environment *)(&_t285_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort681);
                    flick_khazana_encode_new_glob(44, _flick_abort681);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t291_temp_string_len;
                          flick_unsigned32_t _t292_temp_string_len;
                          flick_unsigned32_t _t293_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t291_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, *_local_y, flick_unsigned32_t , _t292_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, *_local_z, flick_unsigned32_t , _t293_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t291_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(44);
                          flick_khazana_encode_new_glob(1 * _t291_temp_string_len, _flick_abort699);
                          flick_khazana_encode_new_chunk(1 * _t291_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return, 1 * _t291_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t291_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t291_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort699);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t292_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          flick_khazana_encode_new_glob(1 * _t292_temp_string_len, _flick_abort699);
                          flick_khazana_encode_new_chunk(1 * _t292_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_y, 1 * _t292_temp_string_len);
                          CORBA_flick_free(*_local_y);
                          *_local_y = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t292_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t292_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort699);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t293_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          flick_khazana_encode_new_glob(1 * _t293_temp_string_len, _flick_abort699);
                          flick_khazana_encode_new_chunk(1 * _t293_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_z, 1 * _t293_temp_string_len);
                          CORBA_flick_free(*_local_z);
                          *_local_z = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t293_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t293_temp_string_len);
                          break;
                          {
                          _flick_abort699:
                            goto _flick_abort681;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(44);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort706);
                          break;
                          {
                          _flick_abort706:
                            goto _flick_abort681;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t295_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t295_temp_string_len);

                                                                          flick_khazana_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t295_temp_string_len, flick_unsigned32_t );
                                                                          flick_khazana_encode_end_chunk(40);
                                                                          flick_khazana_encode_end_glob(44);
                                                                          flick_khazana_encode_new_glob(1 * _t295_temp_string_len, _flick_abort712);
                                                                          flick_khazana_encode_new_chunk(1 * _t295_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t295_temp_string_len);
                                                                          CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_khazana_encode_end_chunk(1 * _t295_temp_string_len);
                                                                          flick_khazana_encode_end_glob(1 * _t295_temp_string_len);
                                                                          CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort712:
                                                                            goto _flick_abort707;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                                          flick_khazana_encode_end_glob(44);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                                    flick_khazana_encode_end_glob(44);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                              flick_khazana_encode_end_glob(44);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                        flick_khazana_encode_end_glob(44);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                                  flick_khazana_encode_end_glob(44);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                            flick_khazana_encode_end_glob(44);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                      flick_khazana_encode_end_glob(44);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort707);
                                flick_khazana_encode_end_glob(44);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort707:
                            goto _flick_abort681;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort681:
                    CORBA_flick_free(*_local_y);
                  _flick_abort676:
                    goto _flick_abort675;
                  }
                }
                break;
                {
                _flick_abort675:
                  goto _flick_abort208;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  simple3 _obj;
                  unsigned int _t296_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t297_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort716);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t296_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t296_principal_len, _flick_abort716);
                  flick_khazana_decode_new_glob(_t296_principal_len);
                  flick_khazana_decode_new_chunk(_t296_principal_len);
                  flick_khazana_decode_end_chunk(_t296_principal_len);
                  flick_khazana_decode_end_glob(_t296_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t297_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  simple3_op5(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort716);
                    flick_khazana_encode_new_glob(40, _flick_abort716);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(40);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(40);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort729);
                          break;
                          {
                          _flick_abort729:
                            goto _flick_abort716;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t301_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, flick_unsigned32_t , _t301_temp_string_len);

                                                                          flick_khazana_encode_new_chunk(36);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(32, _t301_temp_string_len, flick_unsigned32_t );
                                                                          flick_khazana_encode_end_chunk(36);
                                                                          flick_khazana_encode_end_glob(40);
                                                                          flick_khazana_encode_new_glob(1 * _t301_temp_string_len, _flick_abort735);
                                                                          flick_khazana_encode_new_chunk(1 * _t301_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, 1 * _t301_temp_string_len);
                                                                          CORBA_flick_free(((simple3_USERERROR *)(_ev->_value._user_except))->reason);
                                                                          flick_khazana_encode_end_chunk(1 * _t301_temp_string_len);
                                                                          flick_khazana_encode_end_glob(1 * _t301_temp_string_len);
                                                                          CORBA_flick_free((simple3_USERERROR *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort735:
                                                                            goto _flick_abort730;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                                          flick_khazana_encode_end_glob(40);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                                    flick_khazana_encode_end_glob(40);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                              flick_khazana_encode_end_glob(40);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                        flick_khazana_encode_end_glob(40);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                                  flick_khazana_encode_end_glob(40);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                            flick_khazana_encode_end_glob(40);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                      flick_khazana_encode_end_glob(40);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort730);
                                flick_khazana_encode_end_glob(40);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort730:
                            goto _flick_abort716;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort716:
                    goto _flick_abort715;
                  }
                }
                break;
                {
                _flick_abort715:
                  goto _flick_abort208;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple3 _obj;
                  unsigned int _t302_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t303_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t304_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort739);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t302_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t302_principal_len, _flick_abort739);
                  flick_khazana_decode_new_glob(_t302_principal_len);
                  flick_khazana_decode_new_chunk(_t302_principal_len);
                  flick_khazana_decode_end_chunk(_t302_principal_len);
                  flick_khazana_decode_end_glob(_t302_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort739);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_cdr_swap_decode_IOR(khazana, _local_b, 1);
                  flick_khazana_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t303_storage);
                  _ev = (CORBA_Environment *)(&_t304_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort739);
                    flick_khazana_encode_new_glob(8, _flick_abort739);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          flick_cdr_encode_IOR(khazana, *_local_c, 0, _flick_abort744);
                          break;
                          {
                          _flick_abort744:
                            goto _flick_abort739;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort745);
                          break;
                          {
                          _flick_abort745:
                            goto _flick_abort739;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort746);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort746:
                            goto _flick_abort739;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort739:
                    goto _flick_abort738;
                  }
                }
                break;
                {
                _flick_abort738:
                  goto _flick_abort208;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t305_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t305_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t305_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t306_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t306_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t306_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple3 _obj;
                        unsigned int _t307_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t308_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t309_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t310_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort748);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t307_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t307_principal_len, _flick_abort748);
                        flick_khazana_decode_new_glob(_t307_principal_len);
                        flick_khazana_decode_new_chunk(_t307_principal_len);
                        flick_khazana_decode_end_chunk(_t307_principal_len);
                        flick_khazana_decode_end_glob(_t307_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort748);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t308_storage);
                        _local_c = (CORBA_long *)(&_t309_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t310_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort748);
                          flick_khazana_encode_new_glob(8, _flick_abort748);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_cdr_encode_IOR(khazana, *_local_b, 0, _flick_abort753);
                                flick_khazana_encode_new_glob(7, _flick_abort753);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort753:
                                  goto _flick_abort748;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort754);
                                break;
                                {
                                _flick_abort754:
                                  goto _flick_abort748;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort755);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort755:
                                  goto _flick_abort748;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort748:
                          goto _flick_abort747;
                        }
                      }
                      break;
                      {
                      _flick_abort747:
                        goto _flick_abort208;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t311_switch_tag;

          flick_khazana_check_span(12, _flick_abort208);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t311_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t311_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t312_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t312_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t312_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t313_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t314_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t315_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort757);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t313_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t313_principal_len, _flick_abort757);
                        flick_khazana_decode_new_glob(_t313_principal_len);
                        flick_khazana_decode_new_chunk(_t313_principal_len);
                        flick_khazana_decode_end_chunk(_t313_principal_len);
                        flick_khazana_decode_end_glob(_t313_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort757);
                        flick_cdr_swap_decode_unsigned32(0, _t314_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t314_temp_string_len);
                        flick_khazana_check_span(1 * _t314_temp_string_len, _flick_abort757);
                        flick_khazana_decode_new_chunk(1 * _t314_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t314_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t314_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t315_storage);
                        _par = flick_interface_parents_simple3;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort757);
                          flick_khazana_encode_new_glob(5, _flick_abort757);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort765);
                                break;
                                {
                                _flick_abort765:
                                  goto _flick_abort757;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort766);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort766:
                                  goto _flick_abort757;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort757:
                          goto _flick_abort756;
                        }
                      }
                      break;
                      {
                      _flick_abort756:
                        goto _flick_abort208;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t163_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort208);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t163_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t164_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t164_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t164_switch_tag)
            {
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  simple3 _obj;
                  unsigned int _t165_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple3 *_local_b;
                  simple3 _t166_storage;
                  simple2 *_local_c;
                  simple2 _t167_storage;
                  simple *_local_d;
                  simple _t168_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t169_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort350);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t165_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t165_principal_len, _flick_abort350);
                  flick_khazana_decode_new_glob(_t165_principal_len);
                  flick_khazana_decode_new_chunk(_t165_principal_len);
                  flick_khazana_decode_end_chunk(_t165_principal_len);
                  flick_khazana_decode_end_glob(_t165_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort350);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (simple3 *)(&_t166_storage);
                  _local_c = (simple2 *)(&_t167_storage);
                  _local_d = (simple *)(&_t168_storage);
                  _ev = (CORBA_Environment *)(&_t169_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort350);
                    flick_khazana_encode_new_glob(76, _flick_abort350);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(76);
                          flick_cdr_encode_IOR(khazana, *_local_b, 0, _flick_abort374);
                          flick_cdr_encode_IOR(khazana, *_local_c, 0, _flick_abort374);
                          flick_cdr_encode_IOR(khazana, *_local_d, 0, _flick_abort374);
                          break;
                          {
                          _flick_abort374:
                            goto _flick_abort350;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(76);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort375);
                          break;
                          {
                          _flick_abort375:
                            goto _flick_abort350;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 25:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 24))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_unsigned32_t _t176_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t176_temp_string_len);

                                                                          flick_khazana_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 25, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'V', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t176_temp_string_len, flick_unsigned32_t );
                                                                          flick_khazana_encode_end_chunk(40);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          flick_khazana_encode_new_glob(1 * _t176_temp_string_len, _flick_abort387);
                                                                          flick_khazana_encode_new_chunk(1 * _t176_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, 1 * _t176_temp_string_len);
                                                                          CORBA_flick_free(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_khazana_encode_end_chunk(1 * _t176_temp_string_len);
                                                                          flick_khazana_encode_end_glob(1 * _t176_temp_string_len);
                                                                          CORBA_flick_free((simple3_OVERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort387:
                                                                            goto _flick_abort376;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                    flick_khazana_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                              flick_khazana_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                        flick_khazana_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                  flick_khazana_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                            flick_khazana_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                      flick_khazana_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t177_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t177_temp_string_len);

                                                                          flick_khazana_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t177_temp_string_len, flick_unsigned32_t );
                                                                          flick_khazana_encode_end_chunk(40);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          flick_khazana_encode_new_glob(1 * _t177_temp_string_len, _flick_abort390);
                                                                          flick_khazana_encode_new_chunk(1 * _t177_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t177_temp_string_len);
                                                                          CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_khazana_encode_end_chunk(1 * _t177_temp_string_len);
                                                                          flick_khazana_encode_end_glob(1 * _t177_temp_string_len);
                                                                          CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort390:
                                                                            goto _flick_abort376;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                    flick_khazana_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                              flick_khazana_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                        flick_khazana_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                  flick_khazana_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                            flick_khazana_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                      flick_khazana_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 23:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                            {
                                                              switch (*(unsigned short int *)(_ev->_id + 20))
                                                                {
                                                                case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 22))
                                                                      {
                                                                      case 0:
                                                                        {
                                                                          flick_khazana_encode_new_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'B', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'A', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'M', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(28, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length, CORBA_unsigned_long );
                                                                          if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > 10)
                                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort393);
                                                                          flick_cdr_encode_bcopy(32, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          if (((simple3_BADNUM *)(_ev->_value._user_except))->c._release)
                                                                            CORBA_flick_free(((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer);
                                                                          ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = 0;
                                                                          ((simple3_BADNUM *)(_ev->_value._user_except))->c._release = 0;
                                                                          flick_khazana_encode_end_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                          CORBA_flick_free((simple3_BADNUM *)(_ev->_value._user_except));
                                                                          flick_khazana_encode_end_glob(76);
                                                                          break;
                                                                          {
                                                                          _flick_abort393:
                                                                            goto _flick_abort376;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                          flick_khazana_encode_end_glob(76);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                                    flick_khazana_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                              flick_khazana_encode_end_glob(76);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                        flick_khazana_encode_end_glob(76);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                                  flick_khazana_encode_end_glob(76);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                            flick_khazana_encode_end_glob(76);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                      flick_khazana_encode_end_glob(76);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort376);
                                flick_khazana_encode_end_glob(76);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort376:
                            goto _flick_abort350;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort350:
                    goto _flick_abort349;
                  }
                }
                break;
                {
                _flick_abort349:
                  goto _flick_abort208;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  simple3 _obj;
                  unsigned int _t178_principal_len;
                  CORBA_char *_return;
                  CORBA_char *_local_x;
                  flick_unsigned32_t _t179_temp_string_len;
                  CORBA_char **_local_y;
                  CORBA_char *_t180_storage;
                  flick_unsigned32_t _t181_temp_string_len;
                  CORBA_char **_local_z;
                  CORBA_char *_t182_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t183_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort397);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t178_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t178_principal_len, _flick_abort397);
                  flick_khazana_decode_new_glob(_t178_principal_len);
                  flick_khazana_decode_new_chunk(_t178_principal_len);
                  flick_khazana_decode_end_chunk(_t178_principal_len);
                  flick_khazana_decode_end_glob(_t178_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort397);
                  flick_cdr_decode_unsigned32(0, _t179_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_decode_new_glob(1 * _t179_temp_string_len);
                  flick_khazana_check_span(1 * _t179_temp_string_len, _flick_abort397);
                  flick_khazana_decode_new_chunk(1 * _t179_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_x, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t179_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t179_temp_string_len);
                  _local_y = (CORBA_char **)(&_t180_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort397);
                  flick_cdr_decode_unsigned32(0, _t181_temp_string_len, flick_unsigned32_t );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_decode_new_glob(1 * _t181_temp_string_len);
                  flick_khazana_check_span(1 * _t181_temp_string_len, _flick_abort397);
                  flick_khazana_decode_new_chunk(1 * _t181_temp_string_len);
                  {
                    CORBA_char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t181_temp_string_len * sizeof(CORBA_char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort397);
                    *_local_y = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, *_local_y, 1 * _t181_temp_string_len);
                  flick_khazana_decode_end_chunk(1 * _t181_temp_string_len);
                  flick_khazana_decode_end_glob(1 * _t181_temp_string_len);
                  _local_z = (CORBA_char **)(&_t182_storage);
                  _ev = (CORBA_Environment *)(&_t183_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort402);
                    flick_khazana_encode_new_glob(44, _flick_abort402);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t189_temp_string_len;
                          flick_unsigned32_t _t190_temp_string_len;
                          flick_unsigned32_t _t191_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t189_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, *_local_y, flick_unsigned32_t , _t190_temp_string_len);
                          flick_cdr_stringlen(CORBA_char *, *_local_z, flick_unsigned32_t , _t191_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t189_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(44);
                          flick_khazana_encode_new_glob(1 * _t189_temp_string_len, _flick_abort420);
                          flick_khazana_encode_new_chunk(1 * _t189_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return, 1 * _t189_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t189_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t189_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort420);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t190_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          flick_khazana_encode_new_glob(1 * _t190_temp_string_len, _flick_abort420);
                          flick_khazana_encode_new_chunk(1 * _t190_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_y, 1 * _t190_temp_string_len);
                          CORBA_flick_free(*_local_y);
                          *_local_y = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t190_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t190_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort420);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_unsigned32(0, _t191_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          flick_khazana_encode_new_glob(1 * _t191_temp_string_len, _flick_abort420);
                          flick_khazana_encode_new_chunk(1 * _t191_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_z, 1 * _t191_temp_string_len);
                          CORBA_flick_free(*_local_z);
                          *_local_z = (CORBA_char *)0;
                          flick_khazana_encode_end_chunk(1 * _t191_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t191_temp_string_len);
                          break;
                          {
                          _flick_abort420:
                            goto _flick_abort402;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(44);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort427);
                          break;
                          {
                          _flick_abort427:
                            goto _flick_abort402;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t193_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, flick_unsigned32_t , _t193_temp_string_len);

                                                                          flick_khazana_encode_new_chunk(40);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'N', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'F', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'W', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b, CORBA_long );
                                                                          flick_cdr_encode_unsigned32(36, _t193_temp_string_len, flick_unsigned32_t );
                                                                          flick_khazana_encode_end_chunk(40);
                                                                          flick_khazana_encode_end_glob(44);
                                                                          flick_khazana_encode_new_glob(1 * _t193_temp_string_len, _flick_abort433);
                                                                          flick_khazana_encode_new_chunk(1 * _t193_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, 1 * _t193_temp_string_len);
                                                                          CORBA_flick_free(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg);
                                                                          flick_khazana_encode_end_chunk(1 * _t193_temp_string_len);
                                                                          flick_khazana_encode_end_glob(1 * _t193_temp_string_len);
                                                                          CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort433:
                                                                            goto _flick_abort428;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                                          flick_khazana_encode_end_glob(44);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                                    flick_khazana_encode_end_glob(44);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                              flick_khazana_encode_end_glob(44);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                        flick_khazana_encode_end_glob(44);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                                  flick_khazana_encode_end_glob(44);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                            flick_khazana_encode_end_glob(44);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                      flick_khazana_encode_end_glob(44);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort428);
                                flick_khazana_encode_end_glob(44);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort428:
                            goto _flick_abort402;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort402:
                    CORBA_flick_free(*_local_y);
                  _flick_abort397:
                    goto _flick_abort396;
                  }
                }
                break;
                {
                _flick_abort396:
                  goto _flick_abort208;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  simple3 _obj;
                  unsigned int _t194_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t195_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort437);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t194_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t194_principal_len, _flick_abort437);
                  flick_khazana_decode_new_glob(_t194_principal_len);
                  flick_khazana_decode_new_chunk(_t194_principal_len);
                  flick_khazana_decode_end_chunk(_t194_principal_len);
                  flick_khazana_decode_end_glob(_t194_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t195_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  simple3_op5(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort437);
                    flick_khazana_encode_new_glob(40, _flick_abort437);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(40);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(40);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort450);
                          break;
                          {
                          _flick_abort450:
                            goto _flick_abort437;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 26:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 12))
                                                    {
                                                    case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                                      {
                                                        switch (*(unsigned int *)(_ev->_id + 16))
                                                          {
                                                          case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                            {
                                                              switch (*(unsigned int *)(_ev->_id + 20))
                                                                {
                                                                case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                                  {
                                                                    switch (*(unsigned short int *)(_ev->_id + 24))
                                                                      {
                                                                      case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                        {
                                                                          flick_unsigned32_t _t199_temp_string_len;

                                                                          flick_cdr_stringlen(CORBA_char *, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, flick_unsigned32_t , _t199_temp_string_len);

                                                                          flick_khazana_encode_new_chunk(36);
                                                                          flick_cdr_encode_unsigned32(0, 26, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 'i', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'm', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'p', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, '3', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, '/', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, 'U', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, 'S', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(20, 'E', flick_char8_t );
                                                                          flick_cdr_encode_char8(21, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(22, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(23, 'O', flick_char8_t );
                                                                          flick_cdr_encode_char8(24, 'R', flick_char8_t );
                                                                          flick_cdr_encode_char8(25, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(26, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(27, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(28, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(29, 0, flick_char8_t );
                                                                          flick_cdr_encode_unsigned32(32, _t199_temp_string_len, flick_unsigned32_t );
                                                                          flick_khazana_encode_end_chunk(36);
                                                                          flick_khazana_encode_end_glob(40);
                                                                          flick_khazana_encode_new_glob(1 * _t199_temp_string_len, _flick_abort456);
                                                                          flick_khazana_encode_new_chunk(1 * _t199_temp_string_len);
                                                                          flick_cdr_encode_bcopy(0, ((simple3_USERERROR *)(_ev->_value._user_except))->reason, 1 * _t199_temp_string_len);
                                                                          CORBA_flick_free(((simple3_USERERROR *)(_ev->_value._user_except))->reason);
                                                                          flick_khazana_encode_end_chunk(1 * _t199_temp_string_len);
                                                                          flick_khazana_encode_end_glob(1 * _t199_temp_string_len);
                                                                          CORBA_flick_free((simple3_USERERROR *)(_ev->_value._user_except));
                                                                          break;
                                                                          {
                                                                          _flick_abort456:
                                                                            goto _flick_abort451;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                                          flick_khazana_encode_end_glob(40);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                                    flick_khazana_encode_end_glob(40);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                              flick_khazana_encode_end_glob(40);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                        flick_khazana_encode_end_glob(40);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                                  flick_khazana_encode_end_glob(40);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                            flick_khazana_encode_end_glob(40);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                      flick_khazana_encode_end_glob(40);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort451);
                                flick_khazana_encode_end_glob(40);
                                break;
                              }
                            }
                          break;
                          {
                          _flick_abort451:
                            goto _flick_abort437;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort437:
                    goto _flick_abort436;
                  }
                }
                break;
                {
                _flick_abort436:
                  goto _flick_abort208;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple3 _obj;
                  unsigned int _t200_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  simple2 _t201_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t202_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort460);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t200_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t200_principal_len, _flick_abort460);
                  flick_khazana_decode_new_glob(_t200_principal_len);
                  flick_khazana_decode_new_chunk(_t200_principal_len);
                  flick_khazana_decode_end_chunk(_t200_principal_len);
                  flick_khazana_decode_end_glob(_t200_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort460);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_cdr_decode_IOR(khazana, _local_b, 1);
                  flick_khazana_mark_port_for_cleanup(_local_b, 1);
                  _local_c = (simple2 *)(&_t201_storage);
                  _ev = (CORBA_Environment *)(&_t202_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort460);
                    flick_khazana_encode_new_glob(8, _flick_abort460);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          flick_cdr_encode_IOR(khazana, *_local_c, 0, _flick_abort465);
                          break;
                          {
                          _flick_abort465:
                            goto _flick_abort460;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort466);
                          break;
                          {
                          _flick_abort466:
                            goto _flick_abort460;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort467);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort467:
                            goto _flick_abort460;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort460:
                    goto _flick_abort459;
                  }
                }
                break;
                {
                _flick_abort459:
                  goto _flick_abort208;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t203_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t203_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t203_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t204_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t204_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t204_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple3 _obj;
                        unsigned int _t205_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        simple *_local_b;
                        simple _t206_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t207_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t208_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort469);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t205_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t205_principal_len, _flick_abort469);
                        flick_khazana_decode_new_glob(_t205_principal_len);
                        flick_khazana_decode_new_chunk(_t205_principal_len);
                        flick_khazana_decode_end_chunk(_t205_principal_len);
                        flick_khazana_decode_end_glob(_t205_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort469);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (simple *)(&_t206_storage);
                        _local_c = (CORBA_long *)(&_t207_storage);
                        flick_cdr_decode_signed32(4, *_local_c, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t208_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort469);
                          flick_khazana_encode_new_glob(8, _flick_abort469);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_cdr_encode_IOR(khazana, *_local_b, 0, _flick_abort474);
                                flick_khazana_encode_new_glob(7, _flick_abort474);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_c, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort474:
                                  goto _flick_abort469;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort475);
                                break;
                                {
                                _flick_abort475:
                                  goto _flick_abort469;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort476);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort476:
                                  goto _flick_abort469;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort469:
                          goto _flick_abort468;
                        }
                      }
                      break;
                      {
                      _flick_abort468:
                        goto _flick_abort208;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t209_switch_tag;

          flick_khazana_check_span(12, _flick_abort208);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t209_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t209_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t210_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t210_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t210_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t211_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t212_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t213_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort478);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t211_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t211_principal_len, _flick_abort478);
                        flick_khazana_decode_new_glob(_t211_principal_len);
                        flick_khazana_decode_new_chunk(_t211_principal_len);
                        flick_khazana_decode_end_chunk(_t211_principal_len);
                        flick_khazana_decode_end_glob(_t211_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort478);
                        flick_cdr_decode_unsigned32(0, _t212_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t212_temp_string_len);
                        flick_khazana_check_span(1 * _t212_temp_string_len, _flick_abort478);
                        flick_khazana_decode_new_chunk(1 * _t212_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t212_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t212_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t213_storage);
                        _par = flick_interface_parents_simple3;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort478);
                          flick_khazana_encode_new_glob(5, _flick_abort478);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort486);
                                break;
                                {
                                _flick_abort486:
                                  goto _flick_abort478;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort487);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort487:
                                  goto _flick_abort478;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort478:
                          goto _flick_abort477;
                        }
                      }
                      break;
                      {
                      _flick_abort477:
                        goto _flick_abort208;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort208);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort208:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort207);
  _flick_abort207:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

